Czym jest WinRAR

WinRAR jest przeznaczoną dla systemu Windows wersją archiwizera RAR – narzędzia, które pozwala tworzyć i obsługiwać archiwa. Istnieje kilka wersji RARa przeznaczonych dla różnych systemów operacyjnych - aktualnie obsługiwane systemy: Windows, Linux, FreeBSD i macOS.

Istnieją dwie wersje RARa dla Windows:

  • wersja z interfejsem graficznym – WinRAR.exe
  • wersja dla konsoli (tryb tekstowy) – Rar.exe

WinRAR i archiwa SFX tworzone dla Windows wymagają systemu Windows Vista lub nowszego.

Właściwości WinRARa:

  • pełna obsługa archiwów RAR i ZIP 2.0
  • wydajny algorytm kompresji
  • interfejs graficzny obsługujący technikę „przeciągnij i upuść” (drag-and-drop) i posiadający pomocnika
  • interfejs linii poleceń
  • obsługa innych typów archiwów (7Z, ARJ, BZ2, CAB, GZ, ISO, JAR, LZ, LZH, TAR, UUE, XZ, Z, ZST, 001 i kilka odmian ZIPX)
  • „ciągłe” archiwizowanie, które może zwiększyć stopień kompresji o 10% - 50% w stosunku do zwykłych metod, zwykle w przypadku pakowania dużej liczby małych, podobnych do siebie, plików
  • archiwa wieloczęściowe
  • tworzenie samorozpakowujących się (SFX) archiwów (także wieloczęściowych) przy użyciu domyślnego lub opcjonalnego modułu dekompresującego
  • naprawianie uszkodzonych archiwów
  • woluminy naprawcze umożliwiające zrekonstruowanie brakujących części wieloczęściowych archiwów
  • obsługa formatu Unicode w nazwach plików
  • inne funkcje, takie jak szyfrowanie, dodawanie komentarzy do archiwów, rejestrowanie błędów, itp.


Ograniczenia WinRARa

Wewnętrzny format archiwów RAR i ZIP tworzonych przez WinRARa umożliwia przechowywanie praktycznie dowolnej liczby plików o dowolnym rozmiarze. Ewentualne ograniczenia wprowadza używany system plików i ilość dostępnej pamięci. Niektóre starsze systemy plików nie umożliwiają tworzenia plików większych niż 4 GB.

WinRAR rezerwuje pamięć do przechowywania nazwy i atrybutów każdego archiwizowanego pliku. Jeśli do archiwum dodany jest blok informacji szybkiego otwarcia, ilość rezerwowanej pamięci wzrasta dwukrotnie. Choć konkretna ilość zależy od długości nazwy pliku w kodowaniu UTF-8, to zwykle jest to o kilkaset bajtów na każdy plik więcej niż rozmiar słownika kompresji. Należy również mieć na uwadze, że 32-bitowy WinRAR nie może użyć więcej niż 2 GB pamięci. Aby archiwizować bardzo duże ilości plików lub używać dużych słowników kompresji, lepiej jest się posłużyć 64-bitową wersją WinRARa.

Maksymalna długość hasła do szyfrowania plików wynosi 127 znaków. Dłuższe hasła zostaną przycięte do tej długości.


RAR w wersji dla konsoli

Obok WinRARa w pakiecie znajduje się plik rar.exe. Jest to również wersja RARa dla Windows, lecz działa w trybie tekstowym, co jest wygodniejsze w np. przypadku używania go w plikach wsadowych w konsoli. Obsługuje więcej opcji i poleceń w linii poleceń niż WinRAR, i choć większość z nich opisana w rozdziale Interfejs linii poleceń jest wspólna dla RARa i WinRARa, ten plik Pomocy nie zawiera tych, które są obsługiwane tylko przez RARa w wersji dla konsoli – znajdują się one w pliku rar.txt.


Podziękowania i informacje

Chcielibyśmy podziękować Ronowi Dwightowi, który zrobił tak wiele dla RARa i jego użytkowników. Niestety, Ron już nie ujrzy żadnej nowej wersji WinRARa...

WinRAR posiada wbudowany kod kompresji ZIP stworzony przez grupę Info-ZIP. Kod ten jest używany do obsługi archiwów ZIP.

Algorytm kompresji tekstu jest oparty na kodach źródłowych (dostępnych na licencji public domain) Dymitra Shkarina i Dymitra Subbotina, dostępnych pod adresem ftp://ftp.elf.stuba.sk/pub/pc/pack.

Mechanizm szyfrowania WinRARa zawiera fragmenty implementacji AES stworzonej przez Szymona Stefanka oraz kodu źródłowego SHA-1 autorstwa Steve'a Reida (dostępne na licencji public domain).

Poza modułami SFX, WinRAR używa funkcji liczącej CRC32 opartej na algorytmie firmy Intel.

Archiwa RAR mogą zawierać sumę kontrolną opartą o funkcję skrótu BLAKE2sp, której twórcy to: Jean-Philippe Aumasson, Samuel Neves, Zooko Wilcox-O'Hearn oraz Christian Winnerlein.

Cenne uwagi Alexandra Khorosheva i Bulata Ziganshina pomogły znacznie ulepszyć RARa i zwiększyć prędkość kompresji.

Archiwa 7z są dekompresowane za pomocą biblioteki 7zxa.dll, autorstwa Igora Pavlova. Biblioteka ta jest dystrybuowana na licencji LGPL w wersji 2.1 lub nowszej. Archiwa XZ oraz LZMA ZIP są dekompresowane przy użyciu będącej na licencji Public Domain biblioteki LZMA SDK autorstwa Igora Pavlova. Kod źródłowy obu tych bibliotek jest dostępny pod adresem http://www.7-zip.org.

Do obsługi archiwów zawierających dane skompresowane algorytmem Zstandard stosowana jest bliblioteka używana przez Facebook.

W celu zwiększenia wydajności kodowania Reeda-Solomona użyliśmy wskazówek zawartych w dokumencie „Screaming Fast Galois Field Arithmetic Using Intel SIMD Instructions” napisanego przez Jamesa S. Planka, Kevina M. Greenana oraz Ethana L. Millera. W zwiększeniu wydajności mieli również udział Artem Drobanov i Bulat Ziganshin, których pomysły i przykłady wykorzystaliśmy.

Aditya Nugraha Putra z weirdsgn.com stworzył nową szatę graficzną WinRARa.

Pomysł na zintegrowanie WinRARa z powłoką Windows został zaczerpnięty z programu „RAR shell extension” napisanego przez Yliana Saint-Hilaire'a.

Specjalne podziękowania dla Andreya Spasibozhko za pomoc w tworzeniu i promocji RARa.

Tłumaczenie na język polski: Paweł Pawlak (Morris/Elysium). Aktualna wersja RARa (WinRARa) znajduje się w Internecie na stronie domowej WinRARa.


Szybki start

Interfejs graficzny i linia poleceń

WinRAR może być używany na dwa sposoby: jako zwykła aplikacja z interfejsem graficznym lub jako program wywoływany i działający w linii poleceń. Aby uruchomić WinRARa z interfejsem graficznym wystarczy dwukrotnie kliknąć na jego ikonę. Po uruchomieniu wszystkie operacje – archiwizację, wypakowywanie i inne – można wywoływać za pomocą przycisków i rozwijanych menu.

  • Jak wypakowywać pliki w interfejsie graficznym
  • Jak archiwizować pliki w interfejsie graficznym

Aby uruchomić WinRARa w trybie linii poleceń należy otworzyć konsolę (Start->Programy->Akcesoria->Wierz polecenia) lub użyć polecenia Uruchom (Start->Uruchom...) a następnie wpisać treść polecenia. Proste przykłady dla archiwizacji i wypakowywania można znaleźć w rozdziałach wyszczególnionych poniżej, a bardziej szczegółowy opis trybu linii poleceń znajduje się w rozdziale Składnia linii poleceń. Jeżeli WinRAR zostanie uruchomiony w linii poleceń bez podanych parametrów spowoduje to uruchomienie jego interfejsu graficznego.

  • Jak wypakowywać pliki w linii poleceń
  • Jak archiwizować pliki w linii poleceń

Jeśli opcja „Zintegruj WinRARa z interfejsem Windows” nie została wyłączona podczas instalacji WinRARa, można wypakowywać i archiwizować pliki bezpośrednio z interfejsu Windows (z Eksploratora Windows lub z Pulpitu).

  • Jak wypakowywać pliki w Eksploratorze Windows
  • Jak archiwizować pliki w Eksploratorze Windows


Szybki start: rozpakowywanie w interfejsie graficznym

Najpierw należy otworzyć żądane archiwum. można to zrobić na kilka sposobów:

  • przez dwukrotne kliknięcie lub naciśnięcie klawisza Enter na ikonie archiwum w interfejsie Windows (w Eksploratorze lub na Pulpicie). Jeśli WinRAR został skojarzony z archiwami podczas instalacji (domyślne ustawienie instalacji), archiwum zostanie przez niego otwarte. Aby po instalacji skojarzyć WinRARa z archiwami należy użyć ustawień integracji;
  • przez dwukrotne kliknięcie lub naciśnięcie klawisza Enter na nazwie archiwum w oknie WinRARa
  • przez przeciągnięcie i upuszczenie archiwum na okno lub ikonę WinRARa. Przedtem należy się upewnić, że w tym czasie WinRAR jest w trybie obsługi plików a nie archiwum (tzn. wyświetla pliki i foldery znajdujące się na dysku a nie w archiwum). W przeciwnym wypadku upuszczone archiwum zostanie dodane do aktualnie otwartego archiwum.
  • przez uruchomienie WinRARa z linii poleceń z jednym parametrem - nazwą archiwum

WinRAR po wejściu do archiwum wyświetli jego zawartość. należy zaznaczyć pliki i foldery przeznaczone do wypakowania. można tego dokonać przy użyciu Spacji, klawisza Ins, kombinacji Shift + klawisze kursora lub klikając lewym przyciskiem myszki z lub bez wciśniętego klawisza Shift. Klawisze „Szary +” i „Szary –” służą do zaznaczania i odznaczania grup plików.

Po zaznaczeniu jednego lub więcej plików, należy kliknąć przycisk „Wypakuj do” znajdujący się u góry okna WinRARa lub nacisnąć Alt+E, następnie wybrać folder docelowy, ewentualnie ustawić kilka dodatkowych opcji i kliknąć OK (patrz Folder docelowy i opcje wypakowywania).

Podczas dekompresji wyświetlone zostanie okno zawierające jej status. Aby przerwać wypakowywanie należy kliknąć przycisk „Anuluj”. Aby zminimalizować okno WinRARa podczas pracy, należy nacisnąć przycisk „Praca w tle”. Po zakończeniu wypakowywania (bez błędów) WinRAR powróci do głównego okna, natomiast w przypadku wystąpienia błędów zostanie wyświetlone okno diagnostyczne.


Szybki start: rozpakowywanie w linii poleceń

Składnia linii poleceń do wypakowania plików z pełnymi ścieżkami:

WinRAR X [ -opcje ] <archiwum> [ pliki ] [ @lista plików ] [ folder docelowy\ ]

Aby wypakować pliki ignorując strukturę folderów:

WinRAR E [ -opcje ] <archiwum> [ pliki ] [ @lista plików ] [ folder docelowy\ ]

Na przykład, aby wypakować plik LIST.TXT z archiwum LISTY.RAR do bieżącego folderu z archiwum LISTY:

WinRAR X LISTY.RAR LIST.TXT

Rozszerzenie archiwum (.rar) jest opcjonalne – można je pominąć.

Następujące polecenie wypakowuje wszystkie pliki *.WAV z archiwum Utwory do foldera Audio:

WinRAR X Utwory *.WAV Audio\

możliwe jest także umieszczenie nazw plików do wypakowania w pliku tekstowym zamiast podawania ich w linii poleceń. W tym przypadku w linii poleceń należy podać nazwę pliku zawierającego listę plików do wypakowania. Aby zaznaczyć, że plik jest listą należy użyć znaku @ przed jego nazwą. Na przykład, po utworzeniu listy o nazwie Binaries, zawierającej ciągi znaków *.exe i *.com, wydanie polecenia:

WinRAR X TOOLS @Binaries

spowoduje, że wszystkie pliki o rozszerzeniach EXE i COM zostaną wypakowane z archiwum TOOLS do bieżącego folderu.

Podczas dekompresji wyświetlone zostanie okno zawierające jej status. Aby przerwać wypakowywanie należy kliknąć przycisk Anuluj. Aby zminimalizować okno WinRARa podczas pracy, należy nacisnąć przycisk „Praca w tle”. Po zakończeniu wypakowywania (bez błędów) WinRAR zakończy działanie, natomiast w przypadku wystąpienia błędów zostanie wyświetlone okno diagnostyczne.

Opis interfejsu linii poleceń zawiera szczegółowy opis poleceń i opcji.


Szybki start: wypakowywanie plików w Eksploratorze Windows

Jeśli opcja „Zintegruj WinRARa z interfejsem Windows” nie została wyłączona podczas instalacji WinRARa, można rozpakowywać archiwa bezpośrednio z interfejsu Windows. Po kliknięciu prawym przyciskiem w ikonę archiwum należy wybrać polecenie „Wypakuj pliki...”, wybrać folder docelowy (i ustawić kilka innych opcji wypakowywania – więcej informacji na ten temat znajduje się w rozdziale Folder docelowy i opcje wypakowywania) i kliknąć przycisk „OK”.

Aby rozpakować archiwum do proponowanego przez WinRARa folderu bez ustawiania dodatkowych opcji należy posłużyć się poleceniem „Wypakuj do <nazwa folderu\>” lub „Wypakuj tutaj”, aby wypakować do bieżącego folderu.

Jeśli włączona jest opcja „Kaskadowe menu kontekstowe” w dialogu Ustawienia integracji, to wyżej wymienione polecenia znajdują się w podmenu „WinRAR”. Jeśli ta opcja jest wyłączona, to te polecenia znajdują się na głównym poziomie menu kontekstowego. Lecz począwszy od Windows 11, aplikacja może dodać tylko jedną pozycję do menu kontekstowego Eksploratora Windows - tą pozycją może być albo polecenie, albo podmenu (menu kaskadowe). Jeśli zatem opcja „Kaskadowe menu kontekstowe” jest wyłączona, to w menu kontekstowym dla archiwów znajdzie się tylko jedno polecenie wypakowywania, a dla nie-archiwów tylko jedno polecenie archiwizacji. Można te polecenia dostosować za pomocą przycisku „Elementy menu kontekstowego”.

Innym sposobem jest przeciągnięcie jednego lub więcej archiwów (z wciśniętym PRAWYM klawiszem myszki) i upuszczenie ich w folderze docelowym, a następnie wybranie polecenia „Wypakuj tutaj” z wyświetlonego menu.


Szybki start: archiwizowanie plików w interfejsie graficznym

Najpierw należy uruchomić WinRARa. Aby tego dokonać należy dwukrotnie kliknąć lub nacisnąć Enter na jego ikonie. można go też uruchomić z menu Start: należy wybrać „Programy”, „WinRAR” a następnie wybrać pozycję „WinRAR”.

Po uruchomieniu WinRAR wyświetla listę plików i folderów znajdujących się w bieżącym folderze. Teraz należy przejść do folderu zawierającego pliki przeznaczone do archiwizacji. Aby zmienić bieżący dysk można użyć kombinacji klawiszy Ctrl+D, znajdującej się pod paskiem narzędzi listy dysków lub małej ikonki dysku znajdującej się w dolnym lewym narożniku okna WinRARa.

Aby przejść do folderu nadrzędnego należy nacisnąć klawisz Backspace lub Ctrl+PageUp lub dwukrotnie kliknąć folder o nazwie „..” lub kliknąć przycisk „do góry” znajdujący się pod paskiem narzędzi. Aby otworzyć wybrany folder należy nacisnąć Enter lub Ctrl+PageDown lub dwukrotnie kliknąć jego nazwę. Kombinacja klawiszy Ctrl+\ spowoduje przejście do folderu głównego bieżącego dysku lub, w trybie obsługi archiwum, wyjście z archiwum do folderu, w którym się ono znajduje.

Po otwarciu folderu zawierającego pliki przeznaczone do archiwizacji należy zaznaczyć pliki i foldery, które zostaną zarchiwizowane. Zaznaczanie odbywa się przy użyciu klawiszy kursora wraz z wciśniętym klawiszem Shift lub za pomocą myszki. Do zaznaczania plików można także użyć klawisza Spacji lub Ins. Klawisze „Szary +” i „Szary –” na klawiaturze numerycznej umożliwiają zaznaczanie całych grup plików o nazwach pasujących do określonej maski.

Po wybraniu żądanych plików należy kliknąć przycisk „Dodaj” znajdujący się w górnej części okna WinRARa, nacisnąć Alt+A lub z menu „Polecenia” wybrać polecenie „Dodaj do archiwum”. W tym momencie pojawi się okno dialogowe, gdzie należy wprowadzić nazwę archiwum lub zaakceptować nazwę domyślną proponowaną przez WinRARa. Ponadto można wybrać format archiwum (RAR lub ZIP), metodę kompresji, rozmiar woluminu i inne parametry archiwizacji (bardziej szczegółowe informacje na temat opcji archiwizacji znajdują się w opisie dialogu Nazwa i parametry archiwum). Gdy wszystkie parametry zostaną ustawione należy kliknąć przycisk OK – rozpocznie się archiwizacja.

Podczas archiwizacji na ekranie zostanie wyświetlone okno zawierające wskaźnik postępu całego procesu. Aby przerwać archiwizację należy kliknąć przycisk „Anuluj”. Aby zminimalizować okno WinRARa podczas pracy, należy nacisnąć przycisk „Praca w tle”. Po zakończeniu archiwizacji okienko zniknie i nowo utworzone archiwum zostanie zaznaczone w głównym oknie WinRARa.

Możliwe jest także dodawanie plików do już istniejących archiwów RARa przy użyciu techniki „przeciągnij i upuść” (drag-and-drop). Należy zaznaczyć żądane archiwum i nacisnąć Enter (lub kliknąć dwukrotnie) na jego nazwie w oknie WinRARa. WinRAR odczyta zawartość archiwum i wyświetli ją. Teraz można dodawać pliki do archiwum przez zwykłe przeciąganie ich z innego okna i upuszczanie na okno archiwum.


Szybki start: archiwizowanie plików w linii poleceń

Składnia linii poleceń do archiwizacji plików wygląda następująco:

WinRAR a [ -opcje ] <archiwum> [ pliki ] [ @lista plików ]

Na przykład, aby dodać plik list.txt do archiwum listy.rar:

WinRAR a listy.rar list.txt

Jeśli rozszerzenie archiwum nie zostanie podane, WinRAR użyje domyślnego formatu archiwum ustawionego w domyślnym profilu kompresji. Można zignorować domyślny format archiwum podając rozszerzenie .RAR lub .ZIP.

Przykład: dodaj wszystkie pliki *.WAV do ciągłego archiwum Muzyka:

WinRAR a -s Muzyka *.WAV

Możliwe jest także umieszczenie nazw plików do archiwizacji w pliku tekstowym zamiast podawania ich w linii poleceń. W tym przypadku w linii poleceń należy podać nazwę pliku zawierającego listę plików do archiwizacji. Aby zaznaczyć, że plik jest listą należy użyć znaku @ przed jego nazwą. Na przykład, po utworzeniu listy o nazwie Binarne, zawierającej ciągi znaków *.exe i *.com, wydanie polecenia:

WinRAR a narzedzia.zip @Binarne

spowoduje dodanie wszystkich plików z rozszerzeniem .EXE i .COM, znajdujących się w bieżącym folderze, do archiwum narzedzia.zip.

Podczas archiwizacji na ekranie zostanie wyświetlone okienko zawierające wskaźnik postępu całego procesu. Aby przerwać archiwizację należy kliknąć przycisk „Anuluj”. Aby zminimalizować okno WinRARa podczas pracy, należy nacisnąć przycisk „Praca w tle”. Po zakończeniu archiwizacji (bez błędów) WinRAR zakończy działanie, natomiast w przypadku wystąpienia błędów zostanie wyświetlone okno diagnostyczne.

Opis interfejsu linii poleceń zawiera szczegółowy opis poleceń i opcji.


Szybki start: archiwizowanie plików w Eksploratorze Windows

Jeśli opcja „Zintegruj WinRARa z interfejsem Windows” nie została wyłączona podczas instalacji WinRARa, można archiwizować pliki bezpośrednio z interfejsu Windows. W Eksploratorze należy zaznaczyć pliki przeznaczone do kompresji, kliknąć prawym przyciskiem myszki na jednym z nich i wybrać polecenie „Dodaj do archiwum...”. Następnie należy wprowadzić nową lub zaakceptować domyślną nazwę archiwum. Istnieje również możliwość wyboru formatu nowotworzonego archiwum (RAR lub ZIP), metody kompresji, rozmiaru woluminu i kilku innych parametrów archiwizacji (dokładnie opisane jest to w rozdziale Nazwa i parametry archiwum). Aby rozpocząć archiwizację należy kliknąć przycisk „OK”. Archiwum zostanie utworzone w tym samym folderze co zaznaczone pliki.

Aby zarchiwizować pliki w proponowanym przez WinRARa archiwum bez ustawiania dodatkowych opcji należy posłużyć się poleceniem „Dodaj do <nazwa archiwum>”. W tym przypadku wszystkie parametry kompresji będą takie, jak w domyślnym profilu kompresji.

Jeśli włączona jest opcja „Kaskadowe menu kontekstowe” w dialogu Ustawienia integracji, to wyżej wymienione polecenia znajdują się w podmenu „WinRAR”. Jeśli ta opcja jest wyłączona, to te polecenia znajdują się na głównym poziomie menu kontekstowego. Lecz począwszy od Windows 11, aplikacja może dodać tylko jedną pozycję do menu kontekstowego Eksploratora Windows - tą pozycją może być albo polecenie, albo podmenu (menu kaskadowe). Jeśli zatem opcja „Kaskadowe menu kontekstowe” jest wyłączona, to w menu kontekstowym dla archiwów znajdzie się tylko jedno polecenie wypakowywania, a dla nie-archiwów tylko jedno polecenie archiwizacji. Można te polecenia dostosować za pomocą przycisku „Elementy menu kontekstowego”.

Innym sposobem jest przeciągnięcie zaznaczonych plików i upuszczenie ich na ikonę archiwum. Pliki zostaną dodane do tego archiwum.


RAR kontra ZIP

WinRAR umożliwia tworzenie archiwów w dwóch formatach: RAR i ZIP. Oto porównanie obu tych formatów:

Archiwa ZIP

Największą zaletą formatu ZIP jest jego popularność. Większość archiwów znajdujących się w Internecie jest w formacie ZIP, więc jeśli nie ma pewności, czy odbiorca archiwum posiada WinRARa, należałoby użyć formatu ZIP. Można także utworzyć samorozpakowujące się archiwum. Takie archiwum jest nieco większe niż zwykłe, lecz może zostać rozpakowane bez używania programów dekompresujących (samo się rozpakowuje).

Inną zaletą formatu ZIP jest prędkość. Archiwizowanie w formacie ZIP zwykle przebiega szybciej niż w formacie RAR.

Archiwa RAR

Format RAR w większości przypadków umożliwia wydajniejszą kompresję niż format ZIP, szczególnie w trybie „ciągłym”. Inną ważną właściwością formatu RAR jest możliwość tworzenia samorozpakowujących się woluminów (archiwów wieloczęściowych).

Format RAR posiada ponadto kilka właściwości nieobecnych w archiwach ZIP, np. dane naprawcze (które umożliwiają odzyskanie danych z uszkodzonych archiwów), czy też możliwość blokowania ważnych archiwów, aby uniknąć ich przypadkowej modyfikacji.

Formaty RAR i ZIP mogą obsługiwać pliki praktycznie dowolnych rozmiarów (do wielkości 8 598 934 591 gigabajtów (!)).


Format archiwum RAR 5.0

WinRAR 5.0 wprowadza nową wersję formatu archiwum RAR.

Nowe cechy formatu RAR 5.0 to m.in.:

  • Rozmiar słownika kompresji został zwiększony i może wynosić nawet 1 GB. Podczas kompresji dużych plików, zwłaszcza w ciągłym archiwum, duży rozmiar słownika pozwala osiągnąć lepszy stopień kompresji.
  • Szyfrowanie bazuje na algorytmie AES-256, który jest silniejszy niż używany w wersji RAR 4.x AES-128.
  • Dane naprawcze są tworzone przy użyciu korekcji błędów Reeda-Solomona, co daje dużo większą odporność na wielomiejscowe uszkodzenia archiwum (w porównaniu do danych naprawczych z formatu RAR 4.x).
  • Szybsze operacje na woluminach naprawczych. Całkowita liczba woluminów (.rar i .rev) została zwiększona z 255 do 65535.
  • Czas pliku jest przechowywany w archiwum w formacie UTC, zamiast czasu lokalnego, jak w formacie RAR 4.x.
  • Opcjonalna suma kontrolna bazująca na funkcji BLAKE2sp. W przeciwieństwie do CRC32, jest praktycznie niemożliwe, aby dwa różne pliki posiadały tę samą sumę kontrolną BLAKE2.
  • Opcjonalny rekord informacji szybkiego otwarcia - umieszczony w archiwum umożliwia szybsze odczytanie jego zawartości.
  • Obsługa wielu wątków podczas dekompresji. Wynikające z tego przyspieszenie można zaobserwować zwłaszcza podczas dekompresji dużych plików o niskim stopniu kompresji lub podczas używania sumy kontrolnej BLAKE2.
  • Obsługa właściwości systemu plików NTFS: punktóy ponownej analizy (reparse points), dowiązania symboliczne, twarde dowiązania.
  • Możliwość przechowywania w archiwum kolejnych kopii identycznych plików jako odnośników do pierwszego wystąpienia tego pliku.
  • Kompletna obsługa Unicode. Nazwy plików i komentarze są przechowywane w kodowaniu UTF-8.

Niektóre przestarzałe lub nieefektywne cechy formatu RAR 4.x zostały usunięte z formatu RAR 5.0:

  • Specjalne algorytmy - do kompresji tekstu, surowych danych dźwiękowych i obrazów truecolor - nie mogą być użyte w archiwum wersji 5.0. Powodem usunięcia specjalnych algorytmów kompresji dźwięku i obrazów jest to, że ich formaty rozpoznawane przez WinRARa są w coraz mniej używane. Specjalna kompresja tekstu na nowoczesnych wielordzeniowych procesorach nie jest już tak wydajna jak kompresja ogólna. Pomimo, że te algorytmy nie są obsługiwane dla formatu RAR 5.0, najnowszy WinRAR potrafi rozpakować archiwa używające ich. Format RAR 5.0 wciąż obsługuje specjalne algorytmy kompresji 32-bitowych plików wykonywalnych oraz kompresję delta.
  • Tworzenie woluminów w starym stylu nazywania (archiwum.r00, archiwum.r01 itd.) nie jest już obsługiwane. Stary styl był utrzymywany głównie ze względu na kompatybilność z systemem plików używanym w MS DOS. Taki sposób nazywania nie współgrał zbyt dobrze z Windows, gdzie konkretne rozszerzenia są skojarzone z konkretnymi aplikacjami.

Starsze aplikacje, włączając wersje WinRARa wcześniejsze niż 5.0, nie są w stanie otworzyć archiwum RAR 5.0. Aby uniknąć problemu można wciąż używać formatu RAR 4.x. Aby tego dokonać należy ustawić odpowiednią opcję w dialogu Nazwa i parametry archiwum lub użyć opcji -ma w linii poleceń. Format RAR 4.x może być także używany w celu wykorzystania specjalnych algorytmów kompresji tekstu czy danych multimedialnych, lub do utworzenia archiwum wieloczęściowego o starym stylu nazywania woluminów.


Obsługa innych formatów archiwów

Oprócz kompletnej obsługi formatów RAR i ZIP, WinRAR oferuje podstawowe funkcje umożliwiające wykonywanie różnych operacji na archiwach 7Z, ARJ, BZ2, CAB, GZ, JAR, LZ, LZH, TAR, XZ, Z, ZST, plikach UUE oraz ISO (obraz płyty CD): podglądanie zawartości, wypakowywanie plików, wyświetlanie komentarzy i informacji o archiwum. Obłsugiwane są też różne odmiany archiwów ZIPX. WinRAR nie potrzebuje innych programów, aby wykonywać te operacje.

Ponadto WinRAR potrafi połączyć podzielone pliki o rozszerzeniach .001, .002, itd. Można otworzyć plik .001 jak zwykłe archiwum, po czym wypakować jego zawartość, przedtem jednak należy umieścić wszystkie jego części w tym samym folderze.


Archiwa ciągłe

Ciągłe archiwum to archiwum skompresowane specjalną metodą, która traktuje niektóre lub wszystkie pliki w archiwum jako jeden ciąg danych (stąd nazwa). Ciągłe archiwa można tworzyć tylko dla formatu RAR, nie dla formatu ZIP. Aby utworzyć takie archiwum należy włączyć opcję Utwórz ciągłe archiwum w dialogu archiwizacji, bądź uzyć opcji -s w linii poleceń.

Ciągłe archiwa charakteryzują się wyższym stopniem kompresji dużej liczby małych, podobnych do siebie plików.

Wady ciągłych archiwów:

  • wolniejsza aktualizacja archiwów
  • aby wypakować pojedynczy plik (z ciągłego archiwum), wszystkie poprzedzające go pliki muszą zostać przetworzone. Powoduje to, że wypakowanie pliku ze środka ciągłego archiwum jest wolniejsze niż w przypadku zwykłego archiwum, lecz jeśli wypakowywane są wszystkie pliki z archiwum ciągłego, prędkość nie będzie się różnić od tej w przypadku zwykłego archiwum.
  • jeśli jakikolwiek plik w ciągłym archiwum ulegnie uszkodzeniu, nie będzie możliwe wypakowanie żadnego z następujących po nim plików. Dlatego, jeśli ciągłe archiwa mają być przechowywane na niepewnych nośnikach, zaleca się używanie opcji dodawania danych naprawczych.

Archiwum ciągłe jest zalecane gdy:

  • archiwum nie będzie często aktualizowane
  • nie występuje konieczność częstego wypakowywania pojedynczych plików z tego archiwum
  • stopień kompresji jest ważniejszy niż jej szybkość

Zwykle pliki w ciągłych archiwach są sortowane według rozszerzenia, lecz istnieje możliwość wyłączenia sortowania za pomocą opcji -DS switch lub zdefiniowania innej kolejności przy użyciu specjalnego pliku – rarfiles.lst.

Samorozpakowujące się archiwa (SFX) oraz woluminy też mogą być ciągłe.

Patrz także: opcja -s, opcja -ds, rarfiles.lst


Woluminy (archiwa wieloczęściowe)

WinRAR potrafi tworzyć archiwa składające się z wielu plików. Takie archiwa określa się mianem archiwów wieloczęściowych, a poszczególne pliki wchodzące w ich skład to tzw. woluminy. Generalnie ten typ archiwum używany jest w przypadku przechowywania dużych archiwów na wielu dyskach wyjmowalnych lub do przesyłania pocztą elektroniczną.

WinRAR potrafi tworzyć wieloczęściowe archiwa RAR i ZIP.

Domyślnie woluminy mają nazwy „nazwa_archiwum.partNNN.rar”, gdzie NNN jest numerem woluminu. Dla formatu archiwum RAR 4.x, przy użyciu opcji -vn można spowodować, że WinRAR będzie nazywał woluminy w starym stylu, gdzie pierwszy wolumin będzie miał rozszerzenie .rar, następne woluminy otrzymają kolejne rozszerzenia od .r00 do .r99, później .s00, .s01, ..., .s99, ... (maksymalnie do .{99). Archiwa w formacie RAR 5.0 nie obsługują opcji -vn ani starego stylu nazywania woluminów.

Woluminy RAR mogą być także ciągłe i samorozpakowujące się (SFX). W przypadku samorozpakowujących się woluminów pierwszy z nich posiada inne (tzn. nie .rar) rozszerzenie (np. .exe dla woluminów SFX) a pozostałe – standardowe (.r00, .r01, ...).

Aby rozpakować wieloczęściowe archiwum RAR należy rozpocząć rozpakowywanie od pierwszego woluminu. Jeśli woluminy są ulokowane na dysku niewyjmowalnym (np. na dysku twardym), należy umieścić wszystkie woluminy w jednym folderze przed rozpoczęciem rozpakowywania.

Woluminy ZIP mają nazwy typu „nazwaarchiwum.zip”, „nazwaarchiwum.z01”, „nazwaarchiwum.z02”. Wszelkie opracje na takim archiwum rozpoczyna się od woluminu z rozszerzeniem „.zip”.

W przeciwieństwie do woluminów RAR, woluminy ZIP nie mogą być samorozpakowujące się. WinRAR musi mieć dostęp do wszystkich woluminów ZIP w tym samym czasie, zarówno podczas tworzenia jak i rozpakowywania. Niemożliwe jest więc tworzenie ani rozpakowywanie wieloczęściowych archiwów ZIP bezpośrednio przy użyciu dysków wyjmowalnych przy założeniu, że jeden wolumin przypada na jeden dysk. Należy utworzyć archiwum wieloczęściowe w jednym miejscu, a następnie ręcznie skopiować woluminy na dyski wyjmowalne, jeśli istnieje taka potrzeba. Przy rozpakowywaniu należy z kolei skopiować wszystkie woluminy w jedno miejsce i dopiero później rozpocząć roapzkowywanie.

Istniejących już woluminów nie można modyfikować (tzn. dodawać, aktualizować i usuwać plików).

Począwszy o wersji 3.40, WinRAR przechowuje numer woluminu RAR wewnątrz niego samego. Numer ten jest widoczny w oknie „Informacje o archiwum”. Numer ten może być przydatny w przypadku, gdy nazwy woluminów zostały zmodyfikowane i trzeba odtworzyć ich kolejność.


Woluminy naprawcze

Woluminy naprawcze (pliki .rev) służą do odtwarzania brakujących lub uszkodzonych woluminów w archiwum wieloczęściowym.

Woluminy naprawcze mogą być użyteczne dla kopii zapasowych lub np. jeśli wieloczęściowe archiwum zostało wysłane na listę dyskusyjną i część osób nie dostała wszystkich części – wysłanie woluminów naprawczych jest wtedy bardziej opłacalne.

Każdy wolumin naprawczy jest w stanie pomóc w odtworzeniu jednego zwykłego woluminu. Na przykład, przy 30 woluminach, istnienie 3 woluminów naprawczych może pomóc odzyskać dowolne 3 brakujące woluminy. Jeśli liczba brakujących woluminów przekracza liczbę woluminów naprawczych, odtworzenie ich nie będzie możliwe. Całkowita liczba zwykłych woluminów i woluminów naprawczych nie może przekroczyć 255 dla archiwum RAR 4.x i 65535 dla archiwum RAR 5.0. Liczba woluminów naprawczych musi być mniejsza niż liczba zwykłych woluminów dla archiwów RAR 4.x, a dla archiwów w formacie RAR 5.0 nie może przekroczyć 10-krotności rozmiaru zabezpieczanego archiwum. Wartości przekraczające dozwolony zakres są automatycznie zmniejszane.

Nie można modyfikować oryginalnych woluminów archiwum RAR po utworzeniu woluminów naprawczych. Proces naprawiania wykorzystuje dane zachowane w plikach REV jak również w dostępnych „zwykłych” woluminach (pliki RAR). Po modyfikacji woluminów RAR polegającej np. na założeniu blokady, ewentualny proces odzyskania brakującego woluminu się nie powiedzie.

Oprócz samych danych naprawczych, woluminy naprawcze w formacie RAR 5.0 przechowują także sumy kontrolne plików RAR będących elementami wieloczęściowego archiwum. Z tego powodu woluminy naprawcze są większe niż chronione przez nie zwykłe woluminy. Należy mieć to na uwadze w przypadku planowania przenoszenia woluminów na nośniki zewnętrzne - być może zaistnieje konieczność określenia rozmiaru zwykłego woluminu o kilka kilobajtów mniejszego od pojemności nośnika danych.

WinRAR odtwarza brakujące lub uszkodzone woluminy po kliknięciu pliku .rev, po użyciu polecenia rc lub automatycznie podczas wypakowywania, jeśli nie jest w stanie odnaleźć następnego woluminu a znajdzie odpowiednią liczbę woluminów naprawczych.

Aby utworzyć woluminy naprawcze należy posłużyć się opcją „Woluminy naprawcze” z dialogu Nawa i parametry archiwum lub podobną z dialogu wyświetlonego po użyciu polecenia Zabezpiecz archiwum. Z linii poleceń można to osiągnąć za pomocą opcji -rv lub polecenia rv.

Oryginalne uszkodzone woluminy są przemianowywane na *.bad przed rozpoczęciem rekonstrukcji. Na przykład, wolumin.part03.rar zostanie przemianowany na wolumin.part03.rar.bad.


Samorozpakowujące się archiwa (SFX)

Samorozpakowujące się archiwum (SFX) to takie archiwum, na którego początku znajduje się moduł (program) dekompresujący służący do wypakowania plików z archiwum po jego uruchomieniu – do rozpakowania takiego archiwum nie jest konieczny żaden dodatkowy program. WinRAR może pracować z archiwum SFX jak ze zwykłym, dlatego można go użyć do wypakowania zawartości tego archiwum (np. kiedy zachodzi podejrzenie że archiwum SFX może być zawirusowane).

Skrót SFX pochodzi od angielskiego terminu „SelF-eXtracting” (samorozpakowujący się).

Archiwa SFX zwykle mają rozszerzenie .exe, jak zwykłe pliki wykonywalne.

Archiwa SFX są wygodne w przypadku, gdy zachodzi konieczność przekazania komuś danego archiwum, a nie ma pewności, czy ta osoba posiada program umożliwiający rozpakowanie go. Archiwum SFX można też użyć do dystrybucji własnych programów. Na przykład, pakiet dystrybucyjny WinRARa jest bazowany na module SFX Default.sfx.

Aby utworzyć archiwum SFX z poziomu linii poleceń należy użyć opcji -sfx podczas tworzenia nowego archiwum albo polecenia s, aby przekształcić istniejące już archiwum na SFX. W interfejsie graficznym WinRARa należy zaznaczyć opcję „Utwórz archiwum SFX” w dialogu Nazwa i parametry archiwum (w przypadku tworzenia nowego archiwum), lub otworzyć istniejące archiwum i nacisnąć przycisk „SFX”.

Pakiet dystrybucyjny WinRARa zawiera kilka modułów SFX. Wszystkie moduły SFX mają rozszerzenie .sfx (lecz są to zwykłe pliki typu .exe) i muszą znajdować się w tym samym folderze co plik WinRAR.exe. Domyślnie WinRAR zawsze używa modułu Default.sfx, lecz można podać nazwę innego modułu bezpośrednio z opcją „-sfx” lub poleceniem „s”. Na przykład, aby przekształcić archiwum mojearchiwum.rar na SFX przy użyciu modułu WinCon.SFX należy posłużyć się poleceniem:

WinRAR SWinCon.SFX mojearchiwum.rar

W interfejsie graficznym WinRARa można wybrać moduł SFX z menu pojawiającego się po naciśnięciu przycisku „SFX” (lub wydaniu polecenia „Przekształć archiwum w SFX” z menu „Polecenia”).

Następujące rozdziały zawierają informacje na temat modułów SFX WinRARa:

  • Moduły RAR i ZIP dla środowiska graficznego (Default.SFX i Zip.SFX)
  • Moduł RAR dla konsoli (tryb tekstowy) (WinCon.SFX)


Szyfrowanie

Zarówno formaty archiwów RAR jak i ZIP umożliwiają szyfrowanie plików. Aby zaszyfrować pliki należy wprowadzić hasło przed rozpoczęciem archiwizacji lub w dialogu Nazwa i parametry archiwum. W linii poleceń robi się to za pomocą opcji -p[hasło]. Aby wprowadzić hasło w interfejsie graficznym należy nacisnąć Ctrl+P, wybrać polecenie „Domyślne hasło” z menu „Plik” lub kliknąć małą ikonę klucza umieszczoną w dolnym lewym narożniku okna WinRARa. Aby wprowadzić hasło w dialogu Nazwa i parametry archiwum należy kliknąć przycisk „Wprowadź hasło” w grupie „Zaawansowane”.

W przeciwieństwie do formatu ZIP, format RAR obsługuje szyfrowanie nie tylko danych, lecz także ważnych części archiwum: nazw, rozmiarów i atrybutów plików, komentarzy i innych. Aby tego dokonać należy zaznaczyć opcję „Zaszyfruj nazwy plików” w oknie dialogowym hasła lub w linii poleceń użyć opcji -hp[hasło] zamiast -p[hasło]. W tak zabezpieczonym archiwum nie jest możliwe nawet wylistowanie nazw plików w nim zawartych.

Ciągłe archiwa RAR oraz archiwa o zaszyfrowanych nazwach plików mogą mieć tylko jedno hasło dla wszystkich zarchiwizowanych plików. Dla zwykłych (nie ciągłych) archiwów RAR o niezaszyfrowanych nazwach plików, jak również w archiwach ZIP, można używać różnych haseł dla poszczególnych plików.

Należy pamiętać o usunięciu hasła, gdy już nie jest potrzebne, w przeciwnym wypadku szyfrowane będą wszystkie pliki podczas dodawania ich do archiwów. Aby usunąć hasło, należy wprowadzić puste hasło lub zamknąć i ponownie uruchomić WinRARa. Znacznikiem istnienia hasła jest ikona klucza: jeśli hasło jest zdefiniowane, to klucz jest czerwony, w przeciwnym wypadku klucz jest żółty. Ponadto, w przypadku operacji używającej hasła, pasek tytułowy dialogu Nazwa i parametry archiwum dwukrotnie mignie.

Jeśli opcja „Użyj dla wszystkich archiwów” w monicie o hasło jest włączona i zamiast hasła jest pusty ciąg znaków, to polecenia wypakowywania i testowania plików pominą wszystkie zaszyfrowane pliki i archiwa. W tym trybie ikona klucza w pasku statusu WinRARa nie jest wyświetlana.

Nie trzeba usuwać hasła jeśli zostało ono wprowadzone bezpośrednio w dialogu Nazwa i parametry archiwum – to hasło jest stosowane tylko do danego procesu archiwizacji i jest usuwane po jego zakończeniu.

W przypadku wypakowywania zaszyfrowanych plików nie jest konieczne (aczkolwiek dopuszczalne) wprowadzanie hasła przed rozpoczęciem całej operacji. Jeśli hasło nie zostało wprowadzone przed rozpoczęciem wypakowywania i WinRAR napotka zaszyfrowany plik, użytkownik zostanie poproszony o wprowadzenie hasła.

Archiwa RAR są szyfrowane algorytmem AES-256 w trybie CBC dla formatu RAR 5.0, a dla formatu RAR 4.x algorytmem AES-128 w trybie CBC.

Domyślnie archiwa ZIP są szyfrowane algorytmem AES-256 w trybie CTR. Takie archiwa mągą być jednak niekompatybilne ze starszymi programami obsługującymi format ZIP. Aby użyć kompatybilnego algorytmu szyfrowania należy włączyć opcję „Klasyczne szyfrowanie ZIP” w dialogu wprowadzania hasła.

Choć WinRAR używa algorytmu AES-256 dla formatu RAR i ZIP, to parametry funkcji pozyskiwania klucza użytej dla formatu RAR pozwalają skuteczniej oprzeć się atakom typu „brute force”. Ponadto dla formatu RAR możliwe jest zastosowanie szyfrowania nazw i innych właściwości plików. Aby zabezpieczyć ważne informacje lepiej jest użyć do tego formatu RAR. Aby dalej zwiększyć bezpieczeństwo, należy używać haseł o długości co najmniej 8 znaków. Należy unikać używania pospolitych słów, gdyż wpływają one niekorzystnie na siłę hasła.

UWAGA: wielkość liter w haśle ma znaczenie, tzn. np. „Alamakota!84” i „alamakota!84” są dwoma różnymi hasłami. Maksymalna długość hasła wynosi 127 znaków. Dłuższe hasła są przycinane do tej długości.

Jeśli opcja szyfrowania nazw plików jest wyłączona, sumy kontrolne zaszyfrowanych plików w archiwum formatu RAR 5.0 są modyfikowane specjalną funkcją bazującą na haśle użytym do zaszyfrowania pliku. Jest to istotne ze względu na to, że można domyślić się zawartości pliku na podstawie jego sumy kontrolnej, nawet bez znajomości hasła. Takie ryzyko istnieje w szczególności dla małych plików oraz dla sumy kontrolnej typu BLAKE2. Z tego powodu sumy kontrolne zaszyfrowanych plików w archiwum RAR 5.0 nie są faktycznymi sumami kontrolnymi tych plików. Jeśli opcja szyfrowania nazw plików jest włączona, sumy kontrolne tych plików nie są modyfikowane, ponieważ dostępu do nich chroni hasło.

W przypadku utraty hasła (zapomnienie, zgubienie kartki czy notesu, gdzie było zapisane itp.) zaszyfrowane dane staną się niedostępne – algorytm szyfrowania stosowany w archiwach RAR nie posiada „kuchennych drzwi” (nie ma sposobu, aby go obejść).


Komentarz archiwum

WinRAR umożliwia dodawanie opisu do archiwów RAR i ZIP. Opis ten jest zwany komentarzem archiwum (lub komentarzem głównym – istnieje bowiem możliwość dodawania komentarzy do poszczególnych plików, lecz WinRAR ich nie obsługuje). W interfejsie graficznym WinRARa komentarz do istniejącego archiwum dodaje się za pomocą polecenia Dodaj komentarz archiwum. Aby w linii poleceń dodać komentarz archiwum z pliku, należy posłużyć się poleceniem c lub opcją -z<plik>.

Komentarz można wprowadzić również w dialogu Nazwa i parametry archiwum.

Jeśli otwarte archiwum zawiera komentarz i w ustawieniach ogólnych włączona jest opcja „Wyświetlaj komentarze archiwów”, po prawej stronie listy plików wyświetlone zostanie okno zawierające komentarz. Szerokość tego okna można zmienić przeciągając za pomocą myszki jego lewy brzeg.


Zabezpieczanie archiwów przed uszkodzeniami

Format RAR umożliwia dodanie do archiwum pewnej porcji informacji zwanej danymi naprawczymi, co oczywiście zwiększa rozmiar tego archiwum. Jeśli archiwum zawiera dane naprawcze, będzie możliwe odzyskanie danych w przypadku jego uszkodzenia (np. z powodu błędu na dysku), jeśli te uszkodzenia nie są zbyt rozległe. Naprawy archiwum można dokonać poleceniem Napraw. Format ZIP nie umożliwia dodawania danych naprawczych.

Aby dodać dane naprawcze do archiwum, należy włączyć opcję „Dodaj dane naprawcze” w dialogu Nazwa i parametry archiwum. Inna możliwość to włączenie tej opcji w domyślnym profilu kompresji. W tym przypadku dane naprawcze będą dodawane do archiwum przy każdej jego modyfikacji.

Aby dodać dane naprawcze w linii poleceń należy użyć opcji -rr[N] w połączeniu z dowolnym poleceniem modyfikującym lub tworzącym archiwum, lub polecenia rr[N] (aby dodać dane naprawcze do istniejącego już archiwum).

Format RAR 5.0 używa korekcji błędów Reeda-Solomona. Jego wydajność w przypadku naprawy pojedynczego uszkodzenia jest zbliżona do formatu RAR 4.x, umożliwiając odzyskanie nieco mniej danych niż rozmiar danych naprawczych, lecz przewyższa format RAR 4.x w przypadku wielomiejscowego uszkodzenia czy przemieszczenia danych.

Dla formatu RAR 4.x dane naprawcze składają się z 512-bajtowych sektorów, a tych sektorów może być nie więcej niż 524288. Z tego wynika, że rozmiar danych naprawczych, a jednocześnie obszar, który może być dzięki nim naprawiony, jest ograniczony do 256 MB. Dla formatu RAR 5.0 maksymalny rozmiar danych naprawczych to 1000% (10-krotność) rozmiaru archiwum.

Rozmiar danych naprawczych, w procentach, może być określony w zakładce „Zaawansowane” w dialogu „Nazwa i parametry archiwum”, lub po użyciu polecenia Zabezpiecz archiwum. Większe dane naprawcze umożliwiają naprawienie większego uszkodzenia, lecz także bardziej zwiększają rozmiar archiwum i są przetwarzane wolniej. Zwykle 3 - 10% rozmiaru archiwum jest wartością wystarczającą. Ze względu na dodatkowe dane faktyczny rozmiar danych naprawczych może się nieco różnić od wybranego, a ta różnica jest większa dla małych archiwów.

Aby naprawić uszkodzone archiwum, które zawiera dane naprawcze, należy użyć polecenia „Napraw” (w interfejsie graficznym WinRARa). W linii poleceń służy do tego polecenie r. Naprawione archiwum otrzyma nazwę fixed.nazwa_archiwum.rar, gdzie „nazwa_archiwum” jest nazwą oryginalnego (uszkodzonego) archiwum. Jeśli uszkodzone archiwum nie zawiera danych naprawczych lub jeśli nie zostało całkowicie naprawione z uwagi na rozległe uszkodzenia, rozpoczyna się drugi etap naprawy, podczas którego rekonstruowana jest tylko struktura archiwum i nie będzie możliwości odzyskania uszkodzonych plików. Celem tego etapu jest umożliwienie odzyskania nieuszkodzonych plików, które do tej pory były niedostępne z uwagi na uszkodzoną strukturę archiwum. Jest to użyteczne głównie w przypadku zwykłych (nie ciągłych) archiwów. Rekonstrukcja struktury nie jest przeprowadzana w przypadku archiwów o zaszyfrowanych nazwach plików - jest to możliwe tylko wtedy, jeśli archiwum posiada dane naprawcze.

Po zakończeniu drugiego etapu naprawione archiwum otrzymuje nazwę rebuilt.nazwa_archiwum.rar, gdzie „nazwa_archiwum” jest nazwą oryginalnego archiwum.

Dane naprawcze formatu RAR 5.0 są bardziej odporne na uszkodzenie i mogą być wykorzystane nawet gdy same są częściowo uszkodzone. Należy mieć na uwadze, że polecenie „Napraw” nie naprawia samych danych naprawczych, jedynie zawartość zarchiwizowanych plików. Po pomyślnej naprawie może się okazać konieczne utworzenie nowych danych naprawczych dla zapisanych plików.

Chociaż dane naprawcze zwiększają szanse naprawy uszkodzonego archiwum, to nie dają pełnej gwarancji. Należy rozważyć podwójne zabezpieczenie - oprócz dodania danych naprawczych warto przechowywać na różnych nośnikach kilka kopii archiwum zawierającego ważne dane.


Blokowanie archiwów

Archiwa w formacie RAR można zablokować. WinRAR nie może modyfikować zablokowanych archiwów, więc zablokowanie archiwum zapobiega jego przypadkowej modyfikacji przez WinRARa. Może to być przydatne szczególnie w przypadku masowych operacji na grupie archiwów.

Blokowanie archiwum nie służy zapobieżeniu modyfikacji archiwum przez inne programy niż WinRAR.

W interfejsie graficznym WinRARa do zakładania blokady służy polecenie „Zablokuj archiwum”, a w linii poleceń – polecenie k.


Jak zoptymalizować ustawienia archiwizacji

Przed utworzeniem nowego archiwum wyświetlane jest okno z kilkoma parametrami dotyczącymi kompresji. Najpierw należy wybrać jego format archiwum - może to być RAR, ZIP lub RAR4. Format ZIP jest preferowany jeżeli nie ma pewności, czy odbiorca archiwum posiada WinRARa lub inny program zdolny rozpakować archiwum RAR. W przeciwnym wypadku zaleca się używanie formatu RAR, który ma więcej możliwości i charakteryzuje się lepszym stopniem kompresji. RAR4 jest poprzednią wersją formatu RAR, która nie obsługuje paru istotnych zmian wprowadzonych wraz z formatem RAR5 (w roku 2013), jak np. szyfrowania AES-256, wydajniejsze dane naprawcze, większe rozmiary słownika kompresji. Niektóre starsze programy, w tym poprzednie wersje WinRARa (wcześniejsze niż wersja 5.0), nie są w stanie rozpakować archiwum w najnonwszym formacie RAR. Aby utworzyć archiwum kompatybilne z wcześniejszymi wersjami należy wybrać format RAR4.

Niezależnym krokiem od wyboru typu archiwum jest wybranie metody kompresji. WinRAR umożliwia wybranie jednej z sześciu metod: „bez kompresji”, „najszybsza”, „szybka”, „normalna”, „dobra” i „najlepsza”. Metoda „najlepsza” umożliwia uzyskanie najwyższego stopnia kompresji, co odbija się na czasie kompresji (jest najwolniejsza); metoda „najszybsza” kompresuje słabo lecz jest bardzo szybka; metoda „bez kompresji” tylko łączy pliki bez ich kompresowania. Jeżeli dane archiwum jest przeznaczone do dystrybucji lub do przechowywania przez długi czas bez modyfikacji, zaleca się użycie „najlepszej” metody. Jeżeli archiwum jest dzienną kopią bezpieczeństwa, najlepiej wybrać „najszybszą” metodę. „Normalna” metoda jest zalecana do normalnego użycia, np. kompresowanie załączników poczty elektronicznej.

Jeżeli formatem archiwum jest ZIP, na tym etapie kończą się przygotowania do utworzenia archiwum. Archiwa formatu RAR i RAR5 posiadają jeszcze dwie ważne cechy zwiększające efektywność kompresji: zmienny rozmiar słownika kompresji oraz możliwość tworzenia ciągłych archiwów.

Słownik kompresji to obszar pamięci używany do wyszukiwania i kompresowania powtarzających się fragmentów danych. Większy rozmiar słownika zwykle umożliwia osiągnięcie większego stopnia upakowania dużych plików, zwłaszcza w przypadku ciągłego archiwum. Ma to swoją cenę, gdyż większy rozmiar słownika powoduje spadek prędkości kompresji oraz wymaga większej ilości pamięci. Rekomendowane wielkości słowników to 4 MB dla formatu RAR i 32 MB dla fromatu RAR5 (RAR 5.0). Więcej informacji na temat słownika kompresji znajduje się w tym rozdziale.

Opcja „Utwórz ciągłe archiwum” powoduje, że WinRAR traktuje wszystkie archiwizowane pliki jako jeden ciągły strumień danych, co przekłada się na wyższy stopień kompresji, zwłaszcza podczas archiwizowania dużej liczby małych podobnych do siebie plików. Ma to swoją cenę, gdyż takie archiwum jest wolniej przetwarzane w przypadku jego modyfikacji oraz występuje większe ryzyko utraty danych w przypadku uszkodzenia archiwum. Więcej informacji na ten temat znajduje się w tym rozdziale.

To wszystkie ustawienia główne, które mają wpływ na jakość i szybkość kompresji. Nie trzeba ich ustawiać za każdym razem przed archiwizacją. Wystarczy ustawić opcje domyślne w domyślnym profilu kompresji, który może zostać utworzony w dialogu ustawienia kompresji.


Wprowadzenie do interfejsu WinRARa

Ten rozdział pokrótce opisuje główne elementy interfejsu graficznego WinRARa.

WinRAR posiada następujące rozwijane menu: Plik, Polecenia, Narzędzia, Ulubione, Opcje i Pomoc. Poszczególne rozdziały zawierają szczegółowe informacje o danym menu.

Następnym elementem jest pasek narzędzi. Znajduje się on pomiędzy paskiem menu i listą plików. Przyciski na nim mają swoje odpowiedniki w poleceniach zawartych w menu Polecenia (wszystkie polecenia z tego menu mają ponadto skróty klawiaturowe). Podczas gdy WinRAR znajduje się w trybie obsługi archiwum (wyświetla zawartość archiwum), niektóre przyciski mogą być niedostępne, jeśli operacje przez nie wywoływane nie mogą być wykonane na danym archiwum. Wyboru przycisków do wyświetlenia oraz zmiany ich wyglądu można dokonać za pomocą odpowiednich opcji w ustawieniach ogólnych lub przez kliknięcie paska narzędzi prawym klawiszem myszki.

Poniżej paska narzędzi znajduje się mały przycisk ze strzałką skierowaną ku górze oraz lista dysków. Przycisk ten przechodzi do foldera nadrzędnego w stosunku do bieżącego. Lista dysków służy do zmiany bieżącego dysku lub sieci. można ją rozwinąć za pomocą myszki lub klawisza F4. Zarówno listę dysków jak i przycisk „do góry” można przeciągnąć na pasek narzędzi. Listę dysków można aktywować również przez naciśnięcie Ctrl+D lub kliknięcie małej ikony dysku znajdującej się w lewym dolnym narożniku okna WinRARa (na pasku statusu).

Lista plików umieszczona jest poniżej paska narzędzi. Lista ta może zawierać albo pliki i foldery znajdujące się na dysku albo zawartość archiwum. Te dwa stany to, odpowiednio: tryb obsługi plików i tryb obsługi archiwum. Dla każdego pliku wyświetlane są następujące informacje: w trybie obsługi plików – nazwa, rozmiar, typ pliku oraz data i czas ostatniej modyfikacji; w trybie obsługi archiwum dochodzą jeszcze dwa parametry – rozmiar po archiwizacji oraz sumę kontrolną. Suma kontrolna jest specjalną wartością wyliczaną z zawartości pliku, która może pomóc stwierdzić, czy plik został uszkodzony. WinRAR może wyliczyć sumę kontrolną używając algorytmu CRC32 lub BLAKE2.

Wszystkie parametry wyświetlane są w osobnych kolumnach. Klikając w tytuł (nagłówek) kolumny można zmienić porządek sortowania (niebieska strzałka wskazuje argument i kolejność sortowania). Ponadto za pomocą myszki można zmienić szerokość kolumn – przez przeciąganie separatorów kolumn (wąskich przerw pomiędzy kolumnami). Aby ustawić więcej opcji dla listy plików należy posłużyć się Ustawieniami listy plików.

Jeśli zarchiwizowany plik jest zaszyfrowany, za jego nazwą znajduje się znak * („gwiazdka”). Jeśli plik jest podzielony między woluminy i jego dalsza część znajduje się w następnym woluminie, za jego nazwą znajduje się ciąg znaków „-->”. Jeśli plik rozpoczął się w poprzednim woluminie, za jego nazwą znajdują się znaki „<--”. Jeśli natomiast część pliku znajduje się w poprzednim, bieżącym i następnym woluminie, za jego nazwą znajdują się znaki „<->”.

Zanim będzie można dokonać jakichkolwiek operacji na plikach należy te pliki zaznaczyć (wybrać z listy). Poza standardowymi metodami zaznaczania plików w środowisku Windows WinRAR oferuje kilka innych możliwości: przez naciśnięcie klawisza Spacji, Ins, „Szary +”, „Szary –”. Więcej informacji na ten temat znajduje się w rozdziale Zaznaczanie plików.

Poruszanie się po liście plików: Backspace, Ctrl+PageUp lub dwukrotne kliknięcie folderu o nazwie „..” spowoduje przejście do folderu nadrzędnego (zarówno na dysku jak i w archiwum) lub wyjście z archiwum (jeśli bieżącym folderem archiwum jest jego główny folder); naciśnięcie Enter, Ctrl+PageDown lub dwukrotne kliknięcie nazwy folderu lub archiwum spowoduje jego otwarcie; Ctrl+\ spowoduje przejście do głównego folderu na dysku lub, w trybie obsługi archiwum, wyjście z archiwum do folderu, w którym się ono znajduje.

Przy użyciu Ctrl+PgDn można spróbować otworzyć plik jako archiwum w sytuacji, gdy posiada on rozszerzenie nie wskazujące na to, że jest to archiwum. Na przykład, aby sprawdzić, czy plik .exe jest tak naprawdę samorozpakowującym się archiwum (bez uruchamiania go), należy wcisnąć Ctrl+PgDn na jego nazwie. Jeśli plik okaże się archiwum, to WinRAR wyświetli jego zawartość.

Po kliknięciu listy plików prawym klawiszem myszki ukaże się menu podręczne zawierające polecenia obsługi plików i obsługi interfejsu. Polecenia te są również dostępne przez zwykłe menu WinRARa, pasek narzędzi i klawiaturę.

Lewa część okna WinRARa może zawierać panel z drzewem folderów (wyświetlanie tego panelu można włączyć za pomocą poleceń znajdujących się w podmenu „Drzewo folderów” w menu Opcje). Za pomocą tego panelu można w łatwy sposób poruszać się po folderach znajdujących się na dysku lub w archiwum. Aby zmienić szerokość panelu należy chwycić za pomocą myszki i przesunąć jego prawą krawędź.

W zależności od wartości opcji „Wyświetlaj komentarze archiwów” w ustawieniach ogólnych i obecności komentarza w otwartym archiwum, po prawej stronie listy plików zostanie wyświetlone okno zawierające komentarz archiwum. można zmienić jego szerokość poprzez przeciągnięcie jego lewej krawędzi za pomocą myszki.

poniżej listy plików znajduje się pasek stanu. Jego lewa część zawiera dwie ikony: dysk i klucz. Kliknięcie ikony dysku umożliwia zmianę bieżącego napędu. Kliknięcie ikony klucza umożliwia zmianę (lub wprowadzenie nowego) hasła. Te same operacje można wykonać wywołując odpowiednie polecenia z menu „Plik”. Domyślnie ikona klucza jest żółta, lecz jeśli zostanie wprowadzone hasło, ikona zmieni kolor na czerwony. W środkowej części paska wyświetlone są albo całkowity rozmiar zaznaczonych plików albo informacje o bieżącej operacji. Prawa część paska statusu zawiera liczbę i całkowity rozmiar plików w bieżącym folderze.


Tryb obsługi plików i tryb obsługi archiwum

Interfejs graficzny WinRARa może znajdować się w dwóch trybach: trybie obsługi plików lub trybie obsługi archiwum.

W trybie obsługi plików wyświetlona jest lista plików i folderów znajdujących się w bieżącym folderze. Pliki te i foldery można zaznaczać za pomocą myszki lub klawiatury, i wykonywać na nich różne operacje, takie jak usuwanie czy archiwizacja. W tym trybie można ponadto wypakowywać i testować całe grupy archiwów.

W trybie obsługi archiwum wyświetlona jest lista zarchiwizowanych plików i folderów znajdujących się w otwartym archiwum. W tym trybie można wykonywać operacje specyficzne dla archiwów – wypakowywanie, testowanie plików, dodawanie komentarza archiwum itp.

W obu trybach można poruszać się między folderami. Aby przejść do folderu nadrzędnego należy nacisnąć klawisz Backspace, Ctrl+PageUp, lub dwukrotnie kliknąć folder o nazwie „..”. Ta sama operacja wykonana w głównym folderze archiwum spowoduje zamknięcie archiwum i powrót WinRARa do trybu obsługi plików. Aby wejść do folderu lub otworzyć archiwum należy na jego nazwie nacisnąć klawisz Enter, Ctrl+PageDown lub dwukrotnie kliknąć tę nazwę. Naciśnięcie Ctrl+\ spowoduje przejście do folderu głównego na bieżącym dysku, lub, w przypadku archiwum, zamknięcie archiwum i przejście do folderu, w którym to archiwum się znajduje obsługi plików.

Aby uruchomić WinRARa w trybie obsługi plików wystarczy dwukrotnie kliknąć jego ikonę lub uruchomić go z linii poleceń bez dodatkowych parametrów.

Aby uruchomić WinRARa w trybie obsługi archiwum należy uruchomić go w trybie obsługi plików i otworzyć dowolne archiwum (np. za pomocą polecenia „Otwórz archiwum” z menu „Plik”). Aby od razu uruchomić go w trybie obsługi archiwum należy wywołać WinRARa z linii poleceń z dodatkowym parametrem – nazwą archiwum, lub, jeśli WinRAR jest skojarzony z danym typem archiwum (patrz Ustawienia integracji), dwukrotnie kliknąć ikonę archiwum.


Zaznaczanie plików

Przed wykonaniem jakiejkolwiek operacji należy zaznaczyć pliki i foldery, które mają jej być poddane.

Aby wykonać operację na jednym pliku wystarczy go wskazać i wykonać operację. Metod zaznaczania plików jest kilka. Podobnie jak w innych aplikacjach w Windows można użyć klawiszy kursora i lewego klawisza myszki wraz z klawiszem Shift, aby zaznaczyć grupę plików będących obok siebie. Aby zaznaczać pojedyncze pliki należy posłużyć się myszką i klawiszem Ctrl. Aby zaznaczyć wszystkie pliki i foldery znajdujące się w bieżącym folderze, należy nacisnąć Ctrl+A lub użyć polecenia „Wybierz wszystkie” z menu „Plik”.

Wszystkie metody opisane powyżej umożliwiają „tymczasowe” zaznaczanie, które znika po poruszeniu kursora. Choć takie zaznaczanie wystarcza w większości przypadków, czasem wygodnie jest zaznaczyć pliki i móc poruszać się po bieżącym folderze bez usuwania zaznaczenia. Do tego służą następujące metody zaznaczania:

Spacja | Zaznacza plik znajdujący się pod kursorem i przesuwa kursor o jedną pozycję w dół. Naciśnięcie klawisza Spacji na zaznaczonym pliku powoduje zdjęcie zaznaczenia.
Szara * (na klawiaturze numerycznej) | Odwraca zaznaczenie (zaznaczone pliki stają się niezaznaczone i odwrotnie)
Szary + (na klawiaturze numerycznej) | Zaznacza pliki pasujące do wprowadzonej maski
Szary - (na klawiaturze numerycznej) | Zdejmuje zaznaczenie z plików pasujących do wprowadzonej maski

Jeśli żaden plik nie został zaznaczony przed rozpoczęciem wypakowywania lub testowania, wypakowane lub przetestowane zostaną wszystkie pliki. Zasada ta obowiązuje tylko dla tych dwóch operacji.


Motywy

Motywy interfejsu WinRARa umożliwiają zmianę jego domyślnej szaty graficznej. Motywy są to archiwa RAR mające rozszerzenie „.theme.rar”. można je pobrać w dziale „Themes” na stronie domowej WinRARa. Aby zainstalować nowy motyw, wystarczy otworzyć go za pomocą WinRARa w taki sam sposób, jak normalnie otwiera się archiwa - WinRAR wyświetli zapytanie o potwierdzenie instalacji motywu.

Lista zainstalowanych motywów jest dostępna w podmenu „Motywy” znajdującym się w menu „Opcje”. Aby aktywować motyw, należy wybrać jedną z dostępnych tam pozycji. Menu zawiera również polecenia „Zarządzaj motywami” (zawierające funkcje do zarządzania motywami) oraz „Pobierz więcej motywów”, które otwiera stronę internetową z motywami.

Pliki motywów są przechowywane w podfolderze „Themes” w folderze %APPDATA%\WinRAR.


Pomocnik

Pomocnik jest przeznaczony dla nowych użytkowników. Umożliwia wykonanie podstawowych operacji archiwizacji i wypakowania za pomocą okien dialogowych ułatwiających kolejne działania.

Aby uruchomić Pomocnika należy wcisnąć przycisk Pomocnik na pasku narzędziowym WinRARa. Domyślnie przycisk ten jest widoczny zarówno podczas gdy WinRAR jest wewnątrz jak i na zewnątrz archiwum, lecz można go ukryć lub pokazać jak każdy inny przycisk za pomocą polecenia „Wybierz przyciski...” w dialogu ustawień ogólnych. Inną opcją w tym samym dialogu jest „Uruchom Pomocnika przy starcie”, która, jeśli jest włączona, powoduje że Pomocnik zostanie uruchomiony automatycznie po starcie WinRARa.

Każde okienko Pomocnika zawiera krótki tekst, który opisuje jego zawartość oraz możliwe do wykonania operacje. Aby uzyskać więcej informacji należy nacisnąć przycisk Pomoc.


Pomocnik: Wybierz operację

Tu należy wybrać operację do wykonania.

Jeśli chcesz rozpakować archiwum RAR, ZIP lub inne, wybierz „Rozpakuj archiwum”.

Jeśli chcesz utworzyć nowe archiwum zawierające skompresowane pliki, wybierz „Utwórz nowe archiwum”. Skompresowane pliki łatwiej się przesyła pocztą elektroniczną czy przechowuje na dyskach wyjmowalnych, ponieważ zajmują mniej miejsca.

Jeśli chcesz dodać pliki do istniejącego archiwum zamiast tworzyć nowe, wybierz „Dodaj pliki do istniejącego archiwum”.

Po wybraniu operacji naciśnij przycisk „Dalej” umieszczony u dołu okna. Jeśli wybraną operacją jest „Utwórz nowe archiwum” lub „Dodaj pliki do istniejącego archiwum”, zostanie wyświetlone okno, w którym należy wskazać pliki, które mają być umieszczone w archiwum. W przypadku operacji „Rozpakuj archiwum” od razu zostanie wyświetlone okno „Wybierz archiwum”.


Pomocnik: Wybierz archiwum

Tu należy wskazać archiwum przeznaczone do rozpakowania.

Naciśnij przycisk „Przeglądaj”, wyszukaj i zaznacz archiwum i naciśnij przycisk „Otwórz”. Zamiast używać przycisk „Przeglądaj” możesz również przeciągnąć ikonę archiwum na to okno.

Po wybraniu nazwy archiwum naciśnij przycisk „Dalej” umieszczony u dołu okna.

Czasem WinRAR może zaproponować nazwę któregoś z umieszczonych na Pulpicie archiwów. Jeśli jest to to archiwum, które chcesz rozpakować, po prostu naciśnij przycisk „Dalej”; jeśli nie – wybierz inne archiwum postępując jak opisano powyżej.


Pomocnik: Wybierz archiwum

Tu należy wskazać archiwum, które ma zostać utworzone lub zaktualizowane.

Jeśli tworzysz nowe archiwum, zwykle WinRAR proponuje jego nazwę. Można ją zaakceptować lub wprowadzić inną. Jeśli pole „Domyślny folder dla archiwów” w ustawieniach kompresji nie jest puste, WinRAR zaproponuje utworzenie archiwum w tym folderze, w przeciwnym wypadku proponowana nazwa nie zawiera ścieżki i archiwum zostanie utworzone na Pulpicie. Aby utworzyć archiwum w innym folderze należy nacisnąć przycisk „Przeglądaj”, przejść do żądanego foldera, wpisać nazwę archiwum w polu „Nazwa pliku” i nacisnąć przycisk „Otwórz”.

Jeśli dodajesz pliki do istniejącego archiwum, również możesz użyć przycisku „Przeglądaj” w celu zlokalizowania archiwum lub przeciągnąć ikonę archiwum na to okno.

Po wybraniu nazwy archiwum naciśnij przycisk „Dalej” umieszczony u dołu okna.


Pomocnik: Wybierz folder dla wypakowywanych plików

Tu należy wskazać folder, do którego zostaną wypakowane pliki.

Domyślnie WinRAR proponuje utworzenie ich w folderze określonym za pomocą pola „Domyślny folder dla archiwów” w ustawieniach folderów, lub na Pulpicie, jeśli pole to jest puste. możesz zaakceptować zaproponowaną nazwę lub nacisnąć przycisk „Przeglądaj” i wskazać inny folder.

Po wybraniu nazwy foldera naciśnij przycisk „Zakończ” umieszczony u dołu okna. Rozpocznie się rozpakowywanie archiwum.


Pomocnik: Opcje archiwizacji

Tu można zmienić kilka parametrów archiwizacji.

Jeśli bardziej zależy Ci na szybkości niż na jakości kompresji, włącz opcję „Szybsza, lecz mniej wydajna kompresja”.

Jeśli po zarchiwizowaniu chcesz usunąć pliki z dysku, włącz opcję „Usuń pliki po umieszczeniu ich w archiwum”.

Jeśli chcesz utworzyć samorozpakowujące się archiwum, włącz opcję „Utwórz samorozpakowujące się archiwum (plik .exe)”. Takie archiwum nie musi być rozpakowane przez WinRARa – aby je rozpakować wystarczy je uruchomić (dwukrotnie kliknąć na jego ikonę).

Przycisk „Ustaw hasło” służy do wprowadzenia hasła, jeśli chcesz zabezpieczyć archiwum. Nie zapomnij tego hasła, w przeciwnym wypadku stracisz możliwość wypakowania plików z tego archiwum.

Jeśli tworzysz nowe archiwum, możesz podzielić je na mniejsze części (zwane woluminami). Czasem wygodniej jest mieć kilka mniejszych plików niż jeden duży. Aby podzielić archiwum wprowadź rozmiar pojedynczej części w pole znajdujące się w pobliżu dołu okna. Rozmiar można określić w bajtach, kilobajtach, megabajtach lub gigabajtach. Wystarczy wybrać odpowiednią opcję z rozwijanej listy znajdującej się po prawej stronie pola rozmiaru woluminu. Dopuszczalne jest użycie ułamków dziesiętnych.

Jeśli aktualizujesz istniejące archiwum, opcje tworzenia samorozpakowującego się archiwum i dzielenia go na części są wyłączone. Opcje te są dostępne tylko podczas tworzenia nowego archiwum.

Wszystkie przedstawione tu parametry są opcjonalne – nie trzeba ich zmieniać.

Aby rozpocząć proces archiwizacji naciśnij przycisk „Zakończ” umieszczony u dołu okna.


Podglądanie zawartości plików

Po wywołaniu polecenia „Podejrzyj plik” WinRAR wyświetla w oknie wbudowanej przeglądarki zawartość pliku znajdującego się pod kursorem, niezależnie od typu pliku i ustawień podglądu. Co innego w przypadku naciśnięcia klawisza Enter na nazwie pliku znajdującego się pod kursorem – jeśli ten plik to archiwum, wtedy WinRAR je otworzy i wyświetli listę plików i folderów znajdujących się w nim; w przypadku innych plików działanie, jakie podejmie WinRAR zależy od różnych opcji w ustawieniach podglądu. W ustawieniach podglądu można zmusić WinRARa do używania zawsze wbudowanej przeglądarki, do otwierania pliku za pomocą zewnętrznej przeglądarki, do wywoływania programu skojarzonego z typem tego pliku lub do pytania użytkownika o typ przeglądarki za każdym razem.

WinRAR może wyświetlać zawartość tak normalnych plików jak i tych znajdujących się w archiwum. Jeśli wywoływana jest zewnętrzna przeglądarka, WinRAR wypakowuje dany plik do folderu tymczasowego, przekazuje nazwę tego pliku przeglądarce i czeka na zakończenie jej działania, po czym sprawdza, czy plik nie został przez nią zmodyfikowany i w zależności od tego oferuje aktualizację tego pliku w archiwum. Po zakończeniu całego cyklu plik jest usuwany z folderu tymczasowego.

W przypadku naciśnięcia klawisza Enter na nazwie pliku wykonywalnego scenariusz postępowania jest nieco inny. WinRAR wypakowuje nie tylko ten plik, lecz zawartość całego archiwum do folderu tymczasowego, uruchomi dany plik wykonywalny, po którego zakończeniu zaproponuje aktualizację archiwum (jeśli wypakowane pliki zostały zmienione przez uruchomiony program), po czym usunie folder tymczasowy wraz z całą zawartością. Zapewnia to wygodny sposób instalacji programów bezpośrednio z archiwów.


Podgląd wbudowany

Polecenia wbudowanego podglądu plików:

Menu/Polecenie | Klawisz skrótu | Funkcja
Plik/Zakończ | Alt+F4, Ctrl+W | Kończy działanie wbudowanego podglądu
Edycja/Kopiuj | Ctrl+C | Kopiuje zaznaczony tekst do Schowka
Edycja/Zaznacz wszystko | Ctrl+A | Zaznacza cały wyświetlany tekst
Edycja/Znajdź | Ctrl+F | Szuka podanego ciągu znaków w podglądanym tekście
Edycja/Znajdź następny | F3 | Szuka następnego wystąpienia znalezionego uprzednio ciągu
Widok/Format Windows | Ctrl+I | Wyświetla tekst przy użyciu kodowania ANSI (domyślnie)
Widok/Format DOS | Ctrl+D | Wyświetla tekst przy użyciu kodowania DOS
Widok/Format Unicode (UTF-16LE) |  | Wyświetla tekst przy użyciu kodowania Unicode UTF-16 (little endian)
Widok/Format Unicode (UTF-8) |  | Wyświetla tekst przy użyciu kodowania Unicode UTF-8
Widok/Zawijanie wierszy | Ctrl+S | Włącza i wyłącza zawijanie wierszy
Widok/Czcionka |  | Wybiera czcionkę używaną do wyświetlania tekstu
Pomoc/Pomoc dla podglądu | F1 | Wyświetla pomoc

Aby przełączyć bieżące kodowanie (z DOS na WINDOWS i odwrotnie) można również kliknąć prawą część paska statusu. Domyślne kodowanie można ustawić w ustawieniach podglądu.


Polecenie „Dodaj do archiwum”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum.

W trybie obsługi plików najpierw należy zaznaczyć pliki i foldery przeznaczone do archiwizacji, a następnie wywołać polecenie „Dodaj do archiwum” za pomocą menu „Polecenia”, przycisku „Dodaj” na pasku narzędzi lub skrótu klawiatury Alt+A. Teraz, w dialogu Nazwa i parametry archiwum, wystarczy wprowadzić nazwę archiwum i, ewentualnie, zmienić kilka parametrów archiwizacji a następnie kliknąć przycisk „OK”, aby rozpocząć archiwizację.

W trybie obsługi archiwum najpierw należy wywołać polecenie „Dodaj do archiwum” a następnie wybrać pliki do archiwizacji oraz wprowadzić nazwę i parametry archiwum jak to opisano powyżej.

Odpowiednik linii poleceń: polecenie „a”


Polecenie „Wypakuj do wybranego folderu”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum.

W trybie obsługi archiwum należy najpierw zaznaczyć zarchiwizowane pliki i foldery, które są przeznaczone do wypakowania. Następnie należy użyć polecenia „Wypakuj do wybranego folderu” z menu „Polecenia”, przycisku „Wypakuj do...” z paska narzędzi lub skrótu klawiaturowego Alt+E. W wyświetlonym oknie dialogowym Folder docelowy i opcje wypakowywania można wskazać folder, w którym zostaną umieszczone wypakowane pliki jak również zmienić, jeśli to konieczne, niektóre opcje wypakowywania. Po zatwierdzeniu parametrów i zamknięciu okna WinRAR rozpocznie wypakowywanie plików.

W trybie obsługi plików możliwe jest rozpakowanie wielu archiwów na raz. Operacja ta jest podobna do tej opisanej powyżej, lecz zamiast zaznaczania plików w archiwum należy zaznaczyć archiwa i foldery, w których WinRAR powinien poszukiwać archiwów. Jeśli WinRAR znajdzie jakieś archiwum wyświetli okno opcji wypakowywania, po którego zamknięciu wszystkie znalezione archiwa zostaną rozpakowane.

Odpowiednik linii poleceń: polecenie „x”


Polecenie „Testuj pliki”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum.

W trybie obsługi archiwum należy najpierw zaznaczyć zarchiwizowane pliki i foldery, które są przeznaczone do przetestowania. Następnie należy użyć polecenia „Testuj pliki” z menu „Polecenia”, przycisku „Testuj” z paska narzędzi lub skrótu klawiaturowego Alt+T.

Wszystkie błędy napotkane podczas testowania zostaną wyświetlone w oknie diagnostycznym. Po pomyślnej operacji testowania WinRAR wyświetli odpowiedni komunikat.

W trybie obsługi plików możliwe jest testowanie wielu archiwów na raz. Operacja ta jest podobna do tej opisanej powyżej, lecz zamiast zaznaczania plików w archiwum należy zaznaczyć archiwa i foldery, w których WinRAR powinien poszukiwać archiwów. Po zakończeniu wyszukiwania WinRAR przetestuje zawartość wszystkich znalezionych archiwów.

Odpowiednik linii poleceń: polecenie „t”


Polecenie „Podejrzyj plik”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Otwiera ono, w oknie wbudowanego podglądu, plik znajdujący się pod kursorem. Polecenie to można wywołać: z menu „Polecenia”, przyciskiem „Podejrzyj” (znajdującym się na pasku narzędzi) lub skrótem klawiaturowym Alt+V.

Patrz także: Podgląd wbudowany, Podglądanie zawartości plików


Polecenie „Usuń pliki”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. W trybie obsługi plików powoduje ono przeniesienie plików i folderów do Kosza, więc istnieje szansa odzyskania przypadkowo usuniętych danych, natomiast w trybie obsługi archiwum pliki i foldery są permanentnie usuwane z archiwum i nie ma możliwości ich odzyskania. Polecenie to wywołuje się z menu „Polecenia”, przyciskiem „Usuń” z paska narzędzi lub używając skrótu klawiaturowego Alt+D lub klawisza Delete.

Aby w trybie obsługi plików od razu usunąć pliki (nie przenosić do Kosza) należy, przytrzymując klawisz Shift, nacisnąć klawisz Delete. W ten sposób można usuwać nawet pliki posiadające atrybut tylko-do-odczytu, jak również mające niestandardowe nazwy, np. ze spacjami czy kropkami na końcu. Usunięcie takich plików do Kosza może się nie powieść.

Odpowiednik linii poleceń: polecenie „d”


Polecenie „Zmień nazwę pliku”

Polecenie to umożliwia zmianę nazwy pliku lub foldera znajdującego się pod kursorem. Dostępne jest zarówno wtrybie obsługi plików jak i w trybie obsługi archiwum. Zmiana nazw plików w archiwach jest możliwa dla archiwów w formacie RAR i ZIP. Polecenie to można wywołać z menu „Polecenia” lub za pomocą klawisza F2.

Polecenie to ma pewne ograniczenia podczas pracy z wieloczęściowymi archiwami. Zmiany nazwy można dokonać tylko dla plików znajdujących się w bieżącym woluminie. Aby zmieniać nazwy plików w woluminach należy wyłączyć opcję „Połącz zawartość woluminów” w oknie ustawień listy plików i otworzyć odpowiedni wolumin.

Należy zachować ostrożność przy wpisywaniu nowej nazwy pliku. Jeśli zawiera ona znaki niedozwolone przez system plików, mogą wystąpić problemy podczas wypakowywania tego pliku. W takiej sytuacji wystarczy zmienić nazwę pliku na taką, która nie przysporzy problemów.

Odpowiednik linii poleceń: polecenie „rn”


Polecenie „Drukuj plik”

Polecenie to umożliwia wydrukowanie pliku znajdującego się pod kursorem. Dostępne jest zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Polecenie to można wywołać z menu „Polecenia” lub za pomocą kombinacji klawiszy Ctrl+I.


Polecenie „Wypakuj pliki z archiwum”

Polecenie „Wypakuj bez potwierdzenia”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Jeśli żadne archiwum nie jest aktualnie otwarte w oknie WinRARa, należy zaznaczyć zarchiwizowane pliki i foldery, które są przeznaczone do wypakowania. Jeśli WinRAR jest w trybie obsługi plików, należy najpierw zaznaczyć pliki i foldery, które będą przeszukane na okoliczność istnienia archiwów. Następnie należy użyć polecenia „Wypakuj bez potwierdzenia” z menu „Polecenia”, przycisku „Wypakuj” z paska narzędzi lub skrótu klawiaturowego Alt+W. Zaznaczone pliki zostaną wypakowane do bieżącego folderu lub do domyślnego folderu dla wypakowywanych plików (jeśli jest ustawiony w ustawieniach folderów. Aby wskazać inny folder docelowy lub zmienić niektóre opcje wypakowywania, należy zamiast tego posłużyć się poleceniem Wypakuj do wybranego folderu.

Odpowiednik linii poleceń: polecenie „x”


Polecenie „Dodaj komentarz archiwum”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Jeśli w oknie WinRARa jest akurat otwarte archiwum, nie trzeba zaznaczać plików, wystarczy użyć polecenia „Dodaj komentarz archiwum” z menu „Polecenia”, przycisku „Komentarz...” z paska narzędzi lub skrótu klawiaturowego Alt+M, a następnie wprowadzić komentarz archiwum w wyświetlonym oknie dialogowym. Jeśli WinRAR jest w trybie obsługi plików, należy najpierw zaznaczyć pliki i foldery, które będą przeszukane na okoliczność istnienia archiwów.

Odpowiedniki linii poleceń: polecenie „c”, opcja -z<plik>


Polecenie „Zabezpiecz archiwum przed uszkodzeniami”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Jeśli w oknie WinRARa jest akurat otwarte archiwum, nie trzeba zaznaczać plików, wystarczy użyć polecenia „Zabezpiecz archiwum przed uszkodzeniami” przy użyciu menu „Polecenia”, przycisku „Zabezpiecz” z paska narzędzi lub skrótu klawiaturowego Alt+P. Jeśli WinRAR jest w trybie obsługi plików, należy najpierw zaznaczyć pliki i foldery, które będą przeszukane na okoliczność istnienia archiwów.

Polecenie to dodaje dane naprawcze do otwartego lub zaznaczonego archiwum. Dane naprawcze mogą w znaczący ułatwić późniejszą naprawę archiwum, gdy ulegnie ono uszkodzeniu (np. z powodu błędu na dyskietce). Polecenie to jest dostępne tylko dla archiwów w formacie RAR.

Jeśli otwarte archiwum jest pierwszym woluminem archiwum wieloczęściowego, można dla niego utworzyć również woluminy naprawcze. Wystarczy w tym celu wprowadzić liczbę plików .rev do utworzenia. Liczba ta może być również liczona względem liczby zwykłych woluminów (w procentach).

Odpowiedniki linii poleceń: polecenie „rr”, polecenie „rv”


Polecenie „Zablokuj archiwum”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Jeśli w oknie WinRARa jest akurat otwarte archiwum, nie trzeba zaznaczać plików, wystarczy użyć polecenia „Zablokuj archiwum” z menu „Polecenia”, przycisku „Zablokuj” z paska narzędzi lub skrótu klawiaturowego Alt+L. Jeśli WinRAR jest w trybie obsługi plików, należy najpierw zaznaczyć pliki i foldery, które będą przeszukane na okoliczność istnienia archiwów.

WinRAR nie może modyfikować zablokowanych archiwów, więc zablokowanie archiwum zapobiega jego przypadkowej modyfikacji przez WinRARa. Może to być przydatne szczególnie w przypadku masowych operacji na grupie archiwów.

To polecenie nie służy zapobieżeniu modyfikacji archiwum przez inne programy niż WinRAR. To polecenie jest dostępne tylko dla archiwów w formacie RAR.

Odpowiednik linii poleceń: polecenie „k”


Polecenie „Skanuj archiwum w poszukiwaniu wirusów”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Powoduje ono wypakowanie jednego lub więcej archiwów do folderu tymczasowego i sprawdzenie zawartości tego folderu za pomocą programu antywirusowego zainstalowanego na komputerze użytkownika. W trybie obsługi archiwum polecenie to dotyczy tylko bieżącego archiwum; w trybie obsługi plików przeskanowane zostaną wszystkie archiwa znalezione w zaznaczonych plikach i folderach.

Polecenie posiada następujące parametry:

Programy antywirusowe znalezione przez WinRARa

Lista zainstalowanych programów antywirusowych, które rozpoznał WinRAR. Jeśli lista zawiera tylko pozycję „Inny” oznacza to, że WinRAR nie rozpoznał żadnego programu antywirusowego i należy samemu podać jego nazwę i parametry.

Nazwa programu antywirusowego

Nazwa pliku programu antywirusowego. Pole to trzeba modyfikować tylko w przypadku, gdy WinRAR nie znajdzie żadnego programu antywirusowego. W takim przypadku należy użyć przycisku „Przeglądaj” i zlokalizować plik .exe programu antywirusowego, który będzie wywołany przez WinRARa.

Parametry programu antywirusowego

Parametry przekazywane w wywołaniu programu antywirusowego. Pole to trzeba modyfikować tylko w przypadku, gdy WinRAR nie znajdzie żadnego programu antywirusowego lub jeśli parametry są nieprawidłowe. Może tak się zdarzyć, gdy np. składnia poleceń programu antywirusowego zmieni się w nowej wersji. Zwykle programy antywirusowe wymagają jednego parametru – nazwy folderu, który należy poddać kontroli. WinRAR oznacza ten foldera jako %f. Ponieważ nazwa folderu może zawierać spacje, należy ją ująć w cudzysłowy – zwykle więc będzie to "%f". Niektóre programy antywirusowe wymagają większej liczby parametrów, których opis powinien znajdować się w dokumentacji do nich dołączonej.

Jeśli używany jest tylko jeden program antywirusowy i nie ma konieczności każdorazowej modyfikacji jego parametrów, można wyłączyć możliwość wyboru programu za pomocą opcji „Oferuj wybór programu antywirusowego” w ustawieniach zabezpieczeń.

Uwagi

  1. WinRAR nie jest w stanie samodzielnie przeprowadzić kontroli antywirusowej, może tylko uruchomić program antywirusowy. Brak programu antywirusowego uniemożliwia użycie tego polecenia WinRARa.
  2. WinRAR nie wyświetla żadnego komunikatu po wykonaniu tego polecenia. Wszelkie informacje o wirusach powinny być wyświetlone przez program antywirusowy dokonujący kontroli.
  3. WinRAR wypakowuje wszystkie zaznaczone archiwa do foldera tymczasowego przed uruchomieniem programu antywirusowego, należy więc zapewnić mu dość miejsca na wszystkie wypakowane pliki. Po zakończeniu kontroli pliki są usuwane.
  4. WinRAR jest w stanie wykryć obecność wielu popularnych programów antywirusowych, zwykle więc nie trzeba samemu wypełniać pól „Nazwa programu antywirusowego” i „Parametry programu antywirusowego” – wystarczy wybrać program z listy. Jeśli lista nie zawiera programów lub działają one w niewłaściwy sposób, wtedy należy samemu wypełnić wspomniane dwa pola.
  5. WinRAR zapisuje parametry tego polecenia i przywraca je po ponownym jego uruchomieniu.


Polecenie „Przekształć archiwa”

Polecenie to umożliwia przepakowanie archiwum z jednego formatu na inny. Dostępne jest zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. W trybie obsługi plików można zaznaczyć kilka plików i folderów, które zostaną przeszukane pod kątem występowania archiwów – znalezione archiwa zostaną przepakowane. W trybie obsługi archiwum domyślnie przepakowywane jest tylko aktualnie otwarte archiwum.

Archiwa do przekształcenia

Lista archiwów, które zostaną poddane przekształceniu. Do dodawania i usuwania elementów listy służą przyciski „Dodaj” i „Usuń”. Przycisk „Usuń” nie powoduje usunięcia pliku z dysku, a jedynie usuwa plik z listy.

Zawartość listy archiwów zależy od następnego parametru – „Typy archiwów”.

Typy archiwów

Ta lista umożliwia wybranie jakie typy archiwów będą przekształcane. Pozycje na tej liście mogą zawierać liczbę ujętą w nawiasy. Liczba ta oznacza liczbę znalezionych archiwów danego typu. Na przykład „zip(12)” oznacza, że WinRAR znalazł 12 archiwów ZIP. Jeśli za typem nie ma liczby w nawiasie, oznacza to, że WinRAR nie znalazł archiwów danego typu.

Opcje przekształcenia/Największy dopuszczalny względny rozmiar

Umożliwia określenie maksymalnego rozmiaru względnego w procentach. Rozmiar względny liczy się jako <nowy rozmiar>/<stary rozmiar>*100. Na przykład ustawienie progu na 100 spowoduje, że WinRAR nie usunie oryginalnego archiwum jeśli po przekształceniu okaże się, że jest ono większe. Jeśli opcja ta jest wyłączona, WinRAR ignoruje rozmiary archiwów.

Opcje przekształcenia/Kompresja

Przycisk „Kompresja” wyświetla okno dialogowe, w którym można ustawić parametry dla przekształconych archiwów. Można np. wybrać, czy archiwa będą przekształcane na format rar czy zip.

Opcje przekształcenia/Folder dla przekształconych archiwów

To pole określa folder, w którym będą umieszczane przekształcone archiwa. Jeśli podany folder nie istnieje, WinRAR spróbuje go utworzyć. Jeśli pole to pozostanie puste, przekształcone archiwa będą umieszczane w tych samym folderach co archiwa oryginalne.

Opcje przekształcenia/Usuń oryginalne archiwa

Opcja ta określa, czy po udanym przekształceniu oryginalne archiwum ma zostać usunięte.

Jeśli oryginalne i przekształcone archiwum są w tym samym formacie i pole „Folder dla przekształconych archiwów” jest puste, oryginalne archiwum zostanie usunięte niezależnie od ustawienia tej opcji.

Opcje przekształcenia/Pomiń zaszyfrowane archiwa

Jeśli ta opcja jest włączona, zaszyfrowane archiwa nie zostaną przetworzone. Może to być przydatne aby uniknąć monitów o hasła. Jeśli jednak wiadomo, że wszystkie archiwa zabezpieczone są tym samym hasłem, można pozostawić tę opcję wyłączoną i ustawić domyślne hasło przed wywołaniem polecenia przekształcenia.

Przycisk „Zapisz”

Przycisk ten zapisuje stan okna, który będzie odtworzony po ponownym otwarciu tego okna. Jedynie lista archiwów do przekształcenia nie jest zapisywana.

Uwagi

  1. WinRAR zachowuje nowe archiwum tylko wtedy, jeśli zostało ono prawidło utworzone, przetestowane i całkowita wielkość zawartych w nim plików jest identyczna z wielkością zawartości oryginalnego archiwum.
  2. WinRAR próbuje zachować komentarz archiwum, jeśli jest to możliwe, lecz jeśli w opcjach przekształcania podano nowy komentarz, stary nie zostanie zachowany. Komentarze plików nie są zachowywane. Inne specjalne informacje, jak np. strumienie NTFS czy dane o zabezpieczeniach plików mogą być zachowane (zależy to od ustawień kompresji i formatu archiwum).
  3. WinRAR rozpakowuje oryginalne archiwum do folderu tymczasowego przed rozpoczęciem przekształcania. Należy zadbać o to, aby była wystarczająca ilość wolnego miejsca.
  4. Przekształcenie archiwum do innego formatu może się nie powieść, gdy archiwum zawiera dane specjalne, jak np. dowiązania czy różne wersje pliku.


Polecenie „Napraw archiwum”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Próbie naprawienia zostanie poddane zaznaczone lub aktualnie otwarte archiwum. Polecenie to wywołuje się z menu „Narzędzia”, przyciskiem „Napraw” z paska narzędzi lub skrótem klawiaturowym Alt+R.

WinRAR może naprawiać tylko archiwa RAR i ZIP. WinRAR próbuje samodzielnie określić typ archiwum na podstawie jego rozszerzenia i struktury, lecz można mu od razu wskazać odpowiedni typ.

Archiwum poddawane naprawie pozostaje niezmienione. Naprawione archiwum zapisywane jest w nowym pliku pod nazwą fixed.nazwa_archiwum.rar lub rebuilt.nazwa_archiwum.rar, gdzie „nazwa_archiwum” jest nazwą oryginalnego archiwum.

To, czy naprawa się powiedzie, zależy od typu archiwum i rozmiaru uszkodzeń. Szanse naprawienia archiwum RAR są większe, jeśli zawiera ono dane naprawcze. Jeśli archiwum nie zawiera tych danych i jest ciągłym archiwum, to szanse naprawy maleją, a archiwa o zaszyfrowanych nazwach plików w ogóle nie dadzą się naprawić bez danych naprawczych.

Szczegóły na temat naprawiania archiwum znajdują się w rozdziale opisującym polecenie r.

Odpowiednik linii poleceń: polecenie „r”


Polecenie „Przekształć archiwum w SFX”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Przekształca ono zwykłe archiwum w samorozpakowujące się. Jeśli w oknie WinRARa jest akurat otwarte archiwum, nie trzeba zaznaczać plików, wystarczy użyć polecenia „Przekształć archiwum w SFX” z menu „Narzędzia”, przycisku „SFX” na pasku narzędzi lub skrótu klawiaturowego Alt+X, a następnie wybrać moduł SFX z wyświetlonej listy. Jeśli WinRAR jest w trybie obsługi plików, należy najpierw zaznaczyć pliki i foldery, które będą przeszukane na okoliczność istnienia archiwów.

Jeśli archiwum już jest samorozpakowujące się, za pomocą tego polecenia można usunąć z niego moduł SFX. W takim wypadku WinRAR nie modyfikuje archiwum, lecz tworzy nowe, zwykłe (nie samorozpakowujące się) archiwum o tej samej zawartości.

Jeśli wybrałeś graficzny moduł SFX (ustawienie domyślne), możesz nacisnąć przycisk „Opcje zaawansowane”, aby ustawić dodatkowe parametry modułu SFX, takie jak np. domyślny folder dla wypakowywanych plików, tytuł okna i treść komunikatu. Więcej informacji na ten temat znajduje się w rozdziale Zaawansowane opcje SFX.

Następujące rozdziały zawierają informacje na temat modułów SFX dostarczanych w pakiecie WinRARa:

  • Moduły RAR i ZIP dla środowiska graficznego (Default.SFX i Zip.SFX)
  • Moduł RAR dla konsoli (tryb tekstowy) (WinCon.SFX)

Odpowiednik linii poleceń: polecenie „s”


Polecenie „Znajdź pliki”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Za jego pomocą można wyszukać pliki zawierające określony ciąg znaków. Wyszukiwaniu mogą być poddane zarówno pliki znajdujące się w archiwach jak i poza nimi.

Nazwa pliku

Domyślnie zawiera „*”, co oznacza, że wyszukiwane będą wszystkie pliki. Można wprowadzić inną maskę, np. „*.txt”, aby wyszukać tylko pliki .txt). Istnieje możliwość wprowadzenie kilku masek oddzielonych spacjami. Aby wprowadzić nazwę pliku, która zawiera spacje, należy ująć ją w cudzysłów.

Znajdź tekst

Tu należy wpisać tekst, który ma zostać wyszukany. Jeśli to pole pozostanie puste, WinRAR będzie szukał plików tylko według pozostałych kryteriów.

Uwzględnij wielkość znaków

Powoduje, że podczas porównywania tekstu wielkość liter będzie miała znaczenie (w takim przypadku „kot” i „Kot” będą traktowane jak dwa różne wyrazy).

Użyj wszystkich tabel

Powoduje, że podczas wyszukiwania tekstu w pliku WinRAR użyje kodowania ANSI, UTF-8, UTF-16 i OEM (MS DOS). Jeśli ta opcja pozostanie wyłączona, WinRAR użyje tylko domyślnego kodowania (ANSI).

Ciąg liczb heksadecymalnych

Powoduje, że wprowadzony tekst jest traktowany jak ciąg liczb heksadecymalnych i te liczby będą wyszukiwane w plikach.

Obszar poszukiwań

Wartość tego pola jest ograniczona do bieżącego archiwum, jeśli poszukiwanie odbywa się w wewnątrz archiwum. Gdy poszukiwanie odbywa się poza archiwum, można wybrać wartość „Bieżący folder” - aby wyszukać tylko w bieżącym folderze, „Zaznaczone elementy” - aby wyszukać w plikach i folderach zaznaczonych w głównym oknie WinRARa. Można też wskazać napędy, w których odbędzie się wyszukiwanie.

Typy archiwów

Typy archiwów, w których będą wyszukiwane pliki. Domyślnie jest to „*”, co oznacza „wszystkie typy archiwów”, lecz można wprowadzić np. „*.rar”, aby wyszukiwać tylko w archiwach typu RAR. Istnieje możliwość wprowadzenia kilku masek oddzielonych spacjami.

Opcja „Uwzględnij podfoldery”

Powoduje, że WinRAR będzie poszukiwał plików nie tylko w określonym folderze, ale także w jego podfolderach. Opcja ta jest brana pod uwagę tylko wtedy, gdy jako obszar poszukiwań został wybrany „Bieżący folder”.

Opcja „Wyszukaj w plikach”

Powoduje, że WinRAR będzie szukał określonego pliku wśród normalnych plików na dysku.

Opcja „Wyszukaj w archiwach”

Powoduje, że WinRAR będzie szukał określonego pliku wewnątrz archiwów. Aby wyszukiwać plik na dysku i w archiwach należy zaznaczyć obie opcje: „Wyszukaj w plikach” i „Wyszukaj w archiwach”.

Opcja „Pomiń zaszyfrowane”

Jeśli do przeszukiwania zaszyfrowanego archiwum archiwum wymagane jest hasło, to takie archiwum zostanie pominięte.

Przycisk „Zapisz”

Przycisk ten zapisuje stan niektórych opcji, który będzie odtworzony po ponownym otwarciu tego okna. Niektóre opcje mogą nie zostać zapisane i zamiast tego przy ponownym otwarciu tego okna zostaną zainicjowane wartościami bardziej odpowiednimi dla bieżącego wyszukiwania.

Odpowiednik linii poleceń: polecenie „i”


Polecenie „Wyświetl informacje o archiwum”

Polecenie „Wyświetl informacje”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum. Wystarczy użyć polecenia „Wyświetl informacje” z menu „Narzędzia”, przycisku „Info” na pasku narzędzi lub skrótu klawiaturowego Alt+I.

W trybie obsługi plików polecenie to wyświetla informacje o zaznaczonych plikach i folderach: całkowity rozmiar, liczbę plików i podfolderów, liczbę archiwów. Aby zbieranie informacji przebiegało sprawniej, archiwa są rozpoznawane tylko po rozszerzeniu, dlatego samorozpakowujące się archiwa nie są wliczane. Operacja skanowania może potrwać dość długo, lecz można ją przerwać w dowolnym momencie.

Przestrzeń dyskowa jest przydzielana plikom w porcjach określonej długości, zwanych klastrami. Na przykład, jeśli klaster ma rozmiar 4096 bajtów, a utworzony plik tylko 1 bajt, to i tak zajęte zostanie 4096 bajtów. Aby uzmysłowić prawdziwy rozmiar zajętej przez pliki przestrzeni dyskowej, wyświetlone są tu również informacje o rozmiarze klastra na bieżącym dysku, prawdziwy rozmiar zaznaczonych plików oraz przestrzeń stracona– znajdująca się pomiędzy końcem pliku a końcem jego ostatniego klastra.

Gdy zbieranie informacji dobiegnie końca, można nacisnąć przycisk „Szacuj”, aby otrzymać prognozę opłacalności i przybliżony czas kompresji zaznaczonych plików. Prognoza bazuje na „normalnej” kompresji zakładając dużą szybkość dysku i jest robiona bardzo szybko i pobieżnie, nie należy więc oczekiwać dokładnych rezultatów. Jeśli opcja „Rozpocznij automatycznie” zostanie zaznaczona, to po następnym otwarciu okna informacyjnego prognozowanie zostanie zainicjowane automatycznie, bez potrzeby używania przycisku „Szacuj”.

Po zakończeniu zbierania informacji możliwe jest również przełączanie się między kolejnymi zakładkami okna i zmienianie ustawień różnych opcji, jak np. komentarza, danych naprawczych itp. Umożliwia to grupowe zmienienie ustawień archiwów RAR i ZIP znajdujących się we wszystkich zaznaczonych plikach i folderach. W przeciwieństwie do fazy zbierania informacji, w tym przypadku pod uwagę brane są również samorozpakowujące się archiwa. Należy zachować ostrożność podczas używania tej funkcji, gdyż niewłaściwie użyta może spowodować dużo kłopotów.

W trybie obsługi archiwum polecenie „Wyświetl informacje” powoduje wyświetlenie okna, które zawiera:

  • nazwę archiwum (w tytule okna)
  • typ archiwum (ciągłe, SFX, wolumin) i jego format (RAR, ZIP, CAB, ARJ, LZH itp.). Wszystkie te parametry wyświetlane są w jednej linii u góry okna. Dla archiwów utworzonych przez WinRARa w wersji 3.40 lub nowszej, wyświetlany jest również numer woluminu. Może to być przydatne w przypadku zmiany nazw poszczególnych woluminów i utraty informacji o ich kolejności.
  • najmniejszy numer wersji archiwizera konieczny do rozpakowania archiwum. Dla niektórych formatów, np. ZIPX, może tu być wyświetlana również nazwa użytego algorytmu kompresji.
  • system operacyjny, w którym archiwum zostało utworzone
  • całkowitą liczbę zarchiwizowanych folderów i plików
  • całkowity rozmiar plików przed i po kompresji
  • całkowity stopień kompresji (jaki procent oryginalnego rozmiaru stanowi rozmiar po kompresji)
  • rozmiar modułu SFX (w przypadku samorozpakowujących się archiwów) lub zero w przypadku zwykłych archiwów
  • obecność komentarza archiwum
  • obecność zaszyfrowanych plików
  • czy archiwum jest zablokowane
  • maksymalny rozmiar uszkodzonego obszaru, który może zostać naprawiony przy użyciu danych naprawczych, jeśli te są obecne w archiwum
  • największy rozmiar słownika użyty podczas kompresji plików w archiwum

Jeśli archiwum zawiera komentarz, w oknie pojawia się dodatkowa zakładka, której kliknięcie powoduje wyświetlenie komentarza.

Podobnie jak w trybie obsługi plików, możliwe jest przełączanie się między kolejnymi zakładkami okna i zmienianie ustawień parametrów danego archiwum.


Polecenie „Sporządź raport”

To polecenie jest dostępne zarówno w trybie obsługi plików jak i w trybie obsługi archiwum.

W trybie obsługi archiwum polecenie to tworzy raport zawierający kompletną listę plików w bieżącym archiwum. WinRAR ignoruje zaznaczenie plików.

W trybie obsługi plików raport zawiera informacje tylko o zaznaczonych plikach. W zależności od parametrów polecenia, raport może zawierać zwykłe pliki jak i pliki znajdujące się w znalezionych archiwach. Jeśli zostanie zaznaczony folder, WinRAR przetworzy pliki znajdujące się w nim i wszystkich jego podfolderach.

Polecenie posiada następujące opcje:

Zapisz raport do pliku

Tu można określić nazwę pliku, w którym zostanie zapisany raport. Jeśli nazwa pliku nie zostanie podana, raport nie zostanie zapisany do pliku.

wyślij raport na drukarkę

Zaznaczenie tej opcji spowoduje wydrukowanie raportu.

kopiuj raport do Schowka

Zaznaczenie tej opcji spowoduje skopiowanie raportu do Schowka. Należy mieć na uwadze, że obszerny raport może zająć nawet kilka megabajtów pamięci, co może być przyczyną spadku wydajności.

Format raportu (HTML, tekst Unicode, tekst)

Ta opcja umożliwia wybranie formatu, w jakim zostanie zapisany plik raportu. HTML oraz tekst Unicode obsługują Unicode, dzięki czemu znaki spoza alfabetu łacińskiego (np. znaki diakrytyczne) w nazwach plików i archiwów będą wyświetlać się prawidłowo. Format tekst nie obsługuje Unicode i przez to wspomniane znaki mogą się wyświetlać nieprawidłowo.

Sortuj pliki według (bez sortowania, nazwa, rozmiar, rozmiar po kompresji, czas modyfikacji, suma kontrolna)

Tu można wybrać kolejność sortowania plików w raporcie.

archiwa sortuj oddzielnie

Jeśli ta opcja jest zaznaczona, zawartość każdego archiwum uwzględniona w raporcie zostanie posortowana niezależnie od pozostałych plików – wszystkie pliki z jednego archiwum będą więc znajdować się w jednej grupie. W przeciwnym wypadku wszystkie pliki uwzględnione w raporcie zostaną potraktowane jako jedna grupa, bez podziału na archiwa. Opcja ta nie zmienia oryginalnego porządku sortowania.

Uwzględnij w raporcie / archiwa

Opcja ta jest dostępna tylko w trybie obsługi plików. Zaznaczenie jej powoduje, że WinRAR analizuje wszystkie zaznaczone pliki i jeśli znajdzie archiwum, uwzględni jego zawartość w raporcie. Aby uzyskać raport dotyczący tylko zwykłych plików (bez plików znajdujących się w archiwach), należy opcję tę wyłączyć, co dodatkowo przyspieszy tworzenie raportu.

Uwzględnij w raporcie / zwykłe pliki

Opcja ta jest dostępna tylko w trybie obsługi plików. Zaznaczenie jej powoduje, że WinRAR uwzględni w raporcie zwykłe pliki, w przeciwnym wypadku raport będzie dotyczył tylko plików znajdujących się w archiwach.

Uwzględnij w raporcie / nazwę archiwum

Włączenie tej opcji spowoduje, że raport będzie zawierał nazwę archiwum umieszczoną przed każdą grupą plików pochodzących z danego archiwum.

Uwzględnij w raporcie / nagłówki i podsumowania

Włączenie tej opcji spowoduje, że na początku pliku raportu WinRAR umieści nagłówki kolumn, a na końcu statystyki dotyczące przetworzonych plików.

Ponieważ szerokości niektórych kolumn raportu mogą być różne dla różnych plików, możliwe jest, że nagłówki nie będą wyrównane z zawartością kolumn. Jednakże ich kolejność pozostaje prawidłowa.

Końcowe podsumowanie raportu zawiera informacje o całkowitej liczbie plików i ich całkowitym rozmiarze. Jeśli włączona jest opcja „zwykłe pliki”, podsumowanie będzie dotyczyło tylko zwykłych plików, w przeciwnym wypadku podsumowanie będzie dotyczyło tylko plików znajdujących się w archiwach. Podsumowanie nie może dotyczyć jednocześnie zwykłych i zarchiwizowanych plików. W przypadku plików podzielonych pomiędzy woluminami podsumowanie dotyczy tylko ich pierwszych części.

Uwzględnij w raporcie / rozmiar pliku

Uwzględnia w raporcie oryginalny rozmiar pliku.

Uwzględnij w raporcie / rozmiar po kompresji

Uwzględnia w raporcie rozmiar pliku po kompresji. Dla zwykłych plików rozmiar ten może różnić się od oryginalnego, jeśli pliki te znajdują się na partycji NTFS i mają atrybut „Skompresowany”.

Uwzględnij w raporcie / datę pliku

Uwzględnia w raporcie datę i czas modyfikacji pliku. Format wyświetlania to RRRR-MM-DD gg:mm, niezależnie od ustawień systemowych.

Uwzględnij w raporcie / sumę kontrolną pliku

Uwzględnia w raporcie sumę kontrolną pliku. Opcja ta dotyczy zarówno zwykłych jak i zarchiwizowanych plików. Typ sumy kontrolnej dla zarchiwizowanych plików zależy od formatu archiwum oraz opcji użytych do jego utworzenia, natomiast w przypadku zwykłych plików jest to zawsze CRC32. Włączenie tej opcji dla zwykłych plików może spowodować znaczne spowolnienie procesu tworzenia raportu, ponieważ WinRAR musi odczytać cały plik i wyliczyć jego sumę kontrolną (CRC32). Pliki zarchiwizowane natomiast już posiadają sumę kontrolną i nie ma konieczności ponownego jej wyliczania, stąd też nie powoduje to spowolnienia operacji.

Przycisk „Zapisz”

Przycisk ten służy do zapisania ustawień wszystkich parametrów tego polecenia (oprócz nazwy pliku raportu). WinRAR przechowuje dwa zestawy parametrów tego polecenia – jeden dla trybu obsługi plików a drugi dla trybu obsługi archiwum.


Polecenie „Wykonaj test wydajności”

Polecenie to umożliwia porównanie wydajności algorytmu kompresji RAR na różnych komputerach.

Polecenie to generuje losowe dane o specjalnie dobranej nadmiarowości obciążające procesor i pamięć. Dane te są następnie przepuszczane przez kompresor i dekompresor formatu RAR, a zdekompresowane dane są porównywane z danymi przed kompresją. Jeśli w którymś miejscu obszary te się różnią, WinRAR wyświetla „Błędy – Tak” w oknie polecenia. Występowanie takich błędów może być sygnałem problemów sprzętowych, np. uszkodzonych pamięci. Ponadto WinRAR wyświetla rozmiar przetworzonych danych oraz prędkość kompresji – wynikową i bieżącą – w kilobajtach na sekundę. Polecenie to może być przydatne w przypadku wyboru nowego komputera – można się przekonać, na którym kompresja danych będzie się odbywać szybciej. W teście wykorzystywany jest ogólny algorytm kompresji RAR w trybie „Normalna kompresja” i ze słownikiem 32MB; wszelkie dodatkowe metody kompresji (np. specjalne algorytmy do kompresji grafiki) są wyłączone.

Za pomocą opcji „Wielowątkowość” można dokonać porównania wydajności zwykłej, jednowątkowej wersji algorytmu kompresji RAR z wielowątkową (ukierunkowaną na komputery o wielu procesorach).

Zapełnienie, z początku pustego, słownika zabiera trochę czasu. Zanim to nastąpi bieżąca prędkość kompresji nie jest wyświetlana. Wynikowa prędkość kompresji natomiast jest wyświetlana gdy zebrane statystyki pozwalają określić przypuszczalny rezultat. Po wyświetleniu prędkość wynikowa już się nie zmienia. Choć dane są losowe, to poziom ich nadmiarowości i inne parametry są zawsze takie same, dlatego bieżąca prędkość kompresji praktycznie nie będzie się zbytnio zmieniać, oczywiście jeśli system nie zostanie dodatkowo obciążony np. innymi aplikacjami.

Nie ma gwarancji, że różne wersje WinRARa będą wyświetlać te same rezultaty testu, dlatego, aby porównać wydajność różnych komputerów, należy na każdym z nich uruchomić tę samą wersję WinRARa. Zaleca się również zamknięcie innych aplikacji na czas testu.

Test uruchomiony tym poleceniem nie kończy się samoczynnie – należy to uczynić samemu. Podczas wykonywania tego polecenia WinRAR nie używa dysku twardego, wszystkie operacje są wykonywane w pamięci operacyjnej.


Menu „Plik”

Polecenie | Klawisz skrótu | Funkcja
Otwórz archiwum | Ctrl+O | Otwiera podane archiwum.
Zapisz kopię archiwum jako... |  | Zapisuje kopię otwartego archiwum.
Zmień dysk | Ctrl+D | Zmienia bieżący dysk
Domyślne hasło | Ctrl+P | Ustawia domyślne hasło. Program zapyta o hasło dwukrotnie, aby wykluczyć pomyłkę. Ustawione hasło będzie używane podczas operacji archiwizacji i wypakowywania.
Kopiuj pliki do Schowka | Ctrl+C | Kopiuje zaznaczone pliki do Schowka. można np. zaznaczyć kilka plików w archiwum, skopiować je do Schowka, otworzyć okno Eksploratora Windows i wkleić je – spowoduje to wypakowanie zaznaczonych plików do danego foldera. Jeśli nastąpi próba wklejenia plików do edytora tekstowego (np. do Notatnika), to wklejone zostaną tylko nazwy zaznaczonych plików, nie ich zawartość.
Wklej pliki ze Schowka | Ctrl+V | Wklejenie plików jest równoznaczne z rozpoczęciem ich archiwizacji.
Skopiuj pełne nazwy do Schowka |  | Kopiuje do Schowka tylko pełne nazwy zaznaczonych plików i folderów, a nie ich zawartość.
Zaznacz wszystkie | Ctrl+A | Zaznacza wszystkie pliki i foldery
Zaznacz grupę | Szary + | Zaznacza pliki i foldery pasujące do podanej maski
Usuń zaznaczenie | Szary - | Odznacza (usuwa zaznaczenie) pliki i foldery pasujące do podanej maski
Odwróć zaznaczenie | Szara * | Odwraca zaznaczenie - pliki nie zaznaczone stają się zaznaczone i odwrotnie
Zakończ | Alt+F4, Ctrl+W | Kończy działanie WinRARa

W zależności od opcji „Zapisz historię archiwów” w Ustawieniach ogólnych, nazwy kilku ostatnio otwieranych archiwów mogą się znaleźć poniżej polecenia „Zakończ”.


Menu „Polecenia”

Polecenie | Klawisz skrótu
Dodaj pliki do archiwum | Alt + A
Wypakuj do określonego folderu | Alt + E
Testuj archiwum | Alt + T
Podejrzyj plik | Alt + V
Usuń pliki | Del, Shift + Del
Zmień nazwę pliku | F2
Drukuj plik | Ctrl + I
Wypakuj bez potwierdzenia | Alt + W
Dodaj komentarz archiwum | Alt + M
Zabezpiecz archiwum przed uszkodzeniami | Alt + P
Zablokuj archiwum | Alt + L


Menu „Narzędzia”

Polecenie | Klawisz skrótu
Pomocnik |
Skanuj archiwum w poszukiwaniu wirusów | Alt + D
Przekształć archiwa | Alt + Q
Napraw archiwum | Alt + R
Przekształć archiwum w SFX | Alt + X
Znajdź pliki | F3
Wyświetl informacje | Alt + I
Sporządź raport | Alt + G
Wykonaj test wydajności | Alt + B


Menu „Ulubione”

To menu zawiera listę „ulubionych” folderów i archiwów. Aby dodać do tej listy aktualnie otwarte archiwum lub bieżący folder i jego opis, należy użyć polecenia „Dodaj do ulubionych...” lub skrótu klawiaturowego Ctrl+F. Opis jest opcjonalny. Jeśli opis zostanie wpisany, WinRAR wyświetli go w menu, w przeciwnym wypadku w menu zostanie umieszczona nazwa foldera lub archiwum.

Po wybraniu z listy archiwum lub folderu, WinRAR go otworzy. Skrótami klawiaturowymi umożliwiającymi szybkie otwieranie „ulubionych” archiwów lub folderów z listy (bez potrzeby wybierania ich z menu) są kombinacje klawiszy Ctrl+1, ..., Ctrl+0. Ctrl+1 otwiera pierwszą pozycję z listy, Ctrl+2 – drugą, ..., Ctrl+0 – dziesiątą.

Polecenie „Organizuj ulubione...” umożliwia edycję i usuwanie pozycji z listy, jak również zmianę ich kolejności na liście. Do wykonania tych operacji służą odpowiednie przyciski; dodatkowo, aby usunąć pozycję z listy można użyć klawisza Delete zamiast przycisku „Usuń”.


Menu „Opcje”

Polecenie „Ustawienia...” wywołuje okno dialogowe umożliwiające zmianę następujących ustawień WinRARa: Ogólne, Kompresja, Foldery, Lista plików, Podgląd, Zabezpieczenia i Integracja. Skrótem klawiszowym polecenia „Ustawienia...” jest Ctrl+S.

Istnieje możliwość wyeksportowania ustawień WinRARa do pliku w celu ich późniejszego zaimportowania (odpowiednie polecenia znajdują się w podmenu „Import i eksport”). Ustawienia eksportowane są do pliku o nazwie „Settings.reg” domyślnie umieszczanego w folderze %APPDATA%\WinRAR - oczywiście można wskazać inny folder w oknie zapisywania lub odczytywania ustawień. Przywrócenie ustawień z pliku redukuje czas potrzebny na ponowne skonfigurowanie WinRARa w przypadku np. reinstalacji Windows lub instalacji WinRARa na innym komputerze. Jeśli WinRAR nie znajdzie ustawień w Rejestrze a plik Settings.reg znajduje się w tym samym folderze co plik WinRAR.exe lub w folderze %APPDATA%\WinRAR, to wtedy automatycznie zaimportuje ustawienia z tego pliku. Wczytanie niektórych ustawień może wymagać ponownego uruchomienia WinRARa. Polecenia te są niedostępne gdy ustawienia programu są przechowywane w pliku WinRAR.ini.

Polecenie „Utwórz plik WinRAR.ini” w podmenu „Import i eksport” tworzy nowy plik WinRAR.ini i zapisuje w nim bieżące ustawienia WinRARa z Rejestru Windows.

Podmenu „Lista plików” zawiera dwie grupy poleceń. W pierwszej z nich jest tylko jedno polecenie - „Widok spłaszczony” (skrót klawiszowy Ctrl+H), które przełącza sposób wyświetlania zawartości archiwum: albo tradycyjnie (jako drzewo z folderami, do których można wchodzić) albo wszystkie pliki i foldery w postaci jednej długiej listy. Polecenie to działa tylko w trybie obsługi archiwum. Druga grupa zawiera dwa polecenia, które wzajemnie się wykluczają, a decydują one o tym, jak będą wyświetlane pliki w oknie WinRARa. Te polecenia to „Tylko nazwy” oraz „Szczegóły”, które powodują, wyświetlanie samych nazw plików („Tylko nazwy”) lub wyświetlanie innych dodatkowych informacji o plikach, jak np. rozmiar, data modyfikacji itp. („Szczegóły”).

Podmenu „Drzewo folderów” umożliwia włączenie lub wyłączenie panelu z drzewem folderów. Wyświetlanie panelu można włączyć osobno dla trybu obsługi plików (polecenie „Wyświetl drzewo folderów na dysku”) i trybu obsługi archiwum (polecenie „Wyświetl drzewo folderów w archiwum”). Inną metodą pokazania lub ukrycia panelu jest użycie skrótu klawiszowego Ctrl+T. Szerokość panelu można zmienić za pomocą myszki chwytając i przeciągając jego prawą krawędź.

Podmenu „Motywy” zawiera listę dostępnych motywów, polecenie „Zarządzaj motywami” zawierające funkcje do zarządzania motywami oraz polecenie „Pobierz więcej motywów”, które otwiera stronę internetową z motywami.

Podmenu „Kodowanie nazw” umożliwia określenie kodowania nazw archiwizowanych plików.

Następnym poleceniem jest „Wyświetl rejestr zdarzeń...”. Powoduje otwarcie wbudowanego podglądu a w nim pliku rar.log znajdującego się w folderze %APPDATA%\WinRAR. Aby WinRAR zapisywał komunikaty o błędach do pliku rejestru zdarzeń, w ustawieniach ogólnych musi być włączona opcja „Rejestruj błędy w pliku”, która dostępna jest tylko w zarejestrowanej wersji programu. Polecenie „Wyczyść rejestr zdarzeń” powoduje wyczyszczenie zawartości rejestru zdarzeń.


Menu „Pomoc”

Wybranie polecenia „Tematy Pomocy” spowoduje wyświetlenie tematów dostępnych w pliku pomocy dla WinRARa.

Polecenie „Strona WWW WinRARa” służy do połączenia się ze stroną domową WinRARa, gdzie znajduje się najświeższa wersja WinRARa oraz istnieje możliwość rejestracji programu.

Polecenie „O programie...” wyświetla okienko zawierające informacje o wersji i prawach autorskich.


Jak otworzyć archiwum w interfejsie Windows

Jeśli opcja „Skojarz WinRARa z archiwami” nie została wyłączona podczas instalacji WinRARa, do otwarcia archiwum wystarcza dwukrotne kliknięcie jego ikony.

Po instalacji również można dokonać skojarzenia WinRARa z archiwami przy użyciu ustawień integracji.


Menu kontekstowe

Jeśli opcja „Zintegruj WinRARa z interfejsem Windows” nie została wyłączona podczas instalacji WinRARa, do menu kontekstowych (ukazujących się po kliknięciu prawym klawiszem myszki na ikonie pliku lub folderu) plików i folderów zostało dodanych kilka poleceń.

Do menu kontekstowych archiwów WinRAR dodaje polecenia: „Wypakuj pliki...”, „Wypakuj tutaj” i „Wypakuj do <nazwa folderu\>”, gdzie <nazwą folderu\> jest zwykle nazwa archiwum. Wszystkie te polecenia wywołują WinRARa w celu wykonania operacji, lecz pierwsze z nich dodatkowo umożliwia zmianę folderu, do którego zostaną wypakowane pliki, i innych opcji wypakowywania (patrz opis dialogu Folder docelowy i opcje wypakowywania). Jeśli rozpakowywana jest grupa archiwów, menu kontekstowe będzie zawierać również polecenie „Rozpakuj każde archiwum do osobnego folderu”.

Ponadto, do polecenia „Właściwości” menu kontekstowych archiwów, WinRAR dodaje zakładkę „Archiwum” oraz, w niektórych przypadkach, zakładkę „Komentarz”. Pierwsza z nich zawiera informacje o archiwum (takie jak uzyskane za pomocą polecenia WinRARa „Wyświetl informacje”), natomiast druga – wyświetlana tylko w przypadku gdy archiwum posiada komentarz – zawiera treść komentarza archiwum.

Do menu kontekstowych zwykłych plików (nie-archiwów) i folderów WinRAR dodaje polecenia: „Dodaj do archiwum...”, „Dodaj do archiwum <nazwa archiwum>”, „Skompresuj i wyślij e-mailem...” oraz „Skompresuj do <nazwa archiwum> i wyślij emailem”, gdzie <nazwą archiwum> jest zwykle nazwa pliku (jeśli zaznaczony został jeden plik) z rozszerzeniem rar, nazwa folderu (gdy zaznaczony został jeden folder) z rozszerzeniem .rar lub nazwa folderu nadrzędnego (jeśli zaznaczona została grupa plików) z rozszerzeniem .rar. Oba polecenia „Dodaj” wywołują WinRARa w celu wykonania operacji, lecz pierwsze z nich umożliwia zmianę nazwy archiwum i kilku innych opcji kompresji (patrz opis dialogu Nazwa i parametry archiwum). Podobnie oba polecenia „e-mailowe” powodują zarchiwizowanie zaznaczonych plików i dołączenie utworzonego archiwum do wiadomości, lecz pierwsze z nich umożliwia dodatkowo ustawienie dodatkowych opcji. Aby skorzystać z opcji „e-mailowych” należy mieć zainstalowanego klienta pocztowego, który udostępnia interfejs MAPI (większość obecnych programów pocztowych spełnia ten warunek).

Począwszy od Windows 11, aplikacja może dodać tylko jedną pozycję do menu kontekstowego Eksploratora Windows - tą pozycją może być albo polecenie, albo podmenu (menu kaskadowe). Jeśli opcja „Kaskadowe menu kontekstowe” w ustawieniach integracji jest włączona, to WinRAR doda właśnie podmenu, w którym będą wszystkie te polecenia, co dotychczas. Jeśli ta opcja jest wyłączona, to w menu kontekstowym dla archiwów znajdzie się tylko jedno polecenie wypakowywania, a dla nie-archiwów tylko jedno polecenie archiwizacji. Można te polecenia dostosować za pomocą przycisku „Elementy menu kontekstowego”.


Obsługa techniki „przeciągnij i upuść” (drag and drop)

WinRAR obsługuje technikę Windows „przeciągnij i upuść” (drag and drop).

Jeśli pojedyncze archiwum zostanie upuszczone na okno WinRARa pracującego w trybie obsługi plików, WinRAR wyświetli jego zawartość i przejdzie w tryb obsługi archiwum.

Jeśli pojedynczy plik (ale nie archiwum) lub wiele plików zostanie upuszczone na okno WinRARa będącego w trybie obsługi plików, WinRAR zapyta o nazwę archiwum i doda do niego upuszczone pliki.

Jeśli pojedyncze archiwum zostanie upuszczone na pasek narzędzi lub pasek adresu WinRARa będącego w trybie obsługi archiwum, wyświetlona zostanie zawartość upuszczonego archiwum. Aby dodać pliki do aktualnie otwartego archiwum, należy przeciągnąć je i upuścić na listę plików. Upuszczanie plików jest dozwolone tylko dla archiwów RAR i ZIP.

Niezależnie od trybu pracy WinRARa i formatu archiwum, istnieje możliwość przeciągania plików z okna WinRARa do innych programów.

Jeśli opcja „Zintegruj WinRARa z interfejsem Windows” nie została wyłączona podczas instalacji WinRARa, to można przeciągać pliki na ikonę archiwum RAR lub ZIP w celu dodania ich do tego archiwum. Ponadto, po przeciągnięciu archiwum przy użyciu prawego klawisza myszki i upuszczeniu go w dowolnym folderze, można je rozpakować do tego folderu wybierając z menu kontekstowego polecenie „Wypakuj tutaj”. Jeśli przeciągniesz z wciśniętym prawym przyciskiem myszy pojedynczy plik niebędący archiwum lub kilka plików, i upuścisz je w docelowym folderze, to będziesz mieć możność utworzenia archiwum zawierającego te pliki w tym właśnie folderze - możesz tego dokonać wybierając z menu kontekstowego polecenia „Dodaj do archiwum...” lub „Dodaj do <nazwa archiwum>”.


Składnia linii poleceń

Operacje WinRARa można wywoływać z linii poleceń. Ogólna składnia linii poleceń jest następująca:

WinRAR <polecenie> -<opcja1> -<opcjaN> <archiwum> <pliki...> <@lista_plików> <folder_docelowy\>

Polecenie | Operacja do wykonania: dodanie do archiwum, wypakowanie, dodanie komentarza itp. Pełna lista poleceń znajduje się tutaj.
Opcje | Opcje modyfikujące wykonanie operacji: metodę kompresji, typ archiwum, itp. Pełna lista opcji znajduje się tutaj.
Archiwum | Nazwa archiwum do przetworzenia.
Pliki | Nazwa(y) pliku(ów) przeznaczonych do przetworzenia.
Lista_plików | Nazwa listy plików. Lista plików to zwykły plik tekstowy zawierający nazwy plików przeznaczonych do przetworzenia. Nazwy powinny rozpoczynać się od pierwszej kolumny tekstowej. Możliwe jest umieszczenie komentarza w liście – należy poprzedzić go dwoma ukośnikami (//). Przykładowa lista backup.lst: c:\work\doc\*.txt //dokumenty tekstowe c:\work\image\*.bmp //rysunki i zdjęcia c:\work\misc //różne Po przygotowaniu takiego pliku można wydać polecenie, np.: WinRAR a backup @backup.lst Podanie nazwy “listy_plików” nie wyklucza wyszczególnienia innych plików przeznaczonych do przetworzenia, np.: WinRAR a backup @backup.lst c:\work\*.xls (to polecenie spowoduje, że przetworzone zostaną wszystkie pliki z listy_plików oraz wszystkie pliki typu .xls z foldera c:\work)
Folder_docelowy | Używany tylko z poleceniami e i x, oznacza folder, w którym zostaną umieszczone wypakowywane pliki. Jeśli folder nie istnieje, zostanie utworzony. Opcjonalnie można określić folder docelowy za pomocą opcji -op<ścieżka>.

Uwagi

  1. Jeśli nie wystąpi parametr <pliki...> ani <@lista_plików>, domyślnie przyjmowany jest parametr *.*, co oznacza, że WinRAR będzie przetwarzał wszystkie pliki
  2. Jeśli nie zostanie podane rozszerzenie archiwum (.RAR lub .ZIP) podczas tworzenia archiwum, WinRAR przyjmie domyślny format określony w domyślnym profilu kompresji.

    Jeśli nie zostanie podane rozszerzenie podczas rozpakowywania archiwum, WinRAR przyjmie założenie, że chodzi o archiwum .rar; * w tym przypadku oznacza wszystkie archiwa RAR. Aby przetworzyć wszsytkie archiwa nieposiadające rozszerzenia, należy użyć maski *.. Maska *.* oznacza wszystkie pliki. Symbole wieloznaczne w nazwie archiwum są dopuszczalne w większości operacji, jak wypakowywanie, testowanie i wielu innych, lecz niedozwolone są podczas archiwizacji i usuwania.
  3. Opcje wprowadzone w linii poleceń mają wyższy priorytet niż te zapisane w konfiguracji
  4. W poleceniach c, e, s, t, rr, k i x dopuszcza się użycie symboli wieloznacznych w nazwie archiwum. Umożliwia to przetworzenie wielu archiwów za pomocą jednego polecenia. Ponadto, dodanie do tych poleceń opcji -r spowoduje, że WinRAR będzie przeszukiwał podfoldery podczas ich wykonywania.
  5. Niektóre polecenia i opcje dotyczą tylko archiwów RAR, niektóre obu - RAR i ZIP a niektóre wszystkich archiwów. Zależy to od możliwości wykonania niektórych operacji na archiwach określonego formatu.
  6. Wielkość liter nie ma znaczenia w poleceniach i opcjach.
  7. Jeśli któryś z parametrów zawiera spacje, należy użyć cudzysłowu

Przykłady:

  1. dodaj folder folder „c:\najnowsze dane” do archiwum Info.rar

WinRAR a Info.rar "c:\najnowsze dane"

  2. rozpakuj archiwum Info.rar do folderu d:\dane

WinRAR x Info.rar d:\dane\


Alfabetyczna lista poleceń

a | dodaj do archiwum
c | dodaj komentarz archiwum
ch | zmień parametry archiwum
cv | przekształć archiwa
cw | zapisz komentarz archiwum do pliku
d | usuń z archiwum
e | wypakuj z archiwum ignorując strukturę folderów
f | odśwież pliki w archiwum
i | wyszukaj tekst w archiwach
k | zablokuj archiwum
m | przenieś pliki i foldery do archiwum
r | napraw uszkodzone archiwum
rc | odtwórz brakujące woluminy
rn | zmień nazwę pliku w archiwum
rr[N] | dodaj dane naprawcze
rv[N] | utwórz woluminy naprawcze
s[nazwa] | przekształć archiwum w SFX (samorozpakowujące się)
s- | usuń moduł SFX
t | testuj zarchiwizowane pliki
u | aktualizuj pliki w archiwum
x | wypakuj pliki z archiwum wraz z pełnymi ścieżkami


Polecenie A - dodaj do archiwum

Dodaje podane pliki i foldery do archiwum. Jest to odpowiednik polecenia Dodaj.

Uwaga: ponieważ modyfikacja woluminów nie jest możliwa, polecenie to nie może być stosowane do aktualizowania woluminów, a jedynie do ich tworzenia.

Przykłady:

  1. dodaj wszystkie pliki *.hlp z bieżącego folderu do archiwum pomoc.rar

    WinRAR a pomoc *.hlp

  2. zarchiwizuj wszystkie pliki z bieżącego folderu i jego podfolderów w ciągłym samorozpakowującym się archiwum podzielonym na woluminy o wielkości 362000 bajtów ratunek.part1.exe, ratunek.part2.rar, ratunek.part3.rar, ..., i dodaj do każdego woluminu dane naprawcze

    WinRAR a -r -v362 -s -sfx -rr ratunek

    ponieważ nie zostały wyspecyfikowane żadne pliki, domyślnie zostaje przyjęty parametr * (wszystkie pliki).
  3. wyjątkowo, jeśli argumentem jest nazwa folderu i nazwa ta nie zawiera symboli wieloznacznych ani końcowego separatora ścieżki, do archiwum zostanie dodana cała zawartość tego folderu i jego podfolderów nawet jeśli nie podano opcji -r.
    Następujące polecenie doda wszystkie pliki (łącznie z podfolderami) z folderu Bitmapy do archiwum Obrazki:

    WinRAR a Obrazki Bitmapy

  4. jeśli argumentem jest nazwa folderu i zawiera końcowy separator ścieżki, zastosowanie mają standardowe zasady, według których należy podać opcję -r w celu przetwarzania podfolderów.
    Następujące polecenie doda wszystkie pliki z folderu Bitmapy (ale nie z jego podfolderów) do archiwum Obrazki:

    WinRAR a Obrazki Bitmapy\*


Polecenie C - dodaj komentarz archiwum

Polecenie to umożliwia dodania komentarza do archiwum. Maksymalna długość komentarza to 256 KB dla archiwów RAR, 32768 bajtów dla archiwów ZIP. W interfejsie graficznym w trybie obsługi archiwum komentarz można dodać poleceniem Dodaj komentarz archiwum.

Uwaga: ponieważ modyfikacja woluminów nie jest możliwa, polecenie to nie stosuje się do woluminów. Aby dodać komentarze do woluminów, należy użyć opcji -z<plik> podczas tworzenia woluminów.

Przykłady:

WinRAR c dystrybucja.rar

Komentarz może być także wczytany z pliku przez użycie opcji -z<plik>.

WinRAR c -zinfo.txt proteza


Polecenie CH - zmień parametry archiwum

Polecenie to jest przeznaczone do aplikowania opcji zmieniających parametry archiwum, szczególnie tych, które nie mają swoich odpowiedników wśród poleceń, np.: -cl, -cu, -tl.

Za pomocą tego polecenia nie można rekompresować, zaszyfrować lub odszyfrować danych ani łączyć lub tworzyć woluminów. Jeśli polecenie wystąpi bez opcji, powoduje zwykłe skopiowanie danych bez modyfikacji.

Przykład:

ustaw czas archiwum na czas najnowszego pliku

WinRAR ch -tl pliki.rar


Polecenie CV - przekształć archiwa

To polecenie wywołuje okno dialogowe Przekształć archiwa. Można je połączyć z opcją -y, co spowoduje, że okno dialogowe nie zostanie wyświetlone i przekształcanie archiwów rozpocznie się z domyślnymi ustawieniami. Aby zmienić domyślne ustawienia należy użyć przycisku “Zapisz” znajdującego się w tym oknie.

Przykład:

przekształć wszystkie archiwa ZIP znajdujące się w folderze c:\pliki używając ustawień domyślnych

WinRAR cv -y c:\pliki\*.zip


Polecenie CW - zapisz komentarz archiwum do pliku

To polecenie umożliwia zapis komentarza archiwum do pliku. Format, w jakim zostanie zapisany plik, zależy od opcji -sc.

Przykłady:

  1. zapisz komentarz archiwum arc do pliku komentarz.txt w formacie ASCII

    WinRAR cw arc kommentarz.txt

  2. zapisz komentarz archiwum arc do pliku unicode.txt w formacie UNICODE

    WinRAR cw -scuc arc unicode.txt


Polecenie D - usuń z archiwum

Usuwa podane pliki i foldery z archiwum. Jest to odpowiednik polecenia trybu obsługi archiwów - Usuń.

Uwagi:

  1. Jeśli po operacji usunięcia plików archiwum jest puste, to też zostanie usunięte.
  2. Ponieważ modyfikacja woluminów nie jest możliwa, polecenie to nie stosuje się do nich.

Przykład:

usuń z archiwum proteza.rar wszystkie pliki *.dmy

WinRAR d proteza.rar *.dmy


Polecenie E - wypakuj z archiwum ignorując strukturę folderów

Wypakowuje pliki, ignorując strukturę folderów, do bieżącego lub wybranego foldera. Jest to odpowiednik polecenia trybu obsługi archiwów - Wypakuj do... - z włączoną opcją „Wypakuj bez struktury folderów” w dialogu Folder docelowy i opcje wypakowywania.

Przykład:

wypakuj do bieżącego foldera wszystkie pliki *.doc ze wszystkich archiwów RAR w bieżącym folderze

WinRAR e *.rar *.doc


Polecenie F - odśwież pliki w archiwum

Aktualizuje pliki znajdujące się w archiwum tylko wtedy, gdy są starsze niż te, które mają być dodane do archiwum. To polecenie nie dodaje nowych (tzn. takich, których jeszcze nie ma w archiwum) plików do archiwum. Jest to odpowiednik polecenia Dodaj z włączoną opcją trybu aktualizacji „Odśwież tylko istniejące pliki” w dialogu Nazwa i parametry archiwum.

Uwaga: ponieważ modyfikacja woluminów nie jest możliwa, polecenie to nie stosuje się do nich.

Patrz także: polecenie A - dodaj do archiwum


Polecenie I - wyszukaj tekst w archiwach

Polecenie I[i|c|h|t]=<tekst> - wyszukaj tekst w archiwach

Wyszukuje tekst w archiwach. Parametry polecenia:

i - nie uwzględniaj wielkości liter (domyślnie)

c - uwzględnij wielkość liter

h - wyszukaj ciąg liczb heksadecymalnych

t - użyj kodowania ANSI, UTF-8, UTF-16 i OEM

Jeśli polecenie wystąpi bez parametrów, można użyć uproszczonej postaci polecenia: i<tekst> zamiast i=<tekst>

Dopuszczalne jest łączenie parametru „t” z innymi parametrami, np. polecenie ict=tekst spowoduje, że wyszukiwanie będzie się odbywać z uwzględnieniem wielkości liter i przy użyciu wszystkich tablic znaków.

Przykłady:

  1. Wyszukaj tekst „pierwszy poziom” (uwzględniając wielkość liter) w plikach *.txt w archiwach *.rar na dysku C:

    WinRAR "ic=pierwszy poziom" -r c:\*.rar *.txt

  2. Wyszukaj ciąg liczb 41 73 69 61 20 3A 2D 2A w archiwach rar w folderze e:\teksty

    WinRAR ih=41736961203a2d2a -r e:\teksty\*.rar


Polecenie K - zablokuj archiwum

WinRAR nie może modyfikować zablokowanych archiwów, więc zablokowanie archiwum zapobiega jego przypadkowej modyfikacji przez WinRARa. Może to być przydatne szczególnie w przypadku masowych operacji na grupie archiwów.

To polecenie nie służy zapobieżeniu modyfikacji archiwum przez inne programy niż WinRAR.

Jest to odpowiednik polecenia trybu obsługi archiwów -Zablokuj archiwum.

To polecenie jest dostępne tylko dla archiwów w formacie RAR.

Przykład:

WinRAR k gotowe


Polecenie M - przenieś pliki i foldery do archiwum

Podobne do polecenia a, lecz pliki i foldery są usuwane po udanej kompresji. Jest to odpowiednik polecenia Dodaj z włączoną opcją “Usuń pliki po zarchiwizowaniu” w dialogu Nazwa i parametry archiwum.

Ponieważ modyfikacja woluminów nie jest możliwa, polecenie to nie może być stosowane do ich aktualizowania, a jedynie do tworzenia nowych woluminów.


Polecenie R - napraw uszkodzone archiwum

Naprawa archiwum składa się z dwóch faz. Najpierw archiwum jest przeszukiwane pod kątem występowania danych naprawczych (patrz opis polecenia rr). Jeśli dane naprawcze zostaną znalezione i jeśli uszkodzony obszar jest ciągły i mniejszy niż dane naprawcze, to wtedy są duże szanse na udaną rekonstrukcję archiwum. Po zakończeniu tego etapu jest tworzone nowe archiwum o nazwie fixed.nazwa_archiwum.rar, gdzie “nazwa_archiwum” jest nazwą oryginalnego (uszkodzonego) archiwum.

Jeśli uszkodzone archiwum nie posiada danych naprawczych lub jeśli uszkodzenia nie zostały całkowicie usunięte, następuje drugi etap. Podczas niego rekonstruowana jest tylko struktura archiwum i nie ma możliwości odzyskania plików, w których wystąpiły błędy, lecz można odzyskać nieuszkodzone pliki, które nie były dostępne ze względu na uszkodzoną strukturę archiwum. Jest to przydatne głównie w przypadku zwykłych (nie-ciągłych) archiwów. W przypadku uszkodzenia ciągłego archiwum zwykle tylko pierwszy plik może być odzyskany podczas drugiego etapu. Rekonstrukcja struktury nie jest przeprowadzana w przypadku archiwów o zaszyfrowanych nazwach plików - jest to możliwe tylko wtedy, jeśli archiwum posiada dane naprawcze.

Po zakończeniu drugiego etapu archiwum zapisywane jest pod nazwą rebuilt.nazwa_archiwum.rar, gdzie “nazwa_archiwum” jest nazwą oryginalnego archiwum.

Domyślnie, naprawione archiwum jest zapisywane w bieżącym folderze, lecz można to zmienić dodając na końcu polecenia ścieżkę określającą folder docelowy.

Polecenie to jest odpowiednikiem polecenia trybu obsługi plików -Napraw archiwum.

Przykład:

napraw archiwum „uszkodzone.rar” i umieść je w folderze „c:\naprawione”

WinRAR r uszkodzone.rar c:\naprawione\


Polecenie RC - odtwórz brakujące woluminy

Rekonstruuje brakujące woluminy używając woluminów naprawczych (pliki .rev). Jako nazwę należy podać dowolny istniejący wolumin .rar lub .rev

Przykład:

WinRAR rc kopia.part03.rar

Więcej informacji na temat woluminów naprawczych znajduje się w tym rozdziale.


Polecenie RN - zmień nazwę pliku w archiwum

Zmienia nazwę pliku w archiwum. Polecenie to jest dostępne dla archiwów w formacie RAR i ZIP. Składnia polecenia:

winrar rn <archiwum> <stara_nazwa1> <nowa_nazwa1> ... <stara_nazwaN> <nowa_nazwaN>

Na przykład, następujące polecenie:

WinRAR rn dane.rar readme.txt readme.bak info.txt info.bak

spowoduje, że w archiwum dane.rar plik readme.txt zostanie przemianowany na readme.bak oraz info.txt na info.bak.

Dopuszczalne jest używanie symboli wieloznacznych w miejsce parametrów <stara_nazwa> i <nowa_nazwa>, co umożliwia kompleksową zmianę np. rozszerzeń plików, jak w następującym przykładzie:

WinRAR rn dane.rar *.txt *.bak

(spowoduje to zmianę rozszerzenia wszystkich plików *.txt na *.bak)

WinRAR nie sprawdza, czy plik o nazwie <nowa_nazwa> już istnieje w archiwum, dlatego należy zachować ostrożność, aby uniknąć duplikacji nazw. Jest to szczególnie ważne podczas używania symboli wieloznacznych.


Polecenie RR[N] - dodaj dane naprawcze

Opcjonalnie można dodać do archiwum RAR pewną porcję informacji (dane naprawcze). Spowoduje to niewielki wzrost rozmiaru archiwum, lecz może pomóc w odzyskaniu danych w przypadku jego uszkodzenia. Naprawy uszkodzonego archiwum można dokonać poleceniem „r”. Format ZIP nie obsługuje danych naprawczych.

Dane naprawcze w formacie RAR 4.x różnią się od tych w formacie RAR 5.0.

Dane naprawcze w formacie RAR 4.x bazują na funkcji XOR. Rozmiar danych można określić jako liczbę sektorów lub jako procent rozmiaru archiwum. Aby określić liczbę sektorów należy dołączyć ją bezpośrednio do polecenia „rr”, np. „rr100” oznacza 100 sektorów. Aby wielkość danych naprawczych wyrazić w procentach należy za liczbą umieścić „p” lub „%”, np. „rr5p” lub „rr5%”. Należy mieć na uwadze, że jeśli polecenie to będzie wykonywane z pliku wsadowego Windows (.bat lub .cmd), trzeba użyć „rr3%%” zamiast „rr3%”, ponieważ interpreter poleceń traktuje pojedynczy znak „%” jako początek parametru pliku wsadowego. Wygodniej zatem zamiast „%” użyć „p”.

Dla formatu RAR 4.x dane naprawcze składają się z 512-bajtowych sektorów. Jeśli obszar uszkodznia jest ciągły, to każdy sektor danych naprawczych pomaga w odzyskaniu 512 bajtów uszkodzonej informacji. Ta wartość może być niższa w przypadku wielomiejscowego uszkodzenia. Liczba sektorów danych naprawczych nie może przekroczyć 524288.

Rozmiar danych naprawczych w formacie RAR 4.x może być wyliczony w następujący sposób:
<rozmiar archiwum>/256 + <liczba sektorów naprawczych>*512 bajtów
Górnym limitem jest rozmiar zabezpieczanych danych lub 256 MB (zależnie która z tych wielkości jest mniejsza).

Dane naprawcze w formacie RAR 5.0 bazują na korekcji błędów Reeda-Solomona. Ich wydajność w przypadku naprawy pojedynczego uszkodzenia jest zbliżona do formatu RAR 4.x, umożliwiając odzyskanie nieco mniej danych niż rozmiar danych naprawczych, lecz przewyższa format RAR 4.x w przypadku wielomiejscowego uszkodzenia lub przemieszczenia danych.

Dane naprawcze w formacie RAR 5.0 nie składają się z 512 bajtowych sektorów, a rozmiar danych naprawczych można określić jedynie procentowo. Nawet jeśli w poleceniu „rr” nie wystąpi znak „%” lub „p”, to w przypadku archiwum RAR 5.0 wprowadzona wartość zostanie potraktowana jako procent - „rr5” i „rr5p” oznaczają rozmiar danych naprawczych równy 5% rozmiaru archiwum. Ze względu na dodatkowe dane faktyczny rozmiar danych naprawczych może się nieco różnić od wybranego, a ta różnica jest większa dla małych archiwów.

Maksymalny rozmiar danych naprawczych w formacie RAR 5.0 to 1000%. Im obszerniejsze są dane naprawcze tym wolniej są przetwarzane zarówno podczas ich tworzenia jak i naprawiania archiwum.

Jeśli polecenie „rr” nie będzie miało żadnego parametru, to WinRAR ustali rozmiar danych naprawczych na 3% rozmiaru archiwum.

Chociaż dane naprawcze zwiększają szanse naprawy uszkodzonego archiwum, to nie dają pełnej gwarancji. Należy rozważyć podwójne zabezpieczenie - oprócz dodania danych naprawczych warto przechowywać na różnych nośnikach kilka kopii archiwum zawierającego ważne dane.

To polecenie jest odpowiednikiem polecenia trybu obsługi archiwum - Zabezpiecz archiwum.

Przykłady:

  1. dodaj dane naprawcze o domyślnym rozmiarze (3%) do archiwum kopia

    WinRAR rr kopia

  2. dodaj dane naprawcze o rozmiarze 5% wielkości archiwum

    WinRAR rr5p obrazy


Polecenie RV[N] - utwórz woluminy naprawcze

Woluminy naprawcze (pliki .rev) służą do odtwarzania brakujących woluminów w archiwum wieloczęściowym RAR. Polecenie to ma sens tylko w przypadku archiwów wieloczęściowych. Należy podać wtedy nazwę pierwszego woluminu takiego archiwum, na przykład:

WinRAR rv3 dane.part01.rar

Opcjonalna liczba <N> określa liczbę woluminów naprawczych. Liczba ta musi być mniejsza niż liczba zwykłych woluminów dla archiwów RAR 4.x, a dla archiwów w formacie RAR 5.0 nie może przekroczyć 10-krotności rozmiaru zabezpieczanego archiwum. Wartości przekraczające dozwolony zakres są automatycznie zmniejszane.

Liczba ta może również określać procent liczby zwykłych woluminów, np.:

WinRAR rv15% dane.part01.rar

(zamiast znaku % można użyć litery p)

Jeśli parametr <N> nie zostanie określony, jego wartość jest automatycznie ustawiana na 10%.

Więcej informacji o woluminach naprawczych znajduje się w tym rozdziale.


Polecenie S[nazwa] - przekształć archiwum w samorozpakowujące się

Polecenie S[nazwa] - przekształć archiwum w samorozpakowujące się (SFX)

To polecenie tworzy samorozpakowujące się archiwum (SFX), które, po uruchomieniu, wypakuje pliki, które się w nim znajdują.

Można też utworzyć pierwszy wolumin jako SFX, lecz należy mieć na uwadze, że rozmiar archiwum powiększy się o wielkość modułu SFX. Jeśli woluminy SFX zostaną utworzone poleceniem a z opcjami: -v[<rozmiar>] -sfx, to nie trzeba się przejmować wielkością archiwum - rozmiar pierwszego woluminu zostanie automatycznie dostosowany.

To polecenie jest odpowiednikiem polecenia trybu obsługi archiwum - Przekształć w SFX.

Przykład:

WinRAR s klakson

Domyślnie WinRAR jako modułu SFX dla archiwów RAR używa pliku o nazwie default.sfx, który musi się znajdować w tym samym folderze co WinRAR.exe. Dla archiwów ZIP domyślnym modułem SFX jest zip.sfx. Można jednak wymusić użycie innego modułu SFX w poleceniu s.

Na przykład, aby dodać moduł SFX dla konsoli (WinCon.sfx) należy wykonać:

WinRAR sWinCon.sfx install


Polecenie S- - usuń moduł SFX

Polecenie S– - usuń moduł SFX

To polecenie usuwa moduł SFX z istniejącego samorozpakowującego się archiwum.

WinRAR tworzy nowe archiwum bez modułu SFX – samorozpakowujące się archiwum pozostaje nienaruszone.

Przykład:

WinRAR s- rarsetup.exe


Polecenie T - testuj zarchiwizowane pliki

To polecenie dekompresuje pliki lecz nie zapisuje zdekompresowanych danych. Taka dekompresja ma na celu przetestowanie poprawności archiwum. Polecenie to jest odpowiednikiem polecenia trybu obsługi archiwum - Testuj.

Przykład:

testuj wszystkie archiwa *.rar na bieżącym dysku:

WinRAR t -r \*.rar


Polecenie U - aktualizuj pliki w archiwum

To polecenie, podobnie jak polecenie f, aktualizuje pliki w archiwum tylko jeśli są starsze niż pliki przeznaczone do archiwizacji, lecz w przeciwieństwie do f, polecenie to doda także nowe (nie znajdujące się jeszcze w archiwum) pliki.

Jest to odpowiednik polecenia Dodaj z trybem aktualizacji „Dodaj i aktualizuj pliki” w dialogu Nazwa i parametry archiwum.

Uwaga: Ponieważ modyfikacja woluminów nie jest możliwa, polecenie to nie stosuje się do nich.

Patrz także: polecenie A - dodaj do archiwum


Polecenie X - wypakuj z archiwum wraz z pełnymi ścieżkami

Wypakowuje pliki z archiwum odtwarzając zachowaną strukturę folderów. Jest to odpowiednik polecenia trybu obsługi archiwum - Wypakuj.

Podobnie do polecenia e to polecenie także potrafi wypakować pliki zarówno do bieżącego folderu jak również do innego, wybranego folderu.

Na przykład, polecenie:

WinRAR x Fonty *.ttf

wypakuje wszystkie pliki *.ttf z archiwum Fonty do bieżącego folderu, a polecenie:

WinRAR x Fonty *.ttf NoweFonty\

wypakuje wszystkie pliki *.ttf z archiwum Fonty do foldera NoweFonty

Aby określić folder docelowy (jak w powyższym przykładzie), należy użyć backslasha (znaku „\”) na końcu jego nazwy.


Alfabetyczna lista opcji

-- | zakończ analizę opcji
-@[+] | wyłącz [włącz] listy plików
-ac | wyczyść atrybut „Archiwalny” po kompresji lub wypakowaniu
-ad[1,2] | modyfikuj ścieżkę docelową
-af<typ> | określ format archiwum
-ag[format] | utwórz nazwę archiwum używając bieżącej daty i czasu
-ai | ignoruj atrybuty pliku
-ao | dodaj pliki z ustawionym atrybutem „Archiwalny”
-ap<ścieżka> | wskaż folder wewnątrz archiwum
-as | synchronizuj zawartość archiwum
-cfg- | ignoruj profil domyślny i zmienną środowiskową
-cl | konwertuj nazwy plików na małe litery
-cp<nazwa> | wybierz profil kompresji
-cu | konwertuj nazwy plików na wielkie litery
-df | usuń pliki po zarchiwizowaniu
-dh | otwórz współużytkowane pliki
-dr | przenieś pliki do Kosza
-ds | nie sortuj plików podczas archiwizacji
-dw | wymaż pliki po archiwizacji
-ed | nie dodawaj pustych folderów
-ep | nie zachowuj ścieżek
-ep1 | wyklucz folder bazowy z nazw
-ep2 | zachowaj pełne ścieżki
-ep3 | rozwiń ścieżki włącznie z literą napędu
-ep4<ścieżka> | obetnij ścieżkę z początku nazwy
-e[+]<atr> | określ atrybuty wykluczające i niezbędne
-f | odśwież pliki
-hp[hasło] | szyfruj dane i nagłówki
-ht[b|c] | wybierz typ sumy kontrolnej [BLAKE2,CRC32]
-iadm | żądaj dostępu administracyjnego dla archiwum SFX
-ibck | uruchom WinRARa w tle
-idv | wyświetl szczegółowe informacje
-ieml[.][adres] | wyślij archiwum pocztą elektroniczną
-iicon<nazwa> | określ ikonę dla archiwum SFX
-iimg<nazwa> | określ logo dla archiwum SFX
-ilog[nazwa] | rejestruj błędy w pliku
-imon<numer> | wybierz mnitor
-inul | wyłącz komunikaty błędów
-ioff[n] | wyłącz komputer
-isnd[-] | sterowanie dźwiękami powiadomień
-k | zablokuj archiwum
-kb | zachowaj uszkodzone pliki po wypakowaniu
-log[fmt][=nazwa] | zapisz nazwy do pliku
-m<n> | wybierz metodę kompresji
-ma[4|5] | wybierz wersję formatu archiwum
-mc<par> | ustaw zaawansowane parametry kompresji
-md<n> | wybierz rozmiar słownika
-me[par] | ustaw parametry szyfrowania
-ms[lista] | określ pliki do archiwizacji bez kompresji
-mt<wątki> | określ liczbę wątków
-n<plik> | dodatkowy filtr pliku
-n@<lista> | wczytaj dodatkowe filtry z określonej listy
-oc | odtwórz atrybut kompresji pliku (NTFS)
-oh | zachowaj twarde dowiązania jako dowiązania a nie pliki
-oi[-] | zachowaj identyczne pliki jako odwołania
-ol | zachowaj symboliczne dowiązania jako dowiązania a nie pliki
-op<ścieżka> | określ folder docelowy
-or | automatycznie zmieniaj nazwy plików
-os | zachowaj strumienie NTFS
-ow | przetwarzaj informacje bezpieczeństwa
-o[+|-] | ustaw tryb nadpisywania
-p[hasło] | ustaw hasło
-qo[-|+] | dodaj informacje szybkiego otwarcia [nie dodawaj|wymuś]
-r | przeszukaj podfoldery
-r- | nie przeszukuj podfolderów
-ri | ustaw priorytet i czas zaśnięcia
-r0 | przeszukaj podfoldery tylko dla symboli wieloznacznych
-rr[N] | dodaj dane naprawcze
-rv[N] | utwórz woluminy naprawcze
-s | utwórz ciągłe archiwum
-s<N> | utwórz ciągłe grupy <N> plików
-sc<kodowanie>[obiekty] | określ kodowanie
-se | utwórz ciągłe grupy według rozszerzenia
-sfx[nazwa] | utwórz samorozpakowujące się archiwum
-sl<rozmiar> | przetwarzaj pliki o rozmiarze mniejszym niż określony
-sm<rozmiar> | przetwarzaj pliki o rozmiarze większym niż określony
-sv | utwórz niezależne ciągłe woluminy
-sv- | utwórz zależne ciągłe woluminy
-s- | wyłącz „ciągłe” archiwizowanie
-t | testuj pliki po zarchiwizowaniu
-ta[m,c,a,o]<data> | przetwarzaj pliki zmodyfikowane po określonej dacie
-tb[m,c,a,o]<data> | przetwarzaj pliki zmodyfikowane przed określoną datą
-tk | zachowaj czas archiwum
-tl | ustaw czas archiwum na czas najnowszego pliku
-tn[m,c,a,o]<czas> | przetwarzaj pliki nowsze niż podany czas
-to[m,c,a,o]<czas> | przetwarzaj pliki starsze niż podany czas
-ts[m,c,a,p][+,-,1] | zapisz lub odtwórz czas pliku (modyfikacji, utworzenia, dostępu, zabezpiecz)
-u | aktualizuj pliki
-v<n>[k|b|m|M|g|G] | twórz woluminy
-vd | usuń zawartość dysku przed utworzeniem woluminu
-ver[n] | kontrola wersji pliku
-vn | użyj starego stylu nazywania woluminów
-vp | pauza przed każdym woluminem
-w<ścieżka> | określ folder dla plików tymczasowych
-x<plik> | wyklucz podany plik
-x@<lista> | wyklucz pliki znajdujące się na podanej liście
-y | odpowiedz „Tak” na wszystkie zapytania
-z[plik] | wczytaj komentarz archiwum z pliku


Opcja -- - zakończ analizę opcji

Po wystąpieniu tej opcji w linii poleceń, WinRAR nie szuka dalszych opcji. może to być przydatne w przypadku, gdy nazwa archiwum lub nazwa pliku rozpoczyna się od znaku „-” (minus). Bez podania opcji „--” taka nazwa byłaby traktowana jako opcja.

Przykład:

dodaj wszystkie pliki z bieżącego foldera do ciągłego archiwum „-NietypowaNazwa”

WinRAR a -s -- -NietypowaNazwa


Opcja -@[+] - wyłącz [włącz] listy plików

WinRAR traktuje parametry linii poleceń zaczynające się od znaku „@” jak listy plików, zatem domyślnie próbuje otworzyć plik o nazwie „nazwapliku” gdy napotka parametr „@nazwapliku”, lecz jeśli istnieje plik o nazwie „@nazwapliku”, WinRAR potraktuje go jak zwykły plik.

Opcja -@[+] pozwala uniknąć niejednoznaczności poprzez wskazanie trybu postępowania z parametrami rozpoczynającymi się od znaku „@”.

Jeśli wystąpi opcja -@, wszystkie takie parametry znajdujące się za nią będą traktowane jak zwykłe nazwy plików, a nie listy plików.

Jeśli wystąpi opcja -@+, wszsytkie takie parametry znajdujące się za nią będą traktowane jak listy plików.

Opcja ta nie wpływa na przetwarzanie parametrów znajdujących się przed nią.

Przykład:

przetestuj plik „@home” znajdujący się w archiwum:

WinRAR t -@ notatki.rar @home


Opcja -AC - wyczyść atrybut „Archiwalny”

Ta opcja powoduje, że po kompresji lub wypakowaniu pliku zostanie z niego zdjęty atrybut „Archiwalny”. Nie wpływa to na atrybuty folderów.


Opcja -AD[1,2] - modyfikuj ścieżkę docelową

Ta opcja może być przydatna podczas rozpakowywania grupy archiwów.

Oppcje -ad i -ad1 powodują, że dla każdego archiwum zostanie utworzony osobny folder. Opcja -ad powoduje utworzenie tych folderów w folderze docelowym. Opcja -ad1 powoduje, że te foldery zostaną utworzone w tych samych folderach, w których znajdują się rozpakowywane archiwa.

Opcja -ad2 umieszcza wypakowane pliki bezpośrednio w folderze, w którym znajduje się rozpakowywane archiwum, bez tworzenia podfolderu.

Folder docelowy nie jest brany pod uwagę w przypadku użycia opcji -ad1 lub -ad2.

Przykłady:

  1. Podczas rozpakowywania WinRAR dla każdego znalezionego archiwum utworzy podfolder w folderze „dane”

WinRAR x -ad *.rar dane\

  2. WinRAR rekurencyjnie przeszuka folder „arch” w poszukiwaniu archiwów *.rar i dla każdego znalezionego archiwum utworzy folder o takiej samej nazwie w miejscu jego znalezienia

WinRAR x -r -ad1 arch\*.rar


Opcja -AF<typ> - określ format archiwum

Opcja ta umożliwia określenie typu nowotworzonego archiwum. <Typ> może przyjąć wartość „rar” lub „zip”.

Na przykład „winrar a -afzip dane” utworzy archiwum dane.zip.

Opcja ta jest obsługiwana tylko przez WinRARa. RAR w wersji dla konsoli może tworzyć tylko archiwa w formacie RAR.


Opcja -AG[format] - utwórz nazwę archiwum używając bieżącej daty i czasu

Dołącza bieżącą datę do nazwy archiwum podczas jego tworzenia lub przetwarzania. Przydatne podczas tworzenia codziennych kopii zapasowych.

Format dołączanej daty jest określony opcjonalnym parametrem format lub, jeśli tego parametru nie ma, ciągiem znaków „YYYYMMDDHHMMSS”. Ciąg formatujący może zawierać następujące znaki:

Y | rok
M | miesiąc
MMM | miesiąc jako tekst (styczeń, luty, itp.)
W | numer tygodnia (tydzień rozpoczyna się od poniedziałku)
A | dzień tygodnia (poniedziałek to 1, niedziela to 7)
D | dzień miesiąca
E | dzień roku
H | godziny
M | minuty (pierwsze dwa wystąpienia „M” po symbolu godzin są traktowane jako minuty)
I | minuty (traktowane jako minuty niezależnie od pozycji symbolu godzin)
S | sekundy
N | numer archiwum (liczba o początkowej wartości 1). Podczas archiwizacji WinRAR wyszuka archiwum o podanym numerze, i jeśli je znajdzie, zwiększy numer i powtórzy wyszukiwanie – aż do wygenerowania nieużywanej nazwy. Znak formatujący „N” nie jest obsługiwany podczas tworzenia woluminów.

Każdy z wymienionych znaków formatujących reprezentuje jeden znak, który zostanie umieszczony w nazwie archiwum. Na przykład, aby umieścić dwuznakowy numer tygodnia należy w ciągu formatującym podać WW; aby umieścić czteroznakowy numer roku, należy podać YYYY.

Jeśli pierwszym znakiem w ciągu formatującym jest „+” (plus), data zostanie umieszczona przed nazwą archiwum.

Jeśli pierwszym znakiem w ciągu formatujacym jest „F”, to reszta ciągu określa domyślny format dla opcji -ag. Taka postać (-ag<domyślny_format>) ma sens jedynie wtedy, gdy zostanie umieszczona w pliku rar.ini lub w zmiennej środowiskowej RAR. Na przykład, jeśli w zmiennej środowiskowej RAR zostanie umieszczona opcja -agfYYYY-MMM-DD, to wywołanie programu z opcją -ag bez parametru spowoduje, że domyślnie zostanie użyty format YYYY-MMM-DD.

Ciąg formatujący może zawierać opcjonalny tekst zawarty w nawiasach klamrowych { }. Taki tekst jest wstawiany bez zmian do nazwy archiwum.

Wszystkie pozostałe znaki są umieszczane w nazwie archiwum bez zmian.

W przypadku przetwarzania istniejącego archiwum należy zachować ostrożność używając opcji -ag. W zależności od parametrów tej opcji oraz czasu, jaki upłynął od ostatniego użycia tej opcji, wygenerowana nazwa może się różnić od istniejącej. W takim przypadku RAR utworzy lub otworzy nowe archiwum zamiast przetworzyć istniejące. Można użyć opcji -log w celu zapisania wygenerowanej nazwy archiwum - można będzie ją później odczytać w celu dalszego przetwarzania.

Przykłady:

  1. użyj domyślnego formatu YYYYMMDDHHMMSS

    WinRAR a -ag kopia

  2. użyj formatu DD-MMM-YY

    WinRAR t -agDD-MMM-YY kopia

  3. użyj formatu YYYYMMDDHHMM, umieść datę przed „kopia”

    WinRAR a -ag+YYYYMMDDHHMM kopia

  4. użyj formatu YYYY-WW-A, z opisami pól

    WinRAR a -agYYYY{rok}-WW{tydzień}-A{dzień_tygodnia} kopia

  5. użyj formatu YYYYMMDD wraz z numerem archiwum. Umożliwi to wygenerowanie unikalnych nazw nawet jeśli format YYYYMMDD jest używany kilka razy tego samego dnia

    WinRAR a -agYYYYMMDD-NN kopia


Opcja -AI - ignoruj atrybuty pliku

Gdy ta opcja zostanie użyta podczas wypakowywania, WinRAR nie ustawi wypakowywanym plikom atrybutów zapisanych w archiwum. Dotyczy to atrybutów „Archiwalny”, „Systemowy”, „Ukryty” i „Tylko do odczytu”.

Gdy ta opcja zostanie użyta podczas archiwizowania, to zamiast faktycznych atrybutów zostaną zachowane typowe atrybuty dla plików i folderów.

Dostępne dla archiwów RAR i ZIP podczas wypakowywania, a podczas archiwizacji tylko dla archiwów RAR.


Opcja -AO - dodaj pliki z ustawionym atrybutem „archiwalny”

Ta opcja jest przeznaczona do tworzenia kopii zapasowych. Jej użycie powoduje, że do archiwum zostaną dodane tylko pliki posiadające atrybut „Archiwalny”. Opcja ta nie wpływa na foldery, zatem wszystkie przetwarzane foldery zostaną dodane niezależnie od atrybutów. Aby pominąć foldery można użyć opcji -ed.

Przykład:

dodaj wszystkie pliki z dysku C: posiadające atrybut „Archiwalny” do archiwum f:kopia i usuń z nich atrybut „Archiwalny”

WinRAR a -r -ac -ao f:kopia c:\*.*


Opcja -AP - wskaż folder wewnątrz archiwum

Opcja -AP<ścieżka> - wskaż folder wewnątrz archiwum

Podana ścieżka (nazwa folderu) jest dołączana do nazw plików podczas dodawania ich do archiwum i usuwana podczas wypakowywania.

Przykłady:

  1. dodaj plik „czytajto.txt” do folderu „DOCS\PL” znajdującego się w archiwum „gotowe”:

    WinRAR a -apDOCS\PL gotowe czytajto.txt

  2. wypakuj folder „PL” do bieżącego folderu:

    WinRAR x -apDOCS gotowe DOCS\PL\*.*

Dostępne dla archiwów RAR i ZIP.


Opcja -AS - synchronizuj zawartość archiwum

Jeśli opcja ta zostanie dodana podczas archiwizacji, zarchiwizowane pliki, których nie ma na liście dodawanych plików, zostaną usunięte z archiwum. użycie opcji -as w kombinacji z opcją -u spowoduje zsynchronizowanie zawartości archiwum z zawartością archiwizowanego folderu.

Na przykład polecenie:

WinRAR a -u -as backup sources\*.cpp

spowoduje, że archiwum backup.rar będzie zawierać tylko pliki *.cpp z folderu sources, a wszystkie pozostałe pliki zostaną usunięte z archiwum. Jest to podobne do tworzenia nowego archiwum, z jednym ważnym wyjątkiem: jeśli żaden z plików nie został zmodyfikowany od czasu ostatniej kopii zapasowej, operacja ta przebiega znacznie szybciej niż tworzenie nowego archiwum.


Opcja -CFG- - ignoruj profil domyślny i zmienną środowiskową

Opcja -CFG– - ignoruj profil domyślny i zmienną środowiskową

Ta opcja powoduje, że WinRAR ignoruje ustawienia zapisane w domyślnym profilu kompresji, zmienną środowiskową RAR, domyślny folder dla archiwów, pole „Użyj dla archiwów” w hasłach zapisanych w Menedżerze haseł oraz kilka innych zapisanych ustawień.


Opcja -CL - konwertuj nazwy na małe litery

Jeśli ta opcja zostanie użyta, nazwy wszystkich plików wypakowywanych z archiwum, dodawanych do archiwum, modyfikowanych lub aktualizowanych w archiwum będą konwertowane na małe litery. Jest to czasem przydatne podczas przenoszenia archiwum pomiędzy różnymi systemami operacyjnymi, gdzie w jednym z nich wielkość liter w nazwach plików nie jest istotna (np. DOS) a w drugim jest (np. Unix).

Przykład:

wypakuj wszystkie pliki z archiwum port.rar zamieniając ich nazwy na małe litery

WinRAR x -cl port


Opcja -CP<nazwa> - wybierz profil kompresji

Za pomocą tej opcji można załadować ustawienia zapisane w profilu kompresji WinRARa. Jako parametr tej opcji podaje się nazwę profilu.
Jeśli wybrany profil zawiera zapisane nazwy plików, WinRAR zarchiwizuje zarówno pliki z profilu jak i te wskazane w linii poleceń. Jeśli profil zawiera zapisaną nazwę archiwum, to zostanie ona użyta - w takim przypadku nie należy podawać nazwy archiwum w poleceniu.

Wielkość liter w nazwie profilu ma znaczenie - jeśli np. profil nosi nazwę „Kopia", to po podaniu nazwy „kopia” nie zostanie odnaleziony.

Przykład:

Zarchiwizuj pliki *.txt używając profilu kompresji „Moje teksty”

WinRAR a "-cpMoje teksty" teksty *.txt


Opcja -CU - konwertuj nazwy na wielkie litery

Jeśli ta opcja zostanie użyta, nazwy wszystkich plików wypakowywanych z archiwum, dodawanych do archiwum, modyfikowanych lub aktualizowanych w archiwum będą konwertowane na wielkie litery.

Przykład:

wypakuj wszystkie pliki z archiwum port.rar zamieniając ich nazwy na wielkie litery

WinRAR x -cu port


Opcja -DF - usuń pliki po zarchiwizowaniu

Przenosi pliki do archiwum. Opcja ta w połączeniu z poleceniem a działa tak samo jak polecenie m.


Opcja -DH - otwórz współużytkowane pliki

Umożliwia przetwarzanie plików otwartych do zapisu przez inne aplikacje, ale tylko wtedy, jeśli te aplikacje zezwalają równocześnie na odczyt zablokowanych przez siebie plików.

Opcja ta powinna być używana z rozwagą, ponieważ umożliwia archiwizowanie pliku, który w tym samym czasie może być modyfikowany przez inną aplikację.

Jeśli opcja -dh nie wystąpi, przetwarzanie współużytkowanych plików zależy od opcji „Otwórz współużytkowane pliki” w domyślnym profilu kompresji.

Przykład:

WinRAR a -dh dbf *.dbf


Opcja -DR - przenieś pliki do Kosza

Po zarchiwizowaniu usuwa pliki przenosząc je do Kosza.


Opcja -DS - nie sortuj plików podczas archiwizacji

Ta opcja ma znaczenie tylko dla ciągłych archiwów RAR. Stopień kompresji w ciągłych archiwach zależy od kolejności archiwizacji plików. Domyślnie WinRAR sortuje pliki dodawane do ciągłego archiwum według rozszerzenia. można wyłączyć to sortowanie przy użyciu opcji -ds i spróbować ustawić bardziej optymalną kolejność. Generalnie pliki o podobnej zawartości powinny być umieszczane obok siebie.

Przykład:

WinRAR a -s -ds narzędzia *.com *.exe *.doc *.txt *.*

Pliki zostaną dodane w następującej kolejności: *.com, *.exe, *.doc, *.txt, wszystkie pozostałe typy plików.

Uwaga:

Można też użyć pliku rarfiles.lst w celu określenia kolejności dodawania plików do ciągłych archiwów.


Opcja -DW - wymaż pliki po archiwizacji

Po zarchiwizowaniu usuwa pliki. Aby uniemożliwić ich odzyskanie, przed usunięciem pliki są zamazywane, ich rozmiar jest obcinany do zera a nazwy zmieniane na tymczasowe.

Należy mieć na uwadze, że ta metoda jest przeznaczona do użycia w przypadku klasycznych dysków twardych i może nie przynieść spodziewanych rezultatów w przypadku dysków wykonanych w innych technologiach (np. SSD) ze względu na bardziej skomplikowane techniki rozmieszczania danych.


Opcja -ED - nie dodawaj pustych folderów

Ta opcja powoduje, że puste foldery nie będą dodawane do archiwum. Podczas rozpakowywania takiego archiwum WinRAR utworzy niepuste foldery bazując na ścieżkach plików w nich leżących. Informacje o pustych folderach nie są przechowywane. Wszelkie atrybuty folderów poza nazwą (prawa dostępu, strumienie itp.) także zostaną utracone, dlatego opcji tej należy używać tylko w przypadku, gdy nie istnieje konieczność przechowywania tych informacji w archiwum.

Jeśli ta opcja zostanie użyta z poleceniem m lub opcją -df, WinRAR nie usunie pustych folderów.


Opcja -EP - nie zachowuj struktury folderów

Po użyciu tej opcji pliki są dodawane do archiwum bez zachowania struktury folderów. Może to spowodować wielokrotne wystąpienie pliku o tej samej nazwie w jednym archiwum.

Jeśli ta opcja zostanie użyta podczas wypakowywania plików, to zarchiwizowane ścieżki zostaną pominięte i wszystkie pliki zostaną wypakowane do jednego folderu.

Przykład:

archiwizuj bez zachowania struktury folderów wszystkie pliki *.bas z bieżącego dysku

WinRAR a -r -ep bsources \*.bas


Opcja -EP1 - wyklucz folder bazowy z nazw

Nie zachowuje ani nie odtwarza ścieżki podanej w linii poleceń.

Przykłady:

  1. dodaj wszystkie pliki i foldery z foldera tmp do archiwum „test”, lecz ścieżka dodanych plików nie będzie zawierać „tmp\”.

    WinRAR a -r -ep1 test tmp\*

    jest to odpowiednik następujących operacji:

    cd tmp

    WinRAR a -r ..\test

    cd ..

  2. wypakuj pliki pasujące do wzorca „obrazki\*” do folderu „cel\”, lecz nie odtwarzaj folderów „obrazki”

    WinRAR x -ep1 dane obrazki\* cel\


Opcja -EP2 - zachowaj pełne ścieżki

Zachowuje pełne ścieżki (oprócz litery dysku i wiodącego backslasha) podczas archiwizacji.


Opcja -EP3 - rozwiń ścieżki włącznie z literą napędu

Ta opcja powoduje, że w archiwum zapisywane są pełne ścieżki dostępu do plików, łącznie z literą napędu. Separator litery napędu (dwukropek) jest zastępowany przez znak podkreślenia.

Jeśli opcja ta zostanie użyta podczas wypakowywania, spowoduje zamianę znaków podkreślenia na dwukropki, przez co pliki zostaną wypakowane do pierwotnych folderów i dysków. Jeśli przy wypakowywaniu została określona ścieżka docelowa, zostanie ona zignorowana.

Opcja ta powoduje również konwersję ścieżek UNC z \\serwer\udział na __serwer\udział podczas archiwizacji i odtworzenie ich podczas rozpakowywania archiwum.

Za pomocą tej opcji można w łatwy sposób utworzyć kopię bezpieczeństwa kilku dysków w jednym archiwum, np.:

(aby utworzyć archiwum):

WinRAR a -ep3 -r kopia.rar c:\ d:\ e:\

(aby rozpakować takie archiwum):

WinRAR x -ep3 kopia.rar

Należy zachować rozwagę przy użyciu opcji -ep3 podczas wypakowywania plików - zaleca się używanie tej opcji tylko w przypadku rozpakowywania własnych archiwów lub archiwów pochodzących z zaufanych źródeł, ponieważ jej pomocą można nadpisać dowolny plik znajdujący się na dysku.


Opcja -EP4<ścieżka> - obetnij ścieżkę z początku nazwy

Jeśli ta opcja zostanie użyta podczas archiwizacji, to określona ścieżka zostanie usunięta z nazwy archiwizowanych plików - jesli zostanie znaleziona na początku tej nazwy i nie stanowi pełnej nazwy. Porównywanie odbywa się do nazw już przygotowanych do umieszczenia w archiwum - bez nazwy napędu i bez wiodącego separatora ścieżki. Na przykład:

WinRAR a -ep4teksty\ebooki biblioteka c:\teksty\ebooki\techniczne

spowoduje, że „teksty\ebooki” zostanie usunięte z nazwy każdego archiwizowanego pliku, i ich nazwy będą się rozpoczynać od „techniczne”. Ponieważ ta operacja dotyczny nazw umieszczanych w archiwum, opcja „-ep4c:\teksty\ebooki” byłaby niewłaściwa.

Podczas rozpakowywania archiwum ta opcja działa podobnie do opcji -ap<ścieżka>. Określona ścieżka jest usuwana z nazwy jeśli zostanie znaleziona na jej początku. Na przykład:

WinRAR x -ep4teksty\ebooki biblioteka

podczas wypakowywania usunie ciąg „teksty\ebooki” z tych nazw, które się od niego zaczynają.


Opcja -E[+]<atr> - określ atrybuty wykluczające i niezbędne

Określa maskę atrybutów wykluczających lub niezbędnych. <atr> jest liczbą dziesiętną, ósemkową (poprzedzoną znakiem „0”) lub szesnastkową (poprzedzoną znakami „0x”). Domyślnie, jeśli atrybuty nie zostaną poprzedzone znakiem „+”, będą oznaczać atrybuty wykluczające. Jeśli rezultat porównania bitowego AND <atrybutów> i atrybutów pliku jest niezerowy, to plik nie zostanie przetworzony.

Jeśli określenie atrybutów zostanie poprzedzone znakiem „+”, będzie to oznaczać atrybuty niezbędne - przetwarzane będą tylko te pliki, które posiadają co najmniej jeden z nich.

W wersji dla Windows istnieje możliwość, aby zamiast liczby podać atrybuty symboliczne: D, S, H, A i R odpowiednio dla: folderów, plików systemowych, plików ukrytych (hidden), plików archiwalnych (archive) i plików tylko-do-odczytu (read-only). Kolejność podawania atrybutów nie jest istotna.

Dopuszczalne jest użycie zarówno -e<atr> i -e+<atr> w jednym poleceniu.

Przykłady:

  1. archiwizacja samej struktury folderów, bez zawartości

    WinRAR a -r -e+d foldery

  2. archiwizacja plików z wyjątkiem ukrytych i systemowych

    WinRAR a -esh pliki

  3. nie wypakowuj plików tylko-do-odczytu (read-only)

    WinRAR x -er pliki


Opcja -F - odśwież pliki

Opcja może być użyta podczas rozpakowywania lub tworzenia archiwum. Polecenie a -f jest równoważne poleceniu f. Opcję -f można też użyć z poleceniem m.

Jeśli opcja -f zostanie użyta z poleceniem x lub e, wtedy pliki na dysku zostaną zastąpione przez pliki wypakowane z archiwum tylko wtedy, jeśli są starsze niż pliki w archiwum. Zarchiwizowany plik, który nie posiada swojego odpowiednika na dysku, nie zostanie wypakowany.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Odśwież tylko istniejące pliki” w dialogu Nazwa i parametry archiwum i opcja „Odśwież istniejące pliki” w dialogu Folder docelowy i opcje wypakowywania

Opcja ta jest obsługiwana dla archiwów w formacie RAR i ZIP.


Opcja -HP[hasło] - szyfruj dane i nagłówki

Ta opcja jest podobna do -p[hasło], lecz opcja -p szyfruje tylko dane (zarchiwizowane pliki), pozostawiając pozostałe informacje, jak nazwy zarchiwizowanych plików, widoczne. Opcja -hp szyfruje wszystko, to znaczy zarchiwizowane pliki, ich nazwy, rozmiary, atrybuty, komentarze i inne dane. Bez podania hasła niemożliwe staje się w takim przypadku nawet wylistowanie zawartości archiwum.

Przykład:

dodaj plik raport.txt do archiwum tajne.rar i zaszyfruj przy użyciu hasła „TWFydGEgOi0p”

WinRAR a -hpTWFydGEgOi0p tajne raport.txt


Opcja -HT[B|C] - wybierz typ sumy kontrolnej [BLAKE2,CRC32]

Spójność danych w archiwum RAR jest chroniona za pomocą sum kontrolnych, które są wyliczane i przechowywane dla każdego zarchiwizowanego pliku.

Domyślnie RAR używa sumy kontrolnej CRC32, jednakże archiwum w formacie RAR 5.0 może również zawierać sumy kontrolne wyliczane funkcją BLAKE2sp zamiast CRC32.

Opcja -htb włącza sumę kontrolną BLAKE2sp, a -htc - CRC32. Ponieważ CRC32 jest używane domyślnie, opcja -htc zwykle jest potrzebna tylko do przebicia opcji zapisanej w konfiguracji.

Rozmiar sumy kontrolnej CRC32 to 32 bity (4 bajty). Choć sposób wyliczania tej sumy jest wystarczający do wykrycia większości błędów danych, to nie jest dostateczny do identyfikacji pliku. Innymi słowy, jeśli dwa pliki mają tę samą wartość sumy CRC32, to niekoniecznie mają tę samą zawartość.

Rozmiar sumy kontrolnej BLAKE2sp to 256 bitów (32 bajty). Ponieważ jest to funkcja skrótu używana w kryptografii, praktycznie gwarantuje, że jeśli dwa pliki mają taką samą sumę kontrolną BLAKE2sp, to ich zawartość jest taka sama. Detekcja błędów danych jest również lepiej obsługiwana niż dla CRC32.

Ponieważ suma kontrolna BLAKE2sp jest większa, archiwum jest nieco większe w przypadku użycia opcji -htb.

Jeśli nagłówki plików nie są zaszyfrowane (nie została użyta opcja -hp), to sumy kontrolne dla zaszyfrowanych plików w archiwum RAR 5.0 są modyfikowane specjalnym algorytmem bazującym na haśle użytym do zaszyfrowania plików. Ma to na celu uniemożliwienie odgadnięcie zawartości pliku na podstawie sumy kontrolnej.

Ta opcja jest obsługiwana tylko dla formatu archiwum RAR 5.0, dlatego do jej działania wymagane jest również użycie opcji -ma.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja Użyj sumy kontrolnej BLAKE2 w dialogu „Nazwa i parametry archiwum”.

Przykład:

dodaj do archiwum listy.rar wszystkie pliki *.lst oraz wylicz dla nich sumę kontrolną BLAKE2

WinRAR a -ma -htb listy.rar *.lst


Opcja -IADM - żądaj dostępu administracyjnego dla archiwum SFX

Opcji tej należy użyć, aby utworzyć samorozpakowujące się archiwum, które zażąda dostępu administracyjnego po uruchomieniu w Windows Vista lub nowszym. Opcja ta nie ma wpływu na zachowanie się modułu SFX w starszych wersjach Windows.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Żądaj dostępu administracyjnego” w dialogu Opcje SFX: zaawansowane.

Przykład

WinRAR a -sfx -iadm install.exe c:\dane


Opcja -IBCK - uruchom WinRARa w tle

Minimalizuje WinRARa do małej ikony obok zegara po uruchomieniu procesu archiwizacji lub wypakowywania.

Odpowiedniki tej opcji w interfejsie graficznym to opcja „Archiwizacja w tle” w dialogu Nazwa i parametry archiwum (dla operacji archiwizacji) oraz „Wypakowywanie w tle” w dialogu Folder docelowy i opcje wypakowywania (dla operacji wypakowywania).


Opcja -IDV - wyświetl szczegółowe informacje

Powoduje wyświetlenie większej ilości informacji w trybie linii poleceń. Obecnie ta opcja może być użyta jedynie z poleceniem t, co spowoduje, że WinRAR wyświetli komunikat również w przypadku pomyślnego testowania archiwum - bez tej opcji polecenie „t” nie wyświetla komunikatu, gdy nie znajdzie błędów.


Opcja -IEML[.][adres] - wyślij archiwum pocztą elektroniczną

Dołącza utworzone lub zaktualizowane archiwum do wiadomości. Aby skorzystać z tej opcji należy mieć zainstalowanego klienta pocztowego, który udostępnia interfejs MAPI (większość obecnych programów pocztowych spełnia ten warunek).

Adres można wprowadzić bezpośrednio w tej opcji lub pozostawić pusty – w tym drugim przypadku program pocztowy poprosi o podanie adresu. można podać kilka adresów oddzielając je przecinkami lub średnikami.

Jeśli zaraz za opcją -ieml zostanie umieszczona kropka, archiwum zostanie usunięte po wysłaniu wiadomości.

Jeśli opcja ta wystąpi podczas tworzenia archiwum wieloczęściowego, każdy wolumin zostanie wysłany osobno.


Opcja -IICON<nazwa> - określ ikonę dla archiwum SFX

Określa ikonę, która zostanie użyta w tworzonym lub aktualizowanym archiwum SFX. Parametr <nazwa> określa nazwę pliku .ico.

Nie można kompresować modułu SFX żadnym kompresorem plików wykonywalnych w przypadku użycia opcji -iicon.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Załaduj ikonę SFX z pliku” w dialogu Opcje SFX: tekst i ikona.

Przykłady:

  1. dodaj zawartość folderu c:\mojepliki do archiwum setup.exe i użyj ikony c:\mojeikony\wer1.ico

WinRAR a -sfx -iiconc:\mojeikony\wer1.ico setup.exe c:\mojepliki

  2. zamień ikonę w istniejącym archiwum setup.exe na ikonę wer2.ico znajdującą się w bieżącym folderze

WinRAR s -iiconwer2.ico setup.exe


Opcja -IIMG<nazwa> - określ logo dla archiwum SFX

Określa obrazek, który zostanie użyty jako logo w tworzonym lub aktualizowanym archiwum SFX. Parametr <nazwa> określa nazwę pliku .png.

Nie można kompresować modułu SFX żadnym kompresorem plików wykonywalnych w przypadku użycia opcji -iimg.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Załaduj logo SFX z pliku” w dialogu Opcje SFX: tekst i ikona.

Rozmiar domyślnego logo to 93x302 piksele. Zaleca się używanie obrazów o tych lub mniejszych rozmiarach.

Jeśli zostaną użyte dwie opcjie -iimg, pierwsza z nich będzie określać domyślne logo, natomiast druga - logo w wysokiej rozdzielczości. Jeśli logo w wysokiej rozdzielczości zostanie określone, moduł SFX użyje go w sytuacji, gdy w Windows używane jest HiDPI (dzięki temu logo będzie wyświetlane w lepszej jakości niż gdyby było skalowane z mniejszej rozdzielczości). Zalecane wymiary logo w wysokiej rozdzielczości to 186x604 piksele.

Przykłady:

  1. Dodaj zawartość folderu c:\mojepliki do samorozpakowującego się archiwum setup.exe i użyj obrazka c:\obrazki\rysunek.png jako domyślnego logo oraz c:\obrazki\rysunek_hd.png jako logo w wysokiej rozdzielczości

WinRAR a -sfx -iimgc:\obrazki\rysunek.png -iimgc:\obrazki\rysunek_hd.png setup.exe c:\mojepliki

  2. Zamień domyślne logo w istniejącym archiwum setup.exe na obrazek logo2.png znajdujący się w bieżącym folderze oraz usuń ewentualne logo wysokiej rozdzielczości

WinRAR s -iimglogo2.png setup.exe


Opcja -ILOG[nazwa] - rejestruj błędy w pliku

Zapisuje komunikaty błędów w pliku rar.log tworzonym w folderze, gdzie znajduje się WinRAR. Plik ten można wyświetlić za pomocą polecenia „Wyświetl rejestr zdarzeń” z menu Opcje. można określić własną nazwę pliku (zamiast domyślnej), np. dodanie opcji -logc:\log\backup.log spowoduje, że błędy będą rejestrowane w pliku c:\log\backup.log. Jeśli podana nazwa nie zawiera pełnej ścieżki dostępu, podany plik zostanie utworzony w folderze %APPDATA%\WinRAR.

Jeśli opcja „Rejestruj błędy w pliku” w ustawieniach ogólnych zostanie włączona, komunikaty błędów zostaną zapisane do pliku rar.log nawet jeśli opcja –ilog nie wystąpi.

Domyślnie plik dziennika jest zapisywany w formacie Unicode (UTF-16LE), lecz można to zmienić za pomocą opcji -sc<kodowanie>g, np. -scag (wymuszenie kodowania ANSI).


Opcja -IMON<numer> - wybierz monitor

Za pomocą tej opcji można wybrać monitor, na którym WinRAR będzie wyświetlał okno postępu operacji oraz okna dialogowe. Numer monitora określa się bezpośrednio za nazwą opcji, i tak: -imon1 określa główny monitor, -imon2 określa drugorzędny monitor i tak dalej.

Ta opcja działa jedynie w linii poleceń i nie ma wpływu na WinRARa w trybie interaktywnym ani na konsolową wersję RARa.

Przykład

uruchom rozpakowywanie na drugorzędnym monitorze

WinRAR x -imon2 pliki.rar


Opcja -INUL - wyłącz komunikaty błędów

Powoduje, że WinRAR nie wyświetla komunikatów o błędach.


Opcja -IOFF[n] - wyłącz komputer

Powoduje, że po zakończeniu operacji WinRAR wyłączy komputer.

Opcja -ioff lub -ioff1 spowoduje wyłączenie komputera, -ioff2 zahibernowanie, -ioff3 uśpienie, a -ioff4 zrestartowanie. Działanie tej opcji jest uzależnione od tego, czy system operacyjny obsługuje odpowiednie funkcje.

Jeśli uruchomionych jest kilka instancji WinRARa z tą opcją, to komputer zostanie wyłączony przez tę, która zakończy działanie jako ostatnia.


Opcja -ISND[-] - sterowanie dźwiękami powiadomień

Opcja -isnd włącza dźwięki powiadomień, a -isnd- je wyłącza.


Opcja -K - zablokuj archiwum

WinRAR nie może modyfikować zablokowanych archiwów, więc zablokowanie archiwum zapobiega jego przypadkowej modyfikacji przez WinRARa. Może to być przydatne szczególnie w przypadku masowych operacji na grupie archiwów.

Ta opcja nie służy zapobieżeniu modyfikacji archiwum przez inne programy niż WinRAR.

Przykład

Dodaj dokumenty do archiwum sejf.rar i zablokuj archiwum

WinRAR a -k sejf.rar dokumenty


Opcja -KB - zachowaj uszkodzone pliki po wypakowaniu

Ta opcja powoduje, że WinRAR nie usuwa uszkodzonych plików po wypakowaniu.


Opcja -log[fmt][=nazwa] - zapisz nazwy do pliku dziennika

Ta opcja umożliwia zapisanie nazw przetwarzanych archiwów i plików. Zachowaniem tej opcji steruje parametr „fmt”, który może składać się z jednego lub więcej następujących znaków:

A | zapisz nazwę archiwum. Jeśli WinRAR tworzy lub przetwarza woluminy, zapisywane są nazwy wszystkich woluminów.
F | zapisz nazwy przetwarzanych plików. Są to nazwy plików dodawanych do archiwum, usuwanych lub wypakowywanych z archiwum, czy też zawartych w archiwum (dla operacji listowania zawartości).
P | jeśli plik dziennika o podanej nazwie istnieje, to nowe dane zostaną do niego dopisane, zamiast tworzenia nowego pliku dziennika
U | zapisz dane w formacie Unicode.

Jeśli nie wystąpi ani „A” ani „F”, domyślnie zostanie przyjęte „A”.

Parametr „nazwa” określa nazwę pliku dziennika. Od parametru „fmt” musi być oddzielone znakiem „=”. Jeśli nazwa nie zostanie określona, RAR użyje nazwy „rarinfo.log”.

Dopuszczalne jest użycie wielu opcji -log w jednym poleceniu.

Ta opcja może być szczególnie przydatna podczas automatycznego przetwarzania archiwów o generowanych nazwach (opcje -ag i -v).

Pełną funkcjonalność tej opcji można wykorzystać tylko dla archiwów RAR. W przypadku archiwów ZIP opcja ta może być użyta tylko podczas archiwizacji. Dla innych typów archiwów opcja ta nie jest w ogóle obsługiwana.

Przykłady:

  1. zapisz nazwy utworzonych woluminów do pliku listawol.txt

    WinRAR a -v100m -loga=listawol.txt wolumin.rar c:\dane

  2. zapisz wygenerowaną nazwę archiwum do pliku kopia.txt w formacie Unicode

    WinRAR a -ag -logau=kopia.txt kopia.rar mojepliki\*

  3. zapisz nazwy testowanych woluminów do pliku listawol.txt oraz nazwy testowanych plików do pliku listaplik.txt

    WinRAR t -log=listawol.txt -logf=listaplik.txt wolumin.part01.rar


Opcja -M<n> - metoda kompresji

Opcja -M<n> - wybierz metodę kompresji

Wstawiając za <n> cyfry od 0 do 5 można wybrać odpowiednią metodę kompresji.

-m0 | Brak | Dodaje pliki do archiwum bez kompresji
-m1 | Najszybsza | Najszybsza metoda (najmniej wydajna)
-m2 | Szybka | Szybka kompresja
-m3 | Normalna | Normalna (domyślna) metoda kompresji
-m4 | Dobra | Dobra kompresja (bardziej efektywna)
-m5 | Najlepsza | Najlepsza kompresja (najwydajniejsza, ale też najwolniejsza)

Jeśli opcja -m nie wystąpi, WinRAR używa metody -m3 (normalna kompresja).

Metoda kompresji może być też wybrana z listy „Metoda kompresji” w dialogu Nazwa i parametry archiwum.


Opcja -MA[4|5] - określ wersję formatu archiwum

Domyślnie WinRAR tworzy archiwa w formacie RAR 5.0. Aby utworzyć archiwum w formacie RAR 4.x należy użyć opcji -ma4. Opcji -ma5 lub -ma można użyć aby przebić opcję -ma4 zachowaną w pliku konfiguracyjnym, aby wymusić użycie formatu RAR 5.0.

Opcja ta jest brana pod uwagę tylko podczas tworzenia nowego archiwum, a ignorowana podczas modyfikacji istniejącego archiwum.

Przykład

utwórz ciągłe archiwum w formacie RAR 4.x i dodaj do niego folder SrcDir kompresując go przy użyciu 2 MB słownika:

WinRAR a -ma4 -md2m dane SrcDir


Opcja -MC<par> - ustaw zaawansowane parametry kompresji

Opcja ta jest przeznaczona głównie do testów wydajności i eksperymentów; zwykle lepiej jest pozostawić te ustawienia w gestii WinRARa. Niewłaściwe użycie tej opcji może spowodować poważne straty w wydajności, należy więc jej używać z rozwagą.

Opcja ma następującą składnię:

-mc[parametr1][:parametr2][moduł][+ lub -]

gdzie <moduł> jest literą określającą składnik algorytmu kompresji przeznaczony do skonfigurowania.

Wartości dla <modułu>:

A - kompresja danych dźwiękowych

C - kompresja danych graficznych (true color)

D - kompresja delta

E - kompresja plików wykonywalnych x86

T - kompresja tekstu

Format archiwum RAR 5.0 obsługuje tylko wartości „D” i „E”.

Znak „+” umieszczony za modułem oznacza, że WinRAR ma użyć danego algorytmu do kompresji wszystkich danych; znak „-” całkowicie wyłącza dany moduł z procesu kompresji. Jeśli po module nie będzie żadnego znaku, WinRAR automatycznie wybierze odpowiednie moduły w zależności od kompresowanych danych oraz metody kompresji. Opcja -mc- wyłącza wszystkie zaawansowane algorytmy kompresji.

<Parametr1> oraz <Parametr2> są zależne od tego, z jakim modułem są używane:

Kompresja danych dźwiękowych, kompresja delta:

<Parametr1> jest liczbą 8-bitowych kanałów (od 1 do 31). WinRAR rozdziela kanały na 8-bitowe, np.: dwa 16-bitowe kanały zostaną potraktowane jak 4 kanały 8-bitowe.

<Parametr2> jest ignorowany.

Kompresja plików wykonywalnych x86, kompresja danych graficznych:

<Parametr1> i <Parametr2> są ignorowane.

Kompresja tekstu:

Algorytm kompresji tekstu umożliwia uzyskanie lepszych rezultatów podczas kompresji czystego tekstu. Nie może on jednak używać wielu procesorów, co powoduje, że jest wolniejszy w porównaniu do ogólnych algorytmów kompresji w środowisku wieloprocesorowym lub wielordzeniowym. Ponadto dekompresja danych skompresowanych tym algorytmem jest wolniejsza, niezależnie od liczby procesorów czy rdzeni. Z tego powodu specjalny algorytm kompresji tekstu jest domyślnie wyłączony. Aby go włączyć należy użyć opcji -mct (WinRAR użyje tego algorytmu automatycznie do odpowiednich danych). Opcja -mct+ spowoduje, że specjalny algorytm kompresji tekstu zostanie użyty dla wszystkich przetwarzanych danych.

Opcja -mct może także zawierać parametry. Pełna składnia tej opcji to -mc[parametr1][:parametr2]t[+ lub -].

<Parametr1> jest numerem algorytmu PPM (od 2 do 63). Zwykle większa wartość zwiększa stopień kompresji, lecz tylko jeśli jest wystarczająco dużo pamięci. Jeśli zabraknie pamięci, rezultat może być odwrotny. Większe wartości spowalniają proces kompresji i dekompresji.

<Parametr2> jest ilością (w megabajtach) pamięci przydzielonej algorytmowi (od 1 do 128). Większe wartości mogą zwiększyć stopień kompresji, lecz należy mieć na uwadze, że PPM używa tyle samo pamięci do kompresji jak i do dekompresji, więc jeśli przydzieli się za dużo pamięci podczas kompresji, inni użytkownicy mogą mieć problem z dekompresją takiego archiwum na komputerze, który ma mniej pamięci. Dekompresja może się udać mimo to (przy użyciu pamięci wirtualnej), lecz może znacznie się spowolnić.

Przykłady:

  1. opcja -mc1a+ wymusza używanie kompresji audio mono 8-bitowej dla wszystkich danych
  2. opcja -mc10:40t+ wymusza użycie kompresji tekstu dla wszystkich danych, wybiera algorytm numer 10 i przydziela mu 40 MB pamięci
  3. opcja -mc12t wybiera algorytm numer 12 dla kompresji tekstu, lecz pozostawia w gestii WinRARa decyzję kiedy ma jej użyć
  4. opcje -mct -mcd- włączają automatyczną kompresję tekstu oraz wyłączają kompresję delta


Opcja -MD<n>[k,m,g] - rozmiar słownika

Opcja -MD<n>[k,m,g] - wybierz rozmiar słownika

Słownik jest specjalnym obszarem pamięci używanym przez archiwizer podczas pracy. Jeśli rozmiar kompresowanego pliku (lub wszystkich plików w przypadku archiwum ciągłego) jest większy niż rozmiar słownika, wtedy zwiększenie słownika spowoduje wzrost stopnia kompresji, zmniejszenie prędkości kompresji oraz zwiększenie zapotrzebowania na pamięć.

Dla archiwów w formacie RAR 4.x rozmiar słownika może wynosić: 64 KB, 128 KB, 256 KB, 512 KB, 1 MB, 2 MB, 4 MB.

Dla archiwów w formacie RAR 5.0 rozmiar słownika może wynosić: 128 KB, 256 KB, 512 KB, 1 MB, 2 MB, 4 MB, 8 MB, 16 MB, 32 MB, 64 MB, 128 MB, 256 MB, 512 MB, 1 GB.

W celu określenia rozmiaru można używać modyfikatorów „k”, „m” i „g” oznaczających, odpowiednio, kilobajty, megabajty i gigabajty, np. -md64m oznacza słownik o rozmiarze 64 MB. Jeśli żaden modyfikator nie zostanie podany, WinRAR zakłada, że było to „m”. Oznacza to, że opcje -md64m i -md64 są równoznaczne.

Podczas kompresji WinRAR potrzebuje około 6 razy więcej pamięci niż określony rozmiar słownika, dlatego słowniki o rozmiarach 512MB i 1GB są dostępne tylko w 64-bitowej wersji WinRARa. Podczas dekompresji WinRAR potrzebuje niewiele więcej pamięci niż rozmiar słownika użyty podczas kompresji, dlatego zarówno 32- jak i 64-bitowa wersja są w stanie rozpakować archiwum, w którym użyto słownika o rozmiarze nawet 1GB.

Jeśli rozmiar wszystkich archiwizowanych plików w trybie ciągłym lub największego pliku w trybie zwykłym jest co najmniej dwukrotnie mniejszy niż wybrany rozmiar słownika, WinRAR może go zmniejszyć. Dzięki temu zmniejsza się użycie pamięci bez straty na jakości kompresji.

Domyślnym rozmiarem słownika dla archiwów RAR 4.x jest 4MB, a dla archiwów RAR 5.0 - 32MB.

Archiwa ZIP mają stały rozmiar słownika: 32KB.

Rozmiar słownika może być także wybrany z listy „Rozmiar słownika” w dialogu „Nazwa i parametry archiwum”.

Przykład:

utwórz ciągłe archiwum w formacie RAR 5.0 przy użyciu słownika o wielkości 128MB

WinRAR a -s -ma -md128 lib *.dll


Opcja -ME[par] - ustaw parametry szyfrowania

Opcji -mezl można użyć wraz z opcją -p[hasło] w celu utworzenia archiwum ZIP zaszyfrowanego przy użyciu klasycznego algorytmu szyfrowania („ZIP legacy”). Bez opcji -mezl do szyfrowania archiwów ZIP jest używany algorytm AES-256, który jest bardziej bezpieczny, ale może być nieobsługiwany przez starsze programy obsługujące archiwa ZIP.

Opcja -mes umożliwia pominięcie zaszyfrowanych plików podczas rozpakowywania lub testowania archiwum.

Przykład

utwórz archiwum ZIP i zaszyfruj je starą metodą

WinRAR a -s -pmojehasło -mezl dokumenty.zip *.txt


Opcja -MS - określ pliki do archiwizacji bez kompresji

Opcja -MS[lista] - określ pliki do archiwizacji bez kompresji

Określa typy plików, które będą archiwizowane bez kompresji.

Za pomocą tej opcji można archiwizować już skompresowane pliki, co zwiększa prędkość operacji bez spadku stopnia kompresji.

Opcjonalna <lista> określa listę rozszerzeń plików (oddzielonych średnikami). Na przykład, podanie

–msrar;zip;jpg

spowoduje, że WinRAR zarchiwizuje bez kompresowania archiwa RAR i ZIP oraz obrazki w formacie JPG. Lista może również zawierać symbole wieloznaczne, np.:

–ms*.rar;*.zip;*.jpg.

Dopuszczalen jest również wielokrotne użycie opcji -ms w jednym poleceniu, np.:

–msrar -mszip.

Jeśli <lista> nie zostanie podana, WinRAR użyje domyślnego zestawu rozszerzeń, który zawiera:

7z, ace, arj, bz2, cab, gz, jpeg, jpg, lha, lz, lzh, mp3, rar, taz, tgz, xz, z, zip, zipx


Opcja -MT<wątki> - określ liczbę wątków

Parametr <wątki> może przybierać wartości od 1 do 64. Określa pożądaną maksymalną liczbę wątków dla kompresji i innych funkcji WinRARa, które mogą uruchamiać wiele wątków. Choć WinRAR stara się trzymać tej wartości, to czasem rzeczywista liczba aktywnych wątków może być wyższa.

Jeśli parametr <wątki> ma wartość 0 (zero), WinRAR użyje jednowątkowej wersji algorytmu kompresji.

Zmiana parametru <wątki> ma nieznaczny wpływ na stopień kompresji, dlatego archiwa utworzone z różnymi parametrami opcji -mt nie będą identyczne pomimo zachowania tych samych pozostałych opcji kompresji.

Jeśli opcja -mt nie wystąpi w poleceniu, WinRAR spróbuje wykryć liczbę dostępnych procesorów i wybrać optymalną liczbę wątków kompresji.


Opcja -N<plik> - dodatkowy filtr pliku

Opcja ta powoduje, że WinRAR nałoży dodatkowy filtr na pliki do przetworzenia. W opcji mogą wystąpić symbole wieloznaczne. Przeczytaj opis opcji -x aby zapoznać się ze składnią symboli wieloznacznych. Opcja -n może wystąpić wielokrotnie w jednym poleceniu.

Opcja ta nie zastępuje zwykłych masek plików, które muszą się znaleźć w poleceniu, a jedynie stanowi dodatkowy filtr ograniczający pliki, które będą przetwarzane, co w niektórych przypadkach może skrócić (uprościć) polecenie, np. aby zarchiwizować wszystkie pliki *.txt i *.lst z folderów Projekt i Info, można wydać takie polecenie:

WinRAR a -r text Projekt\*.txt Project\*.lst Info\*.txt Info\*.lst

lub takie, używające opcji -n:

WinRAR a -r -n*.txt -n*.lst text Projekt Info


Opcja -N@<lista> - wczytaj dodatkowe filtry z określonej listy

Opcja ta ma podobne działanie do -n<plik> z tą różnicą, że nazwy (maski) plików do przetworzenia wczytuje z podanego pliku listy.

Ta opcja nie zastępuje zwykłych list czy masek plików - nadal należy je określić w poleceniu. Służy ona jedynie do dodatkowego odfiltrowania plików.

Przykład:

WinRAR a -r -n@lista2.txt text Projekt Info @lista.txt


Opcja -OC - odtwórz atrybut „Skompresowany” (NTFS)

Ta opcja umożliwia odtworzenie plikom i folderom atrybutu „Skompresowany” (na dyskach NTFS). WinRAR zachowuje ten atrybut w archiwum, ale domyślnie go nie odtwarza.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Ustaw atrybut „Skompresowany” (NTFS)” w części „Zaawansowane” okna wypakowywania.

Opcja ta jest obsługiwana tylko dla archiwów w formacie RAR.


Opcja -OH - zachowaj twarde dowiązania jako dowiązania a nie pliki

Jeśli archiwizowane pliki posiadają kilka twardych dowiązań, to ta opcja powoduje, że w archiwum oryginalny plik zostanie zapisany normalnie, a jego twarde dowiązania jako odwołania do niego. Podczas wypakowywania takich plików WinRAR będzie tworzył twarde dowiązania zamiast zwykłych plików.

Nie wolno usunąć z archiwum ani zmienić nazwy pierwszego pliku (tego, do którego odnoszą się odwołania), ponieważ uniemożliwi to wypakowanie plików odwołujących się do niego. Jeśli pierwszy plik zostanie zmodyfikowany, modyfikacji ulegną również pliki odwołujące się do niego. Aby poprawnie odtworzyć twarde dowiązania oryginalny plik również musi być wypakowany w tej samej operacji.

Opcja jest obsługiwana tylko dla formatu RAR 5.0.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja Zachowaj twarde dowiązania jako dowiązania w dialogu „Nazwa i parametry archiwum”.


Opcja -OI[-][:<rozmiar>] - zachowaj identyczne pliki jako referencje

Jeśli ta opcja zostanie zastosowana, to WinRAR podda analizie zawartość plików przed rozpoczęciem archiwizacji. Jeśli zostanie znalezionych kilka plików o identycznej zawartości, to pierwszy z nich zostanie normalnie zarchiwizowany, natomiast zamiast jego duplikatów w archiwum zostaną umieszczone tylko odwołania do niego. Pozwala to zredukować rozmiar archiwum, lecz wprowadza pewne ograniczenia co do samego archiwum. Nie wolno usunąć z archiwum ani zmienić nazwy pierwszego pliku (tego, do którego odnoszą się odwołania), ponieważ uniemożliwi to wypakowanie plików odwołujących się do niego. Jeśli pierwszy plik zostanie zmodyfikowany, modyfikacji ulegną również pliki odwołujące się do niego. Aby poprawnie wypakować pliki odwołujące się do innego pliku, to ten inny plik również musi być wypakowany w tej samej operacji.

Zaleca się używanie opcji -oi tylko podczas kompresji dużej liczby identycznych plików, kiedy to archiwum nie będzie później modyfikowane, a rozpakowywane będzie zawsze w całości. Jeśli wszystkie identyczne pliki są na tyle małe, że mieszczą się w rozmiarze słownika kompresji (określonego opcją -md<n>), to lepiej jest użyć opcji -s zamiast -oi.

Opcjonalny parametr <rozmiar> pozwala określić minimalny rozmiar pliku. Ta wartość stanowi granicę, poniżej której RAR nie próbuje nawet badać, czy plik ma duplikaty. Jeśli ten parametr nie wystąpi, to RAR domyślnie przyjmuje rozmiar 64 KB. Zbyt mała wartość tego parametru może wydłużyć czas wyszukiwania duplikatów.

Opcja jest obsługiwana tylko dla formatu RAR 5.0.

Opcja -oi- wyłącza przetwarzanie identycznych plików co powoduje, że są one archiwizowane w normalny sposób. Może być zastosowana w celu przebicia opcji -oi zapisanej w pliku konfiguracyjnym.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja Zachowaj identyczne pliki jako referencje w dialogu „Nazwa i parametry archiwum”.

Przykład:

archiwizuj zawartość bieżącego folderu do archiwum „arc01”, a znalezione identyczne pliki o rozmiarze większe lub równym 1000000 bajtów zachowaj jako odwołania.

WinRAR a -oi:1000000 -ma arc01


Opcja -OL[A] - przetwarzaj dowiązania symboliczne jako dowiązania [ścieżki absolutne]

Ta opcja powoduje, że symboliczne dowiązania są zachowywane w archiwum jako dowiązania i właściwa zawartość pliku lub folderu nie jest przechowywana. Opcja ta powoduje również zachowywanie punktów ponownej analizy (reparse point). Takie dowiązania są odtwarzane podczas wypakowywania z archiwum. Opcja jest obsługiwana tylko dla formatu RAR 5.0.

Aby podczas wypakowywania odtworzyć dowiązania symboliczne, może być konieczne posiadanie uprawnień administratora.

Jeśli opcja -ol wystąpi podczas archiwizacji, to WinRAR doda wszystkie napotkane dowiązania niezależnie od tego, na jaki obiekt wskazują. Podczas rozpakowywania archiwum WinRAR domyślnie pomija dowiązania wskazujące na obiekty znajdujące się poza folderem docelowym, dowiązania ze ścieżkami absolutnymi, takie, które posiadają wiele „..” (wskazań na folder nadrzędny) oraz posiadające inne potencjalnie niebezpieczne parametry. Aby wypakować takie dowiązania, należy posłużyć się opcją -ola.

Dowiązania wskazujące na obiekty znajdujące się poza folderem docelowym mogą stanowić zagrożenie bezpieczeństwa. Należy je wypakowywać jedynie z archiwów pochodzących z zaufanych źródeł (np. własne kopie bezpieczeństwa).

Dowiązania symboliczne, które WinRAR uważa za bezpieczne, nie podlegają ograniczeniom i są wypakowywane niezależnie od wystąpienia tej opcji.

Odpowiednikiem opcji -ol w interfejsie graficznym jest opcja Zachowaj dowiązania symboliczne jako dowiązania w oknie archiwizacji.

Odpowiednikiem opcji -ola w interfejsie graficznym jest opcja Zezwól na ścieżki absolutne w dowiązaniach symbolicznych w zakładce „Zaawansowane” okna wypakowywania.


Opcja -ONI - dopuść potencjalnie niekompatybilne nazwy

System plików NTFS dopuszcza nazwy plików zawierające na końcu spacje i kropki, jak również zarezerwowane nazwy urządzeń, lecz wiele programów w Windows nie potrafi prawidłowo ich przetworzyć. Jeśli ta opcja nie zostanie użyta, to podczas wypakowywania RAR usunie z nazw plików znajdujące się na końcu spacje i kropki, a nazwy plików posiadające zarezerwowane nazwy urządzeń (np. aux) poprzedzi znakiem „_” (podkreślenie).

Aby nazwy pozostały niezmodyfikowane, należy użyć tej opcji. Może to się jednak wiązać z zagrożeniem bezpieczeństwa.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Dopuść potencjalnie niekompatybilne nazwy” w oknie wypakowywania (część „Zaawansowane”).


Opcja -OP<ścieżka> - określ folder docelowy

Określa folder, w którym zostaną umieszczone pliki wypakowane za pomocą poleceń x i e. Jeśli określony folder nie istnieje, WinRAR go utworzy.

W przeciwieństwie do parametru <folder_docelowy\> z linii poleceń, opcja -op dopuszcza ścieżkę bez końcowego separatora.

Przykład:

Wypakuj zawartość archiwum rysunki.rar do foldera „grafiki”.

WinRAR x -opgrafiki rysunki


Opcja -OR - automatycznie zmieniaj nazwy plików

Opcja ta powoduje automatyczną zmianę nazwy wypakowywanego pliku jeśli plik o tej samej nazwie już istnieje. Nowe nazwy przemianowanych plików będą miały format „plik(N).txt”, gdzie „plik.txt” to oryginalna nazwa pliku a „N” jest kolejnym numerem.


Opcja -OS - zachowaj strumienie NTFS

Ta opcja ma znaczenie tylko dla dysków pracujących na systemie plików NTFS. Umożliwia ona zachowywanie strumieni danych powiązanych z plikami. Jest to szczególnie ważne w przypadku używania programów wykorzystujących takie strumienie.

Strumienie nie są zachowywane dla plików używających szyfrowania NTFS (szyfrowanie na dysku).

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Zachowaj strumienie plików” w dialogu Nazwa i parametry archiwum.

Opcja ta jest obsługiwana tylko dla archiwów w formacie RAR.


Opcja -OW - przetwarzaj informacje bezpieczeństwa

Opcja ta służy do zachowywania i odtwarzania atrybutów związanych z prawami do plików.

WinRAR zachowuje informacje o właścicielu, grupie, prawa do pliku oraz informacje audytowe, lecz tylko jeśli posiadasz prawa do odczytu tych informacji. Należy mieć na uwadze, że takie informacje dostępne są tylko w systemie plików NTFS.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Zachowaj dane bezpieczeństwa” w dialogu Nazwa i parametry archiwum.

Opcja ta jest obsługiwana tylko dla archiwów w formacie RAR.


Opcja -O[+|-] - ustaw tryb nadpisywania

Opcja -O[+|–] - ustaw tryb nadpisywania

Ustawia tryb nadpisywania. Opcja może być użyta zarówno podczas archiwizacji jak i wypakowywania plików. Dostępne tryby:
-o | Zapytaj przed nadpisaniem (jest to ustawienie domyślne dla wypakowywania)
-o+ | Nadpisz wszystkie pliki (ustawienie domyślne dla aktualizacji plików w archiwum)
-o- | Pomiń istniejące pliki


Opcja -P[hasło] - ustaw hasło

Ustawia hasło używane do szyfrowania plików podczas archiwizacji lub deszyfrowania podczas wypakowywania. Wielkość liter w haśle jest istotna. Maksymalna długość hasła to 127 znaków - dłuższe hasła zostaną przycięte do tej długości. Jeśli hasło nie zostanie podane w linii poleceń, WinRAR poprosi o jego wprowadzenie.

W interfejsie graficznym hasło może być wprowadzone w dialogu Wprowadź domyślne hasło lub w dialogu Nazwa i parametry archiwum.

Przykład:

dodaj zawartość foldera gry do archiwum tajne przy użyciu hasła ZaBaToAd

WinRAR a -pZaBaToAd -r tajne gry\*.*

Uwagi:

  1. Aby osiągnąć wysoki poziom bezpieczeństwa nie należy używać hasła krótszego niż 8 znaków ani takiego, które można łatwo odgadnąć
  2. Hasło należy zapamiętać lub zapisać w bezpiecznym miejscu, w przeciwnym wypadku po utracie hasła zaszyfrowane pliki będą nie do odzyskania


Opcja -QO[-|+] - dodaj informacje szybkiego otwarcia [nie dodawaj|wymuś]

W archiwum RAR informacje o pliku, jak jego nazwa, czas, rozmiar i atrybuty, są umieszczane bezpośrednio przed zawartością tego pliku. To podejście jest bardziej odporne na uszkodzenia niż przechowywanie wszystkich nagłówków w jednym miejscu - bo w przypadku uszkodzenia takiego zbioru nagłówków spowodowałoby utratę zawartości całego archiwum. Choć ten sposób jest lepszy jeśli chodzi o bezpieczeństwo, to otwieranie archiwum i odczytywanie tych nagłówków, rozrzuconych po całym archiwum, zajmuje więcej czasu.

Aby przyspieszyć otwieranie archiwum i nie tracić na bezpieczeństwie danych, archiwa w formacie RAR 5.0 mogą przechowywać opcjonalny blok danych zawierający same nagłówki plików. Taki blok jest umieszczany na końcu archiwum. Oprócz tego archiwum RAR 5.0 zawiera normalne nagłówki rozrzucone po całym archiwum, jak do tej pory. Ponieważ taki blok nagłówków jest ciągły, może być szybko odczytany. Każdy nagłówek pliku znajdujący się w tym bloku jest chroniony sumą kontrolną. Jeśli WinRAR wykryje, że blok szybkiego otwarcia jest uszkodzony, to będzie odczytywał nagłówki rozrzucone po archiwum.

Blok szybkiego otwarcia zawiera pełne kopie nagłówków plików, z których każdy może mieć długość dochodzącą do kilkuset bajtów. To oczywiście powoduje wzrost wielkości archiwum, co jest najbardziej zauważalne w przypadku archiwum zawierającego dużą liczbę małych plików. Domyślnie zatem, gdy nie zostanie użyta opcja -qo, lub zostanie ona użyta bez parametrów, RAR zapisuje w bloku szybkiego otwarcia nagłówki tylko relatywnie dużych plików. Konkretna wartość graniczna, od której RAR uznaje plik za „duży”, może zależeć od wersji RARa. Takie podejście daje dość dobrą prędkość otwierania archiwum i odczytu jego zawartości i nie powoduje zbyt dużego przyrostu rozmiaru. Aby uzyskać największą prędkość otwierania archiwum nie dbając o jego rozmiar, można użyć opcji -qo+ co spowoduje, że WinRAR umieści nagłówki wszystkich plików w bloku szybkiego otwarcia. Aby zaś uzyskać jak najmniejsze archiwum nie dbając o prędkość jego otwierania, można użyć opcji -qo- co spowoduje, że WinRAR w ogóle nie utworzy bloku szybkiego otwarcia.

Odpowiednikiem tej opcji w interfejsie graficznym jest grupa Informacje szybkiego otwarcia w dialogu „Nazwa i parametry archiwum”.


Opcja -R - przeszukaj podfoldery

Włącza przeszukiwanie podfolderów. Opcja może być użyta z poleceniami: a, u, f, m, x, e, t, k, rr, c oraz s.

Jeśli zostanie użyta z poleceniami a, u, f lub m, zostaną przetworzone pliki znajdujące się we wszystkich podfolderach jak również w bieżącym folderze.

Jeśli zostanie użyta z poleceniami x, e, t, k, rr, c lub s, zostaną przetworzone archiwa znajdujące się we wszystkich podfolderach jak również w bieżącym folderze.

Przykłady:

  1. dodaj zawartość dysku C do archiwum Kopia

    WinRAR a -r Kopia c:\*.*

  2. testuj wszystkie archiwa *.rar na bieżącym dysku

    WinRAR t -r \*.rar


Opcja -R- - nie przeszukuj podfolderów

Nawet bez opcji -r WinRAR może przeszukiwać podfoldery w niektórych sytuacjach. Opcja -r- zapobiega tym sytuacjom.

Gdy podczas archiwizacji poda się nazwę folderu i ta nazwa nie zawiera symboli wieloznacznych, RAR domyślnie dodaje do archiwum całą zawartość tego folderu nawet jeśli nie podano opcji -r.

Na przykład, polecenie:

WinRAR a -r- arc jakis_folder

doda do archiwum jedynie pusty folder „jakis_folder”, bez jego ewentualnej zawartości.

Z kolei polecenie:

WinRAR a -r- arc c:\

zarchiwizuje zawartość głównego folderu na dysku C:, bez uwzględnienia podfolderów.


Opcja -R0 - przeszukaj podfoldery tylko dla symboli wieloznacznych

Podobnie do opcji -r, lecz gdy zostanie użyta z poleceniami a, u, f, m spowoduje przeszukanie podfolderów tylko dla nazw zawierających symbole wieloznaczne (znaki „?” i/lub „*”).

Ta opcja działa tylko dla nazw plików.

Przykład:

dodaje pliki *.doc z bieżącego folderu i jego podfolderów oraz plik readme.txt tylko z bieżącego folderu do archiwum dokumenty.rar. W przypadku użycia opcji -r, WinRAR poszukiwałby pliku readme.txt również w podfolderach.

WinRAR a -r0 dokumenty.rar *.doc readme.txt


Opcja -RI<p>[:<z>] - ustaw priorytet i czas zaśnięcia

Ta opcja jest używana do regulacji użycia czasu procesora przez WinRARa. Priorytet może przybierać wartości od 0 do 15.

Jeśli <p> jest równe 0, użyty zostanie domyślny priorytet. 1 oznacza najniższy a 15 – najwyższy możliwy priorytet.

Czas zaśnięcia <z> jest liczbą o wartości od 0 do 1000 (w milisekundach). Jest to czas, na jaki WinRAR zawiesi swe działanie po każdej operacji odczytu lub zapisu podczas archiwizacji lub wypakowywania. Ustawienie czasu zaśnięcia jest przydatne gdy ustawienie priorytetu nie wystarcza do zmniejszenia obciążenia systemu w zadowalającym stopniu.

Przykład

uruchamia WinRARa z domyślnym priorytetem i czasem zaśnięcia 10 ms:

WinRAR a -ri0:10 kopia *.*


Opcja -RR[N] - dodaj dane naprawcze

Ta opcja jest używana podczas tworzenia lub modyfikowania archiwum RAR i powoduje dodanie do niego danych naprawczych. Dla formatu RAR 4.x parametr <n> oznacza albo liczbę sektorów danych naprawczych (n=1...524288), albo procent wielkości orygnalnego archiwum (jeśli do liczby zostanie dodany symbol procenta lub litera „p”). Dla formatu RAR 5.0 parametr <n> zawsze oznacza procent wielkości oryginalnego archiwum, niezależnie od tego czy zostanie dodany znak „%” lub „p” czy nie.

Składnia tej opcji jest podobna do składni polecenia RR[N]. Dodatkowe informacje zawiera także rozdział o danych naprawczych.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja Dodaj dane naprawcze w dialogu „Nazwa i parametry archiwum”.

Przykład:

dodaj wszystkie pliki *.txt z bieżącego foldera do archiwum Książki i ustaw rozmiar danych naprawczych na 3% całkowitego rozmiaru archiwum

WinRAR a -rr3p Książki *.txt


Opcja -RV[N] - utwórz woluminy naprawcze

Opcja ta może być użyta podczas tworzenia archiwum wieloczęściowego RAR w celu utworzenia woluminów naprawczych. Patrz opis polecenia rv[N].


Opcja -S - utwórz ciągłe archiwum

Archiwum ciągłe jest specjalnym typem archiwum. „Ciągłe” archiwizowanie znacznie polepsza stopień kompresji kosztem czasu potrzebnego do aktualizacji archiwum. Ta opcja ma efekt tylko w przypadku tworzenia nowego archiwum w formacie RAR.

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Ciągłe archiwum” w dialogu Nazwa i parametry archiwum.

Przykład:

dodaj wszystkie pliki *.c i *.h z bieżącego foldera do ciągłego archiwum Sources

WinRAR a -s Sources *.c *.h

Więcej informacji o ciągłych archiwach znajduje się w rozdziale Ciągłe archiwa.


Opcja -S<N> - utwórz ciągłe grupy <N> plików

Podobnie do -s, lecz ciągłość jest przerywana po zarchiwizowaniu <N> plików. Powoduje to zwykle spadek stopnia kompresji, lecz także zmniejsza ryzyko utraty danych w przypadku uszkodzenia ciągłego archiwum.


Opcja -SC<kodowanie>[obiekty] - określ kodowanie

Opcja ta umożliwia określenie kodowania dla plików list, plików dziennika oraz plików zawierających komentarz archiwum.

Parametr „kodowanie” jest wymagany i może przyjąć jedną z następujących wartości:

U | Unicode UTF-16
F | Unicode UTF-8
A | domyślne kodowanie jednobajtowe (w Windows jest to ANSI)
O | kodowanie OEM (DOS)

Kolejność bajtów w plikach w formacie Unicode UTF-16 jest określana na podstawie znacznika znajdującego się na pocątku takiego pliku. Jeśli plik nie posiada takiego znacznika, WinRAR założy, że kolejność bajtów to „little endian”.

Parametr „obiekty” jest opcjonalny i może przyjąć jedną z następujących wartości:

G | plik dziennika tworzony przy użyciu opcji -ilog
L | plik listy
C | plik komentarza

Dozwolone jest określenie więcej niż jednego obiektu, na przykład -scolc. Jeśli parametr „obiekty” nie zostanie wyspecyfikowany, podane kodowanie zostanie zastosowane do wszystkich obiektów.

Opcja ta wpływa na przetwarzanie plików określonych opcją -z<plik>, plików list oraz plików komentarzy zapisywanych za pomocą polecenia cw.

Przykłady

  1. Odczytaj nazwy zawarte w pliku „lista” używając kodowania OEM:

WinRAR a -scol dane @lista

  2. Traktuj plik komentarz.txt jako tekst Unicode:

WinRAR c -scuc -zkomentarz.txt dane

  3. Zapisz komentarz do pliku komentarz.txt używając kodowania Unicode:

WinRAR cw -scuc dane komentarz.txt


Opcja -SE - utwórz ciągłe grupy według rozszerzenia

Podobnie do -s, lecz ciągłość jest przerywana jeśli zmieni się rozszerzenie archiwizowanego pliku. Powoduje to zwykle spadek stopnia kompresji, lecz także zmniejsza ryzyko utraty danych w przypadku uszkodzenia ciągłego archiwum.


Opcja -SL<rozmiar> - przetwarzaj pliki o rozmiarze mniejszym niż określony

Przetwarza tylko te pliki, których rozmiar jest mniejszy niż ten określony parametrem <rozmiar> (wyrażony w bajtach).


Opcja -SL<rozmiar> - przetwarzaj pliki o rozmiarze większym niż określony

Przetwarza tylko te pliki, których rozmiar jest większy niż ten określony parametrem <rozmiar> (wyrażony w bajtach).


Opcja -SV - utwórz niezależne ciągłe woluminy

Domyślnie WinRAR próbuje przerwać ciągłość strumienia danych tak wcześnie jak to tylko możliwe po rozpoczęciu tworzenia nowego woluminu, lecz tylko jeśli od ostatniego przerwania ciągłości nastąpiła kompresja znacznej ilości danych (kilka megabajtów).

Opcja ta zmusza WinRARa do zignorowania rozmiaru skompresowanych danych i przerwania ciągłości strumienia danych. Zmniejsza to stopień kompresji lecz zwiększa szanse na wypakowanie części danych w przypadku uszkodzenia jednego z woluminów takiego archiwum.

Czasami jednak przerwanie ciągłości nie jest możliwe nawet przy użyciu tej opcji. Na przykład nie można tego zrobić dla jednego wielkiego pliku dzielonego na woluminy. Przerwanie ciągłości jest możliwe tylko dla odrębnych plików.

Opcja ta jest ignorowana w przypadku tworzenia zwykłych (nie dzielonych) archiwów.

Opcję tę można również umieścić w zmiennej środowiskowej RAR.


Opcja -S- - wyłącz „ciągłe” archiwizowanie

Opcja -S– - wyłącz „ciągłe” archiwizowanie

Powoduje, że WinRAR nie używa „ciągłej” archiwizacji nawet gdy jest ona włączona w domyślnym profilu kompresji.


Opcja -SFX[nazwa] - utwórz samorozpakowujące się archiwum

Jeśli ta opcja zostanie użyta podczas tworzenia nowego archiwum, zostanie utworzone samorozpakowujące się archiwum (SFX). Domyślnie WinRAR używa modułu SFX o nazwie Default.SFX znajdującego się w tym samym folderze co WinRAR.exe. Można jednak wskazać użycie innego modułu SFX poprzez podane jego nazwy w parametrze [nazwa].

Odpowiednikiem tej opcji w interfejsie graficznym jest opcja „Archiwum SFX” w dialogu Nazwa i parametry archiwum.

Przykład:

  1. utwórz samorozpakowujące się ciągłe woluminy

WinRAR a -sfx -v360 -s Gry

  2. utwórz samorozpakowujące się archiwum używając modułu WinCon.SFX

WinRAR a -sfxWinCon.SFX Prezent.rar

Patrz także: opis polecenia s[nazwa].


Opcja -T - testuj pliki po zarchiwizowaniu

Opcja ta jest przydatna szczególnie z poleceniem m – pliki zostaną usunięte tylko jeśli testowanie przebiegnie bezbłędnie.


Opcja -TA[m,c,a,o]<data> - przetwarzaj pliki zmodyfikowane po określonej dacie

Przetwarza tylko pliki zmodyfikowane po określonej dacie. Pliki dokładnie spełniające określony warunek czasowy są uwzględniane.

Format daty to RRRRMMDDggmmss. Można również używać separatorów – lub : oraz pomijać końcowe pola. Np. następująca forma jest poprawna: -ta2001-10-25. WinRAR zinterpretuje to jak -ta20011025000000, co oznacza „pliki zmodyfikowane po godzinie 00:00:00 25 października 2001”

Aby określić typ określanego czasu należy użyć modyfikatorów „m”, „c”, „a” (odpowiednio - czas modyfikacji, utworzenia, ostatniego użycia), np. -tac20011025 określa czas utworzenia. Brak modyfikatora spowoduje, że zostanie przyjęty czas modyfikacji.

Opcja ta dopuszcza użycie kilku modyfikatorów na raz, np. -tamc20151019 określa czas modyfikacji i utworzenia. Zamiast tego można w linii poleceń umieścić tę opcję kilkukrotnie z różnymi modyfikatorami. Domyślnie filtrowanie względem daty wymaga spełnienia wszystkich warunków (jeśli podano więcej niż jeden). Aby spowodować, żeby plik spełniający dowolny warunek (a nie wszystkie) został uwzględniony, należy dodać do opcji modyfikator „o”. Na przykład, użycie -taco20151019 -tamo20151023 spowoduje, że uwzględnione zostaną pliki utworzone po 2015-10-19 lub zmodyfikowane po 2015-10-23.


Opcja -TB[m,c,a,o]<data> - przetwarzaj pliki zmodyfikowane przed określoną datą

Przetwarza tylko pliki zmodyfikowane przed określoną datą. Pliki dokładnie spełniające określony warunek czasowy są wykluczane.

Format daty to RRRRMMDDggmmss. Można również używać separatorów – lub : oraz pomijać końcowe pola. Np. następująca forma jest poprawna: -tb2002-05-04. WinRAR zinterpretuje to jak -tb20020504000000, co oznacza „pliki zmodyfikowane do godziny 00:00:00 4 maja 2002”

Aby określić typ określanego czasu należy użyć modyfikatorów „m”, „c”, „a” (odpowiednio - czas modyfikacji, utworzenia, ostatniego użycia), np. -tbc20020504 określa czas utworzenia. Brak modyfikatora spowoduje, że zostanie przyjęty czas modyfikacji.

Opcja ta dopuszcza użycie kilku modyfikatorów na raz, np. -tbmc20151019 określa czas modyfikacji i utworzenia. Zamiast tego można w linii poleceń umieścić tę opcję kilkukrotnie z różnymi modyfikatorami. Domyślnie filtrowanie względem daty wymaga spełnienia wszystkich warunków (jeśli podano więcej niż jeden). Aby spowodować, żeby plik spełniający dowolny warunek (a nie wszystkie) został uwzględniony, należy dodać do opcji modyfikator „o”. Na przykład, użycie -tbco20151019 -tbmo20151023 spowoduje, że uwzględnione zostaną pliki utworzone przed 2015-10-19 lub zmodyfikowane przed 2015-10-23.


Opcja -TK - nie zmieniaj czasu archiwum

Powoduje, że WinRAR nie zmienia czasu modyfikowanego archiwum.


Opcja -TL - ustaw czas archiwum na czas najnowszego pliku

Powoduje, że WinRAR ustawia czas modyfikowanego archiwum na czas najnowszego znajdującego się w nim pliku.


Opcja -TN[m,c,a,o]<czas> - przetwarzaj pliki nowsze niż podany okres czasu

Opcja ta powoduje, że WinRAR będzie przetwarzał tylko te pliki, które są nowsze niż podany okres czasu. Pliki dokładnie spełniające określony warunek czasowy są uwzględniane.

Format określenia czasu:

[<ndni>d][<ngodzin>h][<nminut>m][<nsekund>s]

Na przykład, aby przetwarzać pliki nowsze niż 15 dni należy posłużyć się opcją -tn15d, a nowsze niż 2 godziny i 30 minut -tn2h30m

Aby określić typ określanego czasu należy użyć modyfikatorów „m”, „c”, „a” (odpowiednio - czas modyfikacji, utworzenia, ostatniego użycia), np. -tnc2h30m określa czas utworzenia. Brak modyfikatora spowoduje, że zostanie przyjęty czas modyfikacji.

Opcja ta dopuszcza użycie kilku modyfikatorów na raz, np. -tnmc30d określa czas modyfikacji i utworzenia. Zamiast tego można w linii poleceń umieścić tę opcję kilkukrotnie z różnymi modyfikatorami. Domyślnie filtrowanie względem daty wymaga spełnienia wszystkich warunków (jeśli podano więcej niż jeden). Aby spowodować, żeby plik spełniający dowolny warunek (a nie wszystkie) został uwzględniony, należy dodać do opcji modyfikator „o”. Na przykład, użycie -tnco30d -tnmo20d spowoduje, że uwzględnione zostaną pliki utworzone później niż 30 dni temu lub zmodyfikowane później niż 20 dni temu.


Opcja -TO[m,c,a,o]<czas> - przetwarzaj pliki starsze niż podany okres czasu

Opcja ta powoduje, że WinRAR będzie przetwarzał tylko te pliki, które są starsze niż podany okres czasu. Pliki dokładnie spełniające określony warunek czasowy są wykluczane.

Format określenia czasu:

[<ndni>d][<ngodzin>h][<nminut>m][<nsekund>s]

Na przykład, aby przetwarzać pliki starsze niż 15 dni należy posłużyć się opcją -to15d, a starsze niż 2 godziny i 30 minut -to2h30m

Aby określić typ określanego czasu należy użyć modyfikatorów „m”, „c”, „a” (odpowiednio - czas modyfikacji, utworzenia, ostatniego użycia), np. -toc2h30m określa czas utworzenia. Brak modyfikatora spowoduje, że zostanie przyjęty czas modyfikacji.

Opcja ta dopuszcza użycie kilku modyfikatorów na raz, np. -tomc30d określa czas modyfikacji i utworzenia. Zamiast tego można w linii poleceń umieścić tę opcję kilkukrotnie z różnymi modyfikatorami. Domyślnie filtrowanie względem daty wymaga spełnienia wszystkich warunków (jeśli podano więcej niż jeden). Aby spowodować, żeby plik spełniający dowolny warunek (a nie wszystkie) został uwzględniony, należy dodać do opcji modyfikator „o”. Na przykład, użycie -toco30d -tomo20d spowoduje, że uwzględnione zostaną pliki utworzone wcześniej niż 30 dni temu lub zmodyfikowane wcześniej niż 20 dni temu.


Opcja -TS[m,c,a,p][+,-,1] - zapisz lub odtwórz czas pliku (modyfikacja | utworzenie | dostęp | zabezpiecz)

Opcja -TS[m,c,a,p][+,-,1] - zapisz lub odtwórz czas pliku (modyfikacja, utworzenie, dostęp, zabezpiecz)

Opcja –tsm powoduje, że WinRAR zachowa czas modyfikacji pliku, -tsc – czas utworzenia pliku a -tsa – czas ostatniego dostępu do pliku. Dopuszczalne jest użycie wielu opcji w jednym poleceniu, np. „-tsc -tsa”. Jeśli w opcji nie zostanie wyszczególniony żaden ze znaków „m”, „c” lub „a”, WinRAR domyślnie przyjmie, że wszystkie z nich zostały użyte.

Dołączenie znaku „+” spowoduje, że dany typ czas zostanie zachowany w maksymalnej precyzji. Zależy to od systemu operacyjnego oraz systemu plików - może to być dokładność rzędu 100 nanosekund w Windows, i 1 nanosekundy w systemie Unix. Dołączenie znaku „1” spowoduje, że WinRAR użyje 1-sekundowej precyzji. Dołączenie znaku „-” spowoduje, że dany typ czasu w ogóle nie zostanie zachowany. Jeśli żaden ze znaków „+”, „-” lub „1” nie zostanie dołączony, WinRAR domyślnie przyjmie, że został użyty znak „+”, zatem zarówno opcja „-ts+” jak i „-ts” spowodują zachowanie wszystkich trzech typów czasu z maksymalną dokładnością.

Wszystkie typy czasu dla danego pliku zachowywane są z tą samą precyzją. Jeśli zostanie podana różna precyzja dla różnych typów czasu, np. -tsm1 -tsc+, to zastosowana zostanie jedna dla obu.

Archiwa w formacie RAR 4.x zawsze zawierają czas modyfikacji pliku, dlatego użycie opcji „-tsm-” w przypadku operacji na archiwum RAR 4.x spowoduje zachowanie czasu modyfikacji z najniższą precyzją (która wynosi 2 sekundy). Zachowanie dwóch pozostałych typów czasu można wyłączyć. Archiwa w formacie RAR 5.0 umożliwiają pominięcie wszystkich typów czasu (nawet czasu ostatniej modyfikacji), w przypadku czego wypakowywane pliki otrzymają bieżący czas. Opcje „-tsm- -tsc- -tsa-” lub samo „-ts-” spowodują, że w archiwum RAR 4.x zostanie zachowany tylko czas modyfikacji o niskiej precyzji, natomiast w archiwum RAR 5.0 nie zostanie zachowany żaden z nich.

Jeśli opcja „-ts” nie zostanie użyta, WinRAR zachowuje tylko czas modyfikacji o wysokiej precyzji i pomija dwa pozostałe typy czasu.

Domyślnie WinRAR odtwarza tylko czas modyfikacji wypakowywanych plików, nawet jeśli w archiwum zachowane są też inne typy czasu. Użycie opcji „-ts” lub „-ts+” spowoduje odtworzenie ich wszystkich, „-tsc” i „-tsa” odtworzenie czasu utworzenia i ostatniego dostępu, a „-tsm-” lub „-ts-” - użycie bieżącego czasu systemowego zamiast tego zachowanego w archiwum.

Opcja -tsp powoduje, że WinRAR podejmuje próbę zabezpieczenia czasu ostatniego dostępu pliku źródłowego podczas archiwizacji. Zabezpieczenie oznacza w tym wypadku, że ten czas nie zostanie zmieniony (jak to normalnie się dzieje podczas odczytywania pliku). Opcja w tej postaci nie określa jednak które typy czasu zostaną zachowane w archiwum - aby tego dokonać, musi być połączona z innymi opcjami -ts. Na przykład, aby zachować w archiwum czas ostatniego dostępu i jednocześnie nie zmieniać go dla pliku źródłowego, należy użyć opcji -tsa -tsp w jednym poleceniu. Opcja -tsp może uniemożliwić otwarcie niektórych plików (można je otworzyć bez tej opcji).

Dopuszczalne jest łączenie kilku opcji -ts w jedną, np. -tscap zamiast -tsc -tsa -tsp.

Wszystkie powyższe tryby są obsługiwane tylko dla archiwów w formacie RAR. W archiwach ZIP czas modyfikacji o wysokiej precyzji jest przechowywany w tej samej strukturze co czas utworzenia i ostatniego użycia. Podczas archiwizacji do formatu ZIP wszystkie trzy czasy są kontrolowane opcją -ts lub -tsm, podczas gdy opcje -tsa i -tsc są ignorowane. Aby zachować w archiwum ZIP wszystkie trzy czasy z wysoką precyzją należy użyć opcji -ts lub -tsm (jest to ustawienie domyślne); opcje -ts- lub -tsm- powodują zachowanie czasu z niską precyzją. Podczas rozpakowywania archiwum ZIP opcje -tsm, -tsc i -tsa działają jak dla archiwum w formacie RAR.

Przykłady:

  1. Zachowaj wszystkie typy czasu z maksymalną precyzją:

WinRAR a -ts kopia

  2. Odtwórz czas modyfikacji i ostatniego dostępu. Opcja –tsm nie jest wymagana, ponieważ WinRAR domyślnie odtwarza czas modyfikacji. Aby odtworzyć jedynie czas ostatniego dostępu należy użyć opcji -tsm- -tsa

WinRAR x -tsa kopia

  3. Zachowaj czas modyfikacji i utworzenia z niską precyzją. Zabezpiecz czas ostatniego dostępu plików źródłowych:

WinRAR a -tsm1 -tsc1 -tsp kopia


Opcja -U - aktualizuj pliki

Opcja może być użyta podczas rozpakowywania lub tworzenia archiwum. Polecenie a -u jest równoważne poleceniu u. Opcję -u można też użyć z poleceniem m.

Jeśli opcja -u zostanie użyta z poleceniem x lub e, wtedy pliki na dysku zostaną zastąpione przez pliki wypakowane z archiwum tylko wtedy, jeśli są starsze niż pliki w archiwum, lecz w przeciwieństwie do opcji -f, plik zostanie wypakowany nawet jeśli nie posiada swojego odpowiednika na dysku.

Odpowiednikiem tej opcji w interfejsie graficznym jest polecenie opcja „Dodaj i aktualizuj pliki” w dialogu Nazwa i parametry archiwum oraz opcja „Wypakuj i aktualizuj pliki” w dialogu Folder docelowy i opcje wypakowywania.

Opcja ta jest obsługiwana dla archiwów w formacie RAR i ZIP.


Opcja -V<n>[k|b|m|M|g|G] - twórz woluminy

Tworzy woluminy o wielkości=<n>*1000 bajtów.

Domyślnie opcja ta mnoży parametr <n> przez tysiąc (1000) bajtów (nie 1024 bajtów). Aby mnożnikiem był kilobajt (1024 bajty) należy do <n> dodać literę „k”; litera „b” powoduje, że mnożnikiem jest 1, „m” – megabajt (1048576 bajtów), „M” – milion bajtów, „g” – gigabajt (1073741824 bajtów), „G” – miliard bajtów. Jeśli parametr <n> zostanie pominięty, wielkości woluminów zostaną dobrane automatycznie.

Dopuszczalne jest używanie ułamków dziesiętnych (z kropką jako znakiem oddzielającym część ułamkową). Na przykład, -v1.5g oznacza 1.5 gigabajta.

Opcja -v może wystąpić wielokrotnie, co spowoduje określenie rozmiarów dla kolejnych woluminów. Na przykład:

WinRAR a -v100k -200k -300k archiwum

spowoduje, że pierwszy wolumin będzie miał rozmiar 100KB, 200KB a trzeci i każdy następny – 300KB.

Jeśli woluminy są tworzone na wyjmowalnych nośnikach (dyskietkach), to po utworzeniu pierwszego woluminu WinRAR zada pytanie:

Utworzyć następny wolumin?: Tak/Nie/Wszystkie

W tym momencie należy zmienić dyskietkę. Odpowiedź „Wszystkie” spowoduje utworzenie wszystkich woluminów bez zatrzymywania.

Domyślnie woluminy mają nazwy „nazwa_archiwum.partNNN.rar”, gdzie NNN jest numerem woluminu. Dla formatu archiwum RAR 4.x, przy użyciu opcji -vn można spowodować, że WinRAR będzie nazywał woluminy w starym stylu, gdzie pierwszy wolumin będzie miał rozszerzenie .rar, następne woluminy otrzymają kolejne rozszerzenia od .r00 do .r99, później .s00, .s01, ..., .s99, ... (maksymalnie do .{99). Archiwa w formacie RAR 5.0 nie obsługują opcji -vn ani starego stylu nazywania woluminów.

Podczas rozpakowywania lub testowania wieloczęściowego archiwum, wystarczy użyć nazwy pierwszego woluminu. Jeśli na dysku nie ma następnego woluminu, WinRAR wyświetli monit:

Włóż dysk z <nazwa następnego woluminu>. Ok/Anuluj

Włóż dysk z właściwym woluminem i naciśnij OK.

Woluminy nie mogą być modyfikowane. Polecenia d, f, u lub s nie mogą być używane z archiwami wieloczęściowymi. Polecenie a może być użyte jedynie do utworzenia archiwum wieloczęściowego.

możliwe jest, choć nie zdarza się często, że rozmiar pliku umieszczonego w archiwum wieloczęściowym jest większy niż przed kompresją. Jest to spowodowane tym, że w archiwach wieloczęściowych nie można włączyć metody „bez kompresji” (co ma miejsce w jednoczęściowych archiwach gdy rozmiar pliku po kompresji rośnie).

Woluminy mogą też być ciągłe i/lub samorozpakowujące się.

Odpowiednikiem tej opcji w interfejsie graficznym jest pole „Podziel na woluminy” w dialogu Nazwa i parametry archiwum.

Przykład:

utwórz ciągłe woluminy o rozmiarze 1 GB każdy:

WinRAR a -v1G -s archiwum.rar bitmapy


Opcja -VD - usuń zawartość dysku przed utworzeniem woluminu

Wszystkie pliki i foldery znajdujące się na dysku docelowym zostaną z niego usunięte przed utworzeniem woluminu. Należy wcześniej upewnić się, że dysk nie zawiera ważnych danych.

Ta opcja dotyczy tylko dysków wyjmowalnych (dyskietek) - zawartość twardego dysku nie może być usunięta w ten sposób.


Opcja -VER[n] - kontrola wersji pliku

Opcja ta zmusza WinRARa do przechowywania poprzednich wersji pliku podczas aktualizowania go w istniejącym archiwum. Nazwy poprzednich wersji są zmieniane na „nazwapliku;n”, gdzie „n” jest numerem wersji. Opcja ta jest obsługiwana tylko dla archiwów RAR.

Podczas rozpakowywania archiwum bez tej opcji, WinRAR wypakowuje tylko ostatnią wersję danego pliku (tę, którego nazwa nie zawiera numeru wersji). Lecz jeśli podać dokładną nazwę pliku, wraz z numerem wersji, zostanie ona uwzględniona podczas wypakowywania. Na przykład „rar x archiwum” spowoduje wypakowanie tylko ostatnich wersji plików, a „rar x archiwum plik.txt;5” wypakuje „plik.txt;5” (jeśli znajduje się w archiwum).

Jeśli podczas wypakowania opcja -ver zostanie użyta bez numeru, WinRAR wypakuje wszystkie wersje plików - w takim przypadku numer wersji nie zostanie usunięty z nazwy. można również wypakować konkretną wersję określając jej numer w parametrze opcji -ver. Spowoduje to, że RAR wypakuje tylko podaną wersję plików i usunie jej numer z ich nazw. Na przykład „rar x -ver5 archiwum” spowoduje wypakowanie tylko piątych wersji plików.

Podczas archiwizacji opcja ta powoduje określenie górnego limitu wersji plików przechowywanych w archiwum. Wszystkie wersje powyżej określonej zostaną usunięte.

Podczas archiwizacji z tą opcją zaleca się unikanie plików o nazwach w formacie „nazwapliku;n”. Tak nazwane pliki mogą powodować powstawanie duplikatów jeśli stara wersja pliku o takiej nazwie już istnieje w archiwum lub też będzie do niego dodana w późniejszym czasie.


Opcja -VN - użyj starego stylu nazywania woluminów

Domyślnie woluminy mają nazwy „nazwa_archiwum.partNNN.rar”, gdzie NNN jest numerem woluminu. Dla formatu archiwum RAR 4.x, przy użyciu opcji -vn można spowodować, że WinRAR będzie nazywał woluminy w starym stylu, gdzie pierwszy wolumin będzie miał rozszerzenie .rar, następne woluminy otrzymają kolejne rozszerzenia od .r00 do .r99, później .s00, .s01, ..., .s99, ... (maksymalnie do .{99).

Archiwa w formacie RAR 5.0 nie obsługują opcji -vn ani starego stylu nazywania woluminów.


Opcja -VP - pauza przed każdym woluminem

Domyślnie WinRAR pyta o potwierdzenie przed przetworzeniem następnego woluminu tylko w przypadku dysków wyjmowalnych i tylko wtedy, gdy na takim dysku zostało mniej miejsca niż zadeklarowany rozmiar woluminu. Opcja ta zmusza WinRARa do pytania o potwierdzenie za każdym razem gdy tworzony jest nowy wolumin. Może to być przydatne, gdy na dysku jest niewiele wolnego miejsca i istnieje konieczność skopiowania każdego nowoutworzonego woluminu w inne miejsce zaraz po jego utworzeniu.


Opcja -W<ścieżka> - określ folder dla plików tymczasowych

W trakcie wykonywania niektórych operacji (np. modyfikacja archiwum) WinRAR musi tworzyć pliki i foldery tymczasowe. Domyślnie tworzy je w miejscu, na które wskazuje „Folder dla plików tymczasowych” na zakładce Foldery okna ustawień programu. Folder określony parametrem opcji -w ma wyższy priorytet od folderu zapisanego w ustawieniach programu.

Przykład:

podczas dodawania komentarza do archiwum info.rar, użyj folderu d:\tmp do przechowywania plików tymczasowych

WinRAR c -wd:\tmp -zkomentarz.txt info.rar


Opcja -X<obiekt> - wyklucz podany obiekt (plik lub folder)

Wyklucza podany obiekt (plik lub folder) z operacji (dodawania, wypakowywania). Dopuszczalne jest użycie symboli wieloznacznych (* i ?) zarówno dla nazw plików jak i dla części ścieżek. Opcję -x można podać wiele razy w jednym poleceniu.

Jeśli <obiekt> zawiera symbole wieloznaczne, to odnoszą się one tylko do bieżącego folderu i jego podfolderów. Aby wykluczyć plik o określonej nazwie (np. setup.exe), który może się znajdować w kilku folderach, należy użyć -x*\setup.exe. Zamiast symbolu * można uzyć konkretnej nazwy folderu (jeśli wykluczeniu ma ulec plik tylko z konkretnego folderu). Jeśli opcja -x zostanie użyta podczas wypakowywania, to ewentualny folder towarzyszący nazwie pliku do wykluczenia określa folder wewnątrz archiwum, a nie folder na dysku.

Domyślnie do symboli wieloznacznych są dopasowywane nazwy tylko plików. Aby określić symbolem wieloznacznym nazwę folderu, należy użyć specjalnej składni - na końcu nazwy należy umieścić separator nazwy folderu: znak \. Na przykład, maska „*tmp*\” spowoduje wykluczenie wszystkich folderów o nazwie pasującej do wzorca „*tmp*”, a maska „*\tmp\” - wszystkich folderów o nazwie „tmp”. Wykluczanie folderów jest dostępne tylko dla archiwów RAR i ZIP.

Aby wykluczyć pojedynczy folder, należy określić jego dokładną nazwę ze ścieżką, bez używania symboli wieloznacznych. W tym przypadku nie trzeba dodawać na końcy nazwy separatora nazwy folderu.

Przykłady:

  1. dodaj do archiwum bin wszystkie pliki oprócz *.jpg i *.avi

WinRAR a -x*.jpg -x*.avi bin

  2. skompresuj wszystkie pliki na dysku C: za wyjątkiem folderów temp oraz plików znajdujących się w folderach temp

WinRAR a -r -x*\temp\ ratunekdlac c:\*

  3. wypakuj z archiwum dokumenty.rar wszystkie pliki oprócz plików .txt

WinRAR x -x*.txt dokumenty


Opcja -X@<lista> - wyklucz pliki wymienione na podanej liście

Wyklucza pliki, których nazwy znajdują się w podanym pliku (liście) <lista>.

Przykład:

dodaj do archiwum bin wszystkie pliki *.exe za wyjątkiem tych, których nazwy znajdują się na liście lista.txt

WinRAR a -x@lista.txt bin *.exe


Opcja -Y - odpowiedz „Tak” na zapytania

Opcja ta powoduje, że na każde zapytanie WinRAR przyjmie domyślnie odpowiedź „Tak”, bez pytania użytkownika.


Opcja -Z[plik] - wczytaj komentarz archiwum z pliku

Opcja ta dodana do dowolnego polecenia modyfikującego archiwum powoduje, że główny komentarz zostanie wczytany z pliku i dodany do archiwum. Opcja ta użyta razem z opcją -sc umożliwia określenie kodowania, w jakim zapisany jest komentarz.

Przykład:

dodaj wszystkie pliki z bieżącego foldera do ciągłego archiwum Przepisy z komentarzem z pliku Przepisy.diz

WinRAR a -zPrzepisy.diz -s Przepisy


Lista kodów operacji WinRARa

WinRAR zwraca kod 0 (zero) jeśli nie wystąpią żadne zakłócenia operacji. Kod różny od zera oznacza wystąpienie jakiegoś błędu:

Wartość | Opis
0 | Operacja zakończona sukcesem
1 | Ostrzeżenie – nie-krytyczny błąd
2 | Błąd krytyczny
3 | Błędna suma kontrolna. Dane są uszkodzone.
4 | Próba modyfikacji zablokowanego archiwum.
5 | Błąd zapisu na dysk
6 | Błąd otwarcia pliku
7 | Błąd składni linii poleceń
8 | Za mało pamięci dla operacji
9 | Błąd podczas tworzenia pliku
10 | Nie znaleziono plików pasujących do podanego wzorca lub opcji
11 | Nieprawidłowe hasło
12 | Błąd odczytu
255 | Użytkownik przerwał operację


Ustawienia ogólne

Aby wywołać okno ustawień ogólnych należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Ogólne”. Opcje zawarte w tym dialogu są opisane poniżej.

System/Niski priorytet

WinRAR używa tego parametru w celu regulacji użycia zasobów systemowych w środowisku wielozadaniowym. Zwykle najlepiej jest zostawić domyślny priorytet, lecz warto ustawić go na niski, gdy WinRAR jest często uruchamiany w tle innych aplikacji.

System/Wątki

Tu można określić maksymalną liczbę wątków używaną przez WinRARa. Choć WinRAR podejmuje próbę stosowania się do tego ograniczenia, to czasem liczba aktywnych wątków może być większa.

Najczęściej domyślna wartość tej opcji jest optymalna, lecz można ją zmniejszyć aby WinRAR zużywał mniej zasobów podczas pracy. Zmniejszenie tej wartości może obniżyć wydajność WinRARa.

Historia/Zapisz historię archiwów

Domyślnie WinRAR przechowuje nazwy kilku ostatnio otwieranych archiwów w menu „Plik”, w celu uzyskania do nich natychmiastowego dostępu. Aby zapobiec takiemu zachowaniu (np. dla bezpieczeństwa), należy wyłączyć tę opcję.

Ponadto, jeśli ta opcja jest włączona, to WinRAR dodaje archiwa do listy ostatnio otwieranych dokumentów. Jeśli ta opcja jest wyłączona, to system Windows sam zarządza listą dokumentów - w takim przypadku to, czy archiwa trafią na tę listę zależy od wersji i ustawień Windows.

Historia/Historia w oknach dialogowych

Niektóre pola w oknach dialogowych posiadają listy wcześniej wprowadzonych danych, które umożliwiają szybkie ponowne wprowadzenie poprzednich danych (np. nazwy archiwów, ścieżki, itp.). Jest to oszczędność czasu, lecz, jak w przypadku poprzedniej opcji, bezpieczeństwo takiego rozwiązania w systemie z wieloma użytkownikami jest wątpliwe. Dlatego w przypadku, gdy komputer jest używany przez wiele osób należy opcję tę pozostawić wyłączoną.

Pasek narzędzi/Rozmiar przycisków

Za pomocą tej opcji można wybrać rozmiar przycisków. Opcja jest dostępna tylko dla standardowego motywu WinRARa.

Pasek narzędzi/Tekst na przyciskach

Za pomocą tej opcji można zdecydować, czy na przyciskach będą wyświetlane ich nazwy.

Pasek narzędzi/Zablokuj paski narzędziowe

Opcja ta może być służyć np. do zapobiegania przypadkowemu przesunięciu lub zmianie rozmiaru pasków narzędziowych.

Pasek narzędzi/Paski narzędzi...

Wyświetla okno dialogowe umożliwiające włączenie lub wyłączenie pasków narzędzi WinRARa.

Pasek narzędzi/Przyciski...

Wyświetla okno dialogowe umożliwiające wybranie które przyciski będą widoczne na głównym pasku narzędzi WinRARa.

Interfejs/Uruchom Pomocnika przy starcie

Po wystartowaniu WinRARa zostanie automatycznie uruchomiony Pomocnik.

Interfejs/Włącz dźwięki

Powoduje, że WinRAR będzie wydawał dźwięki w przypadku błędów lub po zakończeniu długo trwających operacji.

Interfejs/Wyświetlaj komentarze archiwów

Wyświetla okno komentarza, jeśli otwarte archiwum posiada komentarz.

Interfejs/użyj otwartego okna WinRARa

Jeśli ta opcja jest włączona, to w przypadku, gdy użytkownik próbuje otworzyć archiwum za pomocą polecenia „WinRAR <nazwa archiwum>” lub przez kliknięcie ikony archiwum w interfejsie Windows, i WinRAR jest już uruchomiony, to archiwum zostanie otwarte w już istniejącym oknie WinRARa. Wyłączenie tej opcji spowoduje, archiwum zostanie otwarte w nowym oknie.

Interfejs/Zawsze na wierzchu

Umieszcza okno WinRARa nad innymi oknami. Opcja ta jest przydatna w przypadku tworzenia archiwów za pomocą techniki „przeciągnij i upuść”.

Pełne ścieżki w pasku tytułowym

Wyświetla pełną ścieżkę do aktualnie otwartego folderu lub archiwum w pasku tytułowym programu.

Interfejs/Systemowe paski postępu

Ta opcja decyduje o wyglądzie pasków postępu wyświetlanych podczas archiwizacji i wypakowywania. Jeśli jest włączona, WinRAR będzie wyświetlał standardowe paski postępu (takie, jak inne aplikacje). Jeśli jest wyłączona, WinRAR będzie używał własnych (trójkolorowych) pasków postępu. W starszych wersjach Windows lepiej jest tę opcję wyłączyć a włączyć w Windows Vista i nowszych, gdzie kontrolki mają nowy, ciekawszy wygląd.

Interfejs/Pasek postępu w pasku zadań

Jeśli ta opcja jest włączona, to WinRAR wyświetli pasek postępu także na swojej ikonie znajdującej się w pasku zadań. Ta funkcjonalność jest dostępna począwszy od Windows 7, dlatego w starszych systemach ta opcja jest wyłączona.

Rejestrowanie/Rejestruj błędy w pliku

Powoduje, że WinRAR będzie zapisywał wszystkie komunikaty błędów i informacje o uszkodzeniach przetwarzanych archiwów do pliku rar.log znajdującego się w folderze %APPDATA%\WinRAR. Opcja ta jest dostępna tylko po zarejestrowaniu. Aby przejrzeć zawartość pliku rejestru można posłużyć się poleceniem „Wyświetl rejestr zdarzeń...” z menu „Opcje”.

Rejestrowanie/Limit pliku rejestru: <nnn> KB

Umożliwia ograniczenie wielkości pliku rar.log tworzonego przez WinRARa. Najmniejszą dopuszczalną wartością jest 50KB.


Ustawienia kompresji

Aby wywołać okno ustawień kompresji należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Kompresja”. Opcje zawarte w tym dialogu są opisane poniżej. Uwaga: większość ustawień kompresji może być określona po naciśnięciu przycisku Profile kompresji/Utwórz domyślny. Więcej szczegółów o parametrach kompresji znajduje się w rozdziale Jak zoptymalizować ustawienia archiwizacji.

Profile kompresji/Utwórz domyślny

W dialogu ukazującym się po naciśnięciu tego przycisku można określić domyślne ustawienia większości opcji kompresji. Dla każdej z sekcji tego dialogu dostępna jest pomoc podręczna opisująca znajdujące się w niej opcje.

Ustawienia z tego dialogu zapisywane są w domyślnym profilu kompresji, który nosi nazwę „Profil domyślny”, i są przywracane przed rozpoczęciem każdej operacji archiwizacji.

Niektóre parametry domyślnego profilu kompresji są używane nie tylko podczas dodawania plików do archiwum, ale także w trakcie wykonywania innych operacji na archiwum, jak np. usuwanie czy zmiana nazwy plików. W takich przypadkach WinRAR używa tylko tych parametrów, które mogą mieć wpływ na daną operację. Podczas wypakowywania nie są używane żadne parametry domyślnego profilu kompresji.

Profile kompresji/Organizuj

Wyświetla dialog umożliwiający organizację profili kompresji. Można w nim usunąć istniejące profile lub zmienić ich parametry. Można np. zmienić nazwę profilu lub ustawić go jako domyślny. Więcej informacji na ten temat znajduje się w pomocy podręcznej dostępnej z tego dialogu.

Lista rozmiarów woluminów/Definiuj rozmiary woluminów...

Przycisk ten powoduje wyświetlenie okna dialogowego definiowania rozmiarów woluminów, gdzie można dostosować listę predefiniowanych rozmiarów woluminów związanych z polem „Rozmiar woluminów” w oknie Nazwa i parametry archiwum.

Typy plików otwieranych jako archiwa

Za pomocą tej opcji można określić, w jaki sposób WinRAR ma obchodzić się z archiwami o niestandardowych rozszerzeniach po naciśnięciu klawisza Enter lub dwukrotnym kliknięciu przyciskiem myszy w trybie obsługi plików. Opcja ta nie ma wpływu na obchodzenie się ze zwykłymi archiwami o rozszerzeniach .rar czy .zip.

Należy tu podać jedną lub więcej masek plików oddzielonych spacjami - pliki do nich pasujące będą traktowane jak archiwa. Pozostałe pliki o nieznanych WinRARowi rozszerzeniach będą albo uruchamiane, albo otwierane w skojarzonych aplikacjach. Na przykład, jeśli w tej opcji nie zostanie wyszczególniona maska *.exe, to po naciśnięciu Enter na samorozpakowującym się archiwum w oknie plików, WinRAR uruchomi to archiwum zamiast wyświetlić jego zawartość.

Jeśli plik pasuje do jakiejś maski, WinRAR najpierw spróbuje otworzyć go jako archiwum - i jeśli mu się nie uda, potraktuje go jak zwykły plik. Ta opcja nie działa wewnątrz archiwum - każdy zarchiwizowany plik, na którym zostanie naciśnięty klawisz Enter, zostanie otwarty w skojarzonej aplikacji.

Niezależnie od ustawień tej opcji zawsze można spróbować wejść do dowolnego pliku jak do archiwum (czy to na liście plików, czy wewnątrz innego archiwum) używając skrótu klawiszowego Ctrl+PgDn.


Ustawienia folderów

Aby wywołać okno ustawień ogólnych należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Foldery”. Opcje zawarte w tym dialogu są opisane poniżej.

Folder dla plików tymczasowych

WinRAR używa tego folderu do tworzenia plików tymczasowych. Jeśli pole to pozostanie puste, to tymczasowe pliki i foldery będą tworzone w bieżącym folderze lub w systemowym folderze tymczasowym, w zależności od polecenia.

Pierwotną wartością jest systemowy folder tymczasowy. Jeśli zostało to zmienione, to w celu powrotu do ustawienia pierwotnego należy wpisać %temp% zamiast konkretnej nazwy folderu - WinRAR wstawi w to miejsce odpowiednią ścieżkę.

Folder dla plików tymczasowych/używaj tylko podczas pracy z dyskami wyjmowalnymi

W przypadku archiwów znajdujących się na dysku twardym tworzenie plików tymczasowych w bieżącym folderze zwykle odbywa się szybciej, lecz w przypadku wolnych dysków zewnętrznych lepiej jest utworzyć archiwum na dysku twardym a dopiero później skopiować je na dysk zewnętrzny. Aby wymusić takie działanie należy wpisać nazwę „Folderu dla plików tymczasowych” i włączyć tę opcję.

Opcja ta wpływa na działanie tylko operacji obejmujących modyfikację archiwum. Dla innych operacji ustawienie tej opcji nie ma znaczenia.

Folder startowy

Ten parametr umożliwia wskazanie folderu, który będzie otwierany w oknie WinRARa po jego uruchomieniu. Folder wpisany w tym polu będzie otwierany przy starcie tylko wtedy, gdy wyłączona jest opcja „Przy starcie otwórz ostatnio używany folder”.

Folder startowy/Przy starcie otwórz ostatnio używany folder

Jeśli ta opcja jest włączona, WinRAR, po uruchomieniu bez dodatkowych parametrów, przejdzie do ostatnio użytego przez siebie folderu.

Domyślny folder dla archiwów

Jeśli to pole jest puste i nazwa archiwum nie zawiera pełnej ścieżki dostępu, archiwum zostanie utworzone w tym samym folderze, w którym znajdują się archiwizowane pliki. Na przykład, jeśli pole to będzie zawierało ścieżkę dostępu do Pulpitu (np. „C:\Windows\Pulpit\”), WinRAR będzie tworzył archiwa na Pulpicie.

Opcja -cfg- linii poleceń wyłącza większość domyślnych WinRARa, włączając domyślny folder dla archiwów.

Domyślny folder dla wypakowywanych plików

Tu można wpisać nazwę folderu, który zostanie użyty jako bazowy podczas wypakowywania w poleceniach Wypakuj bez potwierdzenia jak i Wypakuj do wybranego folderu. WinRAR konstruuje nazwę folderu docelowego z nazwy folderu domyślnego i nazwy archiwum.

W przeciwieństwie do poprzedniej opcji, domyślny folder dla wypakowywanych plików nie jest używany w linii poleceń, a jedynie ma wpływ na polecenie „Wypakuj pliki...” w menu kontekstowych.

Dołącz nazwę archiwum do ścieżki

Opcja ta włącza lub wyłącza dodawanie nazwy archiwum jako kolejnego składnika ścieżki podczas rozpakowywania archiwów.

Usuń nadmiarowe foldery ze ścieżki

Jeśli ta opcja jest włączona, to podczas rozpakowywania archiwum, w którym główny folder nie zawiera plików a tylko pojedynczy folder (o nazwie np. „moj_folder”) i jeśli folder docelowy jest nowy lub pusty i również nazywa się „moj_folder”, to WinRAR usunie jedną nazwę „moj_folder” tak aby nie powstała ścieżka „moj_folder\moj_folder”. W tym celu WinRAR przeniesie dane o jeden folder do góry. Aby ta operacja się powiodła, folder docelowy nie może być otwarty przez żadną inną aplikację aż do zakończenia wypakowywania.

Ta opcja ma znaczenie tylko dla menu kontekstowych, tylko wtedy, gdy zaznaczone jest jedno archiwum, które na najwyższym poziomie ma tylko jeden folder. Opcja modyfikuje działanie tylko polecenia „Wypakuj do <nazwa folderu\>”, gdzie "nazwę folderu" proponuje WinRAR w oparciu o nazwę archiwum. Jeśli te wszystkie warunki zostaną spełnione, opcja ta powoduje, że archiowum zostanie wypakowane nie do folderu o proponowanej nazwie, a do folderu, który znajduje się w archiwum.

Na przykład: jest archiwum o nazwie „Obrazki.rar”, które zawiera tylko folder „Przykłady”. Użycie polecenia „Wypakuj do Obrazki\” spowoduje wypakowanie zawartości archiwum do folderu „Obrazki\Przykłady” jeśli opcja jest wyłączona, a w przypadku włączenia tej opcji, wypakowanie nastąpi do folderu „Przykłady”.

Właczenie tej opcji wprowadza opóźnienie przed rozpoczęciem wypakowywania, ponieważ WinRAR musi przeskanować archiwum w celu zbadania jego struktury folderów. Należy mieć na uwadze, że polecenie w menu wyświetla proponowaną nazwę folderu bazując na nazwie archiwum pomimo, że archiwum może zostać wypakowane do innego folderu. Wyświetlanie tej właściwej nazwy mogłoby wprowadzić duże opóźnienie między kliknięciem a wyświetleniem menu kontekstowego.


Ustawienia listy plików

Aby wywołać okno ustawień ogólnych należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Lista plików”. Opcje zawarte w tym dialogu są opisane poniżej.

Typ listy (Tylko nazwy plików lub Szczegóły)

Ustawia wyświetlanie tylko nazw plików (widok wielokolumnowy, wyświetlane są tylko ikony plików i ich nazwy) lub szczegółów (pojedyncza kolumna nazw plików i ich ikon, obok znajdują się kolumny zawierające rozmiar, datę i czas oraz typ każdego z plików). Domyślnie ustawiony jest tryb „Szczegóły”.

Styl listy/Pokaż siatkę

Wyświetla linie siatki w liście plików.

Styl listy/Wybór całego wiersza

Powoduje, że kursor ma szerokość całego wiersza (normalnie kursor obejmuje tylko kolumnę z nazwami plików).

Styl listy/Wybór całego wiersza

Wyświetla pola wyboru, dzięki którym można zaznaczać elementy listy. Dostępne w Windows Vista i nowszych.

Pliki/Archiwa na początku listy

Wyświetla archiwa na początku listy plików niezależnie od trybu sortowania.

Pliki/Wyróżniaj kolorem zaszyfrowane i skompresowane pliki (NTFS)

Jeśli ta opcja jest włączona, WinRAR będzie wyświetlał pliki, które mają atrybut „Skompresowany” lub „Zaszyfrowany”, używając takich samych kolorów jak Eksplorator Windows. Domyślnie tymi kolorami są: niebieski dla atrybutu „Skompresowany” i zielony dla atrybutu „Zaszyfrowany”.

Pliki/Połącz zawartość woluminów

Jeśli ta opcja jest włączona, to w przypadku otwarcia pierwszego woluminu archiwum wieloczęściowego WinRAR próbuje odczytać i wyświetlić zawartość wszystkich pozostałych woluminów znajdujących się w tym samym folderze. Zamiast więc zawartości pojedynczego woluminu wyświetlona zostanie zawartość ich wszystkich.

Pliki/Wyświetl sekundy

Wyświetla sekundy przy dacie pliku na liście. Jeśli ta opcja jest wyłączona, WinRAR wyświetla czas z dokładnością do 1 minuty.

Pliki/Dokładne rozmiary

Jeśli ta opcja jest włączona, to rozmiary plików są zawsze wyświetlane w bajtach. Jeśli ta opcja jest wyłączona, to rozmiary są zaokrąglane w górę i wyświetlane przy użyciu większych jednostek, jak KB czy MB; rozmiary mniejszych plików wciąż mogą być wyświetlane w bajtach. Ta opcja może mieć wpływ także na inne części interfejsu WinRARa, np. całkowity rozmiar plików wyświetlany w pasku statusu.

Pliki/Kolumny...

Za pomocą tego przycisku można określić kolumny, które będą wyświetlane w oknie WinRARa w różnych trybach pracy.

Nazwy plików/Wybierz czcionkę...

Umożliwia wybór czcionki używanej do wyświetlania zawartości listy plików i drzewa folderów.

Zaznaczanie

Opcje z tej grupy umożliwiają wybór stylu zaznaczania za pomocą myszki plików na liście. Opcja „Pojedyncze kliknięcie otwiera plik” powoduje, że mysz będzie się zachowywać podobnie jak w przeglądarce internetowej. W tym trybie można ponadto zdecydować, czy (i kiedy) WinRAR ma podkreślać nazwy plików. Domyślnym ustawieniem jest „Podwójne kliknięcie otwiera plik”.


Ustawienia podglądu

Aby wywołać okno ustawień ogólnych należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Podgląd”. Opcje zawarte w tym dialogu są opisane poniżej.

Typ podglądu

Wybiera domyślną reakcję programu na naciśnięcie przez użytkownika klawisza Enter na zaznaczonym pliku. możliwe działania:

Podgląd wbudowany | używa wbudowanej przeglądarki WinRARa
Podgląd zewnętrzny | używa zewnętrznej przeglądarki, której nazwę należy podać w polu „Nazwa przeglądarki”
Skojarzony program | używa zarejestrowanej w Windows przeglądarki dla danego typu pliku
Zapytaj | Za każdym razem pyta użytkownika o typ przeglądarki

Ustawienie powyższej opcji jest ignorowane dla kilku typów plików. W trybie obsługi plików są ignorowane dla archiwów i plików wykonywalnych. Po naciśnięciu klawisza Enter WinRAR próbuje otworzyć archiwum lub uruchomić plik wykonywalny. W trybie obsługi archiwum są ignorowane dla typów plików określonych w polu „Rozpakuj wszystko dla” w oknie ustawień podglądu. Jeśli użytkownik naciśnie klawisz Enter na pliku o podanym typie, WinRAR najpierw rozpakuje całe archiwum do folderu tymczasowego, uruchomi dany plik, po którego zakończeniu zaproponuje aktualizację archiwum (jeśli wypakowane pliki zostały zmienione przez uruchomiony program), po czym usunie folder tymczasowy wraz z całą zawartością. Zapewnia to wygodny sposób instalacji programów bezpośrednio z archiwów.

W przeciwieństwie do klawisza Enter, polecenie Podejrzyj plik zawsze otwiera dany plik we wbudowanej przeglądarce WinRARa.

Podgląd wbudowany/Wykryj kodowanie znaków

Jeśli ta opcja jest włączona, to wbudowana przeglądarka próbuje automatycznie określić kodowanie znaków (ANSI, OEM, UTF-8 lub UTF-16). Jeśli kodowanie okaże sie nieprawidłowe, zawsze można je ustawić ręcznie przy użyciu odpowiednich poleceń z menu „Widok” wbudowanej przeglądarki.

Podgląd wbudowany/Otwieraj w jednym oknie

Jeśli ta opcja jest wyłączona, WinRAR tworzy osobne okna wbudowanego podglądu dla każdego podglądanego pliku. Jeśli opcja jest włączona, okno podglądu jest tylko jedno – zmienia się tylko jego zawartość podczas podglądania kolejnych plików.

Podgląd wbudowany/Zawijanie wierszy

Przełącza pomiędzy zawijaniem wierszy a przewijaniem ekranu we wbudowanym podglądzie. Opcja ta dotyczy tylko nowych okien podglądu – aktualnie otwarte nie zostaną zmienione.

Rozpakuj wszystko dla

To pole umożliwia określenie masek plików, dla których konieczne jest rozpakowanie całego archiwum gdy użytkownik „uruchomi” wybrany zarchiwizowany plik. Poszczególne maski oddziela się spacjami. Na przykład, jeśli pole zawiera „*.exe *.htm *.html”, WinRAR rozpakuje całe archiwum przed uruchomieniem do pliku wykonywalnego lub pliku HTML. Wypakowanie całej zawartości archiwum jest konieczne w przypadku, gdy uruchamiany plik musi korzystać z innych, towarzyszących mu plików.

WinRAR ignoruje ustawienie opcji „Typ podglądu” dla plików określonych w tym polu i zawsze otwiera je za pomocą skojarzonego programu.

Ignoruj modyfikacje dla

Domyślnie WinRAR proponuje zaktualizowanie archiwum jeśli podglądany plik został zmieniony. Można zmienić to zachowanie za pomocą tej opcji. Należy w tym celu określić jedną lub więcej masek plików (oddzielone spacjami). WinRAR nie będzie monitował o aktualizację plików pasujących do którejkolwiek z tych masek, ani nie doda takich plików do archiwum.

Na przykład, jeśli to pole zawiera *.doc *.txt, to dowolny plik .doc i .txt, który zostanie zmodyfikowany przez zewnętrzną lub wbudowaną przeglądarkę, nie spowoduje wyświetlenia monitu o aktualizację archiwum i zmiany dokonane w takim pliku zostaną utracone.

Maski określane w tym polu mogą mieć bardziej złożoną składnię, zawierającą nazwę archiwum i nazwę pliku oddzielone dwoma znakami \ : maska_archiwum\\maska_pliku. Maski mogą zawierać ścieżki. Maski mogą też zawierać zmienne środowiskowe.

Na przykład, *.rar\\*.txt oznacza wszystkie pliki .txt we wszystkich archiwach .rar, *\\temp\* lub samo temp\* oznacza wszystkie pliki w folderach „temp” wewnątrz archiwów, a %temp%\*\\* lub %temp%\*\\ oznacza wszystkie archiwa znajdujące się w folderze tymczasowym.

Nazwa przeglądarki

Tu należy wprowadzić nazwę programu, który ma być używany jako zewnętrzna przeglądarka plików (patrz opis opcji „Typ podglądu”). Parametrem uruchomieniowym tego programu będzie nazwa pliku przeznaczonego do wyświetlenia.


Ustawienia zabezpieczeń

Aby wywołać okno ustawień ogólnych należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Zabezpieczenia”. Opcje zawarte w tym dialogu są opisane poniżej.

Nie wypakowuj plików następujących typów

Po włączeniu tej opcji można określić listę potencjalnie niebezpiecznych plików. W polu edycyjnym można wpisać wiele masek oddzielonych spacjami. Pliki pasujące do wpisanych masek zostaną przez WinRARa pominięte podczas rozpakowywania archiwów.

Opcja ta może pomóc w zabezpieczeniu się przed zainfekowanymi załącznikami pocztowymi. Na przykład wprowadzenie masek:

*.scr *.pif *.exe

spowoduje, że WinRAR nie wypakuje plików typu .scr, .pif ani .exe z żadnego archiwum.

Wymaż pliki tymczasowe

Ta grupa opcji steruje trybem wymazywania plików tymczasowych powstałych podczas wykonywania przez WinRARa różnych operacji.

Wymaż pliki tymczasowe/Nigdy

Ta opcja powoduje, że WinRAR używa zwykłego usuwania plików. Tak usunięte pliki mogą być odzyskane za pomocą specjalnych programów. Jest to najszybsza, lecz również najmniej bezpieczna metoda usuwania plików.

Wymaż pliki tymczasowe/Zawsze

W tym trybie pliki tymczasowe przed usunięciem są nadpisywane zerami, co utrudnia ich odzyskanie. Jest to znacznie wolniejsza, ale też bezpieczniejsza metoda.

Wymaż pliki tymczasowe/Tylko pliki zaszyfrowane

W tym trybie pliki są usuwane wolniejszą, bezpieczniejszą metodą, jeśli WinRAR zidentyfikował dany plik jako zaszyfrowany. W przeciwnym wypadku używana jest standardowa, szybka metoda usuwania.

Uwagi

  • Wymazywanie plików zostało zaimplementowane z myślą o zwykłych dyskach twardych. Może nie przynieść spodziewanych rezultatów w przypadku dysków SSD.
  • Jeśli pliki tymczasowe są używane przez inne aplikacje, WinRAR może ich nie usunąć od razu. W takim przypadku, przy następnym uruchomieniu WinRARa wszystkie pliki tymczasowe starsze niż jedna godzina zostaną usunięte lub wymazane.
  • Ta opcja działa tylko w przypadku plików tymczasowych tworzonych podczas różnych operacji wypakowywania. Może nie działać z innymi plikami tymczasowymi, np. tworzonymi podczas modyfikacji archiwum. W tym wypadku stosowana jest zwykła metoda usuwania.

Oferuj wybór programu antywirusowego

Ta opcja modyfikuje działanie polecenia Skanuj archiwum w poszukiwaniu wirusów. Domyślnie jest ona włączona, co powoduje, że WinRAR daje użytkownikowi możliwość wyboru skanera antywirusowego przy każdej operacji skanowania archiwum. Jeśli używany jest tylko jeden program antywirusowy, za pomocą tej opcji można spowodować, że będzie on zawsze używany do tej operacji a użytkownik nie będzie miał możliwości wyboru innego programu.


Ustawienia integracji

Aby wywołać okno ustawień integracji należy z menu „Opcje” wybrać polecenie „Ustawienia...”, a następnie kliknąć zakładkę „Integracja”. Wyświetlone okno dialogowe umożliwia zmianę ustawień wybranych podczas instalacji WinRARa.

Skojarz WinRARa z (archiwami RAR, ZIP, itp.)

Ta opcja umożliwia wybranie formatów archiwów, dla których WinRAR zostanie zarejestrowany jako domyślna przeglądarka. Opcje te należy pozostawić włączone, ponieważ umożliwi to otwarcie archiwum przez dwukrotne kliknięcie jego ikony w Eksploratorze Windows lub na Pulpicie. Przycisk „Przełącz wszystkie” zaznacza te, które były zaznaczone oraz odznacza te, które były zaznaczone.

Windows 10 traktuje te skojarzenia tylko jako rekomendacje. Aplikowane są tylko wtedy, kiedy żaden inny program nie jest skojarzony z danym rozszerzeniem. W przeciwnym wypadku są umieszczane na liście programów wyświetlanych po użyciu polecenia „Otwórz za pomocą”. Może więc okazać się koniecznym zmiana ustawień Windows dla danego rozszerzenia, np. poprzez użycie polecenia „Wybierz inną aplikację” w menu „Otwórz za pomocą”, lub „Wybierz aplikacje domyślne według typów plików” w ustawieniach Windows.

Inne rozszerzenia plików

Ta opcja umożliwia określenie innych rozszerzeń plików, które mają być skojarzone z WinRARem. Wpisanie tu rozszerzenia pliku spowoduje, że dwukrotne kliknięcie pliku o takim rozszerzeniu w Eksploratorze Windows uruchomi WinRARa i otworzy w nim ten plik, ponadto taki plik będzie miał w menu kontekstowym polecenia służące do wypakowywania, testowania itp.

Poszczególne rozszerzenia należy oddzielać spacjami. Rozszerzenia wpisuje się bez kropki (np. dla pliku typu .dat należy wpisać dat).

Ta opcja jest dostępna tylko w ustawieniach WinRARa - nie ma jej podczas instalacji.

Interfejs/Umieść skrót do WinRARa na Pulpicie

Umieszcza skrót do WinRARa na Pulpicie.

Interfejs/Umieść skrót do WinRARa w menu Start

Umieszcza skrót do WinRARa na liście programów w menu Start.

Interfejs/Utwórz grupę WinRARa

Tworzy grupę programową WinRARa na liście programów w menu Start.

Powłoka/Zintegruj WinRARa z interfejsem Windows

Umożliwia używanie kontekstowych menu i techniki „przeciągnij i upuść” (drag and drop) do obsługi archiwów WinRARa.

Powłoka/Kaskadowe menu kontekstowe

Umieszcza wszystkie polecenia dodane przez WinRARa do menu kontekstowego plików i archiwów w jednym menu rozwijanym.

Począwszy od Windows 11, aplikacja może dodać tylko jedną pozycję do menu kontekstowego Eksploratora Windows - tą pozycją może być albo polecenie, albo podmenu (menu kaskadowe). Jeśli opcja „Kaskadowe menu kontekstowe” jest włączona, to WinRAR doda właśnie podmenu, w którym będą wszystkie te polecenia, co dotychczas. Jeśli ta opcja jest wyłączona, to w menu kontekstowym dla archiwów znajdzie się tylko jedno polecenie wypakowywania, a dla nie-archiwów tylko jedno polecenie archiwizacji. Można te polecenia dostosować za pomocą przycisku „Elementy menu kontekstowego”.

Powłoka/Ikony w menu kontekstowym

Dodaje małe ikony do poleceń dodanych przez WinRARa do menu kontekstowego plików i archiwów.

Powłoka/Klasyczne menu kontekstowe

Tę opcję, dostępną tylko w Windows 11, należy włączyć w sytuacji, gdy polecenia WinRARa są niedostępne w klasycznym menu kontekstowym (dostępnym po wybraniu polecenia „Pokaż więcej opcji”) Eksploratora Windows lub innych menedżerów plików. Jeśli polecenia WinRAR są już dostępne w tym menu, to włączenie tej opcji może je zduplikować.

Powłoka/&Elementy menu kontekstowego

Pozwala wybrać polecenia, które będą wyświetlane w menu kontekstowym Eksploratora Windows.


Profile kompresji

Profil kompresji jest zbiorem różnych ustawień kompresji, który może zostać szybko przywrócony przed rozpoczęciem archiwizacji. Zamiast określać typ archiwum, rozmiar woluminu, metodę kompresji i inne opcje za każdym razem przy tworzeniu nowego archiwum, można utworzyć kilka profili przechowujących ustawienia dla operacji archiwizacji i później tylko je wybierać z listy.

Profile kompresji mają swoje nazwy, które są wyświetlane na liście. Profil można wybrać w dialogu Nazwa i parametry archiwum – wystarczy nacisnąć przycisk „Profile” i wybrać pozycję z listy – wszystkie zapisane w nim ustawienia zostaną przywrócone. WinRAR po zainstalowaniu posiada kilka predefiniowanych profili, m.in. do tworzenia załączników do poczty elektronicznej czy do tworzenia kopii zapasowych – jeśli nie są one potrzebne można je usunąć.

Są dwa sposoby na utworzenie nowego profilu. można wywołać dialog „Nazwa i parametry archiwum”, ustawić odpowiednie opcje, nacisnąć przycisk „Profile” i z wyświetlonego menu wybrać polecenie „Zapisz bieżące ustawienia do nowego profilu...”. W wyświetlonym dialogu Parametry profilu znajduje się pole z nazwą, gdzie należy wpisać nazwę nowego profilu. Ponadto jest tam kilka innych parametrów profilu, z których najważniejszą jest „Ustaw profil jako domyślny”. Jeśli ta opcja zostanie włączona, profil będzie wybierany przed rozpoczęciem każdej operacji archiwizacji i niektórych operacji modyfikacji archiwum. Inne parametry umożliwiają zapisanie w profilu nazwy archiwum i nazw archiwizowanych plików, utworzenie skrótu na Pulpicie oraz natychmiastowe wykonanie operacji po wybraniu profilu. Więcej informacji na temat tych parametrów znajduje się w rozdziale Parametry profilu.

Innym sposobem na utworzenie nowego profilu jest naciśnięcie przycisku „Utwórz domyślny” w ustawieniach kompresji. W tym przypadku wystarczy ustawić odpowiednie opcje archiwizacji w wyświetlonym oknie dialogowym i nacisnąć „OK”. Nowy profil utworzony tą metodą staje się profilem domyślnym (o nazwie „Profil domyślny”). W przeciwieństwie do pierwszego sposobu, ten nie daje możliwości ustawienia takich parametrów archiwizacji jak np. zapisywanie nazwy archiwum i nazw plików czy tworzenia skrótu na Pulpicie.

Nie można zmienić ustawień kompresji zapisanych w profilu, lecz można zmienić jego parametry, np. nazwę. Aby edytować parametry profilu lub aby usunąć profil należy użyć polecenia Organizuj profile, które jest dostępne z menu profili w dialogu „Nazwa i parametry archiwum” oraz z dialogu „Ustawienia kompresji”.

W profilu można także zapisać hasło, lecz należy mieć na uwadze, że jest ono przechowywane w Rejestrze Windows w niezabezpieczonej postaci. Każdy, kto ma dostęp do komputera, może podejrzeć takie hasło.


Plik WinRAR.ini

Domyślnie WinRAR przechowuje swoje ustawienia w Rejestrze Windows. Taki sposób jest wskazany, gdy WinRAR jest zainstalowany i używany tylko na jednym komputerze. Jeśli planujesz zainstalować WinRARa na nośniku wyjmowalnym, np. na pendrive, a następnie używać go na wielu komputerach, możesz chcieć uniknąć przechowywania ustawień WinRARa na wielu komputerach.

Istnieje możliwość przekierowania dostępu do Rejestru na plik tekstowy. Wystarczy w tym celu utworzyć pusty plik WinRAR.ini w tym samym folderze, w którym znajduje się WinRAR.exe lub w folderze %APPDATA%\WinRAR, przy czym najpierw sprawdzana jest obecność pliku w tym pierwszym. Jeśli WinRAR odnajdzie ten plik, to przekieruje na niego dostęp do kluczy HKEY_CURRENT_USER\Software\WinRAR i HKEY_LOCAL_MACHINE\Software\WinRAR.

Użyj polecenia „Utwórz plik WinRAR.ini” znajdującego się w menu „Import i eksport” aby utworzyć nowy plik WinRAR.ini i zapisać w nim bieżące ustawienia programu. Następnie tak utworzony plik należy skopiować do jednego z wyżej wymienionych folderów.

Zwykle bieżące ustawienia są zapisywane do pliku WinRAR.ini tylko przy wyłączaniu programu; do tego czasu znajdują się w pamięci operacyjnej. Ustawienia są zapisywane w kodowaniu UTF-16LE („standardowy” dwubajtowy Unicode) w następującym formacie:

  • <klucz główny>\<nazwa klucza>=wartość

gdzie <klucz główny> to jedna z wartości: HKCU (dla HKEY_CURRENT_USER), HKLM (dla HKEY_LOCAL_MACHINE) lub Global (dla globalnych ustawień dodanych ręcznie przez użytkownika). Wartości tekstowe są otoczone znakami cudzysłowu, a ciągi bajtów posiadają przedrostek „bin:”.

Wielkość liter w nazwach kluczy ma znaczenie.

Zmiana ustawień globalnych ma wpływ na plik WinRAR.ini. Jeśli zapis do pliku WinRAR.ini nie jest zablokowany, to WinRAR automatycznie tworzy wpisy opisane poniżej. Wpisy te są tworzone na początku pliku WinRAR.ini. Jeśli zapis do pliku ma być zablokowany (np. przez nałożenie na plik atrybutu tylko-do-odczytu), to przed nałożeniem blokady poniższe wpisy należy dodać samemu, każdy w osobnej linii. Wpisy używają kodowania UTF-16LE i rozróżniana jest w nich wielkość liter, dlatego ich nazwy muszą być dokładnie takie, jak określono poniżej.

Global\AppData=0

Blokada dostępu do folderu APPDATA%\WinRAR. Jeśli ten wpis ma wartość 0, to wszystkie pliki, które zwykle są przechowywane w tym folderze (np. klucz rejestracyjny czy motywy interfejsu programu), powinny być umieszczone w tym samym folderze co WinRAR.exe. Wartość 1 odblokowuje dostęp do folderu %APPDATA%\WinRAR.

Global\Integration=0

Choć WinRAR przekierowuje na plik WinRAR.ini dostęp do swoich gałęzi Rejestru w HKEY_CURRENT_USER i HKEY_LOCAL_MACHINE, to wciąż musi zapisywać niektóre dane w Rejestrze w kluczu HKEY_CLASSES_ROOT i innych miejscach. Jest to konieczne do prawidłowego skonfigurowania rozszerzenia powłoki i skojarzeń plików. Dzieje się tak m.in. w przypadku użycia dialogu ustawień integracji. Aby całkowicie zablokować zapis do Rejestru, należy tej opcji nadać wartość 0. Od tego momentu WinRAR nie będzie mógł zmienić żadnych ustawień integracji, nawet nie będzie mógł utworzyć ani usunąć własnego skrótu z Pulpitu. Wartość 1 umożliwia WinRARowi integrację z systemem.

Global\SaveSettings=0

Wartość 0 blokuje możliwość zapisu bieżących ustawień do pliku WinRAR.ini, co powoduje, że jakiekolwiek zmiany w konfiguracji programu zostaną utracone po jego zamknięciu. Ten sam rezultat można osiągnąć nadając plikowi WinRAR.ini atrybut tylko-do-odczytu. Zaleca się najpierw odpowiednio skonfigurować WinRARa, wyłączyć go (ustawienia zostaną zapisane) i dopiero wtedy dodać tę opcję do pliku WinRAR.ini z wartością 0. Ta opcja może również wpłynąć na działanie innych komponentów pakietu WinRARa, np. na rozszerzenie powłoki, które nie będzie mogło uchwycić zmian dokonanych w dialogu ustawień menu kontekstowego. Wartość 1 przywraca możliwość zapisu ustawień do pliku WinRAR.ini.

Uwagi

  • W przeciwieństwie do innych zmiennych w Rejestrze, zmienna „AppData” nie jest przekierowywana do pliku WinRAR.ini i jest zawsze odczytywana z Rejestru. Ta zmienna określa lokalizację folderu %APPDATA%\WinRAR, a ponieważ plik WinRAR.ini może się w tym folderze znajdować, to WinRAR musi znać jego nazwę zanim zacznie odczytywać ustawienia z tego pliku.
  • Jeśli plik winrar.ini znajduje się w tym samym folderze co instalator WinRARa, i nie istnieje wcześniejsza wersja pliku winrar.ini, to zostanie on przez instalator skopiowany w odpowiednie miejsce po zakończeniu instalacji.


Plik RAR.ini

Aby ustawić domyślne wartości niektórych opcji linii poleceń, należy zapisać je do tekstowego pliku o nazwie rar.ini. Plik ten należy umieścić w tym samym folderze co WinRAR.exe lub w folderze %APPDATA%\WinRAR.

W pliku tym należy umieścić następujący ciąg znaków:

switches=<dowolne opcje oddzielone spacjami>

Istnieje również możliwość określenia osobnych zestawów opcji dla poszczególnych poleceń WinRARa:

switches_<polecenie>=<dowolne opcje oddzielone spacjami>

Większość opcji, które umieszcza się w tym pliku, używana jest w trybie linii poleceń. Jednak niektóre z nich mogą być używane zarówno w trybie linii poleceń jak i w interfejsie graficznym.

Przykłady

  1. Dodaj opcje -m5 -s w trybie linii poleceń

switches=-m5 -s

  2. Użyj opcji -m5 -s tylko dla polecenia "a", użyj opcji -o+ tylko dla polecenia "x"

switches_a=-m5 -s

switches_x=-o+


Zmienna środowiskowa „RAR”

Domyślne opcje można umieścić w zmiennej środowiskowej „RAR” przy użyciu polecenia SET. Większość opcji znajdujących się w tej zmiennej jest używana tylko jeśli WinRAR zostanie uruchomiony w trybie linii poleceń. Niektóre opcje mogą być są używane zarówno w trybie linii poleceń jak i w interfejsie graficznym.

Zmienna środowiskowa „RAR” ma wyższy priorytet niż ustawienia zapisane w pliku konfiguracyjnym.

Przykład:

polecenie

SET RAR=-s -m5 -md64m

spowoduje, że domyślnie WinRAR będzie tworzył ciągłe archiwa przy użyciu najlepszej metody kompresji i słownika o wielkości 64 MB jeśli zostanie uruchomiony w trybie linii poleceń.


Wpisy w Rejestrze

W środowisku, gdzie istnieje wielu użytkowników, może zaistnieć potrzeba wyłączenia dostępu niektórych funkcji WinRARa ze względów bezpieczeństwa. Aby to osiągnąć należy w Rejestrze utworzyć klucz:

HKEY_LOCAL_MACHINE\Software\WinRAR\Policy

lub

HKEY_CURRENT_USER\Software\WinRAR\Policy

Klucz utworzony w HKEY_LOCAL_MACHINE posiada wyższy priorytet niż ten utworzony w HKEY_CURRENT_USER.

Klucz może zawierać następujące wartości:

Nazwa wartości | Typ wartości | Opis
Menu | DWORD | Jeśli 0 – wyłącza główne menu WinRARa.
Settings | DWORD | Jeśli 0 – wyłącza okno dialogowe „Ustawienia”, podmenu „Ustawienia/Import i eksport” oraz menu kontekstowe paska narzędziowego.
Password | DWORD | Jeśli 0 – blokuje możliwość zmiany hasła używanego podczas archiwizacji.
OrgPasswords | DWORD | Jeśli 0, to nie można uruchomić Menedżera haseł. Opcja ta nie odcina dostępu do haseł, które już zostały zapisane za pomocą menedżera, należałoby więc usunąć je przed zablokowaniem do niego dostępu.
Shutdown | DWORD | Jeśli 0 – wyłącza opcję „Po zakończeniu”, przez co użytkownik nie może wyłączyć, zahibernować, uśpić ani zrestartować komputera.
Benchmark | DWORD | Jeśli 0 - wyłącza polecenie „Wykonaj test wydajności”. W środowisku o wielu użytkownikach to polecenie mogłoby zaburzyć współużytkowanie zasobów komputera.

Po zmianie wpisów w Rejestrze może być konieczne ponowne uruchomienie WinRARa. Wpisy w Rejestrze nie mają wpływu na działanie wersji konsolowej (program rar.exe), dlatego dla zwiększenia bezpieczeństwa w środowisku z wieloma użytkownikami może okazać się konieczne usunięcie programu Rar.exe i pozostawienie tylko WinRAR.exe.

WinRAR używa maski bitowej zapisanej w wartości NoDrives klucza Rejestru HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer w celu ukrywania napędów. Wartość 1 ukrywa napęd A:, wartość 2 ukrywa napęd B:, wartość 4 ukrywa napęd C: itd. Aby ukryć kilka napędów, należy zsumować odpowiadające im wartości, np. wartość 12 (4 + 8) powoduje ukrycie napędów C: i D:.

Istnieje również możliwość zmiany lokalizacji folderu %APPDATA%\WinRAR poprzez umieszczenie nowej ścieżki w wartości o nazwie „AppData” w kluczu HKEY_CURRENT_USER\Software\WinRAR\Paths.


RARFILES.LST - definicja kolejności plików w ciągłych archiwach

RARFILES.LST – definicja kolejności plików w ciągłych archiwach

Zwykle pliki podczas dodawania ich do ciągłego archiwum są sortowane według rozszerzenia. można jednak zmienić kolejność dodawania plików przy użyciu specjalnego pliku, rarfiles.lst, który powinien znajdować się w tym samym folderze co WinRAR.exe lub w folderze %APPDATA%\WinRAR. Jest to zwykły plik tekstowy definiujący kolejność dodawania plików podczas tworzenia ciągłego archiwum. Ten plik może zawierać nazwy plików, symbole wieloznaczne oraz specjalne określenie - $default. Określenie $default definiuje miejsce w tej liście dla plików, które nie są objęte innymi pozycjami znajdującymi się na niej.

Wskazówki na polepszenie jakości i szybkości kompresji:

  • pliki o podobnej zawartości powinny być umieszczane obok siebie jeśli to możliwe
  • pliki, do których często się sięga powinny być umieszczane na początku

Normalnie pliki umieszczone wyżej na liście mają większy priorytet, lecz jest wyjątek od tej reguły. Jeśli plik rarfiles.lst zawiera dwie takie maski plików, że wszystkie pliki, które pasują do pierwszej z nich pasują również do drugiej, to pierwsza maska będzie miała wyższy priorytet nawet jeśli jest umieszczona niżej niż ta druga. Na przykład, w przypadku masek *.cpp i f*.cpp, ta druga (f*.cpp) ma wyższy priorytet, co spowoduje, że np. plik fraktal.cpp zostanie umieszczony w archiwum według pozycji maski f*.cpp, a nie*.cpp.

Przykład:

przykład pliku rarfiles.lst:

file_id.diz
readme.*
*.doc
*.txt
*.hlp
*.inf
*.exe
*.dll
$default
*.rar


Moduły RAR i ZIP dla środowiska graficznego (Default.SFX i Zip.SFX)

Przy użyciu tych dwóch modułów można tworzyć samorozpakowujące się archiwa uruchamiające się w trybie graficznym w Windows.

Moduł Default.SFX przeznaczony jest dla archiwów RAR a moduł Zip.SFX – dla archiwów ZIP.

WinRAR x64 zawiera ponadto moduły Default64.SFX i Zip64.SFX, które są 64-bitowymi wersjami modułów Default.SFX i Zip.SFX. Domyślnie WinRAR x64 używa 32-bitowych wersji, lecz można to zmienić w oknie Opcje SFX: moduł. Tak utworzone samorozpakowujące się archiwum będzie można uruchomić tylko w 64-bitowej wersji Windows.

Oba te moduły są w stanie interpretować specjalne skrypty instalacyjne i opcje linii poleceń. Więcej informacji znajduje się w następujących rozdziałach:

  • polecenia skryptu
  • opcje linii poleceń

Uwagi

  1. Użytkownik ma prawo dostosować zasoby plików SFX do własnych potrzeb, np. można dodać własne logo do okna startowego. Moduły SFX, po ewentualnym dostosowaniu do własnych potrzeb, można skompresować kompresorem plików wykonywalnych (np. UPX), co spowoduje zmniejszenie ich rozmiaru. Należy mieć jednak na uwadze, że niektóre programy antywirusowe mogą podnosić fałszywy alarm napotkawszy tak skompresowane moduły SFX.

    WinRAR nie dostarcza ani narzędzi ani dokumentacji do edycji zasobów – należy posłużyć się edytorem zasobów z zewnętrznego źródła (np. Resource Hacker lub XN Resource Editor). Jeśli jednak wygląd standardowych okien dialogowych modułu SFX jest wystarczający, nie ma potrzeby edycji zasobów. Aby zmienić tylko obrazek lub ikonę wystarczy zmienić odpowiednie opcje na zakładce „Tekst i ikona” okna zaawansowanych opcji SFX.

  2. Domyślnie kody wyjścia z programu zwracane przez konsolowe moduły SFX są takie same jak kody zwracane przez WinRARa. Może się to zmienić gdy użyte zostanie polecenie SetupCode - wtedy zwrócony zostanie kod wyjścia programu uruchomionego przez moduł SFX.


Moduły SFX: polecenia skryptu

Moduły SFX obsługują proste skrypty instalacyjne. Skrypty te umieszcza się w samorozpakowującym archiwum jako komentarz archiwum. Poniżej znajduje się spis poleceń skryptu. Kliknij na nazwę polecenia, aby uzyskać bliższe informacje na jego temat.

Delete | Usuń plik przed rozpoczęciem wypakowywania
License | Wyświetl licencję
Overwrite | Wybierz tryb nadpisywania plików
Path | Określ ścieżkę docelową
Presetup | Uruchom program przed rozpoczęciem wypakowywania
SavePath | Zachowaj ścieżkę docelową
Setup | Uruchom program po wypakowaniu
SetupCode | Zaczekaj na zakończenie programu instalacyjnego i zwróć jego wartość wyjściową
Shortcut | Utwórz skrót do wypakowanego pliku
Silent | Pomiń okno startowe
TempMode | Wypakuj do folderu tymczasowego
Text | Wyświetl tekst
Title | Określ tytuł okna modułu SFX
Update | Ustaw tryb aktualizacji plików

Moduł SFX obsługuje zmienne środowiskowe wewnątrz parametrów. Możliwe jest zatem konstruowanie poleceń w taki sposób:

Path=%temp%\mojaaplikacja

Setup=instalator.exe %sfxpar%

(opis zmiennej sfxpar znajduje się w rozdziale poświęconym poleceniu Setup).

Zobacz także przykładowy skrypt instalacyjny.


Moduły SFX: opcje linii poleceń

Moduły SFX WinRARa obsługują następujące opcje linii poleceń:

Opcja | Opis
-d<ścieżka> | Określa folder, gdzie zostaną wypakowane pliki
-p<hasło> | Określa hasło do rozpakowania zaszyfrowanych plików
-s, -s1, -s2 | Tryb cichy. Opcja -s jest skrótową formą opcji -s1. Zarówno -s jak i -s1 ukrywają główne okno dialogowe i okno wyświetlające postęp operacji wypakowywania. -s1 ukrywa również okno licencji. -s2 ukrywa tylko główne okno dialogowe.
-sp<parametr> | Jeśli aplikacja określona poleceniem Setup nie ma parametrów, to za pomocą tej opcji można przekazać jej dodatkowe parametry. Jeśli jednak polecenie Setup już zawiera parametry dla aplikacji, to ta opcja jest ignorowana. Aplikacja może odczytać pełną linię poleceń ze zmiennej środowiskowej sfxcmd. Zmienna sfxpar zawiera tylko parametry uruchomieniowe, bez poprzedzającej je nazwy modułu SFX.

Aby w linii poleceń użyć cudzysłowu, należy wpisać go podwójnie.


Moduł RAR dla konsoli (tryb tekstowy) (WinCon.SFX)

Moduł RAR dla konsoli (tryb tekstowy) – WinCon.SFX

Przy użyciu tego modułu można utworzyć samorozpakowujące się archiwum, które rozpakuje się w trybie tekstowym pod kontrolą systemu Windows. Takie archiwum nie może być uruchomione w DOSie (natomiast może być rozpakowane przy użyciu RARa przeznaczonego dla środowiska DOS).

WinRAR x64 zawiera ponadto moduł WinCon64.SFX, który jest 64-bitową wersją modułu WinCon.SFX. Domyślnie WinRAR x64 używa 32-bitowej wersji tego modułu, lecz można to zmienić w oknie Opcje SFX: moduł. Tak utworzone samorozpakowujące się archiwum będzie można uruchomić tylko w 64-bitowej wersji Windows.

Archiwum SFX utworzone za pomocą tego modułu posiada następujące opcje uruchomienia:

-e wypakuj z archiwum (domyślne)

-t testuj zarchiwizowane pliki

-v wyświetl zawartość archiwum

-? wyświetl pomoc

Kody wyjścia z programu zwracane przez konsolowe moduły SFX są takie same jak kody zwracane przez WinRARa.


Często zadawane pytania (FAQ)

Pytania:

P: Jak rozpakowywać archiwa za pomocą WinRARa?

P: RAR używa kilku różnych „metod” kompresji, jakie są zalety i wady ich używania i którą z nich zaleca się do codziennego użytku?

P: Wiele słyszałem o „ciągłych” archiwach. Czym one są i jak ich używać?

P: Jak użytkownik mojego serwisu (systemu e-mail, serwera FTP itp.) może wypakować pliki z archiwów RARa skoro RAR jest programem shareware i należy go zarejestrować po 40 dniach używania?

P: Skąd mogę wziąć najnowszą wersję WinRARa?

P: Podczas rozpakowywania otrzymałem komunikat „Błąd sumy kontrolnej. Co to oznacza?

P: Nie udało mi się wypakować plików z ciągłego wieloczęściowego archiwum RARa z powodu uszkodzenia jednego z woluminów. Pomocy!

P: Zapomniałem hasła. Pomocy!

P: Dlaczego WinRAR nie usuwa swoich plików tymczasowych z foldera tymczasowego?

P: Dlaczego WinRAR nie używa maksymalnego słownika w moim archiwum?

Pytania i odpowiedzi:

P: Jak rozpakowywać archiwa za pomocą WinRARa?

O: Proszę przeczytać rozdział Interfejs graficzny i linia poleceń. Zawiera on odnośniki do opisów różnych sposobów wypakowywania plików.

P: RAR używa kilku różnych „metod” kompresji, jakie są zalety i wady ich używania i którą z nich zaleca się do codziennego użytku?

O: Odpowiedzi na to pytanie należy poszukać w rozdziale Jak zoptymalizować ustawienia archiwizacji.

P: Wiele słyszałem o „ciągłych” archiwach. Czym one są i jak ich używać?

O: Proszę przeczytać rozdział Ciągłe archiwa.

P: Jak użytkownik mojego serwisu (systemu e-mail, serwera FTP itp.) może wypakować pliki z archiwów RARa skoro RAR jest programem shareware i należy go zarejestrować po 40 dniach używania?

O: Pakiet dystrybucyjny RARa zawiera darmowy program - UnRAR.EXE, który może być używany bez wnoszenia opłat licencyjnych. Ponadto rozpowszechniany jest kod źródłowy przenośnej wersji UnRARa (dla wszystkich wersji oprócz DOSu – do pobrania z http://www.rarlab.com). Należy mieć na uwadze, że algorytm RARa jest własnością Autora i nie zezwala się na odtwarzanie go (reverse-engineering).

P: Skąd mogę wziąć najnowszą wersję WinRARa?

O: Odwiedź internetową stronę WinRARa pod adresem http://www.rarlab.com

P: Podczas rozpakowywania otrzymałem komunikat „Błąd sumy kontrolnej”. Co to oznacza?

O: Rozpakowywany plik jest uszkodzony z powodu uszkodzeń w archiwum lub problemów ze sprzętem. Jeśli archiwum jest uszkodzone, lecz posiada dane naprawcze, możesz spróbować je naprawić, w przeciwnym wypadku nie ma możliwości odtworzenia uszkodzonych danych. Miej na uwadze, że w przypadku ciągłego archiwum wszystkie pliki znajdujące się za uszkodzonym plikiem zostaną utracone.

P: Nie udało mi się wypakować plików z ciągłego wieloczęściowego archiwum RARa z powodu uszkodzenia jednego z woluminów. Pomocy!

O: Jeśli posiadasz woluminy naprawcze dla tego archiwum, to umieść je w tym samym folderze, co uszkodzone archiwum. Następnie kliknij dwukrotnie pierwszy z woluminów naprawczych (plik .REV).
Jeśli nie posiadasz woluminów naprawczych, lub jeśli naprawa za ich pomocą nie powiodła się, to spróbuj naprawić uszkodzony wolumin. Następnie zmień nazwę naprawionego woluminu z fixed.nazwa_archiwum.rar (jeśli dane naprawcze nie były obecne, to nową nazwą jest rebuilt.nazwa_archiwum.rar) na właściwą, po czym spróbuj ponownie rozpakować całę archiwum zaczynając od pierwszego woluminu.
Aby zwiększyć szanse wieloczęściowych archiwów na naprawę w przypadku uszkodzenia, należy podczas ich tworzenia włączać opcję dodawania danych naprawczych, Nie zaleca się tworzenia ciągłych archiwów w tym przypadku.

P: Zapomniałem hasła. Pomocy!

O: Algorytm szyfrowania używany przez WinRARa nie posiada żadnych „kuchennych drzwi” – nie jest możliwe obejście go w żaden sposób. Nawet jeśli ja zapomnę hasła do jakiegoś z moich archiwów, nie będę w stanie odzyskać zaszyfrowanych danych. Nie jestem więc w stanie pomóc nikomu znajdującemu się w podobnej sytuacji.

P: Dlaczego WinRAR nie usuwa swoich plików tymczasowych z foldera tymczasowego?

O: może się to zdarzyć gdy używa się metody „przeciągnij i upuść” do wypakowywania plików lub przegląda zarchiwizowane pliki zewnętrzną przeglądarką. W takim wypadku pliki mogą być jeszcze w użyciu gdy WinRAR jest zamykany – nie istnieje pewna metoda określenia, czy zewnętrzna przeglądarka wciąż potrzebuje tych plików, dlatego też WinRAR nie usuwa ich od razu. W zamian za to po ponownym uruchomieniu WinRARa usunięte zostaną wszystkie pliki tymczasowe starsze niż 1 godzina. Aby WinRAR nie używał folderu tymczasowego podczas wypakowywania plików, należy użyć polecenia „Wypakuj do” z interfejsu WinRARa lub menu kontekstowego archiwum zamiast używania metody „przeciągnij i upuść”.

P: Dlaczego WinRAR nie używa maksymalnego słownika w moim archiwum?

O: Nawet jeśli ustawisz maksymalny rozmiar słownika w ustawieniach kompresji, WinRAR może automatycznie zmniejszyć jego rozmiar podczas tworzenia nowego archiwum jeśli całkowity rozmiar kompresowanych danych jest co najmniej dwukrotnie mniejszy od rozmiaru słownika. Takie zachowanie nie powoduje spadku stopnia kompresji a zmniejsza zapotrzebowanie na pamięć.


Wskazówki

Jak zainstalować aplikację z archiwum

Istnieje możliwość instalacji lub uruchomienia aplikacji bezpośrednio z archiwum. W tym celu wystarczy wejść do archiwum i nacisnąć klawisz Enter na programie setup.exe lub install.exe. Po naciśnięciu klawisza Enter na nazwie zarchiwizowanego pliku, który ma rozszerzenie .exe, WinRAR wypakowuje całą zawartość archiwum do folderu tymczasowego a następnie uruchamia wybrany program. Po zakończeniu działania programu WinRAR sprawdza czas modyfikacji wypakowanych plików. Jeśli któryś z nich został zmieniony lub zostały utworzone nowe pliki, oferuje zaktualizowanie archiwum a następnie usuwa folder tymczasowy wraz z zawartością.

Używanie WinRARa do obsługi archiwów w przypadku gdy inny program zmienił skojarzenie archiwum

Niektóre programy mogą się rejestrować w systemie jako domyślne programy obsługujące archiwa bez pytania użytkownika. Jeśli tak się stanie, istnieje możliwość przywrócenia skojarzenia WinRARa z archiwami: z menu Opcje należy wybrać polecenie „Ustawienia...”, następnie wybrać zakładkę Integracja, wybrać typy archiwów, z którymi ma być skojarzony WinRAR i nacisnąć OK.

Jak szybko zainstalować WinRARa z ustawieniami domyślnymi

Czasem istnieje konieczność zainstalowania WinRARa na dużej ilości komputerów. Wielokrotne klikanie tych samych przycisków przy kolejnych instalacjach może być uciążliwe, dlatego można uruchomić instalację WinRARa z opcją -s co spowoduje, że WinRAR zainstaluje się z domyślnymi ustawieniami bez konieczności potwierdzania.


Umowa licencyjna

Niniejsza umowa dotycząca archiwizatora RAR (i jego wersji dla Windows - WinRARa), określanego dalej jako „Program”, zostaje zawarta pomiędzy firmą win.rar GmbH, określaną dalej jako „Wydawca”, a każdą osobą instalującą lub używającą Programu, określaną dalej jako „Użytkownik”.

  1. Autorem i właścicielem praw autorskich do Programu jest Alexander L. Roshal. Licencjodawcą i posiadaczem ogólnoświatowego wyłącznego prawa do powielania i dystrybucji Programu jest firma win.rar GmbH, mające siedzibę pod adresem Marienstr. 12, 10117 Berlin, Niemcy.

  2. Program jest rozpowszechniany na zasadzie „wypróbuj zanim kupisz”. Oznacza to, że każdy może bezpłatnie używać Programu przez okres testowy o długości nieprzekraczającej 40 dni. Po tym okresie, aby dalej używać Programu, należy zakupić licencję.

  3. Nielicencjonowana testowa wersja Programu może być dowolnie rozpowszechniana (za wyjatkiem sytuacji opisanych poniżej), pod warunkiem, że pakiet dystrybucyjny nie zostanie zmodyfikowany.
    1. Nikt nie może rozpowszechniać poszczególnych składników pakietu (za wyjątkiem UnRARa) bez pisemnej zgody.
    2. Nielicencjonowana testowa wersja Programu nie może stanowić oprogramowania dodatkowego (dołączanego do innego sprzedawanego produktu) bez pisemnej zgody. Program musi pozostać w niezmodyfikowanym oryginalnym pliku instalacyjnym i jego pobranie nie może być obłożone żadnymi warunkami, np. opłatą za pobranie lub wymogiem podania danych kontaktowych.
    3. Niezmodyfikowany plik instalacyjny WinRARa musi być dostępny do pobrania w oryginalnej postaci. Zabrania się włączania go do innego oprogramowania, w szczególności dotyczy to programów wspomagających pobieranie, bez pisemnej zgody Wydawcy.
    4. Programy usuwające zabezpieczenia, klucze rejestracyjne, generatory takich kluczy ani odnośniki do nich nie mogą znajdować się w tym samym pakiecie dystrybucyjnym, co nielicencjonowana wersja Programu.
    5. W przypadku naruszenia któregokolwiek z powyższych warunków zgoda na rozpowszechnianie zostaje automatycznie cofnięta.

  4. Niezarejestrowana wersja Programu może wyświetlać przypomnienie o konieczności zarejestrowania Programu. W zależności od wersji i konfiguracji Programu takie przypomnienie może zawierać treści pobierane z dysku lub ze strony Internetowej. Treści pobrane ze strony mogą zawierać instrukcje jak nabyć licencję jak i inne materiały (wedle uznania Wydawcy), włączając w to reklamy. Podczas otwierania takiej strony Internetowej WinRAR wysyła tylko takie parametry, które są wymagane specyfikacją protokołu HTTP w celu otwarcia strony Internetowej w przeglądarce.

  5. Program jest rozpowszechniany „jak jest”. Nie udziela się na niego żadnej gwarancji. Używasz go na własne ryzyko. Autor, Wydawca ani dystrybutorzy nie ponoszą odpowiedzialności za utratę danych, szkody, utratę zysków lub jakiekolwiek inne straty wynikłe z używania lub niemożności użycia Programu.

  6. Istnieją 2 podstawowe typy licencji:
    1. Licencja na używanie na jednym komputerze. Użytkownik nabywa jedną licencję na używanie Programu na jednym komputerze.
      Użytkownicy prywatni mogą używać pojedynczej licencji na wszystkich należących do nich komputerach i urządzeniach mobilnych.
      Użytkownicy komercyjni muszą wykupić licencje dla każdego komputera, lub urządzenia mobilnego, na którym Program będzie zainstalowany.

    2. Licencja wielokrotnego użytkowania. Użytkownik nabywa pewną liczbę licencji na używanie w celu używania Programu przez nabywcę lub jego pracowników, na tej samej liczbie komputerów.
      Dla środowiska sieciowego należy wykupić licencję dla każdej stacji roboczej, na której Program jest zainstalowany, używany, lub która uzyskuje do niego dostęp. Każda stacja robocza musi mieć osobną licencję niezależnie od tego, czy Program będzie używany w tym samym czasie co na innych stacjach roboczych, czy nie. Jeśli np. RAR będzie używany na 9 stanowiskach (jednocześnie lub nie), należy wykupić 9 licencji.

    Po zarejestrowaniu Użytkownik otrzymuje prawo do używania Programu na tylu komputerach, na ile opiewa zakupiona licencja (zakupione licencje), w dowolnym legalnym celu.

  7. Poza zakupem licencji nie ma ŻADNYCH innych kosztów licencyjnych związanych z tworzeniem i dystrybucją archiwów, woluminów, samorozpakowujących się archiwów i samorozpakowujących się woluminów RAR. Zarejestrowani Użytkownicy mogą używać swoich kopii Programu w celu tworzenia archiwów i samorozpakowujących się archiwów i rozpowszechniać te archiwa bez wnoszenia dodatkowych opłat.

  8. Zarejestrowana wersja Programu nie może być wypożyczana, lecz może być bezzwrotnie przekazana innej osobie, jeśli ta osoba zgodzi się na przestrzeganie postanowień tej umowy licencyjnej.

  9. Dodatkowe informacje dotyczące zakupu licencji znajdują się w pliku Order.htm rozpowszechnianym razem z Programem.

  10. Nie można używać, kopiować, emulować, klonować, wypożyczać, sprzedawać, modyfikować, dekompilować, deassemblować, odtwarzać ani przekazywać licencjonowanego Programu ani żadnej jego części za wyjątkiem sytuacji opisanych w tej umowie. Każdy taki przypadek nieautoryzowanego użycia spowoduje natychmiastowe cofnięcie licencji i może skończyć się wejściem na drogę sądową.
    Żaden z programów (RAR, WinRAR i UnRAR) ani kody źródłowe UnRARa nie mogą być użyte w celu odtworzenia algorytmu kompresji RARa bez pisemnej zgody.
    Program może wykorzystywać komponenty osób trzecich. Szczegóły znajdują się w pomocy podręcznej w rozdziale „Podziękowania i informacje” (w wersji dla Windows) lub w pliku acknow.txt (dla innych wersji).

  11. Umowa licencyjna została skonstruowana pod dyktando niemieckiego prawa. Jeśli zajmujesz się sprzedażą, wszelkie spory dotyczące tej umowy będą rozstrzygane przez sądy właściwe dla siedziby Wydawcy.

  12. Zainstalowanie i używanie Programu oznacza akceptację warunków tej umowy licencyjnej. Jeśli nie zgadzasz się z warunkami tej umowy, musisz zaprzestać używania Programu i usunąć go, i wszystkie towarzyszące mu pliki, ze swoich nośników danych.


Kupno licencji

Jeśli chcesz używać WinRARa i RARa po 40-dniowym okreśie próbnym, musisz zakupić licencję na jego użytkowanie od jednego z regionalnych dystrybutorów. Na stronie domowej WinRARa można też dokonać bezpośredniego zakupu lub znaleźć najświeższą listę dystrybutorów.

Po otrzymaniu przez dystrybutora opłaty rejestracyjnej otrzymasz wiadomość z załączonym kluczem rejestracyjnym, odpowiadającym wybranej przez Ciebie nazwie użytkownika. Podczas zakupu licencji należy podać poprawny adres e-mail, na który zostanie wysłana wiadomość z kluczem rejestracyjnym.

Wiadomość będzie również zawierać instrukcję, jak postąpić z otrzymanym kluczem. Oto skrócony opis procedury rejestracyjnej:

Jeśli używasz WinRARa, skopiuj klucz rejestracyjny (plik rarreg.key) do folderu, gdzie znajduje się program WinRAR.exe lub do folderu %APPDATA%\WinRAR. Domyślnie WinRAR.exe znajduje się w folderze „C:\Program Files\WinRAR”, lecz może być zmieniony w trakcie instalacji WinRARa. Można również przeciągnąć plik rarreg.key i upuścić go na głównym oknie WinRARa.

Jeśli klucz znajduje się w archiwum, to należy go uprzednio wypakować. Jeśli archiwum nazywa się rarkey.rar, to alternatywną metodą instalacji klucza jest otwarcie takiego archiwum za pomocą WinRARa i wybranie przycisku „Tak” na wyświetlonym monicie.

Aby zaaplikowanie klucza przebiegło automatycznie, należy umieścić plik klucza (rarreg.key) w tym samym folderze, co program instalacyjny WinRARa. Taki sposób zadziała tylko jeśli WinRAR nie znajdzie innego, już wcześniej zaaplikowanego, klucza.


Folder docelowy i opcje wypakowywania

  • ustawienia ogólne
  • ustawienia zaawansowane


Polecenia interfejsu graficznego

  • „Dodaj do archiwum”
  • „Dodaj komentarz archiwum”
  • „Drukuj plik”
  • „Sporządź raport”
  • „Napraw archiwum”
  • „Podejrzyj plik”
  • „Przekształć archiwa”
  • „Przekształć archiwum w SFX”
  • „Skanuj archiwum w poszukiwaniu wirusów”
  • „Testuj pliki”
  • „Usuń pliki”
  • „Wykonaj test wydajności i sprzętu”
  • „Wypakuj do wybranego folderu”
  • „Wypakuj pliki z archiwum”
  • „Wyświetl informacje o archiwum”
  • „Zabezpiecz archiwum przed uszkodzeniami”
  • „Zablokuj archiwum”
  • „Zmień nazwę pliku”
  • „Znajdź pliki”


Menu

Narzędzia

Opcje

Plik

Polecenia

Pomoc

Ulubione


Moduły SFX

  • moduły RAR i ZIP dla środowiska graficznego (Default.SFX i Zip.SFX)
  • moduł RAR dla konsoli (tryb tekstowy) - WinCon.SFX


Dodaj skrót

Tu można wprowadzić parametry nowego skrótu, który zostanie utworzony przez moduł SFX po wypakowaniu plików. Znajdują się tu opcje:

Gdzie utworzyć

Tu należy wskazać miejsce, gdzie skrót ma zostać utworzony.

Plik, do którego tworzony jest skrót

Nazwa pliku, na który będzie wskazywał skrót.

Folder docelowy

Folder, w którym skrót zostanie zapisany. Jeśli folder nie istnieje, moduł SFX go utworzy.

Opis

Tekst opisujący skrót.

Nazwa skrótu

Nazwa pliku ze skrótem.

Ikona skrótu

Nazwa ikony, która zostanie użyta przez skrót. Jeśli pole pozostanie puste, to zostanie użyta ikona domyślna. Jeśli nazwa pliku ikony nie zawiera pełnej ścieżki, to ikona będzie szukana w folderze, do którego zostaną wypakowane pliki.

Wymagane są tylko „Gdzie utworzyć” oraz „Plik, do którego tworzony jest skrót”, pozostałe parametry mogą pozostać puste.


Folder %APPDATA%\WinRAR

Poprzednie wersje WinRARa przechowywały pliki dodatkowe, jak np. klucz rejestracyjny, wyeksportowane ustawienia, motywy czy też pliki rejestru zdarzeń, w tym samym folderze, w którym znajdował się plik WinRAR.exe. W Windows Vista nie jest zalecane przechowywanie takich danych w folderze razem z programem. Może się to (próba zapisu do tego folderu) wręcz nie powieść. Zalecana lokalizacja dla takich danych to właśnie podfoldery folderu %APPDATA%.

To, gdzie fizycznie znajduje się folder %APPDATA% zależy od wersji Windows. Aby otworzyć folder %APPDATA% wystarczy wykonać co następuje: uruchomić Eksplorator Windows lub otworzyć „Mój komputer”, w okienku adresu wpisać %APPDATA% i wcisnąć klawisz Enter. WinRAR przechowuje swoje pliki w podfolderze „WinRAR” folderu %APPDATA%.

Sytuacje, w których jest konieczny bezpośredni dostęp do folderu %APPDATA%\WinRAR są rzadkie, np. skopiowanie wyeksportowanych ustawień (plik settings.reg) na inny komputer czy przejrzenie rejestru zdarzeń za pomocą jakiegoś innego narzędzia (WinRAR posiada możliwość wyświetlenia rejestru zdarzeń).

Należy mieć na uwadze, że WinRAR szuka klucza rejestracyjnego i pliku ustawień (settings.reg) zarówno w folderze %APPDATA%\WinRAR jak i w folderze, gdzie znajduje się program (plik WinRAR.exe) - z tym, że folder %APPDATA%\WinRAR ma pierwszeństwo.

Za pomocą wpisu „AppData” w Rejestrze w kluczu HKEY_CURRENT_USER\Software\WinRAR\Paths można zmienić domyślną ścieżkę dla plików dodatkowych WinRARa.


Typy archiwów

RAR kontra ZIP

Format archiwum RAR 5.0

Obsługa innych formatów archiwów

Archiwa ciągłe

Samorozpakowujące się archiwa (SFX)

Woluminy (archiwa wieloczęściowe)

Woluminy naprawcze

Szyfrowanie

Komentarz archiwum

Zabezpieczanie archiwów przed uszkodzeniami

Blokowanie archiwów

Jak zoptymalizować ustawienia archiwizacji


Archiwizowanie z hasłem

W tym oknie można wpisać hasło, które będzie użyte tylko podczas bieżącej operacji na archiwum. Aby wpisać hasło, które będzie obowiązywać podczas całej sesji WinRARa należy posłużyć się poleceniem „Domyślne hasło” z menu „Plik”.

Jeśli opcja „Wyświetl hasło” jest wyłączona, hasło należy wpisać dwukrotnie w celu uniknięcia pomyłki.

Jeśli opcja „Zaszyfruj nazwy plików” jest włączona, WinRAR zaszyfruje nie tylko dane (zawartość plików), ale też inne części archiwum, takie jak nazwy, rozmiary i atrybuty plików, komentarze i inne. Dzięki temu zwiększa się stopień bezpieczeństwa. W tak zabezpieczonym archiwum bez podania hasła nie można nawet wyświetlić listy zarchiwizowanych plików. Opcja ta jest dostępna tylko podczas archiwizacji w formacie RAR – format ZIP jej nie obsługuje.

Opcja „Klasyczne szyfrowanie ZIP” jest dostępna jedynie podczas dodawania plików do archiwum ZIP. Umożliwia użycie klasycznego algorytmu szyfrowania ZIP. Jeśli ta opcja zostanie wyłączona, to archiwa ZIP będą szyfrowane za pomocą algorytmu AES-256, który jest dużo bezpieczniejszy, lecz może być nieobsługiwany przez niektóre starsze programy do rozpakowywania archiwów ZIP.

Jeśli masz już jakieś zapisane hasła, możesz je wybrać z listy rozwijanej skojarzonej z polem „Wprowadź hasło” lub korzystając z funkcji autouzupełniania. Naciśnij przycisk „Zarządzaj hasłami...” aby uruchomić Menedżera haseł, za pomocą którego możesz zapisać swoje najczęściej używane hasła.

Jeśli zapisane hasłą są chronione hasłem głównym, to w celu uzyskanie do nich dostępu należy wprowadzić hasło główne i nacisnąć przycisk „OK”. Jeśli wprowadzony tekst nie jest hasłem głównym, to zostanie on potraktowany jak zwykłe hasło dla danej operacji na archiwum.


Wyczyść historię

Aby usunąć nazwy ostatnio otwieranych archiwów (wyświetlane u dołu menu „Plik”) należy włączyć opcję „Wyczyść nazwy ostatnio otwieranych archiwów”.

Aby wyczyścić rozwijane listy (zawierające ostatnio wpisywane wartości) w różnych oknach dialogowych, należy włączyć opcję „Wyczyść rozwijane listy w oknach dialogowych”. Takie listy znajdują się np. w polu nazwy archiwum w oknie archiwizacji, w polu ścieżki docelowej w oknie rozpakowywania, itp.


Okno „Parametry polecenia”

Okno to umożliwia przełączenie opcji „Po zakończeniu” w trakcie wykonywania operacji, bez jej przerywania. Można w ten sposób wskazać, aby po zakończeniu operacji WinRAR wyłączył, zahibernował, uśpił lub zrestartował komputer.

Dla operacji archiwizacji możliwa jest dodatkowo zmiana metody kompresji, jednakże nie można jej zmienić z lub na „Bez kompresji”.


Zaawansowane parametry kompresji

Zwykle lepiej jest pozostawić te ustawienia w gestii WinRARa. Niewłaściwe ustawienie tych parametrów może spowodować poważne straty w wydajności, należy więc używać ich z rozwagą.

Większość poniższych opcji jest obsługiwanych tylko dla formatu archiwum RAR 4.x. Żadna z poniższych opcji nie jest obsługiwana dla formatu ZIP. Dla formatu RAR 5.0 obsługiwane są jedynie opcje kompresji delta oraz 32-bitowych plików wykonywalnych.

Znajdują się tu następujące opcje:

Kompresja tekstu/(Automatyczna/Wymuszona/Wyłączona)

Specjalny algorytm kompresji tekstu pozwala uzyskać dużo lepsze wyniki podczas kompresji czystego tekstu, lecz w środowisku wieloprocesorowym jest dużo wolniejszy od ogólnego algorytmu kompresji, także podczas rozpakowywania. Ze względu na powolność kompresja tekstu jest domyślnie wyłączona. W trybie „Automatycznym” WinRAR sam zdecyduje, kiedy użyć kompresji tekstu, w zależności od przetwarzanych danych. Tryb „Wymuszony” powoduje zastosowanie kompresji tekstu do wszystkich przetwarzanych danych.

Kompresja tekstu/Numer algorytmu

Wybiera numer algorytmu PPM (podstawa kompresji tekstu). Dopuszczalne wartości to od 2 do 63. Zwykle większa wartość zwiększa stopień kompresji, lecz tylko jeśli jest wystarczająco dużo pamięci. Jeśli zabraknie pamięci, rezultat może być odwrotny. Większe wartości spowalniają proces kompresji i dekompresji. Wartość 0 oznacza, że WinRAR samodzielnie dobierze numer algorytmu.

Kompresja tekstu/Przydzielona pamięć (MB)

Ilość (w megabajtach) pamięci przydzielonej algorytmowi (od 1 do 128). Większe wartości mogą zwiększyć stopień kompresji, lecz należy mieć na uwadze, że PPM używa tyle samo pamięci do kompresji jak i do dekompresji, więc jeśli przydzieli się za dużo pamięci podczas kompresji, inni użytkownicy mogą mieć problem z dekompresją takiego archiwum na komputerze, który ma mniej pamięci. Wartość 0 oznacza że WinRAR samodzielnie dobierz ilość pamięci.

Kompresja danych dźwiękowych/(Automatyczna/Wymuszona/Wyłączona)

W trybie „Automatycznym” WinRAR sam zdecyduje, kiedy użyć kompresji audio, w zależności od przetwarzanych danych i tylko wtedy, jeśli włączona jest „Normalna”, „Dobra” lub „Najlepsza” metoda kompresji. Tryb „Wymuszony” powoduje zastosowanie kompresji audio do wszystkich przetwarzanych danych. Ma to sens tylko wtedy, gdy na pewno wszystkie aktualnie kompresowane pliki zawierają dane dźwiękowe. Zaznaczenie opcji „Wyłączona” powoduje całkowite wyłączenie kompresji audio.

Kompresja audio jest przeznaczona do kompresji „surowych” (tzn. nieskompresowanych) danych dźwiękowych. Nie polepsza kompresji już skompresowanych plików (np. MP3).

Kompresja danych dźwiękowych/Kanały

Liczba 8-bitowych kanałów (od 1 do 31).

WinRAR rozdziela kanały na 8-bitowe, np.: dwa 16-bitowe kanały zostaną potraktowane jak 4 kanały 8-bitowe. Wartość 0 oznacza, że WinRAR automatycznie wykryje liczbę kanałów.

Kompresja 24-bitowych obrazów/(Automatyczna/Wymuszona/Wyłączona)

W trybie „Automatycznym” WinRAR sam zdecyduje, kiedy użyć kompresji graficznej, w zależności od przetwarzanych danych i tylko wtedy, jeśli włączona jest „Normalna”, „Dobra” lub „Najlepsza” metoda kompresji. Tryb „Wymuszony” powoduje zastosowanie kompresji graficznej do wszystkich przetwarzanych danych. Ma to sens tylko wtedy, gdy na pewno wszystkie aktualnie kompresowane pliki zawierają dane graficzne w trybie true color. Zaznaczenie opcji „Wyłączona” powoduje całkowite wyłączenie kompresji graficznej.

Kompresja graficzna jest przeznaczona do kompresji „surowych” (nieskompresowanych) plików graficznych w trybie true color. Nie polepsza kompresji już skompresowanych plików (np. JPG).

Włącz kompresję plików wykonywalnych x86

Specjalny algorytm przeznaczony do kompresji plików wykonywalnych zgodnych z procesorami x86. Dotyczy to zarówno 32- jak i 64-bitowych plików wykonywalnych.

Włącz kompresję delta

Specjalny algorytm kompresji danych tabelarycznych.

Przycisk „Domyślne”

Przywraca domyślne wartości wszystkich opcji.


Polecenia menu kontekstowego

W tym oknie dialogowym można wybrać, które polecenia będą się pojawiać w menu kontekstowym archiwów w Eksploratorze Windows.

Począwszy od Windows 11, aplikacja może dodać tylko jedną pozycję do menu kontekstowego Eksploratora Windows - tą pozycją może być albo polecenie, albo podmenu (menu kaskadowe). Jeśli opcja „Kaskadowe menu kontekstowe” w ustawieniach integracji jest włączona, to WinRAR doda właśnie podmenu, w którym będą wszystkie te polecenia, co dotychczas. Jeśli ta opcja jest wyłączona, to w menu kontekstowym dla archiwów znajdzie się tylko jedno polecenie wypakowywania, a dla nie-archiwów tylko jedno polecenie archiwizacji. Można te polecenia dostosować za pomocą przycisku „Elementy menu kontekstowego”. Jeśli opcja „Wypakuj każde archiwum do osobnego folderu” zostanie włączona, to odpowiednie polecenie pojawi się w menu podręcznym wyświetlonym dla kilku zaznaczonych archiwów.

Opcje znajdujące się w grupie „Elementy podmenu „Nowy”” pozwalają usunąć z menu polecenia tworzenia nowego archiwum RAR i ZIP. Po zmianie tych opcji i zamknięciu okna ustawień programu może zostać wywołany monit kontroli konta (UAC).

Opcje w grupie „Menu kontekstowe dla operacji drag-and-drop” służą do określenia, jakie polecenia WinRAR będzie wyświetlał w menu, które pokazuje Eksplorator Windows po zakończeniu operacji drag-and-drop z prawym przyciskiem myszy. Domyślnie obie opcje są włączone, co powoduje, że WinRAR w takim menu będzie wyświetlał polecenia zarówno służące archiwizacji, jak i wypakowywaniu archiwów.

Grupa „Sprawdzaj samorozpakowujące się archiwa” służy do określenia, w jakich miejscach WinRAR może analizować pliki wykonywalne w celu sprawdzenia, czy są samorozpakowującymi się archiwami (SFX). Taka analiza powoduje pewne opóźnienie, ponieważ WinRAR musi wczytać i przeanalizować zaznaczony plik. Opóźnienie to może być minimalne dla plików znajdujących się na szybkich dyskach lokalnych, lecz dla wolnych dysków sieciowych może być uciążliwe. Opcje znajdujące się w tej grupie pozwalają wyłączyć analizę dla dysków lokalnych, dysków sieciowych oraz pozostałych dysków (jak np. CD-ROM czy USB). Po wyłączeniu analizy menu kontekstowe dla plików wykonywalnych nie będzie zawierać poleceń dotyczących archiwum, dlatego te opcje należy wyłączać tylko w przypadku znacznych opóźnień przy analizie.

W normalnej sytuacji menu kontekstowe zawiera tylko polecenia wypakowywania, jeśli zostało wyświetlone dla pojedynczego zaznaczonego archiwum. Można to zmienić określając maskę (lub kilka masek oddzielonych spacjami) w polu „Zawsze wyświetlaj polecenia archiwizacji dla” - dzięki temu polecenia archiwizacji będą zawsze wyświetlane dla określonych plików, nawet jeśli te pliki zostaną rozpoznane jako archiwa. Wpisanie tu wartości „*” spowoduje wyświetlanie tych poleceń dla wszystkich typów archiwów.


Okno „Definiuj rozmiary woluminów”

To okno umożliwia dostosowanie listę predefiniowanych rozmiarów woluminów związanych z polem „Rozmiar woluminów” w oknie Nazwa i parametry archiwum.

Opcje w grupie „Rozmiary predefiniowane” umożliwiają wyświetlenie określonych rozmiarów nośników danych. Ponadto można zdefiniować cztery dodatkowe własne rozmiary – służą do tego pola w grupie „Inne rozmiary”. Pole „etykieta” (które można pominąć) określa nazwę, pod jaką dany rozmiar będzie prezentowany na liście w polu „Rozmiar woluminów (bajty)”.

Opcja „określ automatycznie” steruje wyświetlaniem pozycji „określ automatycznie”. Jeśli nigdy nie używasz tej opcji w odniesieniu określania rozmiaru woluminów, możesz ją wyłączyć – lista rozmiarów będzie krótsza.

Opcja dotycząca pozycji historii określa ile ręcznie wprowadzonych rozmiarów będzie pamiętanych i wyświetlanych na początku listy. Wartość 0 powoduje wyłączenie zapamiętywania ręcznie wprowadzanych rozmiarów. Maksymalna wartość tej opcji to 9.


Wprowadź domyślne hasło

Tu można wprowadzić domyślne hasło, które będzie użyte podczas operacji dodawania, wypakowywania, testowania i podglądania.

Jeśli opcja „Wyświetl hasło” jest wyłączona i monit o hasło występuje podczs archiwizacji, to program zażąda dwukrotnego wpisania hasła, aby upewnić się co do jego poprawności.

Jeśli opcja „Zaszyfruj nazwy plików” jest włączona, WinRAR zaszyfruje nie tylko dane (zawartość plików), ale też inne części archiwum, takie jak nazwy, rozmiary i atrybuty plików, komentarze i inne. Dzięki temu zwiększa się stopień bezpieczeństwa. W tak zabezpieczonym archiwum bez podania hasła nie można nawet wyświetlić listy zarchiwizowanych plików. Opcja ta jest dostępna tylko dla archiwów w formacie RAR – format ZIP jej nie obsługuje.

Opcja „Klasyczne szyfrowanie ZIP” jest dostępna jedynie podczas dodawania plików do archiwum ZIP. Umożliwia użycie klasycznego algorytmu szyfrowania ZIP. Jeśli ta opcja zostanie wyłączona, to archiwa ZIP będą szyfrowane za pomocą algorytmu AES-256, który jest dużo bezpieczniejszy, lecz może być nieobsługiwany przez niektóre starsze programy do rozpakowywania archiwów ZIP.

Jeśli opcja „Użyj dla wszystkich archiwów” jest włączona i wprowadzony został pusty ciąg znaków w miejsce hasła, to polecenia wypakowywania i testowania plików pominą wszystkie zaszyfrowane archiwa. Wszelkie próby otwarcia zaszyfrowanych plików i archiwów będą zablokowane do momentu wyłączenia tej opcji.

Jeśli masz już jakieś zapisane hasła, możesz je wybrać z listy rozwijanej skojarzonej z polem „Wprowadź hasło” lub korzystając z funkcji autouzupełniania. Naciśnij przycisk „Zarządzaj hasłami...” aby uruchomić Menedżera haseł, za pomocą którego możesz zapisać swoje najczęściej używane hasła.

Jeśli zapisane hasłą są chronione hasłem głównym, to w celu uzyskanie do nich dostępu należy wprowadzić hasło główne i nacisnąć przycisk „OK”. Jeśli wprowadzony tekst nie jest hasłem głównym, to zostanie on potraktowany jak zwykłe hasło dla danej operacji na archiwum.


Wykonywanie operacji na archiwum

Wykonywana jest operacja na archiwum. Należy poczekać do jej zakończenia lub nacisnąć „Anuluj”, aby ją przerwać.

Aby zminimalizować okno WinRARa podczas pracy, należy nacisnąć przycisk „Praca w tle”. WinRAR powróci do stanu normalnego po zakończeniu operacji lub po kliknięciu małej ikony WinRARa znajdującej się obok zegara.

Aby zatrzymać (nie przerwać) operację, należy nacisnąć przycisk „Wstrzymaj”; aby wznowić jej wykonywanie należy nacisnąć przycisk „Kontynuuj”.

Zarówno podczas archiwizacji jak i wypakowywania pasek postępu u góry okna poleceń pokazuje postęp w przetwarzaniu aktualnego pliku.

Podczas archiwizacji i wypakowywania u dołu okna wyświetlany jest dodatkowy pasek postępu. Jego wygląd zależy od opcji „Systemowe paski postępu” w oknie ustawień ogólnych. Jeśli ta opcja jest wyłączona, WinRAR podczas archiwizacji wyświetli trójkolorowy pasek postępu, gdzie żółtym kolorem zostaną oznaczone dane skompresowane a kolorem jasnoszarym - dane odczytane do przetworzenia. Jeśli opcja zostanie włączona, pasek postępu będzie dwukolorowy.

Podczas archiwizacji, wypakowywania lub testowania, naciśnięcie przycisku „Tryb...” umożliwia przełączenie opcji „Po zakończeniu”, dzięki której można określić, czy WinRAR ma wyłączyć, zahibernować, uśpić lub zrestartować komputer po zakończeniu operacji.

Dla operacji archiwizacji możliwa jest dodatkowo zmiana metody kompresji, jednakże nie można jej zmienić z lub na „Bez kompresji”.


Folder docelowy i opcje wypakowywania: zaawansowane

Znajdują się tu następujące opcje:

Czas pliku

Ustaw czas modyfikacji/utworzenia/ostatniego dostępu

Systemy plików obsługiwane przez Windows przechowują trzy typu czasu dla pliku: czas ostatniej modyfikacji, czas utworzenia oraz czas ostatniego dostępu. Domyślnie WinRAR zachowuje tylko czas ostatniej modyfikacji, lecz za pomocą opcji w zakładce czasu okna dialogowego kompresji można spowodować, aby zachował też czas utworzenia i ostatniego dostępu archiwizowanych plików. Nawet jeśli dany typ czasu jest zachowany w archiwum, WinRAR nie odtworzy go, jeśli nie zaznaczy się odpowiadającej mu opcji przed rozpoczęciem wypakowywania. Dostępność tych opcji zależy od formatu archiwum, niektóre formaty ich nie obsługują.

Atrybuty

Wyczyść atrybut „Archiwalny”

Usuwa atrybut „Archiwalny” (archive) z wypakowywanych plików. Ta opcja jest użyteczna w przypadku tworzenia kopii zapasowej.

Ustaw atrybuty zabezpieczeń

Opcja ta ma znaczenie tylko dla systemu plików NTFS. Umożliwia ona odtworzenie atrybutów zabezpieczeń (właściciel pliku, kontrola dostępu, audyt) jeśli zostały one uprzednio zapisane w archiwum. Aby zachować te informacje w archiwum, należy włączyć opcję „Zachowaj dane bezpieczeństwa” w zakładce Zaawansowane w oknie dialogowym przed rozpoczęciem archiwizacji. Aby w ogóle używać tych opcji należy posiadać odpowiednie uprawnienia. Zachowywanie/odtwarzanie atrybutów zabezpieczeń może zmniejszyć prędkość archiwizacji/wypakowywania, dlatego należy używać tej opcji tylko w razie potrzeby.

Opcja ta jest dostępna tylko dla archiwów RAR.

Ustaw atrybut „Skompresowany” (NTFS)

Ta opcja umożliwia odtworzenie plikom i folderom atrybutu „Skompresowany” (na dyskach NTFS). WinRAR zachowuje ten atrybut w archiwum, ale domyślnie go nie odtwarza.

Opcja ta jest dostępna tylko dla archiwów RAR.

Scieżki

Wypakuj względne ścieżki

To jest domyślny tryb wypakowywania. Jeśli w oknie WinRARa jest otwarte archiwum, a w nim jakiś jego podfolder, to podczas wypakowywania plików w tym trybie cała ścieżka wewnątrz archiwum włącznie z nazwą bieżącego foldera zostanie pominięta. Na przykład, jeśli w archiwum znajduje się folder „Kopia\MojeDane” zawierający podfolder „Obrazki”, to ten podfolder po wybraniu zostanie wypakowany jako „Obrazki”, a nie „Kopia\MojeDane\Obrazki”.

Jeśli podczas wypakowywania plików w oknie WinRARa otwarty jest najwyższy poziom archiwum (folder główny archiwum), lub wypakowywanie odbywa się przy użyciu polecenia z menu kontekstowego, to wypakowywanie w tym trybie działa tak samo jak w trybie Wypakuj pełne ścieżki.

Wypakuj pełne ścieżki

WinRAR wypakowuje pliki i foldery do wskazanego foldera, tworząc odtwarzając strukturę folderów jako podrzędną w stosunku do foldera docelowego.

Wypakuj bez struktury folderów

Jeśli ta opcja jest włączona, wszystkie pliki z archiwum (z folderu głównego i wszystkich podfolderów) zostaną wypakowane do jednego foldera, bez odtwarzania zarchiwizowanej struktury folderów (tzn. bez tworzenia podfolderów).

Wypakuj oryginalne ścieżki

Jeśli ta opcja zostanie włączona i archiwum zostało utworzone z opcją „Zachowaj pełne ścieżki włącznie z literą napędu” (zakładka Pliki okna archiwizacji), WinRAR wypakuje pliki dokładnie w to samo miejsce, skąd zostały zarchiwizowane.

Należy zachować rozwagę w użyciu tej opcji – zaleca się używanie jej tylko w przypadku rozpakowywania własnych archiwów lub archiwów pochodzących z zaufanych źródeł. O korzyściach i niebezpieczeństwach wynikających z jej używania można przeczytać w opisie opcji -ep3.

Opcja ta jest dostępna tylko dla archiwów RAR.

Usuń archiwum

Nigdy

Nie powoduje usunięcia rozpakowanego archiwum.

Zapytaj przed usunięciem

Powoduje, że po rozpakowaniu archiwum WinRAR wyświetli pytanie o usunięcie tego archiwum.

Zawsze usuwaj

Powoduje, że po rozpakowaniu archiwum zostanie ono usunięte bez pytania.

Przenieś do Kosza

Usuwane archiwa są umieszczane w Koszu.

WinRAR usuwa archiwum tylko jeśli zostało ono bezbłędnie rozpakowane oraz zostało rozpakowane w całości (zostały wypakowane wszystkie pliki). W przypadku rozpakowywania wieloczęściowego archiwum, wszystkie jego woluminy zostaną usunięte.

Stan tej opcji jest zapisywany po naciśnięciu przycisku „Zapisz ustawienia” na zakładce „Ogólne” okna wypakowywania i będzie miał wpływ na polecenia wydawane za pomocą linii poleceń oraz menu kontekstowe WinRARa w Eksploratorze Windows. Opcji „Zapytaj przed usunięciem” i „Zawsze usuwaj” należy używać ostrożnie.

Różne

Wypakowywanie w tle

Minimalizuje okno WinRARa do zasobnika systemowego przy rozpoczęciu wypakowywania.

Czekaj na zakończenie innych kopii WinRARa

Powoduje oczekiwanie w kolejce na zakończenie lub zatrzymanie operacji (tworzenie, modyfikacja lub rozpakowywanie archiwum) wykonywanych przez inne uruchomione kopie WinRARa (jeśli oczywiście są uruchomione). Bieżąca kopia WinRARa rozpocznie wykonywanie operacji dopiero gdy wszystkie inne się zakończą. Takie kolejkowanie operacji może przyczynić się do polepszenia wydajności przez zmniejszenie ilości operacji dyskowych wykonywanych w jednym czasie.

Naciśnięcie przycisku „Kontynuuj” w oknie postępu powoduje natychmiastowe przerwanie oczekiwania na inne kopie i wznowienie działania.

Ta opcja nie jest obsługiwana dla archiwów 7z.

Zezwól na ścieżki absolutne w dowiązaniach symbolicznych

Jeśli ta opcje jest wyłączona, to podczas wypakowywania WinRAR pomija dowiązania symboliczne, które wskazują obiekty znajdujące się poza folderem docelowym wypakowywania, dowiązania zawierające ścieżki absolutne, takie, które zawierają dużą liczbę „..” (wskazań na folder nadrzędny) oraz posiadające inne potencjalnie niebezpieczne parametry. Wszystkie tego typu dowiązania mogą stanowić zagrożenie dla bezpieczeństwa. Opcję tę należy włączać tylko w przypadku rozpakowywania archiwów pochodzących z zaufanych źródeł, np. własne kopie bezpieczeństwa.

Dowiązania symboliczne, które WinRAR uważa za bezpieczne, nie podlegają ograniczeniom i są wypakowywane niezależnie od stanu tej opcji.

Dopuść potencjalnie niekompatybilne nazwy

System plików NTFS dopuszcza nazwy plików zawierające na końcu spacje i kropki, jak również zarezerwowane nazwy urządzeń, lecz wiele programów w Windows nie potrafi prawidłowo ich przetworzyć. Jeśli ta opcja nie zostanie włączona, to podczas wypakowywania WinRAR usunie z nazw plików znajdujące się na końcu spacje i kropki, a nazwy plików posiadające zarezerwowane nazwy urządzeń (np. aux) poprzedzi znakiem „_” (podkreślenie). Włączenie tej opcji może się jednak wiązać z zagrożeniem bezpieczeństwa.


Folder docelowy i opcje wypakowywania: ustawienia ogólne

Okno to umożliwia wybranie folderu docelowego, do którego zostaną wypakowane pliki oraz ustawienie kilku ogólnych opcji. Domyślnie folderem docelowym jest folder o takiej samej nazwie jak archiwum i jest umieszczony w bieżącym folderze, lecz można zmienić tę opcję w ustawieniach kompresji. Można też wprowadzić nową nazwę folderu (jeśli nie istnieje zostanie utworzony przed rozpoczęciem wypakowywania) lub wybrać folder z drzewa.

WinRAR próbuje automatycznie wyświetlić w drzewie wskazany folder w miarę pisania, lecz zawsze po krótkim opóźnieniu (około 0.5 sekundy), jeśli wpisywana ścieżka zawiera literę dysku i jeśli takie zaznaczenie nie zajmuje dużo czasu. Jeśli wpisany folder nie istnieje, zaznaczany jest folder nadrzędny lub inny o podobnej nazwie. Można od razu wymusić wyszukanie wprowadzonego foldera poprzez naciśnięcie przycisku „Wyświetl”, np. wtedy, gdy zachodzi konieczność zlokalizowania folderu zaproponowanego przez program lub jeśli automatyczne zaznaczenie zostało zaniechane ze względu na zbyt długi czas oczekiwania.

Za pomocą przycisku Nowy folder można utworzyć nowy folder. Zostanie on utworzony w aktualnie wskazanym folderze (na drzewie folderów) lub w folderze określonym w polu „Folder docelowy” - w zależności co zostało zmienione później. Na drzewie folderów można używać następujących klawiszy:

  • F2 umożliwia zmianę nazwy folderu
  • Del usuwa folder
  • F5 odświeża zawartość drzewa

Rozmiar tego okna dialogowego można zmieniać za pomocą myszy. WinRAR zapamięta nowy rozmiar i użyje go przy ponownym wyświetleniu tego okna.

Ponadto znajdują się tu następujące opcje:

Tryb aktualizacji

Wypakuj i zastąp pliki (domyślne)

Wypakowuje wszystkie zaznaczone pliki.

Wypakuj i aktualizuj pliki

Wypakowuje zaznaczone pliki, które albo nie mają swoich odpowiedników w folderze docelowym, albo te odpowiedniki są starsze niż znajdujące się w archiwum.

Odśwież istniejące pliki

Wypakowuje tylko te z zaznaczonych plików, których wcześniejsze wersje znajdują się już w folderze docelowym. Jeśli takiej wersji nie ma, plik zostanie pominięty (nie zostanie wypakowany).

Nadpisywanie

Zapytaj (domyślne)

Pyta o potwierdzenie nadpisania pliku.

Nadpisz bez pytania

Pliki są nadpisywane bez pytania o potwierdzenie.

Pomiń istniejące pliki

Pliki istniejące w folderze docelowym nie są nadpisywane.

Automatycznie zmień nazwę

Powoduje automatyczną zmianę nazwy wypakowywanych plików, jeśli pliki o tej samej nazwie już istnieją. Przemianowane pliki otrzymają nazwę „plik(N).txt”, gdzie „plik.txt” jest oryginalną nazwą, a „N” jest kolejnym numerem.

Różne

Wypakuj archiwa do podfolderów

Ta opcja jest dostępna tylko jeśli operacja wypakowywania jest wykonywana na więcej niż jednym archiwum jednocześnie. Spowoduje ona, że każde archiwum zostanie rozpakowane do osobnego foldera, którego nazwa zostanie utworzona z nazwy archiwum.

Zachowaj uszkodzone pliki

WinRAR nie usunie plików, które na skutek błędu podczas wypakowywania są uszkodzone (np. gdy archiwum ulegnie uszkodzeniu). Domyślnie WinRAR usuwa takie pliki. Za pomocą tej opcji można odzyskać część danych z uszkodzonych plików.

Wyświetl pliki w Eksploratorze

Po zakończeniu wypakowywania WinRAR otworzy okno Eksploratora Windows z zawartością foldera docelowego.

Zapisz ustawienia

Przycisk ten zapisuje stan okna dialogowego (zarówno części „ogólnej” jak i „zaawansowanej”). Stan ten będzie odtworzony po ponownym otwarciu tego okna. WinRAR zapisuje wszystkie ustawienia oprócz ścieżki docelowej. Aby określić domyślny folder docelowy należy posłużyć się oknem ustawień kompresji.


Folder docelowy i opcje wypakowywania: opcje

Rozpakuj archiwa do

Te opcje są dostępne tylko wtedy, gdy zaznaczonych jest kilka archiwów. Opcja „Ścieżka docelowa” oznacza, że pliki zostaną wypakowane w uprzednio określone miejsce. Opcja „Podfoldery w ścieżce docelowej” oznacza, że w uprzednio określonym miejscu zostanie utworzony podfolder dla każdego rozpakowywanego archiwum. Opcja „Podfoldery w folderach archiwów” oznacza, że dla każdego archiwum zostanie utworzony podfolder w miejscu, gdzie to archiwum się znajduje, i tam zostaną wypakowane pliki. Opcja „Foldery archiwów” oznacza, że archiwa zostaną rozpakowane w tym samym miejscu, w którym się znajdują, bez tworzenia podfolderów.

Po zakończeniu

Dzięki tej opcji można wysterować, czy po zakończeniu wypakowywania komputer zostanie wyłączony, zahibernowany, uśpiony lub zrestartowany, albo czy sam WinRAR się zamknie. Odpowiednie funkcje muszą być obsługiwane przez system operacyjny. Opcja zamknięcia WinRARa zostanie zignorowana w przypadku, gdy okno diagnostyczne zawiera komunikaty błędów.

Dodatkowe opcje

W tym miejscu można określić jedną lub więcej opcji linii poleceń. Może to być użyteczne, jeśli dana opcja nie ma odpowiednika w interfejsie graficznym. Na przykład, aby pominąć zapisane atrybuty plików i pominąć wszystkie pliki .txt, należy wpisać:

-ai -x*.txt

Opcje wpisane w tym miejscu mają wyższy priorytet niż ustawienia dokonane w interfejsie graficznym. Należy zatem używać tej funkcjonalności tylko wtedy, gdy jest się dobrze zaznajomionym z opcjami linii poleceń. Nie każda opcja może być umieszczona w tym miejscu. Niewłaściwe użycie tej funkcjonalności może zaburzyć działanie programu i prowadzić do utraty danych.


Wprowadź hasło dla wypakowywanego pliku

Próbujesz wypakować zaszyfrowany plik lub wyświetlić zawartość zaszyfrowanego archiwum. Wprowadź hasło lub anuluj wypakowywanie.

Jeśli rozpakowujesz kilka archiwów na raz, to możesz włączyć opcję „Użyj dla wszystkich archiwów”, co spowoduje zastosowanie bieżącego hasła przy rozpakowywaniu wszystkich archiwów. Opcja ta jest niedostępna przy rozpakowywaniu pojedynczego archiwum. Innym zastosowaniem tej opcji jest pomijanie zaszyfrowanych archiwów - w tym celu należy ją włączyć i wprowadzić puste hasło.

Jeśli masz już jakieś zapisane hasła, możesz je wybrać z listy rozwijanej skojarzonej z polem „Wprowadź hasło” lub korzystając z funkcji autouzupełniania. Naciśnij przycisk „Zarządzaj hasłami...” aby uruchomić Menedżera haseł, za pomocą którego możesz zapisać swoje najczęściej używane hasła.

Jeśli zapisane hasłą są chronione hasłem głównym, to w celu uzyskanie do nich dostępu należy wprowadzić hasło główne i nacisnąć przycisk „OK”. Jeśli wprowadzony tekst nie jest hasłem głównym, to zostanie on potraktowany jak zwykłe hasło dla danej operacji na archiwum.


Nazwa i parametry archiwum: ustawienia zaawansowane

Zachowaj dane bezpieczeństwa

Ta opcja ma znaczenie tylko dla dysków w systemie NTFS. Umożliwia ona zachowywanie danych o właścicielu i grupie pliku, praw dostępu oraz informacji audytowej. Aby WinRAR mógł zachować te wszystkie informacje należy posiadać odpowiednie prawa. Przetwarzanie danych bezpieczeństwa może spowolnić operację archiwizacji, więc opcję tę należy włączać tylko wtedy, gdy jest naprawdę potrzebna, co zwykle nie dotyczy użytkowania komputera w domu.

Opcja ta jest obsługiwana tylko dla archiwów RAR.

Zachowaj dowiązania symboliczne jako dowiązania

Ta opcja powoduje, że symboliczne dowiązania są zachowywane w archiwum jako dowiązania i właściwa zawartość pliku lub folderu nie jest przechowywana. Opcja ta powoduje również zachowywanie punktów ponownej analizy (reparse point). Takie dowiązania są odtwarzane podczas wypakowywania z archiwum. Aby podczas wypakowywania odtworzyć dowiązania symboliczne, konieczne może się okazać posiadanie uprawnień administratora. Dowiązania symboliczne wskazujące na obiekt znajdujący się poza folderem docelowym wypakowywania, zawierające ścieżki absolutne, wielokrotne wystąpienie „..” (wskazania na folder nadrzędny) lub inne potencjalnie niebezpieczne parametry mogą być zagrożeniem dla bezpieczeństwa, dlatego będą wypakowywane tylko jeśli włączona jest opcja „Zezwól na ścieżki absolutne w dowiązaniach symbolicznych” w oknie wypakowywania lub gdy w linii poleceń zostanie użyta opcja -ola. Opcja ta jest obsługiwana tylko dla formatu RAR 5.0.

Zachowaj twarde dowiązania jako dowiązania

Jeśli archiwizowane pliki posiadają kilka twardych dowiązań, to ta opcja powoduje, że w archiwum oryginalny plik zostanie zapisany normalnie, a jego twarde dowiązania jako odwołania do niego. Podczas wypakowywania takich plików WinRAR będzie tworzył twarde dowiązania zamiast zwykłych plików.

Nie wolno usunąć z archiwum ani zmienić nazwy pierwszego pliku (tego, do którego odnoszą się odwołania), ponieważ uniemożliwi to wypakowanie plików odwołujących się do niego. Jeśli pierwszy plik zostanie zmodyfikowany, modyfikacji ulegną również pliki odwołujące się do niego. Aby poprawnie odtworzyć twarde dowiązania oryginalny plik również musi być wypakowany w tej samej operacji. Opcja ta jest obsługiwana tylko dla formatu RAR 5.0.

Zachowaj strumienie plików

Ta opcja ma znaczenie tylko dla dysków w systemie NTFS. Umożliwia ona zachowywanie dodatkowych strumieni danych skojarzonych z plikiem. Opcję tęnależy włączyć gdy używa się innych programów wykorzystujących takie strumienie. Strumienie nie są zachowywane dla plików używających szyfrowania NTFS (szyfrowanie na dysku).

Opcja ta jest obsługiwana tylko dla archiwów RAR.

Pauza po każdym woluminie

Domyślnie WinRAR pyta o potwierdzenie przed utworzeniem lub rozpakowaniem następnego woluminu tylko w przypadku nośników wymiennych. Ta opcja powoduje, że WinRAR będzie w każdym przypadku pytał o potwierdzenie. Może to być przydatne np. w przypadku, gdy na dysku jest mało wolnego miejsca i zachodzi potrzeba przeniesienia w inne miejsce każdego woluminu zaraz po jego utworzeniu.

Opcja ta jest obsługiwana tylko dla archiwów RAR.

Stary styl nazywania woluminów

Domyślnie woluminy mają nazwy „nazwa_archiwum.partNNN.rar”, gdzie NNN jest numerem woluminu. Dla archiwum w formacie RAR 4.x za pomocą tej opcji można spowodować, że WinRAR będzie nazywał woluminy w starym stylu, gdzie pierwszy wolumin będzie miał rozszerzenie .rar, następne woluminy otrzymają kolejne rozszerzenia od .r00 do .r99, później .s00, .s01, ..., .s99, ... (maksymalnie do .{99). Archiwa w formacie RAR 5.0 nie obsługują tej opcji ani starego stylu nazywania woluminów.

Woluminy naprawcze

Opcja ta jest dostępna tylko jeśli tworzone jest wieloczęściowe archiwum RAR. Należy podać liczbę woluminów naprawczych do utworzenia. Ilość może być również podana w procentach. każdy wolumin naprawczy jest w stanie odtworzyć jeden brakujący zwykły wolumin. Więcej o woluminach naprawczych znajduje się w tym rozdziale.

Archiwizacja w tle

Minimalizuje WinRARa do ikony obok zegara po rozpoczęciu procesu archiwizacji.

Czekaj na zakończenie innych kopii WinRARa

Powoduje oczekiwanie w kolejce na zakończenie lub wstrzymanie operacji (tworzenie, modyfikacja lub rozpakowywanie archiwum) wykonywanych przez inne uruchomione kopie WinRARa (jeśli oczywiście są uruchomione). Bieżąca kopia WinRARa rozpocznie wykonywanie operacji dopiero gdy wszystkie inne się zakończą. Takie kolejkowanie operacji może przyczynić się do polepszenia wydajności przez zmniejszenie ilości operacji dyskowych wykonywanych w jednym czasie.

Naciśnięcie przycisku „Kontynuuj” w oknie postępu powoduje natychmastowe przerwanie oczekiwania na inne kopie i wznowienie działania.

Dane naprawcze

Ustala rozmiar danych naprawczych w procentach w stosunku do całkowitego rozmiaru archiwum. Większe dane naprawcze umożliwiają naprawę poważniejszych uszkodzeń, lecz także zwiększają rozmiar archiwum oraz czas wykonywania operacji, dlatego też najbardziej optymalne ustawienia to 3-10%. Ta wartość jest używana tylko wtedy, jeśli zaznaczona jest opcja „Dodaj dane naprawcze” na zakładce „Ogólne” tego okna dialogowego. Ta wartość musi być większa od zera. Jeśli nie potrzebujesz danych naprawczych, to wyłącz opcję ich dodawania.

Kompresja...

Otwiera dialog Zaawansowane parametry kompresji, w którym można skonfigurować poszczególne moduły algorytmu kompresji WinRARa. Niewłaściwe ustawienie opcji może spowodować drastyczny spadek wydajności.

Opcje SFX

Jeśli tworzone jest samorozpakowujące się archiwum, kliknięcie tego przycisku umożliwia wybranie konkretnego modułu SFX jak również zmiana jego ustawień zaawansowanych. Uwaga: zaawansowane ustawienia SFX dotyczą tylko graficznego modułu SFX i nie są obsługiwane przez moduł SFX dla konsoli i dla innych systemów operacyjnych.

Przycisk opcji modułu SFX jest aktywny tylko wtedy, gdy w zakładce „Ogólne” zostanie wybrana opcja „Utwórz archiwum SFX”.

Istnieje możliwość zachowania ustawień SFX w profilu kompresji – WinRAR zapisuje odpowiednie polecenia skryptu SFX w komentarzu archiwum.

Po zakończeniu

Dzięki tej opcji można wysterować, czy po zakończeniu archiwizacji komputer zostanie wyłączony, zahibernowany, uśpiony lub zrestartowany, albo czy sam WinRAR się zamknie. Odpowiednie funkcje muszą być obsługiwane przez system operacyjny. Opcja zamknięcia WinRARa zostanie zignorowana w przypadku, gdy okno diagnostyczne zawiera komunikaty błędów.


Nazwa i parametry archiwum: ustawienia kopii zapasowej

Usuń zawartość dyskietki przed archiwizacją

Wszystkie pliki i foldery znajdujące się na docelowym dysku zostaną usunięte przed rozpoczęciem archiwizacji. W przypadku tworzenia woluminów, usuwanie zawartości kolejnych dyskietek będzie przeprowadzana przed utworzeniem każdego następnego woluminu, co daje szansę archiwizacji danych na niepustych dyskietkach. Należy jednak mieć pewność, że dyskietki nie zawierają ważnych danych. Opcja ta dotyczy tylko dysków wyjmowalnych (np. właśnie dyskietek), nie można za jej pomocą usunąć zawartości twardego dysku.

Dodawaj tylko pliki z atrybutem „Archiwalny”

Do archiwum będą dodawane tylko te pliki, które posiadają atrybut „Archiwalny”. Foldery zostaną dodane niezależnie od ich atrybutów. Opcja ta jest przeznaczona do zastosowania przy tworzeniu kopii zapasowych.

Wyczyść atrybut „Archiwalny” po kompresji

Pliki źródłowe, po pomyślnej (bezbłędnej) archiwizacji, zostaną pozbawione atrybutu „Archiwalny”. Atrybuty folderów nie są modyfikowane. Opcja ta jest przeznaczona do zastosowania przy tworzeniu kopii zapasowych.

Otwórz współużytkowane pliki

Umożliwia archiwizację plików, które są otwarte do zapisu przez inne aplikacje, ale tylko wtedy, jeśli te aplikacje zezwalają równocześnie na odczyt zablokowanych przez siebie plików. Opcja ta może okazać się niebezpieczna w przypadku, gdy inna aplikacja próbuje zmodyfikować otwarty plik, który w tym samym czasie jest poddawany archiwizacji. Dlatego opcji tej należy używać z rozwagą i tylko wtedy, gdy jest naprawdę potrzebna.

Utwórz nazwę archiwum z wzorca

Dołącza bieżącą datę do nazwy archiwum podczas jego tworzenia. Opcja jest przydatna podczas tworzenia codziennych kopii zapasowych. Format daty jest określony przez podany ciąg znaków – jego opis znajduje się w rozdziale opisującym opcję -ag.

Przechowuj poprzednie wersje plików

Powoduje, że WinRAR podczas aktualizacji archiwum przechowuje istniejące wersje plików. Nazwy poprzednich wersji są zmieniane na „nazwa;n”, gdzie „n” jest numerem wersji. Opcja ta jest dostępne tylko dla archiwów w formacie RAR.

Podczas archiwizacji z tą opcją zaleca się unikanie plików o nazwach w formacie „nazwapliku;n”. Tak nazwane pliki mogą powodować powstawanie duplikatów jeśli stara wersja pliku o takiej nazwie już istnieje w archiwum lub też będzie do niego dodana w późniejszym czasie.


Nazwa i parametry archiwum: komentarz

Tu można wprowadzić komentarz archiwum, który będzie dodany do nowotworzonego lub aktualizowanego archiwum. można albo podać nazwę pliku tekstowego zawierającego komentarz (pole „Załaduj komentarz z pliku”) lub wpisać komentarz do pola edycyjnego (okno „Wpisz komentarz”).


Nazwa i parametry archiwum: pliki

Dodaj pliki

Nazwy plików i folderów przeznaczonych do archiwizacji. Pole to jest automatycznie wypełniane nazwami zaznaczonych plików i folderów, lecz można je modyfikować ręcznie lub za pomocą przycisku „Dołącz”.

Dozwolone jest użycie symboli wieloznacznych – WinRAR będzie w takim przypadku poszukiwał nazw pasujących do podanej maski w bieżącym folderze i jego podfolderach. Aby określić więcej masek należy oddzielić je od siebie spacjami. Jeśli maska zawiera spacje, należy ująć ją w cudzysłów. Na przykład, wpisanie:

*.txt *.doc "zestaw 1.*"

spowoduje, że WinRAR zarchiwizuje wszystkie pliki .txt, .doc oraz te o nazwie pasującej do wzorca „zestaw 1.*”.

Wyklucz pliki

Nazwy i maski plików wyłączonych z archiwizacji. Symbole wieloznaczne mogą być użyte zarówno w części nazwy pliku jak i w części nazwy ścieżki. Aby określić więcej masek należy oddzielić je od siebie spacjami. Jeśli maska zawiera spacje, należy ująć ją w cudzysłów. Na przykład wpisanie:

c:\temp\info.txt *.bak *.tmp *\temp\

spowoduje, że zarchiwizowane zostaną wszystkie pliki oprócz pliku c:\temp\info.txt, plików typu .bak i .tmp, folderów temp oraz wszystkich plików z folderów temp.
Nazwy plików można dopisywać ręcznie, bądź dodawać za pomocą przycisku „Dołącz”.

Informacje na temat składni znajdują się w opisie opcji -x. Pole Wyklucz pliki używa tej samej składni.

Pliki do zarchiwizowania bez kompresji

Nazwy i maski plików, które będą archiwizowane bez kompresji. Za pomocą tej opcji można archiwizować już skompresowane pliki, co zwiększa prędkość archiwizacji bez spadku stopnia kompresji. Aby określić więcej masek należy oddzielić je od siebie spacjami. Jeśli maska zawiera spacje, należy ująć ją w cudzysłów. Na przykład, wpisanie:

*.rar *.zip *.jpg

spowoduje, że archiwa RAR i ZIP oraz obrazki w formacie JPG zostaną zarchiwizowane bez użycia kompresji.

Scieżki

Określa sposób przechowywania ścieżek w archiwum. WinRAR może przechowywać ścieżki względne w stosunku do bieżącego folderu (jest to ustawienie domyślne), pełne ścieżki oprócz litery dysku i wiodącego backslasha, same nazwy plików bez struktury folderów lub pełne ścieżki wraz z literą dysku.

Tryb względnych ścieżek wyklucza bieżący folder WinRARa. Dla ścieżek wprowadzonych w polu plików do dodania nie jest zachowywany bieżący folder aż do ostatniego separatora ścieżek, podobnie jak w przypadku użycia opcji -ep1.

Jeśli pliki zostaną zachowane bez struktury folderów, istnieje niebezpieczeństwo utworzenia archiwum zawierającego kilka plików o tej samej nazwie, dlatego należy zachować ostrożność używając opcji „Nie zachowuj ścieżek”.

Jeśli zostanie wybrana opcja zachowywania pełnych ścieżek, separator litery dysku (dwukropek) zostanie zastąpiony przez znak podkreślenia. WinRAR jest w stanie zamienić znak podkreślenia na dwukropek i wypakować pliki w te miejsca, skąd zostały zarchiwizowane, jeśli przy wypakowywaniu zostanie włączona opcja „Wypakuj pełne ścieżki” (część „Zaawansowane” okna wypakowywania).

O korzyściach i niebezpieczeństwach wynikających z używania opcji zachowywania pełnych ścieżek można przeczytać w opisie opcji -ep3.

Umieść każdy plik w osobnym archiwum

Umieszcza każdy archiwizowany plik lub folder w osobnym archiwum. W tym przypadku wprowadzona nazwa archiwum (brana pod uwagę jest tylko ścieżka, nie nazwa pliku) jest traktowana tylko jako ścieżka dla tworzonych archiwów, których nazwy są generowane na podstawie nazw archiwizowanych plików.

Podwójne rozszerzenia dla archiwów

Ta opcja modyfikuje zachowanie opcji „Umieść każdy plik w osobnym archiwum”. Jeśli „podwójne rozszerzenia” są włączone, to tworzone archiwa będą nazywane przez doklejenie rozszerzenia archiwum do pełnej oryginalnej nazwy pliku (np. „kalkulator.exe” -> „kalkulator.exe.rar”). Gdy ta opcja jest wyłączona, to rozszerzenie archiwum zastąpi oryginalne rozszerzenie (np. „kalkulator.exe” -> „kalkulator.rar”). Nawet jeśli ta opcja jest wyłączona, to WinRAR może zastosować podwójne rozszerzenie wtedy, gdy tworzy archiwa dla plików, które mają tę samą nazwę a różne jedynie rozszerzenie (np. „kalkulator.exe” i „kalkulator.ini”).

Archiwa w podfolderach

Ta opcja modyfikuje zachowanie opcji „Umieść każdy plik w osobnym archiwum”. Jeśli „archiwa w podfolderach” są włączone, to każdy plik w zaznaczonych podfolderach będzie umieszczany w osobnym archiwum. Jeśli ta opcja jest wyłączona, to w osobnym archiwum zostanie umieszczona cała zawartość każdego zaznaczonego podfolderu.

Wyślij archiwum pocztą elektroniczną do [<adres>][a następnie usuń]

Ta opcja umożliwia dołączenie tworzonego lub aktualizowanego archiwum do wiadomości. Aby skorzystać z tej opcji należy mieć zainstalowanego klienta pocztowego, który udostępnia interfejs MAPI (większość obecnych programów pocztowych spełnia ten warunek). Adres można wprowadzić bezpośrednio w tej opcji lub pozostawić pusty - w tym drugim przypadku program pocztowy poprosi o podanie adresu. można podać kilka adresów oddzielając je przecinkami lub średnikami. Jeśli opcja „a następnie usuń” zostanie zaznaczona, archiwum zostanie usunięte po wysłaniu wiadomości.

Jeśli opcja ta zostanie użyta podczas tworzenia archiwum wieloczęściowego, każdy wolumin zostanie wysłany osobno.


Nazwa i parametry archiwum: ustawienia ogólne

Dialog ten zawiera następujące elementy:

nazwa archiwum

Nazwę należy wprowadzić z klawiatury lub wybrać istniejące już archiwum za pomocą klawisza „Przeglądaj...”. W nazwie archiwum można podać pełną ścieżkę dostępu wraz z literą dysku, np. D:\archiwa\dokumenty.rar.

przycisk „Profile”

Wyświetla menu umożliwiające utworzenie nowego, organizowanie i wybranie profilu kompresji. Profile kompresji umożliwiają szybkie odtworzenie uprzednio zapisanych ustawień kompresji lub wybranie domyślnych ustawień dla tego dialogu. WinRAR posiada kilka predefiniowanych profili dla tworzenia załączników do poczty elektronicznej, tworzenia kopii zapasowych i inne. Nazwa aktualnie wybranego profilu jest wyświetlana tuż nad przyciskiem. Więcej informacji o profilach znajduje się w rozdziale Profile kompresji.

format archiwum (RAR, RAR4 lub ZIP)

Umożliwia wybranie formatu tworzonego archiwum. RAR tworzy archiwum w najnowszym formacie RAR 5.0, RAR4 w formacie kompatybilnym z wersją WinRAR 4.x, ZIP tworzy archiwum ZIP. W zależności od wybranego formatu niektóre zaawansowane opcje nieobsługiwane przez ten format zostaną wyłączone. Opcja ta jest brana pod uwagę tylko podczas tworzenia nowego archiwum, a ignorowana podczas modyfikacji istniejącego archiwum.

metoda kompresji

Dostępne metody to „bez kompresji”, „najszybsza”, „szybka”, „normalna”, „dobra” i „najlepsza”. Ta pierwsza powoduje, że pliki są archiwizowane z największą prędkością i bez kompresji. Wszystkie pozostałe metody powodują, że archiwizowane pliki są kompresowane - wraz ze wzrostem siły kompresji spada jej prędkość.

rozmiar słownika

Jest to rozmiar obszaru pamięci używanego do wyszukiwania i kompresowania powtarzających się fragmentów danych. Większy rozmiar słownika zwykle umożliwia osiągnięcie większego stopnia upakowania dużych plików, zwłaszcza w przypadku ciągłego archiwum. Ma to swoją cenę, gdyż większy rozmiar słownika powoduje spadek prędkości kompresji oraz wymaga większej ilości pamięci.

Maksymalny rozmiar słownika dla archiwów formatu RAR 4.x to 4 MB. Format RAR 5.0 dopuszcza słownik o maksymalnym rozmiarze 1 GB w 64-bitowej wersji WinRARa, oraz 256 MB w 32-bitowej wersji. Dekompresja wymaga mniej pamięci niż kompresja, dlatego zarówno 32- jak i 64-bitowa wersja WinRARa może rozpakować archiwa skompresowane przy uzyciu słownika o rozmiarze 1 GB, ale tylko wtedy, gdy komputer, na którym rozpakowywane jest takie archiwum, posiada co najmniej 1 GB wolnej pamięci. Format ZIP używa stałego rozmiaru słownika - jest to 32 KB.

Jeśli rozmiar wszystkich archiwizowanych plików w trybie ciągłym lub największego pliku w trybie zwykłym jest co najmniej dwukrotnie mniejszy niż wybrany rozmiar słownika, WinRAR może go zmniejszyć. Dzięki temu zmniejsza się użycie pamięci bez straty na jakości kompresji.

rozmiar woluminu w polu „Rozmiar woluminów” w przypadku podziału archiwum na woluminy

Aby utworzyć archiwum wieloczęściowe należy wprowadzić rozmiar pojedynczego woluminu. Jednostki można wybrać z listy znajdującej się po prawej stronie pola do wprowadzania rozmiaru. „B” oznacza bajty, „MB” - megabajty, „GB” - gigabajty.

Dozwolone jest wprowadzanie wartości ułamkowych przy użyciu separatora dziesiętnego określonego w ustawieniach regionalnych systemu Windows.

Po dodaniu małej litery „k” na końcu liczby określającej rozmiar, liczba ta zostanie potraktowana jak liczba kilobajtów (zostanie pomnożona przez 1024). Wielka litera „K” oznacza tysiące bajtów (mnożnik 1000), „m” oznacza megabajty (1048576 bajtów), „M” – miliony bajtów, „g” – gigabajty (1073741824 bajtów) a „G” – miliardy bajtów. Można też wybrać rozmiar woluminu z listy. W przypadku archiwizacji plików w formacie RAR bezpośrednio na dysk wyjmowalny (np. na dyskietkę) można wybrać z listy pozycję „określ automatycznie”, co spowoduje, że WinRAR będzie automatycznie (według dostępnego miejsca) dobierał rozmiary kolejnych woluminów.

Listę tę można dostosować do własnych potrzeb za pomocą okna definiowania rozmiarów woluminów. Aby wyświetlić to okno należy użyć przycisku „Definiuj rozmiary woluminów...” w oknie ustawień kompresji.

tryb aktualizacji

  • Dodaj i zamień pliki (domyślne).
    Zawsze zastępuje zarchiwizowane pliki, które mają te same nazwy, co pliki aktualnie dodawane do archiwum. Zawsze dodaje pliki, które nie mają swoich odpowiedników w archiwum.
  • Dodaj i aktualizuj pliki.
    Zastępuje zarchiwizowane pliki tylko wtedy, gdy są one starsze od aktualnie dodawanych do archiwum, Zawsze dodaje pliki, które nie mają swoich odpowiedników w archiwum.
  • Odśwież tylko istniejące pliki.
    Zastępuje zarchiwizowane pliki tylko wtedy, gdy są one starsze od aktualnie dodawanych do archiwum. Nie dodaje plików, które nie mają swoich odpowiedników w archiwum.
  • Zapytaj przed nadpisaniem.
    Wyświetla żądanie potwierdzenia nadpisania zarchiwizowanych plików, które mają takie same nazwy jak pliki aktualnie archiwizowane. Zawsze dodaje pliki, których jeszcze nie ma w archiwum.
  • Pomiń istniejące pliki.
    Nie zastępuje tych plików w archiwum, które mają takie same nazwy jak pliki aktualnie archiwizowane. Zawsze dodaje pliki, których jeszcze nie ma w archiwum.
  • Synchronizuj zawartość archiwum.
    Zastępuje zarchiwizowane pliki tylko wtedy, gdy są one starsze od aktualnie dodawanych do archiwum. Zawsze dodaje pliki, które nie mają swoich odpowiedników w archiwum. Usuwa te pliki z archiwum, których odpowiedniki nie są aktualnie dodawane do archiwum. Operacja jest podobna do tworzenia nowego archiwum, z jednym ważnym wyjątkiem: jeśli żaden z plików dodawanych do archiwum nie jest nowszy od swojego odpowiednika w archiwum, operacja ta przebiega znacznie szybciej niż tworzenie nowego archiwum.

Usuń pliki po zarchiwizowaniu

Powoduje, że po pomyślnej archiwizacji pliki źródłowe zostaną usunięte z dysku

Utwórz archiwum SFX

Tworzy samorozpakowujące się archiwum (plik .exe), które rozpakowuje się samo po uruchomieniu (nie wymaga obecności innych programów). W zakładce „Zaawansowane” tego okna dialogowego można wybrać moduł SFX oraz ustawić jego opcje (np. domyślny folder do wypakowania plików).

Utwórz ciągłe archiwum

Tworzy ciągłe archiwum. Zwykle daje to lepszy stopień kompresji, lecz nakłada też pewne ograniczenia. Więcej szczegółów na ten temat znajduje się w rozdziale poświęconym ciągłym archiwom.

Dodaj dane naprawcze

Dodaje dane naprawcze, które mogą umożliwić odzyskanie danych z archiwum w razie jego uszkodzenia. Można określić rozmiar danych naprawczych w zakładce „Zaawansowane” w tym samym oknie dialogowym. Wartość domyślna to około 3% całkowitego rozmiaru archiwum.

Testuj zarchiwizowane pliki

Testuje pliki po zarchiwizowaniu. Opcja ta jest szczególnie przydatna jeśli włączona jest również opcja „Usuń pliki po zarchiwizowaniu”. W takim przypadku pliki zostaną usunięte tylko jeśli testowanie przebiegnie bez błędów.

Zablokuj archiwum

WinRAR nie może modyfikować zablokowanych archiwów, więc zablokowanie archiwum zapobiega jego przypadkowej modyfikacji przez WinRARa. Może to być przydatne szczególnie w przypadku masowych operacji na grupie archiwów.

Ta opcja nie służy zapobieżeniu modyfikacji archiwum przez inne programy niż WinRAR.

Wprowadź hasło

Hasło używane do zaszyfrowania archiwizowanych plików. Hasło wprowadzone tym przyciskiem zastępuje hasło wprowadzone przez polecenie „Hasło” z menu „Plik”. Jest to zamiana tymczasowa, tylko na czas danej archiwizacji.


Nazwa i parametry archiwum

Okno to wyświetlane jest po wydaniu polecenia Dodaj do archiwum przed dodawaniem plików do archiwum.

Opcje zawarte w tym dialogu podzielone są na kilka grup. poniższe rozdziały opisują każdą z nich:

  • Ogólne
  • Zaawansowane
  • Opcje
  • Pliki
  • Kopia zapasowa
  • Czas
  • Komentarz


Nazwa i parametry archiwum: opcje

Tryb usuwania

Wszystkie poniższe opcje modyfikują zachowanie opcji Usuń pliki po zarchiwizowaniu dostępnej w oknie dialogowym Nazwa i parametry archiwum: ustawienia ogólne i tylko wtedy, gdy ta opcja jest włączona. Aby ustawić jedną z tych opcji na stałe należy zmodyfikować domyślny profil kompresji.

Usuń pliki

Powoduje normalne usunięcie plików. Pliki są usuwane na stałe, jednak nie w bezpieczny sposób, dzięki czemu w wielu przypadkach można je odzyskać za pomocą specjalnych programów.

Przenieś pliki do Kosza

Usuwa pliki przenosząc je do Kosza.

Wymaż pliki

Aby uniemożliwić ich odzyskanie, przed usunięciem pliki są zamazywane, ich rozmiar jest obcinany do zera a nazwy zmieniane na tymczasowe.

Należy mieć na uwadze, że ta metoda jest przeznaczona do użycia w przypadku klasycznych dysków twardych i może nie przynieść spodziewanych rezultatów w przypadku dysków wykonanych w innych technologiach (np. SSD) ze względu na bardziej skomplikowane techniki rozmieszczania danych.

Wymaż zaszyfrowane pliki

Jeśli ta opcja jest włączona i następuje archiwizacja z hasłem, to automatycznie włączana jest również opcja „Wymaż pliki”.

Włączanie tej opcji bezpośrednio w oknie archiwizacji nie ma zbytnio sensu, gdyż zamiast tego można po prostu włączyć opcję „Wymaż pliki”. Ta opcja zatem jest przeznaczona do użycia w profilach kompresji. Jeśli chcesz, aby pliki były wymazywane zawsze gdy używasz hasła, to włącz tę opcję domyślnym profilu kompresji.

Informacje szybkiego otwarcia

W archiwum RAR informacje o pliku, jak jego nazwa, czas, rozmiar i atrybuty, są umieszczane bezpośrednio przed zawartością tego pliku. To podejście jest bardziej odporne na uszkodzenia niż przechowywanie wszystkich nagłówków w jednym miejscu - bo w przypadku uszkodzenia takiego zbioru nagłówków spowodowałoby utratę zawartości całego archiwum. Choć ten sposób jest lepszy jeśli chodzi o bezpieczeństwo, to otwieranie archiwum i odczytywanie tych nagłówków, rozrzuconych po całym archiwum, zajmuje więcej czasu.

Aby przyspieszyć otwieranie archiwum i nie tracić na bezpieczeństwie danych, archiwa w formacie RAR 5.0 mogą przechowywać opcjonalny blok danych zawierający same nagłówki plików. Taki blok jest umieszczany na końcu archiwum. Oprócz tego archiwum RAR 5.0 zawiera normalne nagłówki rozrzucone po całym archiwum, jak do tej pory. Ponieważ taki blok nagłówków jest ciągły, może być szybko odczytany. Każdy nagłówek pliku znajdujący się w tym bloku jest chroniony sumą kontrolną. Jeśli WinRAR wykryje, że blok szybkiego otwarcia jest uszkodzony, to będzie odczytywał nagłówki rozrzucone po archiwum.

Blok szybkiego otwarcia zawiera pełne kopie nagłówków plików, z których każdy może mieć długość dochodzącą do kilkuset bajtów. To oczywiście powoduje wzrost wielkości archiwum, co jest najbardziej zauważalne w przypadku archiwum zawierającego dużą liczbę małych plików. Domyślnie zatem, przy właczonej opcji „Dodaj dla większych plików”, WinRAR zapisuje w bloku szybkiego otwarcia nagłówki tylko relatywnie dużych plików. Konkretna wartość graniczna, od której WinRAR uznaje plik za „duży”, może zależeć od wersji WinRARa. Takie podejście daje dość dobrą prędkość otwierania archiwum i odczytu jego zawartości i nie powoduje zbyt dużego przyrostu rozmiaru. Aby uzyskać największą prędkość otwierania archiwum nie dbając o jego rozmiar, można użyć opcji „Dodaj dla wszystkich plików” co spowoduje, że WinRAR umieści nagłówki wszystkich plików w bloku szybkiego otwarcia. Aby zaś uzyskać jak najmniejsze archiwum nie dbając o prędkość jego otwierania, można użyć opcji „Nie dodawaj” co spowoduje, że WinRAR w ogóle nie utworzy bloku szybkiego otwarcia.

Użyj sumy kontrolnej BLAKE2

Ta opcja jest obsługiwana tylko dla formatu archiwum RAR 5.0.

Spójność danych w archiwum RAR jest chroniona za pomocą sum kontrolnych, które są wyliczane i przechowywane dla każdego zarchiwizowanego pliku.

Domyślnie RAR używa sumy kontrolnej CRC32, jednakże archiwum w formacie RAR 5.0 może również zawierać sumy kontrolne wyliczane funkcją BLAKE2sp zamiast CRC32.

Rozmiar sumy kontrolnej CRC32 to 32 bity (4 bajty). Choć sposób wyliczania tej sumy jest wystarczający do wykrycia większości błędów danych, to nie jest dostateczny do identyfikacji pliku. Innymi słowy, jeśli dwa pliki mają tę samą wartość sumy CRC32, to niekoniecznie mają tę samą zawartość.

Rozmiar sumy kontrolnej BLAKE2 to 256 bitów (32 bajty). Ponieważ jest to funkcja skrótu używana w kryptografii, praktycznie gwarantuje, że jeśli dwa pliki mają taką samą sumę kontrolną BLAKE2sp, to ich zawartość jest taka sama. Detekcja błędów danych jest również lepiej obsługiwana niż dla CRC32.

Ponieważ suma kontrolna BLAKE2sp jest większa, archiwum jest nieco większe w przypadku użycia włączenia tej opcji.

Jeśli nagłówki plików nie są zaszyfrowane (nie została włączona opcja Zaszyfruj nazwy plików), to sumy kontrolne dla zaszyfrowanych plików w archiwum RAR 5.0 są modyfikowane specjalnym algorytmem bazującym na haśle użytym do zaszyfrowania plików. Ma to na celu uniemożliwienie odgadnięcie zawartości pliku na podstawie sumy kontrolnej.

Zachowaj identyczne pliki jako odnośniki

Jeśli ta opcja zostanie włączona, to WinRAR podda analizie zawartość plików przed rozpoczęciem archiwizacji. Jeśli zostanie znalezionych kilka plików większych niż 64 KB o identycznej zawartości, to pierwszy z nich zostanie normalnie zarchiwizowany, natomiast zamiast jego duplikatów w archiwum zostaną umieszczone tylko odwołania do niego. Pozwala to zredukować rozmiar archiwum, lecz wprowadza pewne ograniczenia co do samego archiwum. Nie wolno usunąć z archiwum ani zmienić nazwy pierwszego pliku (tego, do którego odnoszą się odwołania), ponieważ uniemożliwi to wypakowanie plików odwołujących się do niego. Jeśli pierwszy plik zostanie zmodyfikowany, modyfikacji ulegną również pliki odwołujące się do niego. Aby poprawnie wypakować pliki odwołujące się do innego pliku, to ten inny plik również musi być wypakowany w tej samej operacji.

Zaleca się używanie tej opcji tylko podczas kompresji dużej liczby identycznych plików, kiedy to archiwum nie będzie później modyfikowane, a rozpakowywane będzie zawsze w całości. Jeśli wszystkie identyczne pliki są na tyle małe, że mieszczą się w rozmiarze słownika kompresji, to lepiej jest utowrzyć ciągłe archiwum zamiast włączać tę opcję.

Opcja jest obsługiwana tylko dla formatu RAR 5.0.

Dodatkowe opcje

W tym miejscu można określić jedną lub więcej opcji linii poleceń. Może to być użyteczne, jeśli dana opcja nie ma odpowiednika w interfejsie graficznym. Na przykład, aby przekształcić nazwy plików na małe litery i umieścić pliki w folderze „mojepliki”, należy wpisać:

-cl -apmojepliki

Opcje wpisane w tym miejscu mają wyższy priorytet niż ustawienia dokonane w interfejsie graficznym. Należy zatem używać tej funkcjonalności tylko wtedy, gdy jest się dobrze zaznajomionym z opcjami linii poleceń. Nie każda opcja może być umieszczona w tym miejscu. Niewłaściwe użycie tej funkcjonalności może zaburzyć działanie programu i prowadzić do utraty danych.


Nazwa i parametry archiwum: ustawienia czasu

Zachowaj czas modyfikacji, utworzenia i ostatniego dostępu

Te opcje włączają zachowywanie w archiwum czasu ostatniej modyfikacji, utworzenia i ostatniego dostępu do pliku. Są one obsługiwane tylko dla archiwów RAR. Tylko dla archiwum RAR 5.0 można wyłączyć zachowywanie czasu ostatniej modyfikacji. Jeśli w archiwum nie zostanie zachowany czas pliku, to plik otrzyma bieżący czas podczas wypakowywania.

Aby odtworzyć te czasy podczas wypakowywania należy włączyć opcje „Ustaw czas utworzenia” i „Ustaw czas ostatniego dostępu” w zakładce Zaawansowane okna wypakowywania. Opcja „Ustaw czas modyfikacji” jest domyślnie włączona.

Czas o wysokiej precyzji

Jeśli ta opcja jest wyłączona, czas zachowywany jest z niską precyzją: 2-sekundową dla archiwów RAR 4.x i ZIP, oraz 1-sekundową dla archiwów RAR 5.x. Włączenie tej opcji może nieznacznie powiększyć rozmiar archiwum, lecz umożliwia zachowanie czasu z dokładnością do 100 nanosekund (0.0000001 sekundy).

Jeśli ta opcja zostanie włączona dla archiwum ZIP, to wszystkie trzy typy czasu (modyfikacji, utworzenia i ostatniego dostępu) zostaną zachowane w wysokiej precyzji. W przeciwieństwie do formatu RAR, nie można umieścić w archiwum ZIP tylko jednego czasu o wysokiej precyzji.

Zabezpiecz czas ostatniego użycia plików źródłowych

Domyślnie po archiwizacji zmieniany jest czas ostatniego dostępu do pliku źródłowego. Ta opcja służy do zabezpieczenia czasu ostatniego dostepu pliku sprzed archiwizacji. Za pomocą tej opcji nie można jednak kontrolować, który typ czasu zostanie zachowany w archiwum. Zatem aby np. zachować w archiwum czas ostatniego dostępu jak i zabezpieczyć go dla pliku źródłowego, należy zaznaczyć tę opcję jak również „Zachowaj czas ostatniego dostępu”. Ta opcja może uniemożliwić otwarcie niektórych plików (można je otworzyć bez tej opcji).

Dołącz pliki: nie uwzględniaj czasu / starsze niż / nowsze niż / przed / po

Domyślną wartością tej opcji jest „nie uwzględniaj czasu”, co powoduje, że WinRAR będzie archiwizował wszystkie zaznaczone pliki bez względu na ich datę i czas. Zmieniając wartość opcji na „starsze niż” lub „nowsze niż” można wymusić archiwizację tylko tych plików, które spełniają określone kryteria czasowe, np. zmodyfikowane, utworzone lub użyte w ciągu ostatnich 3 dni czy też zmodyfikowane, utworzone lub użyte wcześniej niż 4 godziny temu. Wartości „przed” i „po” umożliwiają przetwarzanie tylko tych plików, które zostały zmodyfikowane, utworzone lub użyte przed lub po konkretnej dacie.

„Nowsze niż” i „po” uwzględniaj pliki, które dokładnie spełniają podany warunek czasowy; „starsze niż” i „przed” wykluczają takie pliki.

Ustaw czas archiwum na: bieżący czas systemowy/oryginalny czas archiwum/czas ostatniego pliku

Domyślną wartością tej opcji jest „bieżący czas systemowy”, co powoduje, że każde nowe lub modyfikowane archiwum otrzymuje bieżącą datę i czas. Ustawienie tej opcji na „oryginalny czas archiwum” zapobiega zmianie daty i czasu archiwum po jego modyfikacji, natomiast na „czas ostatniego pliku” powoduje, że archiwum otrzyma datę i czas najnowszego pliku w archiwum.


Opcje archiwum

W tym oknie można dokonać operacji analogicznych do tych wykonywanych poleceniami Zabezpiecz archiwum (w tym tworzenie woluminów naprawczych), Zablokuj archiwum. Wszystkie te operacje dostępne są tylko dla archiwów RAR.

Zabezpieczenie archiwum może pomóc w ewentualnej naprawie w przypadku jego uszkodzenia. Aby zabezpieczyć archiwum przed uszkodzeniami należy ustalić rozmiar danych naprawczych w procentach w stosunku do całkowitego rozmiaru archiwum. Maksymalna dopuszczalna wartość to 100%; ustawienie tego pola na 0 (zero) spowoduje, że dane naprawcze nie zostaną dodane. Większe dane naprawcze umożliwiają naprawę poważniejszych uszkodzeń, lecz także zwiększają rozmiar archiwum, dlatego też najlepszym ustawieniem jest 3-5%.

Specjalnym zabezpieczeniem archiwum przed uszkodzeniami jest utworzenie woluminów naprawczych. Jest to możliwe tylko jeśli otwarte archiwum jest pierwszym woluminem archiwum wieloczęściowego – w takim przypadku wystarczy wprowadzić liczbę plików .rev do utworzenia. Ilość tę można wyrazić również w procentach w stosunku do liczby zwykłych woluminów. Każdy wolumin naprawczy jest w stanie odtworzyć jeden brakujący zwykły wolumin. Więcej informacji o woluminach naprawczych znajduje się w tym rozdziale.

Po włączeniu opcji „Zablokuj możliwość modyfikacji archiwum” archiwum zostanie zablokowane. WinRAR nie może modyfikować zablokowanych archiwów, więc zablokowanie archiwum zapobiega jego przypadkowej modyfikacji przez WinRARa. Może to być przydatne szczególnie w przypadku masowych operacji na grupie archiwów. Ta opcja nie służy zapobieżeniu modyfikacji archiwum przez inne programy niż WinRAR.

Woluminy naprawcze mają pierwszeństwo przed innymi opcjami i nie mogą być z nimi łączone. Jeśli określisz niezerową liczbę plików .rev (woluminów naprawczych), to WinRAR pominie tworzenie danych naprawczych oraz zakładanie blokady na archiwum, i utworzy woluminy naprawcze.


Kod źródłowy Info-ZIP

WinRAR posiada wbudowany kod kompresji ZIP stworzony przez grupę Info-ZIP. Kod ten jest używany do obsługi archiwów ZIP. Oryginalne pliki źródłowe można znaleźć w Internecie pod adresem ftp://ftp.info-zip.org/pub/infozip/ oraz http://www.info-zip.org.

Licencja Info-ZIP

This is version 2009-Jan-02 of the Info-ZIP license. The definitive version of this document should be available at ftp://ftp.info-zip.org/pub/infozip/license.html indefinitely and a copy at http://www.info-zip.org/pub/infozip/license.html.

Copyright (c) 1990-2009 Info-ZIP. All rights reserved.

For the purposes of this copyright and license, "Info-ZIP" is defined as the following set of individuals:

Mark Adler, John Bush, Karl Davis, Harald Denker, Jean-Michel Dubois, Jean-loup Gailly, Hunter Goatley, Ed Gordon, Ian Gorman, Chris Herborth, Dirk Haase, Greg Hartwig, Robert Heath, Jonathan Hudson, Paul Kienitz, David Kirschbaum, Johnny Lee, Onno van der Linden, Igor Mandrichenko, Steve P. Miller, Sergio Monesi, Keith Owens, George Petrov, Greg Roelofs, Kai Uwe Rommel, Steve Salisbury, Dave Smith, Steven M. Schweda, Christian Spieler, Cosmin Truta, Antoine Verheijen, Paul von Behren, Rich Wales, Mike White.

This software is provided "as is," without warranty of any kind, express or implied. In no event shall Info-ZIP or its contributors be held liable for any direct, indirect, incidental, special or consequential damages arising out of the use of or inability to use this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the above disclaimer and the following restrictions:

  1. Redistributions of source code (in whole or in part) must retain the above copyright notice, definition, disclaimer, and this list of conditions.

  2. Redistributions in binary form (compiled executables and libraries) must reproduce the above copyright notice, definition, disclaimer, and this list of conditions in documentation and/or other materials provided with the distribution. Additional documentation is not needed for executables where a command line license option provides these and a note regarding this option is in the executable's startup banner. The sole exception to this condition is redistribution of a standard UnZipSFX binary (including SFXWiz) as part of a self-extracting archive; that is permitted without inclusion of this license, as long as the normal SFX banner has not been removed from the binary or disabled.

  3. Altered versions--including, but not limited to, ports to new operating systems, existing ports with new graphical interfaces, versions with modified or added functionality, and dynamic, shared, or static library versions not from Info-ZIP--must be plainly marked as such and must not be misrepresented as being the original source or, if binaries, compiled from the original source. Such altered versions also must not be misrepresented as being Info-ZIP releases--including, but not limited to, labeling of the altered versions with the names "Info-ZIP" (or any variation thereof, including, but not limited to, different capitalizations), "Pocket UnZip," "WiZ" or "MacZip" without the explicit permission of Info-ZIP. Such altered versions are further prohibited from misrepresentative use of the Zip-Bugs or Info-ZIP e-mail addresses or the Info-ZIP URL(s), such as to imply Info-ZIP will provide support for the altered versions.

  4. Info-ZIP retains the right to use the names "Info-ZIP," "Zip," "UnZip," "UnZipSFX," "WiZ," "Pocket UnZip," "Pocket Zip," and "MacZip" for its own source and binary releases.


Algorytm CRC32 „Slicing-by-8” firmy Intel

Poza modułami SFX, WinRAR używa funkcji liczącej sumę kontrolną CRC32 bazującą na algorytmie „Slicing-by-8” firmy Intel. Oryginalna implementacja tego algorytmu jest dostępna pod adresem http://sourceforge.net/projects/slicing-by-8 i jest rozpowszechniana na licencji BSD, dostępnej pod adresem http://www.opensource.org/licenses/bsd-license.html. Poniżej znajduje się treść tej licencji.

Copyright (c) 2004-2006 Intel Corporation.
All Rights Reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Licencja i jej kupno

  • Umowa licencyjna WinRARa
  • Kupno licencji


Wprowadź hasło główne

Hasło główne służy do zaszyfrowania haseł przechowywanych w Rejestrze Windows - w ten sposób zabezpiecza się je przed nieautoryzowanym dostępem. Aby skorzystać z zapisanych haseł będzie trzeba wprowadzić hasło główne. Po wprowadzeniu, hasło główne działa do momentu zamknięcia WinRARa. Aby na stałe odszyfrować przechowywane hasła należy w miejsce hasłą głównego wprowadzić pusty ciąg znaków.

Zaszyfrowanie przechowywanych haseł następuje dopiero po naciśnięciu przycisku „OK” w oknie menedżera haseł, a nie zaraz po zamknięciu monitu o hasło główne.


Zapisywanie hasła w profilu kompresji

Jeśli hasło główne nie zostało ustawione, to hasła są zapisywane w profilu w postaci niezabezpieczonej. Każdy, kto ma dostęp do komputera może je podejrzeć. Można je jednak zabezpieczyć ustawiając hasło główne. Po ustawieniu hasła głównego będzie trzeba je wprowadzać aby uzyskać dostęp do tak zabezpieczonego profilu.

Można użyć tego samego hasła głównego co w menedżerze haseł, a można innego. Można także używać innych haseł głównych dla każdego profilu z osobna, lecz może to być niewygodne w użyciu.

Po wprowadzeniu, hasło główne profilu działa do momentu zamknięcia WinRARa lub do wybrania profilu zabezpieczonego innym hasłem głównym.


Kodowanie nazw

Menu „Kodowanie nazw” może być wywołane z menu „Opcje” lub za pomocą skrótu klawiszowego Ctrl+E. Za pomocą tego menu można wybrać sposób kodowania nazw zarchiwizowanych plików. Wybór sposobu wpływa na przeglądeni archiwów i polecenia wypakowywania. Zwykle najlepszym wyborem jest „Domyślne” - spowoduje to, że WinRAR sam wybierze kodowanie bazując na ustawieniach językowych systemu. Jeśli ten wybór nie daje satysfakcjonujących wyników, to można wybrać inne kodowanie, dostępne na liście w tym menu.

Wybór kodowania działa do momentu zamknięcia WinRARa lub dokonania innego wyboru w tym menu. Aby wybór zachował się pomiędzy kolejnymi uruchomieniami WinRARa, należy użyć polecenia „Zapisz bieżące”. Należy to uczynić tylko w przypadku przetwarzania dużej liczby archiwów o tym samym sposobie kodowania nazw, którego WinRAR nie jest w stanie prawidłowo wykryć. W innym przypadku lepsze jest ustawienie „Domyślne”. Aby powrócić do ustawienia domyślnego, należy je wybrać, po czym użyć polecenia „Zapisz bieżące”.

Jeśli archiwum zawiera nazwy w formacie Unicode i WinRAR jest w stanie prawidłowo to wykryć, to WinRAR ignoruje wybrany przez użytkownika sposób kodowania i używa Unicode. Wybrane ustawienie w menu „Kodowanie nazw” jest używane jeśli nazwy w formacie Unicode nie są dostępne lub WinRAR nie potrafi automatycznie wykryć sposobu kodowania. Choć to menu jest dostępne także podczas pracy w trybie obsługi plików, to wybór w nim dokonany nie ma wpływu na wyświetlanie nazw zwykłych plików, a jedynie na te znajdujące się w archiwach.


Organizuj profile

Ten dialog umożliwia edycję niektórych parametrów istniejących profili kompresji lub usuwanie tych profili. Nie można tu utworzyć nowego profilu – opis, jak tego dokonać znajduje się w rozdziale Profile kompresji.

Aby zmienić parametry profilu należy wybrać jego nazwę z listy i nacisnąć przycisk „Edytuj”. Wyświetlony zostanie dialog Parametry profilu, w którym można dokonać zmian. Należy mieć na uwadze, że nie można zmienić ustawień kompresji zapisanych w profilu – aby je zmienić należy utworzyć nowy profil o tej samej nazwie.

Aby usunąć profil należy wybrać jego nazwę z listy i nacisnąć przycisk „Usuń”.

Aby zmienić pozycję zaznaczonego profilu na liście należy użyć przycisków „Do góry” lub „Do dołu”.

Domyślny profil jest łatwy do odnalezienia na liście – z lewej strony jego nazwy znajduje się mała ikona WinRARa („książki”).


Okno „Zarządzaj motywami”

Okno to umożliwia zarządzanie motywami WinRARa.

Aby aktywować motyw, należy go wskazać, a następnie kliknąć przycisk „Wybierz”. Aby zainstalować nowy motyw, należy kliknąć przycisk „Dodaj”. Przycisk „Usuń” powoduje odinstalowanie motywu oraz usunięcie jego plików z dysku, przez co nie będzie go można powtórnie wybrać (oczywiście można go ponownie zainstalować).

Opcja „Zastosuj do ikon archiwum” jest wspólna dla wszystkich motywów. Jeśli zostanie wyłączona, motyw będzie miał wpływ jedynie na szatę graficzną WinRARa. Jeśli opcja zostanie włączona, motyw będzie miał również wpływ na wygląd ikon w Eksploratorze Windows przypisanych do archiwów RAR, ZIP i innych archiwów skojarzonych z WinRARem. W przeciwieństwie do innych opcji tego okna dialogowego, zmiana wartości tej opcji wymaga naciśnięcia przycisku OK.


Menedżer haseł

Menedżer haseł umożliwia zapisanie często używanych haseł. Zawiera listę haseł utworzoną przez użytkownika. Jeśli hasłu nie została nadana etykieta, jest ono wyświetlane zamiast niej.

Menedżer haseł może być uruchomiony z okna służącego do wpisywania hasła. Należy w tym celu nacisnąć przycisk „Zarządzaj hasłami...”.

Aby dodać nowe hasło do listy należy użyć przycisku „Dodaj”. Nowe hasło zostanie dodane poniżej hasła znajdującego się pod kursorem. Wyświetlone zostanie okno „Szczegóły hasła”, w którym można wprowadzić treść hasła, jego etykietę oraz archiwa, do których ma być automatycznie stosowane. Więcej informacji o tych opcjach znajduje się w rozdziale poświęconym oknu szczegółów hasła.

Przycisk „Usuń” usuwa wszystkie zaznaczone hasła. Przycisk „Modyfikuj” służy do modyfikacji zaznaczonego hasła w oknie szczegółów hasła. Przyciski Przesuń w górę i Przesuń w dół służą do zmiany pozycji hasła na liście.

Przycisk „Ustaw hasło główne” służy do ustawienia hasła broniącego dostępu do innych zachowanych haseł. Po ustawieniu hasła głównego trzeba będzie je wprowadzić aby uzyskać dostęp do zapisanych haseł. Raz wprowadzone hasło główne działa do momentu zamknięcia WinRARa. Aby usunąć hasło główne należy w jego miejsce wprowadzić pusty ciąg znaków.

Jeśli hasło główne nie zostało ustawione, to hasła są zapisywane w Rejestrze Windows w postaci niezabezpieczonej. Każdy, kto ma dostęp do komputera może je podejrzeć. Menedżer haseł usprawnia zarządzanie nimi, lecz należy samemu ocenić ryzyko jego używania. Jeśli któreś z haseł służy do zabezpieczania tajnych danych, to albo należy zaprzestać używania Menedżera haseł, albo korzystać z niego tylko gdy komputer jest zabezpieczony przed niepowołanym dostępem, albo ustawić hasło główne.

Opcja „Włącz autouzupełnianie” włącza autouzupełnianie w monicie o hasło. Jeśli jest włączona, to wystarczy wprowadzić kilka pierwszych liter hasła lub etykiety hasła, i jeśli na liście zapisanych haseł zostanie znaleziona pasująca pozycja, to WinRAR automatycznie uzupełni resztę liter. Autouzupełnianie w monicie o hasło działa tylko przy włączonej opcji „Wyświetl hasło”. Jeśli hasła są ukryte, to autouzupełnianie jest wyłączone. Jeśli dane hasło ma przypisaną etykietę, to funkcja autouzupełniania bierze pod uwagę tylko etykietę, nie samo hasło.

Aby zapisać modyfikacje w menedżerze haseł należy wcisnąć przycisk „OK”.


Potwierdź nadpisanie pliku

Plik już istnieje. można go nadpisać (przycisk Tak), pominąć (przycisk Nie), Zmienić nazwę, automatycznie Zmienić wszystkie nazwy istniejących plików, nadpisać wszystkie istniejące pliki (przycisk Wszystkie), pominąć wszystkie istniejące pliki (przycisk Żaden) lub Anulować operację.

Po naciśnięciu przycisku „Zmień nazwę wszystkim”, pliki, których nazwy ulegną zmianie, otrzymają nazwy w formacie „nazwa(N).txt”, gdzie „nazwa.txt” jest oryginalną nazwą pliku, a „N” jest kolejnym numerem.


Parametry profilu

Ten dialog umożliwia ustawienie parametrów nowego profilu kompresji lub edycję już istniejącego. Zawiera następujące elementy:

Nazwa profilu

Nazwa profilu może zawierać spacje, np. „Utwórz załącznik poczty elektronicznej”. Parametr ten jest wymagany (profil musi posiadać nazwę).

Do nazwy profilu można dodać specjalną zmienną %arcname%, która zostanie zastąpiona właściwą nazwą archiwum. Może to być przydatne z opcją „Dodaj do menu kontekstowego”. Na przykład, można utworzyć profil tworzenia archiwum ZIP i nadać mu nazwę „Dodaj do %arcname%”, aby w menu kontekstowym wyświetliła się właściwa nazwa archiwum.

Zapisz nazwę archiwum

Jeśli ta opcja jest włączona, podana nazwa archiwum zostanie zapisana w profilu i odtworzona po jego wybraniu. Jeśli opcja jest wyłączona, przed rozpoczęciem archiwizacji WinRAR zaproponuje nazwę archiwum.

Zapisz nazwy wybranych plików

Jeśli ta opcja jest włączona, podane nazwy plików zostaną zapisane w profilu, co spowoduje, że po wybraniu tego profilu WinRAR zarchiwizuje te pliki zamiast zaznaczonych przed wybraniem profilu.

Początkowo to pole zawiera nazwy zaznaczonych plików, lecz można je zmienić lub wpisać nowe. Dozwolone są nazwy folderów oraz nazwy wieloznaczne. Na przykład wpisanie „C:\” spowoduje zarchiwizowanie całego dysku C:.

Jeśli opcja jest wyłączona, WinRAR zarchiwizuje zaznaczone pliki.

Ustaw profil jako domyślny

Jeśli profil jest profilem domyślnym, zostanie automatycznie wybrany po wyświetleniu dialogu Nazwa i parametry archiwum przed każdą operacją archiwizacji. Zaleca się utworzenie profilu domyślnego z najczęściej używanymi ustawieniami kompresji, aby nie ustawiać ich za każdym razem. Tylko jeden profil może zostać ustawiony jako domyślny. Jeśli żaden z profili nie jest ustawiony jako domyślny, parametry archiwizacji zostaną ustawione na standardowe przed rozpoczęciem archiwizacji.

Niektóre opcje domyślnego profilu kompresji są używane nie tylko podczas archiwizacji, ale też w trakcie innych operacji na archiwum, np. usuwanie lub zmiana nazw plików. W takich operacjach WinRAR używa tylko tych parametrów, które mogą mieć wpływ na daną operację. Żadna z opcji domyślnego profilu kompresji nie jest używana podczas wypakowywania plików.

Natychmiastowe wykonanie

Po wybraniu profilu z włączoną opcją „Natychmiastowe wykonanie”, archiwizacja zostanie automatycznie rozpoczęta, bez możliwości zmodyfikowania ustawień kompresji czy nazwy archiwum. Jest to przydatne podczas rutynowego wykonywania archiwizacji, ponieważ nie wymaga naciskania za każdym razem przycisku „OK”.

Utwórz skrót na Pulpicie

Ta opcja jest dostępna tylko wtedy, gdy włączona jest opcja „Zapisz nazwy wybranych plików”. Umożliwia utworzenie na Pulpicie skrótu o nazwie danego profilu, co umożliwia późniejsze wybranie tego profilu przez zwykłe uruchomienie skrótu. Na przykład można utworzyć profil tworzący kopię zapasową danych osobistych i umieścić jego ikonę na Pulpicie.

Dodaj do menu kontekstowego

Jeśli ta opcja zostanie włączona, nazwa profilu bedzie wyświetlana w menu kontekstowym Eksploratora Windows, co umożliwi bezpośrednie wybranie profilu kompresji. Jeśli dodatkowo włączona będzie opcja Natychmiastowe wykonanie, archiwizacja rozpocznie się od razu po wybraniu profilu z menu kontekstowego. Jeśli opcja Natychmiastowe wykonanie jest wyłączona, przed rozpoczęciem archiwizacji zostanie wyświetlone okno Nazwa i parametry archiwum. Jeśli włączona jest opcja Zapisz nazwę archiwum, to WinRAR użyje zapisanej wcześniej nazwy dla nowotworzonego archiwum. Jeśli włączona jest opcja Zapisz nazwy wybranych plików, to do archiwum zostaną dodane zarówno pliki zapisane w profilu, jak i te zaznaczone w oknie Eksploratora.


Szczegóły hasła

Okno szczegółów hasła jest wyświetlane po naciśnięciu przycisku „Dodaj” lub „Modyfikuj” w Menedżerze haseł. Można więc wprowadzić dane nowego hasła lub zmodyfikować już istniejące. Dane zawierają treść hasła, etykietę, wzorzec plików oraz opcję automatycznego używania hasła.

Jedynie pole „Treść hasła” jest obowiązkowe. Musi ono zawierać hasło, które zostanie zapisane.

Pole „Etykieta hasła” służy do nadania samemu hasłu jakiegoś opisu (w monicie o hasło będzie widoczna ta etykieta, a nie samo hasło). Później można używać tej etykiety zamiast wpisywać hasło z nią związane. WinRAR automatycznie użyje hasła skojarzonego z wprowadzoną etykietą. Wprowadzenie etykiety zamiast hasła będzie sygnalizowane wyświetleniem tekstu „Wprowadzono etykietę hasła.” tuż powyżej pola do wprowadzenia hasła.

Na przykład, jako treść hasła można wpisać D0m1n10n! i nadać mu etykietę gra. Przy wyświetleniu monitu o hasło będzie można wpisać gra zamiast D0m1n10n!. Automatyczna podmiana etykiety na hasło działa tylko w oknie hasła - nie jest możliwa przy użyciu opcji -p[hasło] w linii poleceń.

Etykiety haseł muszą być unikalne. Nie mogą się pokrywać z żadną inną etykietą ani z hasłem. Wielkość liter etykiet nie ma znaczenia - etykiety Gra i gra są uważane za identyczne.

Jeśli zostanie określone hasło i jego etykieta, to w Menedżerze haseł wyświetlana będzie etykieta. Jeśli zaś etykieta nie zostanie określona, to wyświetlane będzie samo hasło.

Pole „Użyj dla archiwów” może zawierać jedną lub więcej nazw archiwów lub wzorców tych nazw oddzielonych spacjami. Jeśli nazwa archiwum zawiera spacje, należy ująć ją w cudzysłów. Nazwy podaje się bez ścieżek. Jeśli rozpakowywane archiwum pasuje do któregoś z podanych wzorców, WinRAR automatycznie zastosuje dane hasło. Jeśli opcja „Bez potwierdzenia” jest wyłączona, hasło zostanie jedynie wpisane do monitu i użytkownik będzie miał możliwość wpisania innego hasła, jeśli natomiast opcja ta zostanie włączona, hasło zostanie od razu użyte do wypakowywania plików.

Na przykład, jeśli wpisane hasło to p0czt4Al0h4, a jako archiwa zostały wpisane mojapoczta*.rar mojapoczta*.zip, to hasło p0czt4Al0h4 zostanie automatycznie wpisane do monitu o hasło podczas rozpakowywania archiwum, które pasuje do wzorca mojapoczta*.rar lub mojapoczta*.zip. „Użyj dla archiwów” działa tylko podczas wypakowywania plików, nie podczas archiwizacji.

Należy mieć na uwadze, że hasła są zapisywane w Rejestrze Windows w czystej postaci (nie są szyfrowane). Każdy, kto ma dostęp do komputera może je podejrzeć. Menedżer haseł usprawnia zarządzanie nimi, lecz należy samemu ocenić ryzyko jego używania. Jeśli któreś z haseł służy do zabezpieczania tajnych danych, to albo należy zaprzestać używania Menedżera haseł, albo korzystać z niego tylko gdy komputer jest zabezpieczony przed niepowołanym dostępem.


Okno „Rezultat wyszukiwania”

Okno to zawiera obiekty znalezione poleceniem Znajdź pliki. można zaznaczyć jeden lub więcej plików i wypakować je naciskając przycisk „Wypakuj do”. Naciśnięcie przycisku „Podejrzyj” spowoduje wyświetlenie zaznaczonego pliku, a po naciśnięciu przycisku „Zlokalizuj” WinRAR ustawi kursor na zaznaczonym pliku w swoim głównym oknie.

Z powodu ograniczeń technicznych operacje na znalezionych plikach wykonują się z pewnym opóźnieniem jeśli wyszukiwanie jest w toku. WinRAR wykona dane polecenie (wypakowanie, wyświetlenie czy zlokalizowanie pliku) tylko wtedy, gdy operacja wyszukiwania w danym archiwum zostanie zakończona.


Zaawansowane opcje SFX

Okno to jest wyświetlane po wydaniu polecenia Przekształć archiwum w SFX i naciśnięciu przycisku „Opcje zaawansowane”. Dzięki temu można ustawić wiele opcji samorozpakowującego się archiwum, jak np. domyślny folder docelowy, tytuł okna SFX. Po zaakceptowaniu ustawień WinRAR automatycznie generuje skrypt (opis poleceń skryptu znajduje się w rozdziale poświęconym graficznym modułom SFX), dzięki czemu nie ma konieczności uczenia się języka skryptowego.

Uwaga: zaawansowane opcje SFX dotyczą jedynie graficznych modułów SFX i nie są obsługiwane przez pozostałe moduły (dla konsoli i dla innych systemów).

Kliknij jeden z poniższych odnośników, aby uzyskać więcej informacji:

  • Opcje SFX: ogólne
  • Opcje SFX: Setup
  • Opcje SFX: tryby
  • Opcje SFX: zaawansowane
  • Opcje SFX: aktualizacja plików
  • Opcje SFX: tekst i ikona
  • Opcje SFX: licencja
  • Opcje SFX: moduł


Polecenia skryptu SFX: Delete

Delete=<plik>

Usuwa podany plik znajdujący się w folderze docelowym przed rozpoczęciem wypakowywania. Dopuszczalne jest wielokrotne wystąpienie polecenia Delete.

Jeśli plik do usunięcia jest zablokowany i nie może być usunięty, moduł SFX spróbuje zmienić jego nazwę przed wypakowaniem i usunąć po restarcie Windows. Sukces tej operacji zależy od wersji systemu Windows.

Przykład:

Delete=winrar95.exe

Delete=rarlng.dll


Polecenia skryptu SFX: License

License=<tytuł okna licencji>

{

tekst licencji 1

tekst licencji 2

...

}

Wyświetla licencję zaraz po uruchomieniu samorozpakowującego się archiwum. użytkownik może zaakceptować jej warunki i kontynuować lub odrzucić i przerwać instalację.

Licencja może być napisana zwykłym tekstem lub w formacie HTML. W pierwszym przypadku moduł SFX łączy i przeformatowuje wszystkie linie tekstu licencji w celu najlepszego ich dopasowania do okna dialogowego. Aby rozpocząć tekst od nowego akapitu należy przed nim umieścić pustą linię.

Za pomocą znaczników HTML można kontrolować sposób wyświetlania tekstu (kolory i rozmiar liter, formatowanie tekstu itp.). Opis znaczników HTML jest dostępny na stronie The World Wide Web Consortium. Do utworzenia tekstu można też użyć dowolnego edytora stron internetowych.

Jeśli tekst złożony jest z wielu linijek, moduł SFX traktuje znak „}” jako znacznik końca tekstu, należy więc mieć na uwadze aby nie używać tego znaku w samym tekście na pierwszej pozycji. Aby wyświetlić ten znak na pierwszej pozycji należy go poprzedzić spacją.

Przykład:

License=Umowa licencyjna

{

Wszelkie prawa do RARa należą do jego Autora.

Jest to program typu shareware. Może być używany tylko przez okres testowy.

Po tym czasie trzeba go ZAREJESTROWAĆ.

}


Opcje SFX: zaawansowane

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Pliki do usunięcia z folderu docelowego

Moduł SFX usunie podany plik znajdujący się w folderze docelowym przed rozpoczęciem wypakowywania. można podać nazwy wielu plików do usunięcia oddzielone spacjami.

Jeśli plik przeznaczony do usunięcia jest zablokowany i nie może być usunięty, moduł SFX spróbuje zmienić jego nazwę przed wypakowaniem i usunąć po restarcie Windows. Sukces tej operacji zależy od wersji systemu Windows.

Analogiczne polecenie skryptu SFX – Delete

Skróty

Umożliwia utworzenie skrótów do plików po wypakowaniu. Aby dodać definicję skrótu należy nacisnąć przycisk „Dodaj skrót”. Definicje skrótów są przechowywane w liście poniżej przycisku w formacie opisanym przy poleceniu skryptu SFX: Shortcut. Można je edytować ręcznie.

Analogiczne polecenie skryptu SFX – Shortcut

Żądaj dostępu administracyjnego

Opcję tę należy zaznaczyć, aby utworzyć samorozpakowujące się archiwum, które zażąda dostępu administracyjnego po uruchomieniu w Windows Vista lub nowszym. Opcja ta nie ma wpływu na zachowanie się modułu SFX w starszych wersjach Windows.

Odpowiednik linii poleceń: opcja -iadm.


Opcje SFX: ogólne

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Folder docelowy

Ustawia domyślny folder dla plików przeznaczonych do wypakowania. Można go utworzyć w folderze „Program Files”, w folderze bieżącym lub określić ścieżkę absolutną. W pierwszych dwóch przypadkach wprowadzona nazwa folderu nie może zawierać ani litery dysku ani wiodącego backslasha („\”), co jest konieczne w ostatnim przypadku.

Analogiczne polecenie skryptu SFX – Path

Zachowaj i odtwórz ścieżki

Opcja ta powoduje, że moduł SFX zapisuje w Rejestrze ścieżkę docelową wpisaną przez użytkownika i odczytuje ją w momencie każdego następnego uruchomienia modułu SFX, który posiada tę samą wartość w polu Folder docelowy. Oryginalna wartość jest umieszczana na liście, aby użytkownik mógł wybrać jedną z poprzednich ścieżek.

Opcja ta może być szczególnie przydatna przy instalacji nowych wersji tego samego programu do tego samego folderu.

Opcja ta może być użyta tylko wtedy, gdy pole Folder docelowy nie jest puste.

Analogiczne polecenie skryptu SFX – SavePath

Zapisz bieżące ustawienia jako domyślne

Ten przycisk jest widoczny tylko jeśli okno dialogowe „Zaawansowane opcje SFX” jest wywołane z okna przekształcania archiwum w samorozpakowujące się.

Zachowuje wszystkie zaawansowane opcje SFX jako domyślne. Będą one używane tylko podczas przekształcania archiwum w samorozpakowujące się. Do ustawiania domyślnych wartości dla innych poleceń modyfikujących archiwa służy domyślny profil kompresji/a>.


Opcje SFX: licencja

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Tytuł okna licencji

Ustawia tytuł okna z licencją.

Analogiczne polecenie skryptu SFX – License

Tekst licencji

Wyświetla licencję zaraz po uruchomieniu samorozpakowującego się archiwum. Użytkownik może zaakceptować jej warunki i kontynuować, lub je odrzucić i przerwać instalację.

Licencja może być napisana zwykłym tekstem lub w formacie HTML. W pierwszym przypadku moduł SFX łączy i przeformatowuje wszystkie linie tekstu licencji w celu najlepszego ich dopasowania do okna dialogowego. Aby rozpocząć tekst od nowego akapitu należy przed nim umieścić pustą linię.

Za pomocą znaczników HTML można kontrolować sposób wyświetlania tekstu (kolory i rozmiar liter, formatowanie tekstu itp.). Opis znaczników HTML jest dostępny na stronie The World Wide Web Consortium. Do utworzenia tekstu można też użyć dowolnego edytora stron internetowych.

Analogiczne polecenie skryptu SFX – License

Załaduj tekst z pliku

Pobiera tekst ze wskazanego pliku.


Opcje SFX: tryby

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Tryb tymczasowy/Wypakuj do folderu tymczasowego

Polecenie to powoduje że moduł SFX utworzy folder tymczasowy, wypakuje do niego wszystkie pliki zawarte w archiwum, uruchomi program określony opcją Program/Uruchom po wypakowaniu, po którego zakończeniu usunie wszystkie wypakowane pliki i folder tymczasowy. Podczas wykonywania tych operacji moduł SFX działa w trybie cichym (opis poniżej).

Można opcjonalnie wpisać zapytanie i jego tytuł, które zostaną wyświetlone przed rozpoczęciem wypakowywania. W takim wypadku wypakowywanie rozpocznie się tylko wtedy, gdy użytkownik naciśnie przycisk „Tak”.

Gdy włączona jest opcja „Wypakuj do folderu tymczasowego” należy również określić program do uruchomienia. Nazwa Folderu docelowego jest ignorowana w tym trybie.

Ta opcja może nie zadziałać prawidłowo z programem instalacyjnym, który uruchamia inne programy i kończy swoje działanie przed nimi. Więcej szczegółów znajduje się w opisie trybu TempMode.

Analogiczne polecenie skryptu SFX – TempMode

Tryb cichy

Domyślnie moduł SFX pyta o potwierdzenie przed rozpoczęciem wypakowywania i daje użytkownikowi możliwość zmiany folderu docelowego. Wybranie opcji „Ukryj dialog startowy” spowoduje, że potwierdzenie zostanie pominięte. Wybranie opcji „Ukryj wszystko” spowoduje, że nie zostanie wyświetlone potwierdzenie, okno licencji ani też postęp pracy modułu SFX.

Analogiczne polecenie skryptu SFX – Silent


Opcje SFX: moduł

Jest to część okna dialogowego „Zaawansowane opcje SFX” i umożliwia wybranie modułu SFX.

Zaawansowane opcje SFX są obsługiwane tylko przez moduły RAR i ZIP dla środowiska graficznego (Default.SFX i Zip.SFX) , ale nie przez moduł RAR dla konsoli (WinCon.SFX).


Opcje SFX: Setup

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Program/Uruchom po wypakowaniu

Moduł SFX spróbuje uruchomić podany program po pomyślnym rozpakowaniu archiwum. Folderem bieżącym będzie folder zawierający wypakowane pliki. Jeśli nazwa programu zawiera spacje, musi być umieszczona w cudzysłowie.

Dozwolone jest określenie więcej niż jednego programu do uruchomienia, po jednym w linii. Jeśli programy nie mają być uruchomione jednocześnie, należy włączyć opcję „Poczekaj na zakończenie i zwróć kod wyjścia”.

Przed nazwą programu do uruchomienia można umieścić któreś z poleceń <Max>, <Min> lub <Hide>, aby program został uruchomiony jako zmaksymalizowany, zminimalizowany lub niewidoczny. Znaki < i > są częścią polecenia i muszą w nim wystapić. Na przykład, można użyć <Hide>setup.exe aby program setup.exe został uruchominy niewidoczny.

Analogiczne polecenie skryptu SFX – Setup

Program/Uruchom przed wypakowaniem

Moduł SFX podejmie próbę uruchomienia określonego programu przed rozpoczęciem wypakowywania, dlatego wskazany program musi się znajdować na dysku. Folderem bieżącym dla uruchamianego programu jest folder docelowy. Jeśli nazwa programu zawiera spacje, musi być umieszczona w cudzysłowie. Polecenie to może służyć do np. usunięcia poprzedniej wersji programu przed rozpoczęciem instalowania nowej.

Dozwolone jest określenie więcej niż jednego programu do uruchomienia, po jednym w linii. Moduł SFX czeka na zakończenie każdego z określonych programów zanim uruchomi kolejny lub będzie kontynuował wypakowywanie.

Przed nazwą programu do uruchomienia można umieścić któreś z poleceń <Max>, <Min> lub <Hide>, aby program został uruchomiony jako zmaksymalizowany, zminimalizowany lub niewidoczny. Znaki < i > są częścią polecenia i muszą w nim wystapić. Na przykład, można użyć <Hide>setup.exe aby program setup.exe został uruchominy niewidoczny.

Analogiczne polecenie skryptu SFX – Presetup

Program/Poczekaj na zakończenie i zwróć kod wyjścia

Jeśli ta opcja jest włączona, moduł SFX czeka na zakończenie każdego z programów wskazanych do uruchomienia po wypakowaniu i zwraca jego kod wyjścia. Jeśli uruchomienie wskazanego programu się nie udało, moduł SFX zwraca własny kod błędu - jeden z kodów operacji WinRARa. Zwracane wartości są modyfikowane parametrem „dostosowanie kodu wyjścia”.

Program/dostosowanie kodu wyjścia

Ponieważ uruchomiony program jak i sam moduł SFX mogą zwrócić te same wartości kodu wyjścia do oznaczenia odmiennych zdarzeń, parametr „dostosowanie kodu wyjścia” pozwala określić przesunięcie wartości. Jeśli parametr jest liczbą dodatnią, zostanie po prostu dodany do kodu wyjścia uruchomionego programu, nie zmieniając wewnętrznych kodów wyjścia modułu SFX. Jeśli parametr jest liczbą ujemną, jego wartość bezwzględna zostanie dodana do wewnętrznego kodu wyjścia modułu SFX, nie zmieniając kodu wyjścia uruchomionego programu. Aby nie zmieniać żadnego kodu wyjścia, należy w parametrze wpisać wartośc 0.

Rozdział SetupCode zawiera więcej szczegółów na ten temat.

Analogiczne polecenie skryptu SFX – SetupCode


Opcje SFX: tekst i ikona

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Tytuł okna SFX

Ustawia tytuł okna SFX.

Analogiczne polecenie skryptu SFX – Title

Tekst do wyświetlenia w oknie SFX

Dodaje podany tekst (zwykły lub ze znacznikami HTML) do okna tekstowego modułu SFX.

W przypadku zwykłego tekstu moduł SFX łączy i przeformatowuje wszystkie jego linie w celu najlepszego ich dopasowania do okna dialogowego. Aby rozpocząć tekst od nowego akapitu należy umieścić przed nim pustą linię.

Za pomocą znaczników HTML można kontrolować sposób wyświetlania tekstu (kolory i rozmiar liter, formatowanie tekstu itp.). Opis znaczników HTML jest dostępny na stronie The World Wide Web Consortium. Do utworzenia tekstu można też użyć dowolnego edytora stron internetowych.

Analogiczne polecenie skryptu SFX – Text

Załaduj tekst z pliku

Pobiera tekst ze wskazanego pliku.

Załaduj logo SFX z pliku

Określa obrazek (plik .png), który zostanie użyty jako logo w tworzonym lub aktualizowanym archiwum SFX.

Rozmiar domyślnego logo to 93x302 piksele. Zaleca się używanie obrazów o tych lub mniejszych rozmiarach.

Nie wolno kompresować modułu SFX żadnym kompresorem plików wykonywalnych w przypadku użycia tej opcji.

Odpowiednik linii poleceń: opcja -iimg

Logo SFX w wysokiej rozdzielczości

Jeśli zostanie załadowany ten opcjonalny obraz *.png, moduł SFX użyje go w sytuacji, gdy w Windows używane jest HiDPI (dzięki temu logo będzie wyświetlane w lepszej jakości niż gdyby było skalowane z mniejszej rozdzielczości). Zalecane wymiary logo w wysokiej rozdzielczości to 186x604 piksele.

Załaduj ikonę SFX z pliku

Zamienia standardową ikonę modułu SFX na inną, zawartą w pliku .ico.

Nie wolno kompresować modułu SFX żadnym kompresorem plików wykonywalnych w przypadku użycia tej opcji.

Odpowiednik linii poleceń: opcja -iicon


Opcje SFX: aktualizacja

Jest to część okna dialogowego „Zaawansowane opcje SFX”. Dostępne ustawienia:

Tryb aktualizacji/Wypakuj i zastąp pliki

Wypakowuje wszystkie pliki bez względu na czas ich modyfikacji.

Tryb aktualizacji/Wypakuj i aktualizuj pliki

Wypakowuje te pliki, które jeszcze nie istnieją w folderze docelowym, lub są nowsze niż istniejące.

Analogiczne polecenie skryptu SFX - Update=U

Tryb aktualizacji/Odśwież tylko istniejące pliki

Wypakowuje tylko te pliki, które istnieją w folderze docelowym i są nowsze niż istniejące. Jeśli plik nie istnieje w folderze docelowym, to zostanie pominięty (nie zostanie wypakowany).

Analogiczne polecenie skryptu SFX - Update=F

Tryb nadpisywania/Zapytaj przed nadpisaniem

Wyświetla monit przed nadpisaniem pliku.

Tryb nadpisywania/Nadpisz wszystkie pliki

Powoduje, że pliki są nadpisywane bez potwierdzenia.

Analogiczne polecenie skryptu SFX - Overwrite=1

Tryb nadpisywania/Pomiń istniejące pliki

Powoduje, że istniejące pliki są pomijane.

Analogiczne polecenie skryptu SFX - Overwrite=2


Polecenia skryptu SFX: Overwrite

Overwrite=[n]

Jeśli „n” jest równe 0, użytkownik będzie pytany o nadpisanie każdego istniejącego pliku. Jest to stan domyślny i nie trzeba umieszczać polecenia Overwrite. Jeśli „n” nie zostanie podane lub jest równe 1, wszystkie pliki zostaną nadpisane bez pytania. Jeśli „n” jest równe 2, pominięte zostaną wszystkie istniejące pliki.

Przykład:

Overwrite=1


Polecenia skryptu SFX: Path

Path=<ścieżka>

Ustawia domyślną ścieżkę dla plików przeznaczonych do wypakowania. Scieżki rozpoczynające się od litery dysku nie są zmieniane. Jeśli <ścieżka> zawiera tylko nazwę folderu, zostanie dołączona do ścieżki wskazującej na folder „Program files” (zwykle jest to „C:\Program files\”). Aby ustawić ścieżkę na folder o podanej nazwie ale znajdujący się w folderze, z którego uruchomiono archiwum SFX, należy parametr <ścieżka> rozpocząć od znaków „.\”.

Przykłady:

  1. ustaw domyślną ścieżkę na „Program Files\Kalkulator 3.05”

    Path=Kalkulator 3.05

  2. ustaw domyślną ścieżkę na „C:\Kalkulator”

    Path=C:\Kalkulator

  3. ustaw domyślną ścieżkę na folder „Kalkulator” w bieżącym folderze

    Path=.\Kalkulator

Uwagi

  1. Dopuszcza się używanie zmiennych systemowych w formacie %nazwa_zmiennej%, na przykład - „Path=%APPDATA%\MojaAplikacja”. Moduł SFX automatycznie pobiera wartości tych zmiennych. Wartości dynamicznych zmiennych systemowych, takich jak %date% czy %random%, nie są pobierane.
  2. Moduł SFX ustawia wartość zmiennej systemowej sfxstime - zawiera ona czas uruchomienia modułu SFX w formacie „RRRR-MM-DD-HH-MM-SS-ms”. Wartość tej zmiennej można wykorzystać np. do wygenerowania ścieżki zależnej od czasu instalacji (Path=MojaAplikacja-%sfxstime%)


Polecenia skryptu SFX: Presetup

Presetup=[<tryb>]<program>

Moduł SFX podejmie próbę uruchomienia <programu> przed rozpoczęciem wypakowywania, co oznacza, że wskazany <program> musi już istnieć. Folderem bieżącym dla uruchamianego <programu> jest folder docelowy. Polecenie to może służyć do np. usunięcia poprzedniej wersji programu przed rozpoczęciem instalowania nowej. Jeśli nazwa programu zawiera spacje, musi być ujęta w cudzysłowy.

Przed nazwą programu można umieścić tryb uruchomienia (ujęty w znaki < >). Jako tryb można podać Max, Min lub Hide, co umożliwa uruchomienie określonego programu z, odpowiednio, zmaksymalizowanym, zminimalizowanym lub ukrytym oknem głównym.

Przykłady:

  1. Uruchom „uninstall.exe /clean” bez modyfikacji jego okna głównego:

    Presetup=uninstall.exe /clean

  2. Uruchom „uninstall.exe /clean” i ukryj jego okno główne:

    Presetup=<hide>uninstall.exe /clean

Uwagi

  1. Moduł SFX wyświetla przycisk „Wypakuj” zamiast „Zainstaluj”, jeśli komentarz archiwum nie zawiera poleceń Setup czy Presetup. Aby wyświetlić przycisk „Instaluj” bez uruchamiania żadnego z wypakowanych programów, należy w komentarzu archiwum umieścić polecenie Setup bez parametrów.


Polecenia skryptu SFX: przykładowy skrypt

Poniższy skrypt ustawia tytuł okna dialogowego na „Kalkulator 3.05”, zmienia wyświetlany tekst, ustawia ścieżkę wypakowywania na „Program Files\Kalkulator”, włącza nadpisywanie istniejących plików i uruchamia setup.exe po wypakowaniu wszystkich plików.

Title=Kalkulator 3.05

Text

{

Kalkulator jest programem shareware. Można go używać

bezpłatnie przez 40 dni. Aby używać go po tym okresie

należy go zarejestrować.

}

Path=Kalkulator

Overwrite=1

Setup=setup.exe


Polecenia skryptu SFX: SavePath

SavePath

Polecenie to powoduje, że moduł SFX zapisuje w Rejestrze ścieżkę docelową wpisaną przez użytkownika i odczytuje ją w momencie każdego następnego uruchomienia modułu SFX, który posiada tę samą wartość parametru polecenia Path. Oryginalna wartość jest umieszczana na liście, aby użytkownik mógł wybrać jedną z poprzednich ścieżek.

Polecenie to może być szczególnie przydatne przy instalacji nowych wersji tego samego programu do tego samego folderu.

Polecenie to może być użyte tylko jeśli użyte zostało również z polecenie Path.

Przykład:

Path=Kalkulator 3.05

SavePath


Polecenia skryptu SFX: Setup

Setup=[<tryb>]<program>

Moduł SFX spróbuje uruchomić <program> po pomyślnym rozpakowaniu archiwum. Folderem bieżącym będzie folder zawierający wypakowane pliki. Jeśli nazwa programu zawiera spacje, musi być ujęta w cudzysłowy.

Przed nazwą programu można umieścić tryb uruchomienia (ujęty w znaki < >). Jako tryb można podać Max, Min lub Hide, co umożliwa uruchomienie określonego programu z, odpowiednio, zmaksymalizowanym, zminimalizowanym lub ukrytym oknem głównym.

Przykłady:

  1. Uruchom program setup.exe bez modyfikacji jego okna głównego:

    Setup=setup.exe

  2. Uruchom program setup.exe i ukryj jego okno główne:

    Setup=<hide>setup.exe

Uwagi

  1. Jeśli aplikacja określona poleceniem Setup nie ma parametrów, to za pomocą opcji -sp<par> linii poleceń modułu SFX można przekazać jej dodatkowe parametry.
  2. Moduł SFX ustawia zmienne środowiskowe sfxname, sfxcmd oraz sfxpar przed uruchomieniem podanego <programu>. Zmienna sfxname zawiera nazwę archiwum SFX; zmienna sfxcmd zawiera pełną linię poleceń modułu SFX. Pierwszym parametrem linii poleceń jest nazwa modułu SFX. Zmienna sfxpar zawiera tylko parametry uruchomieniowe, bez nazwy uruchomionego modułu SFX. Program instalacyjny może odczytać te zmienne jeśli potrzebuje informacji, które są w nich zawarte. Taką zmienną można również przekazać w linii poleceń, np. Setup=setup.exe %sfxpar%.
  3. Moduł SFX wyświetla przycisk „Wypakuj” zamiast „Zainstaluj”, jeśli komentarz archiwum nie zawiera poleceń Setup czy Presetup. Aby wyświetlić przycisk „Instaluj” bez uruchamiania żadnego z wypakowanych programów, należy w komentarzu archiwum umieścić polecenie Setup o następującej postaci: Setup=<>. Jeśli archiwum SFX jest konfigurowane za pomocą okna ustawień SFX, to w miejsce nazwy programu do uruchomienia można wpisać <>. Moduł SFX nie podejmie próby uruchomienia programu o takiej nazwie, a jedynie zmieni napis na przycisku.


Polecenia skryptu SFX: SetupCode

SetupCode[=Parametr]

Jeśli to polecenie jest obecne, moduł SFX czeka na zakończenie uruchomionego programu określonego poleceniem Setup lub Presetup i zwraca jego kod wyjścia.

Jeśli uruchomienie programu się nie powiodło, moduł SFX zwraca własny kod błędu - jeden z kodów operacji WinRARa.

Ponieważ uruchomiony program jak i sam moduł SFX mogą zwrócić te same wartości kodu wyjścia do oznaczenia odmiennych zdarzeń, można w tym poleceniu określić przesunięcie wartości.

Jeśli Parametr jest liczbą dodatnią, zostanie po prostu dodany do kodu wyjścia uruchomionego programu. Moduł SFX zwraca swój kod wyjścia niezmieniony.

Jeśli Parametr jest liczbą ujemną, jego wartość bezwzględna zostanie dodana do kodu wyjścia modułu SFX. Uruchomiony program zwraca swój kod wyjścia niezmieniony.

Jeśli Parametr ma wartość 0, to zarówno kody wyjścia uruchomionego programu jak i modułu SFX są zwracane niezmienione.

Jeśli Parametr zostanie pominięty, domyślnie zostanie przyjęta wartość 1000, zatem „SetupCode” jest równoważne „SetupCode=1000”.

Przyjmijmy, że mamy polecenie „SetupCode=1000”. Jeśli moduł SFX z jakichś powodów nie zdołał uruchomić programu, to zwróci swój własny kod błędu mniejszy niż 1000, np. 3 w przypadku błędu sumy kontrolnej. Jeśli program został uruchomiony i zwrócił kod wyjścia równy 0, to moduł SFX zwróci wartość 1000. Jeśli uruchomiony program zwróci wartość 10, to modułSFX zwróci wartość 1010.

Jeśli mamy polecenie „SetupCode=-1000”, to w opisanych powyżej przypadkach zwrócone zostaną wartości, odpowiednio: 1003, 0 i 10.

Jeśli użytych zostało więcej programów do uruchomienia i polecenie SetupCode jest obecne, to moduł SFX będzie oczekiwał na zakończenie każdego z tych programów z osobna i zwróci największą zwróconą wartość.

Przykład:

Setup=setup.exe

SetupCode


Polecenia skryptu SFX: Shortcut

Shortcut=<Typ>,<NazwaPliku>,<FolderDocelowy>,<Opis>,<NazwaSkrótu>,<IkonaSkrótu>

Tworzy skrót do wypakowanego pliku.

Typ jest jednoznakowym polem, które może przyjąć jedną z następujących wartości:

D | Tworzy skrót na Pulpicie
P | Tworzy skrót w menu Start/Programy
T | Tworzy skrót w folderze Autostart

NazwaPliku jest nazwą pliku, do którego zostanie utworzony skrót. Jeśli jest to plik wykonywalny, to można ująć jego nazwę w cudzysłów i po niej określić dodatkowe parametry wywołania.

FolderDocelowy jest nazwą foldera, w którym zostanie utworzony skrót. Jeśli folder ten nie istnieje, zostanie utworzony przez moduł SFX.

Opis jest krótkim tekstem opisującym skrót.

NazwaSkrótu jest nazwą pliku .lnk (skrótu) tworzonego przez moduł SFX.

IkonaSkrótu jest nazwą pliku ikony, która zostanie użyta przez skrót. Jeśli parametr zostanie pominięty, to zostanie użyta ikona domyślna. Jeśli nazwa pliku ikony nie zawiera pełnej ścieżki, to ikona będzie szukana w folderze, do którego zostaną wypakowane pliki.

Wszystkie parametry należy oddzielać przecinkiem. Jeśli parametr musi zawierać znak przecinka, należy cały parametr ująć w cudzysłowy. Aby w ciągu znaków umieścić cudzysłów należy wpisać go podwójnie. Wymagane są tylko parametry Typ oraz NazwaPliku; pozostałe parametry są opcjonalne i mogą być pominięte lub pozostawione puste.

Przykłady:

1. Na Pulpicie w folderze WinRAR utwórz skrót do pliku winrar.exe. Skrót ma się nazywać „Archiwizer WinRAR”, posiadać opis „Plik programu WinRAR” oraz ikonę winrar.ico:

Shortcut=D, winrar.exe, WinRAR, "Plik programu WinRAR", "Archiwizer WinRAR", winrar.ico

2. Podaj dodatkowe parametry wywołania rar.exe, pomiń parametry „FolderDocelowy” i „IkonaSkrótu”:

Shortcut=D, "rar.exe" a -ag c:\mojedane\kopie\dzienne c:\mojedane\pliki, , Dzienna kopia, Kopia


Polecenia skryptu SFX: Silent

Silent[=Parametr]

Rozpoczyna wypakowywanie bez wyświetlania okna początkowego.

Parametr może przyjąć wartość 1 lub 2.

Jeśli Parametr wynosi 1, okno startowe nie zostanie w ogóle wyświetlone. Ponadto w tym trybie modył SFX nie wyświetla okna licencji.

Jeśli Parametr wynosi 2 lub nie zostanie określony, pytanie o potwierdzenie rozpoczęcia instalacji jest pomijane, lecz podczas instalacji wyświetlany jest wskaźnik jej postępu.

Przykład:

Silent=2


Polecenia skryptu SFX: TempMode

TempMode=[zapytanie][,tytuł]

Polecenie to powoduje że moduł SFX utworzy folder tymczasowy, wypakuje do niego wszystkie pliki zawarte w archiwum i uruchomi program określony poleceniem Setup, po którego zakończeniu usunie wszystkie wypakowane pliki i folder tymczasowy. Podczas wykonywania tych operacji moduł SFX działa w trybie „silent”.

Polecenie TempMode może zostać wywołane z parametrem (ciąg znaków), który będzie wyświetlony jako pytanie i tytuł okna przed rozpoczęciem wypakowywania. W takim wypadku wypakowywanie rozpocznie się tylko wtedy, gdy użytkownik naciśnie przycisk „Tak”.

Gdy w skrypcie występuje polecenie TempMode, powinno także wystąpić polecenie Setup. Polecenie Path jest ignorowane w tym trybie.

W tym trybie moduł SFX musi zaczekać na zakończenie działania programu instalacjnego aby usunąć pliki tymczasowe. To działa prawidłowo tylko wtedy, gdy program instalacyjny nie zostanie zostanie zakończony przed końcem procesu instalacji. Czasem jednak zdarza się, że program instalacyjny uruchamia inny program a sam się zamyka, podczas gdy ten inny program kontynuuje instalację. W takim przypadku moduł SFX usuwa pliki tymczasowe zaraz po wykryciu zakończenia działania tego pierwszego programu instalacyjnego, co skutkuje błędem procesu instalacji. Ten tryb działaniamodułu SFX działa poprawnie jedynie z tymi programami instalacyjnymi, które nie uruchamiają dalszych programów instalacyjnych, a jeśli nawet to przynajmniej oczekują na ich zakończenie.

Przykłady:

1) TempMode

2) TempMode=Czy na pewno chcesz zainstalować Kalkulator 3.05?,Instalacja Kalkulatora


Polecenia skryptu SFX: Text

To polecenie ma dwie składnie:

Text=<ciąg znaków>

lub

Text

{

ciąg znaków 1

ciąg znaków 2

...

}

Dodaje podany <ciąg znaków> (zwykły tekst lub ze znacznikami HTML) do pola tekstowego w oknie startowym modułu SFX. Pierwsze użycie tego polecenia powoduje wyczyszczenie okna tekstowego przed dodaniem <ciągu znaków>. Każde kolejne polecenie Text spowoduje dopisanie <ciągu znaków> do już istniejącego.

W przypadku zwykłego tekstu moduł SFX łączy i przeformatowuje wszystkie jego linie w celu najlepszego ich dopasowania do okna dialogowego. Aby rozpocząć tekst od nowego akapitu należy przed nim umieścić pustą linię.

Za pomocą znaczników HTML można kontrolować sposób wyświetlania tekstu (kolory i rozmiar liter, formatowanie tekstu itp.). Opis znaczników HTML jest dostępny na stronie The World Wide Web Consortium. Do utworzenia tekstu można też użyć dowolnego edytora stron internetowych.

Jeśli tekst złożony jest z wielu linijek, moduł SFX traktuje znak „}” jako znacznik końca tekstu, należy więc mieć na uwadze aby nie używać tego znaku w samym tekście na pierwszej pozycji. Aby wyświetlić ten znak na pierwszej pozycji należy go poprzedzić spacją.

Przykłady:

  1. dodaje pojedynczą linię tekstu

    Text=Oto mój nowy program

  2. dodaje określony tekst

    Text

    {

    Najciekawszymi właściwościami tego programu są:

    - obsługa Schowka;

    - przetwarzanie plików o rozmiarze do 10KB;

    }


Polecenia skryptu SFX: Title

Title=<title>

Ustawia tytuł głównego okna dialogowego.

Przykład:

Title=Kalkulator, wersja 3.05


Polecenia skryptu SFX: Update

Update=<c>

Parametr <c> może przyjąć jedną z dwóch wartości: U lub F.

  • jeśli jest to wartość U, moduł SFX wypakuje te pliki, które nie istnieją w folderze docelowym oraz te, które są nowsze od istniejących.
  • jeśli jest to wartość F, moduł SFX wypakuje tylko te pliki, które istnieją w folderze docelowym i są nowsze od istniejących. Jeśli plik nie istnieje w folderze docelowym, to nie zostanie wypakowany.

Przykład

Update=U


Opcja -SV- - utwórz zależne ciągłe woluminy

Opcja -SV– - utwórz zależne ciągłe woluminy

Wyłącza przerywanie ciągłości strumienia danych pomiędzy woluminami. Zwiększa to nieco stopień kompresji, lecz znacznie zmniejsza szanse na odzyskanie danych w przypadku uszkodzenia jednego z woluminów z takiego archiwum.

Opcja ta jest ignorowana w przypadku tworzenia zwykłych (nie dzielonych) archiwów.

Opcję tę można również umieścić w zmiennej środowiskowej RAR.

Patrz również: opcja -sv.


Wybierz przyciski paska narzędzi

Tu można wybrać przyciski do wyświetlenia na pasku narzędzi. Są dwie grupy: przyciski widoczne podczas pracy w trybie obsługi plików („Na zewnątrz archiwum”) oraz w trybie obsługi archiwum („Wewnątrz archiwum”).

można również zmieniać kolejność przycisków – w tym celu należy zaznaczyć przycisk i nacisnąć „Do góry” lub „Na dół”. Aby przywrócić domyślną konfigurację paska narzędzi należy nacisnąć przycisk „Domyślne”.

Przycisk „Separator” wstawia linię oddzielającą przed zaznaczonym przyciskiem. Aby usunąć separator należy albo wyczyścić pole znajdujące się po jego lewej stronie, albo go zaznaczyć i wcisnąć przycisk „Separator”.

Kolejność przycisków można również zmieniać przytrzymując klawisz Alt i ciągnąc przycisk po pasku narzędzi.


Biblioteka Zstandard firmy Facebook

WinRAR używa bibliteki Zstandard firmy Facebook w celu przetwarzania archiwów zawierających dane skompresowane algorytmem Zstandard.

Kod źródłowy biblioteki Zstandard znajduje się pod adresem facebook.github.io/zstd i jest udostępniany na licencji BSD, której treść znajduje się poniżej:

BSD License

For Zstandard software

Copyright (c) 2016-present, Facebook, Inc. All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

 * Redistributions of source code must retain the above copyright notice, this
   list of conditions and the following disclaimer.

 * Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation
   and/or other materials provided with the distribution.

 * Neither the name Facebook nor the names of its contributors may be used to
   endorse or promote products derived from this software without specific
   prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.